<?xml version="1.0" encoding="UTF-8"?>
<schema xmlns="http://purl.oclc.org/dsdl/schematron" queryBinding="xslt2">
    <title>Schematronvalidatie van PORX_IN924000NL - Medication Dispense Event Complete</title>
    <ns uri="urn:hl7-org:v3" prefix="hl7"/>
    <ns uri="http://www.w3.org/2001/XMLSchema-instance" prefix="xsi"/>
    
    <include href="coreschematron/xml.sch"/>
    <include href="coreschematron/attentionLine.sch"/>
    
    <include href="coreschematron/transmission-wrapper.sch"/>
    <include href="coreschematron/controlAct-wrapper.sch"/>
    
    <include href="Mp/COCT_MT924000NL.sch"/>
    <include href="Mp/COCT_MT720000NL.sch"/>
    <include href="Mp/COCT_MT940000NL.sch"/>
    
    <!--pattern is-a="attentionLine" id="PORX_IN924000NL-attentionLine">
        <param name="messagePatientId" value="hl7:ControlActProcess/hl7:subject/hl7:registrationProcess/hl7:subject2/hl7:ActReference/hl7:recordTarget/hl7:patient/hl7:id"/>
        <param name="attentionLineOptional" value="'false'"/>
        </pattern-->
    
    <pattern is-a="transmission-wrapper" id="PORX_IN924000NL-wrapper">
        <param name="element" value="hl7:PORX_IN924000NL"/>
    </pattern>
    
    <pattern is-a="controlAct-wrapper" id="PORX_IN924000NL-controlAct">
        <param name="element" value="hl7:PORX_IN924000NL/hl7:ControlActProcess"/>
    </pattern>
    
    <pattern>
        <!-- profileId -->
        <rule context="hl7:PORX_IN924000NL/hl7:profileId">
            <extends rule="II"/>
            <assert role="error" test="@root='2.16.840.1.113883.2.4.3.11.1' and @extension='810'"
                >In de transmission wrapper moet het element profileId worden gevuld met de waarde '810'</assert>
        </rule>
        <rule context="hl7:PORX_IN924000NL/hl7:acceptAckCode">
            <extends rule="CS"/>
            <assert role="error" test="@code='AL'">In de transmission wrapper moet het veld acceptAckCode worden gevuld met waarde 'AL'.</assert>
        </rule>
        <rule context="hl7:PORX_IN932000NL/hl7:attentionLine">
            <assert role="warning" test="not(.)">Het gebruik van attentionLine wordt nog niet gespecificeerd in deze interactie.</assert>
        </rule>
    </pattern>
    
    <pattern is-a="COCT_MT924000NL" id="PORX_MT9240000NL.COCT_MT924000NL">
        <param name="element" value="hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent"/>
    </pattern>
    
    <pattern is-a="COCT_MT720000NL" id="PORX_MT9240000NL.COCT_MT720000NL">
        <param name="element" value="hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:MedicationKind"/>
    </pattern>
    
    <pattern>
        <title>Aanvullende MedicationKind regel</title>
        <rule context="hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:MedicationKind/hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.1' or @codeSystem='2.16.840.1.113883.2.4.4.10']">            
            <assert role="error" test="not(.)"
                >COCT_MT720000NL: medicatiecode moet komen uit codesysteem HPK of artikelnummer</assert>
        </rule>
    </pattern>
    
    <pattern is-a="COCT_MT940000NL" id="PORX_MT9240000NL.COCT_MT940000NL">
        <param name="element" value="hl7:ControlActProcess/hl7:subject/hl7:medicationDispenseEvent/hl7:product/hl7:dispensedMedication/hl7:therapeuticAgentOf"/>
    </pattern>
</schema>
