<?xml version="1.0" encoding="UTF-8"?>
<schema xmlns="http://purl.oclc.org/dsdl/schematron" queryBinding="xslt2">
    <title>Schematronvalidatie van QURX_IN990111NL - Medication Dispense List Query</title>
    <ns uri="urn:hl7-org:v3" prefix="hl7"/>
    <ns uri="http://www.w3.org/2001/XMLSchema-instance" prefix="xsi"/>
    <include href="coreschematron/xml.sch"/>
    <include href="coreschematron/attentionLine.sch"/>
    
    <include href="coreschematron/transmission-wrapper.sch"/>
    <include href="coreschematron/controlAct-wrapper.sch"/>
    
    <include href="Mp/QURX_MT990011NL.sch"/>
    
    <!--pattern is-a="attentionLine" id="attentionLine">
        <param name="messagePatientId" value="hl7:ControlActProcess/hl7:queryByParameter/hl7:patientID/hl7:value"/>
        <param name="attentionLineOptional" value="'false'"/>
    </pattern-->
    
    <pattern is-a="transmission-wrapper" id="QURX_IN990111NL-wrapper">
        <param name="element" value="hl7:QURX_IN990111NL"/>
    </pattern>
    
    <pattern is-a="controlAct-wrapper" id="QURX_IN990111NL-controlAct">
        <param name="element" value="hl7:QURX_IN990111NL/hl7:ControlActProcess"/>
    </pattern>
    
    <pattern>
        <!-- profileId -->
        <rule context="hl7:QURX_IN990111NL/hl7:profileId">
            <extends rule="II"/>
            <assert role="error" test="@root='2.16.840.1.113883.2.4.3.11.1' and @extension='810'"
                >In de transmission wrapper moet het element profileId worden gevuld met de waarde '810'</assert>
        </rule>
        <rule context="hl7:QURX_IN990111NL/hl7:acceptAckCode">
            <extends rule="CS"/>
            <assert role="error" test="@code='NE'">In de transmission wrapper moet het veld acceptAckCode worden gevuld met waarde 'NE'.</assert>
        </rule>
        <rule context="hl7:QURX_IN990111NL/hl7:attentionLine">
            <assert role="warning" test="not(.)">Het gebruik van attentionLine wordt nog niet gespecificeerd in deze interactie.</assert>
        </rule>
    </pattern>
    
    <!-- ControlAct Wrapper -->
    <pattern>
        <title>ControlAct Wrapper</title>
        <rule context="hl7:ControlActProcess">
            <assert role="error" test="hl7:authorOrPerformer/@typeCode='AUT'"
                >typeCode van authorOrPerformer is niet gelijk aan AUT</assert>
        </rule>
    </pattern>
    
    <!-- QueryByParameterPayload -->
    <pattern is-a="QURX_MT990011NL" id="QURX_IN990111NL.QURX_MT990011NL">
        <param name="element" value="hl7:ControlActProcess/hl7:queryByParameter"/>
    </pattern>
</schema>
