<?xml version="1.0" encoding="UTF-8"?>
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" abstract="true" id="COCT_MT120000NL_FA">
    <title>A_FamilyHistory - Familieanamnese</title>
    <rule context="$element">
        <assert role="error" test="not(@classCode) or @classCode='OBS'"
            >COCT_MT120000NL_FA: @classCode moet, indien anwezig, 'OBS' bevatten</assert>
        <assert role="error" test="not(@moodCode) or @moodCode='EVN'"
            >COCT_MT120000NL_FA: @moodCode moet, indien anwezig, 'EVN' bevatten</assert>
        
        <assert role="error" test="hl7:effectiveTime/hl7:low"
            >COCT_MT120000NL_FA: effectiveTime/low is verplicht</assert>
        <assert role="error" test="hl7:value"
            >COCT_MT120000NL_FA: value is verplicht</assert>
    </rule>
    <rule context="$element/hl7:id">
        <extends rule="II"/>
        <assert role="error" test="@root and @extension"
            >COCT_MT120000NL_FA: id element mist root of extension attribuut</assert>
    </rule>
    <rule context="$element/hl7:code">
        <extends rule="CE"/>
        <!--assert role="error" test="@code='FAMILYHISTORY'"
            >COCT_MT120000NL_FA: @code moet 'FAMILYHISTORY' bevatten</assert>
        <assert role="error" test="@codeSystem='2.16.840.1.113883.5.4'"
            >COCT_MT120000NL_FA: @codeSystem moet '2.16.840.1.113883.5.4' bevatten</assert-->
    </rule>
    <rule context="$element/hl7:text">
        <extends rule="ST"/>
    </rule>
    <rule context="$element/hl7:effectiveTime">
        <extends rule="IVL_TS"/>
    </rule>
    <rule context="$element/hl7:value">
        <extends rule="CE"/>
        <assert role="error" test="@codeSystem='2.16.840.1.113883.2.4.4.31.1'"
            >COCT_MT120100NL_FA: @codeSystem moet '2.16.840.1.113883.2.4.4.31.1' (ICPC-1-2000NL) bevatten</assert>
        <assert role="error" test="string-length(normalize-space(@displayName)) &gt; 0"
            >COCT_MT120100NL_FA: @displayName is verplicht</assert>
    </rule>
    
    <rule context="$element/hl7:author">
        <assert role="error" test="not(@typeCode) or  @typeCode='AUT'"
            >COCT_MT120000NL_FA: @typeCode moet, indien anwezig, 'AUT' bevatten</assert>
        <assert role="error" test="not(@contextControlCode) or  @contextControlCode='ON'"
            >COCT_MT120000NL_FA: @contextControlCode moet, indien anwezig, 'ON' bevatten</assert>
    </rule>
    <rule context="$element/hl7:author/hl7:time">
        <extends rule="TS"/>
    </rule>
        
    <rule context="$element/hl7:performer">
        <assert role="error" test="not(@typeCode) or  @typeCode='PRF'"
            >COCT_MT120000NL_FA: @typeCode moet, indien anwezig, 'PRF' bevatten</assert>
        <assert role="error" test="not(@contextControlCode) or  @contextControlCode='ON'"
            >COCT_MT120000NL_FA: @contextControlCode moet, indien anwezig, 'ON' bevatten</assert>
    </rule>
    
    <rule context="$element/hl7:dataEnterer">
        <assert role="error" test="not(@typeCode) or  @typeCode='ENT'"
            >COCT_MT120000NL_FA: @typeCode moet, indien anwezig, 'ENT' bevatten</assert>
        <assert role="error" test="not(@contextControlCode) or  @contextControlCode='ON'"
            >COCT_MT120000NL_FA: @contextControlCode moet, indien anwezig, 'ON' bevatten</assert>
    </rule>
    <rule context="$element/hl7:dataEnterer/hl7:time">
        <extends rule="TS"/>
    </rule>
    
    <rule context="$element/hl7:subject">
        <assert role="error" test="not(@typeCode) or  @typeCode='SBJ'"
            >COCT_MT120000NL_FA: @typeCode moet, indien anwezig, 'SBJ' bevatten</assert>
    </rule>
</pattern>