<?xml version="1.0" encoding="UTF-8"?>
<!-- 
    Implementatiehandleiding HL7v3 Basiscomponenten, v2.2 - Datatype 1.0 IVL - Interval
    Status: in behandeling
-->
<rule abstract="true" id="IVL" see="http://hl7book.net/index.php?title=DatatypesR1:IVL" xmlns="http://purl.oclc.org/dsdl/schematron">
    <extends rule="SXCM"/>
    
    <assert role="error" test="(@nullFlavor and not(@value|@unit|*)) or (not(@nullFlavor) and (@value|@unit|hl7:low|hl7:center|hl7:high|hl7:width))"
        >Datatype IVL: null violation. Cannot have @nullFlavor and @value or child elements, or the other way around</assert>
    <assert role="error" test="not(*[@nullFlavor and (@value|@unit)])"
        >Datatype IVL: null violation. Cannot have @nullFlavor and @value on any child elements</assert>
    <assert role="error" test="not(hl7:*[@nullFlavor and (@value|@unit)])">Datatype IVL: null violation. Child element has @nullFlavor and @value</assert>
    <assert role="error" test="
        @nullFlavor or
        (not(@nullFlavor) and @value and not(*)) or
        (not(@nullFlavor) and not(@value) and (hl7:low|hl7:center|hl7:high|hl7:width)) or
        (not(@nullFlavor) and not(@value) and (hl7:*[not(@nullFlavor)])) or
        (not(@nullFlavor) and not(@value) and hl7:center and not(hl7:low|hl7:high|hl7:width)) or
        (not(@nullFlavor) and not(@value) and not(hl7:center) and hl7:width and not(hl7:low and hl7:high))"
        >Datatype IVL: co-occurence violation. Cannot have @value and other child elements, or missing @value and child elements with data, 
        or center element with other elements, or width element with both low and high elements</assert>
    <assert role="error" test="count(*[@updateMode])=0"
        >Datatype IVL: no updateMode on IVL attributes</assert>
    
    <assert role="error" test="not(hl7:low/@value and hl7:high/@value) or hl7:low/@value != hl7:high/@value"
        >Datatype IVL: low/@value must not be equal to high/@value</assert>
    
    <!-- width has datatype PQR, which extends CV ((){1}(((0[1-9])|([12]\d)|(3[01]))?)?)? -->
    <assert role="error"
        test="not(hl7:width) or
        hl7:width[not(@unit)] or
        hl7:width[@value and @unit]"
        >Datatype PQR: width element: no unit without value</assert>
    <assert role="error" test="not(hl7:width/hl7:translation)"
        >Datatype PQR: width element: no translation</assert>
</rule>