<?xml version="1.0" encoding="UTF-8"?>
<schema xmlns="http://purl.oclc.org/dsdl/schematron" queryBinding="xslt2">
   <title> Schematron file for MCCI_IN000002 - Ontvangstbevestiging </title>
   <ns uri="urn:hl7-org:v3" prefix="hl7"/>
   <ns uri="urn:hl7-org:v3" prefix="cda"/>
   <ns uri="http://www.w3.org/2001/XMLSchema-instance" prefix="xsi"/>
   <!-- Add extra namespaces --><ns uri="http://www.w3.org/XML/1998/namespace" prefix="xml"/>
   <!-- Include realm specific schematron -->
<include href="include/DTr1_XML.NL.sch"/>
   <include href="include/transmission-wrapper.NL.sch"/>
   <include href="include/controlAct-wrapper.NL.sch"/>
   <pattern is-a="transmission-wrapper" id="MCCI_IN000002-wrapper">
      <param name="element" value="hl7:MCCI_IN000002"/>
   </pattern>
   <pattern is-a="controlAct-wrapper" id="MCCI_IN000002-controlAct">
      <param name="element" value="hl7:MCCI_IN000002/hl7:ControlActProcess"/>
   </pattern>
   <pattern>
      <rule context="hl7:MCCI_IN000002/hl7:profileId">
         <extends rule="II"/>
         <assert role="error" test="@root='2.16.840.1.113883.2.4.3.11.1' and @extension='810'">In de transmission wrapper moet het element profileId worden gevuld met de waarde '810'</assert>
      </rule>
   </pattern>
   <!--Include datatype abstract schematrons-->
<pattern>
      <include href="include/DTr1_ANY.sch"/>
      <include href="include/DTr1_AD.sch"/>
      <include href="include/DTr1_BIN.sch"/>
      <include href="include/DTr1_BL.sch"/>
      <include href="include/DTr1_CD.sch"/>
      <include href="include/DTr1_CE.sch"/>
      <include href="include/DTr1_CO.sch"/>
      <include href="include/DTr1_CS.sch"/>
      <include href="include/DTr1_CS.LANG.sch"/>
      <include href="include/DTr1_CV.sch"/>
      <include href="include/DTr1_EIVL_TS.sch"/>
      <include href="include/DTr1_EN.sch"/>
      <include href="include/DTr1_II.sch"/>
      <include href="include/DTr1_INT.sch"/>
      <include href="include/DTr1_INT.NONNEG.sch"/>
      <include href="include/DTr1_INT.POS.sch"/>
      <include href="include/DTr1_IVL.sch"/>
      <include href="include/DTr1_IVL_PQ.sch"/>
      <include href="include/DTr1_IVL_TS.sch"/>
      <include href="include/DTr1_PIVL_TS.sch"/>
      <include href="include/DTr1_PN.sch"/>
      <include href="include/DTr1_PQ.sch"/>
      <include href="include/DTr1_QTY.sch"/>
      <include href="include/DTr1_SXCM.sch"/>
      <include href="include/DTr1_SXPR_TS.sch"/>
      <include href="include/DTr1_TS.sch"/>
      <include href="include/DTr1_TS.DATE.sch"/>
      <include href="include/DTr1_TS.DATE.FULL.sch"/>
      <include href="include/DTr1_TS.DATE.MIN.sch"/>
      <include href="include/DTr1_TS.DATETIME.MIN.sch"/>
      <include href="include/DTr1_SC.sch"/>
      <include href="include/DTr1_ST.sch"/>
      <include href="include/DTr1_ON.sch"/>
      <include href="include/DTr1_ED.sch"/>
      <include href="include/DTr1_TEL.sch"/>
      <include href="include/DTr1_TN.sch"/>
      <include href="include/DTr1_URL.sch"/>
      <include href="include/DTr1_RTO.sch"/>
      <include href="include/DTr1_AD.NL.sch"/>
      <include href="include/DTr1_II.NL.BSN.sch"/>
      <include href="include/DTr1_II.NL.URA.sch"/>
      <include href="include/DTr1_II.NL.UZI.sch"/>
      <include href="include/DTr1_II.NL.AGB.sch"/>
      <include href="include/DTr1_II.AT.DVR.sch"/>
      <include href="include/DTr1_II.AT.ATU.sch"/>
      <include href="include/DTr1_II.AT.BLZ.sch"/>
      <include href="include/DTr1_II.AT.KTONR.sch"/>
   </pattern>

   <!-- Include the project schematrons related to scenario SEH-acknowledgement -->



</schema>