<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.120
Description: COCT_RM900918NL: Gegevens over een zorgplan
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.120">
   <title>A_ZorgPlan [universal]</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]"
         id="tmp-fa4ece71-cc09-4832-aaa3-718ef562707f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:carePlan)&gt;=1 and not(hl7:carePlan/@nullFlavor)">(A_ZorgPlan-universal): element hl7:carePlan is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:carePlan)&lt;=1">(A_ZorgPlan-universal): element hl7:carePlan komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan"
         id="tmp-02125d64-d478-4711-9ff0-b3d4fb656f3f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="@classCode='PCPR' or not(@classCode)">(A_ZorgPlan-universal): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="@moodCode='INT' or not(@moodCode)">(A_ZorgPlan-universal): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(* except (hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']|hl7:id|hl7:code|hl7:effectiveTime|hl7:component|hl7:finalGoal|hl7:pertinentInformation|hl7:subject))=0">(A_ZorgPlan-universal): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']/@nullFlavor)">(A_ZorgPlan-universal): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120'])&lt;=1">(A_ZorgPlan-universal): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:id)&lt;=1">(A_ZorgPlan-universal): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_ZorgPlan-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:code)&lt;=1">(A_ZorgPlan-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:effectiveTime)&lt;=1">(A_ZorgPlan-universal): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:component)&lt;=1">(A_ZorgPlan-universal): element hl7:component komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:finalGoal)&lt;=1">(A_ZorgPlan-universal): element hl7:finalGoal komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:pertinentInformation)&lt;=1">(A_ZorgPlan-universal): element hl7:pertinentInformation komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:subject)&gt;=1 and not(hl7:subject/@nullFlavor)">(A_ZorgPlan-universal): element hl7:subject is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:subject)&lt;=1">(A_ZorgPlan-universal): element hl7:subject komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']"
         id="tmp-a6f94287-464f-49d3-b90e-3bf1ecb9b52d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(A_ZorgPlan-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="@root='2.16.840.1.113883.2.4.6.10.100.120'">(A_ZorgPlan-universal): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.120' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(A_ZorgPlan-universal): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:id
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:id"
         id="tmp-80e63d52-91ca-4d5e-a2f5-93e56e7b5261">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(A_ZorgPlan-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:code
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:code"
         id="tmp-39517686-3e9a-4feb-af3b-f1f25fac7665">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(A_ZorgPlan-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="@nullFlavor or (@code='G081' and @codeSystem='2.16.840.1.113883.2.4.4.40.393')">(A_ZorgPlan-universal): de waarde van @code/@codeSystem MOET ''G081' codeSystem '2.16.840.1.113883.2.4.4.40.393'' zijn.</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:effectiveTime
Item: (A_ZorgPlan-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan
Item: (Periode-O-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:effectiveTime
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:effectiveTime"
         id="tmp-f554983a-9d31-4034-85ec-7e516613d998">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(* except (hl7:low|hl7:high|hl7:width|hl7:center))=0">(Periode-O-Start-O-Eind-O): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:low)&lt;=1">(Periode-O-Start-O-Eind-O): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:high)&lt;=1">(Periode-O-Start-O-Eind-O): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:width)=0">(Periode-O-Start-O-Eind-O): element hl7:width MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:center)=0">(Periode-O-Start-O-Eind-O): element hl7:center MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:effectiveTime/hl7:low
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:effectiveTime/hl7:low"
         id="tmp-6f3a5770-1998-471d-a27e-6458fbcca45e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(Periode-O-Start-O-Eind-O): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:effectiveTime/hl7:high
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:effectiveTime/hl7:high"
         id="tmp-fbb52557-811e-403e-be52-9110f16d2f4d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(Periode-O-Start-O-Eind-O): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:effectiveTime/hl7:width
Item: (Periode-O-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:effectiveTime/hl7:center
Item: (Periode-O-Start-O-Eind-O)
-->
<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:component
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:component"
         id="tmp-842f3985-7f3f-4a40-8267-1ae1a2397fbf">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="@typeCode='COMP' or not(@typeCode)">(A_ZorgPlan-universal): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(* except (hl7:observationIntent))=0">(A_ZorgPlan-universal): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:observationIntent)&gt;=1 and not(hl7:observationIntent/@nullFlavor)">(A_ZorgPlan-universal): element hl7:observationIntent is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:observationIntent)&lt;=1">(A_ZorgPlan-universal): element hl7:observationIntent komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:component/hl7:observationIntent
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:component/hl7:observationIntent"
         id="tmp-326f13f9-51fe-41c8-aa02-5ffd60a089e7">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="@classCode='OBS' or not(@classCode)">(A_ZorgPlan-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="@moodCode='INT' or not(@moodCode)">(A_ZorgPlan-universal): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(* except (hl7:code|hl7:value))=0">(A_ZorgPlan-universal): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_ZorgPlan-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:code)&lt;=1">(A_ZorgPlan-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(A_ZorgPlan-universal): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:value)&lt;=1">(A_ZorgPlan-universal): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:component/hl7:observationIntent/hl7:code
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:component/hl7:observationIntent/hl7:code"
         id="tmp-575f2c64-038a-41d0-aa40-cf233bb7cec3">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(A_ZorgPlan-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="@nullFlavor or (@code='1155' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_ZorgPlan-universal): de waarde van @code/@codeSystem MOET ''1155' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:component/hl7:observationIntent/hl7:value
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:component/hl7:observationIntent/hl7:value"
         id="tmp-6381892c-708b-483f-9575-15188d418ae0">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(A_ZorgPlan-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="(@nullFlavor or (string-length(string($theValue))&gt;=1))">(A_ZorgPlan-universal): value MOET een stringlengte in bereik [1..*] hebben </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:finalGoal
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:finalGoal"
         id="tmp-b41cfd2c-9535-44c3-9433-8c81b52fa2a7">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="@typeCode='OBJF' or not(@typeCode)">(A_ZorgPlan-universal): de waarde van @typeCode MOET 'OBJF' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(* except (hl7:observationGoal))=0">(A_ZorgPlan-universal): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:observationGoal)&gt;=1 and not(hl7:observationGoal/@nullFlavor)">(A_ZorgPlan-universal): element hl7:observationGoal is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:observationGoal)&lt;=1">(A_ZorgPlan-universal): element hl7:observationGoal komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:finalGoal/hl7:observationGoal
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:finalGoal/hl7:observationGoal"
         id="tmp-451526d9-c3ed-4efb-ada7-433b2c58f678">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="@classCode='OBS' or not(@classCode)">(A_ZorgPlan-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="@moodCode='GOL' or not(@moodCode)">(A_ZorgPlan-universal): de waarde van @moodCode MOET 'GOL' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(* except (hl7:code|hl7:value))=0">(A_ZorgPlan-universal): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_ZorgPlan-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:code)&lt;=1">(A_ZorgPlan-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(A_ZorgPlan-universal): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:value)&lt;=1">(A_ZorgPlan-universal): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:finalGoal/hl7:observationGoal/hl7:code
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:finalGoal/hl7:observationGoal/hl7:code"
         id="tmp-c0e24dbf-3412-469f-8555-5578054001cc">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(A_ZorgPlan-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="@nullFlavor or (@code='1154' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_ZorgPlan-universal): de waarde van @code/@codeSystem MOET ''1154' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:finalGoal/hl7:observationGoal/hl7:value
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:finalGoal/hl7:observationGoal/hl7:value"
         id="tmp-7e8528dd-b28b-4106-b742-1fcbfd5b662e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(A_ZorgPlan-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="(@nullFlavor or (string-length(string($theValue))&gt;=1))">(A_ZorgPlan-universal): value MOET een stringlengte in bereik [1..*] hebben </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:pertinentInformation
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:pertinentInformation"
         id="tmp-81407461-e9e4-499f-8a75-a7fed46ffb6d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="@typeCode='PERT' or not(@typeCode)">(A_ZorgPlan-universal): de waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(* except (hl7:evaluationEvent))=0">(A_ZorgPlan-universal): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:evaluationEvent)&gt;=1 and not(hl7:evaluationEvent/@nullFlavor)">(A_ZorgPlan-universal): element hl7:evaluationEvent is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:evaluationEvent)&lt;=1">(A_ZorgPlan-universal): element hl7:evaluationEvent komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:pertinentInformation/hl7:evaluationEvent
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:pertinentInformation/hl7:evaluationEvent"
         id="tmp-e530e57a-c846-4458-bd2a-a14675b94724">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="@classCode='OBS' or not(@classCode)">(A_ZorgPlan-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_ZorgPlan-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(* except (hl7:code|hl7:value))=0">(A_ZorgPlan-universal): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_ZorgPlan-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:code)&lt;=1">(A_ZorgPlan-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(A_ZorgPlan-universal): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:value)&lt;=1">(A_ZorgPlan-universal): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:pertinentInformation/hl7:evaluationEvent/hl7:code
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:pertinentInformation/hl7:evaluationEvent/hl7:code"
         id="tmp-c8754ba6-895c-46fa-a935-934452a9c8c4">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(A_ZorgPlan-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="@nullFlavor or (@code='1156' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_ZorgPlan-universal): de waarde van @code/@codeSystem MOET ''1156' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:pertinentInformation/hl7:evaluationEvent/hl7:value
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:pertinentInformation/hl7:evaluationEvent/hl7:value"
         id="tmp-920699e8-739c-4de1-82f1-de091787f81c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(A_ZorgPlan-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="(@nullFlavor or (string-length(string($theValue))&gt;=1))">(A_ZorgPlan-universal): value MOET een stringlengte in bereik [1..*] hebben </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:subject
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:subject"
         id="tmp-471aa156-a824-4d7c-ba6f-cb5d1c67c884">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(A_ZorgPlan-universal): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="@contextControlCode='AN' or not(@contextControlCode)">(A_ZorgPlan-universal): de waarde van @contextControlCode MOET 'AN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="@contextConductionInd='true' or not(@contextConductionInd)">(A_ZorgPlan-universal): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="@conjunctionCode='AND' or not(@conjunctionCode)">(A_ZorgPlan-universal): de waarde van @conjunctionCode MOET 'AND' zijn.</assert>
      <let name="theAttValue" value="@conjunctionCode"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(* except (hl7:problem))=0">(A_ZorgPlan-universal): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:problem)&gt;=1 and not(hl7:problem/@nullFlavor)">(A_ZorgPlan-universal): element hl7:problem is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:problem)&lt;=1">(A_ZorgPlan-universal): element hl7:problem komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:subject/hl7:problem
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:subject/hl7:problem"
         id="tmp-db95a3f0-0fcf-4b8a-a61b-eb953576108e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="@classCode='OBS' or not(@classCode)">(A_ZorgPlan-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_ZorgPlan-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(* except (hl7:code|hl7:text|hl7:reasonOf|hl7:subjectOf))=0">(A_ZorgPlan-universal): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_ZorgPlan-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:code)&lt;=1">(A_ZorgPlan-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(A_ZorgPlan-universal): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:text)&lt;=1">(A_ZorgPlan-universal): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:reasonOf)&lt;=1">(A_ZorgPlan-universal): element hl7:reasonOf komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:subjectOf)&lt;=1">(A_ZorgPlan-universal): element hl7:subjectOf komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:subject/hl7:problem/hl7:code
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:subject/hl7:problem/hl7:code"
         id="tmp-b41f4d50-5b0a-4836-a9be-08edc51851a2">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(A_ZorgPlan-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="@nullFlavor or (@code='1151' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_ZorgPlan-universal): de waarde van @code/@codeSystem MOET ''1151' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:subject/hl7:problem/hl7:text
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:subject/hl7:problem/hl7:text"
         id="tmp-0cbe9ab8-7412-40af-9722-1cb798507896">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(A_ZorgPlan-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:subject/hl7:problem/hl7:reasonOf
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:subject/hl7:problem/hl7:reasonOf"
         id="tmp-5587227e-6881-4e2a-9cbf-d18db6a7e75d">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(* except (hl7:condition))=0">(A_ZorgPlan-universal): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:condition)&gt;=1 and not(hl7:condition/@nullFlavor)">(A_ZorgPlan-universal): element hl7:condition is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:condition)&lt;=1">(A_ZorgPlan-universal): element hl7:condition komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:subject/hl7:problem/hl7:reasonOf/hl7:condition
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:subject/hl7:problem/hl7:reasonOf/hl7:condition"
         id="tmp-4fb06256-23bf-41ed-9647-6fe834928cfb">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="@classCode='OBS' or not(@classCode)">(A_ZorgPlan-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_ZorgPlan-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(* except (hl7:code|hl7:text))=0">(A_ZorgPlan-universal): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_ZorgPlan-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:code)&lt;=1">(A_ZorgPlan-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(A_ZorgPlan-universal): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:text)&lt;=1">(A_ZorgPlan-universal): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:subject/hl7:problem/hl7:reasonOf/hl7:condition/hl7:code
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:subject/hl7:problem/hl7:reasonOf/hl7:condition/hl7:code"
         id="tmp-5ed16d76-d62e-4c2a-acbd-9989819e7572">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(A_ZorgPlan-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="@nullFlavor or (@code='1152' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_ZorgPlan-universal): de waarde van @code/@codeSystem MOET ''1152' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:subject/hl7:problem/hl7:reasonOf/hl7:condition/hl7:text
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:subject/hl7:problem/hl7:reasonOf/hl7:condition/hl7:text"
         id="tmp-8a5e79b4-2783-4c67-9222-b0abe35f9505">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(A_ZorgPlan-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:subject/hl7:problem/hl7:subjectOf
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:subject/hl7:problem/hl7:subjectOf"
         id="tmp-63f40e04-f857-4010-acf0-cc3264fd9fe2">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(A_ZorgPlan-universal): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(* except (hl7:symptom))=0">(A_ZorgPlan-universal): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:symptom)&gt;=1 and not(hl7:symptom/@nullFlavor)">(A_ZorgPlan-universal): element hl7:symptom is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:symptom)&lt;=1">(A_ZorgPlan-universal): element hl7:symptom komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:subject/hl7:problem/hl7:subjectOf/hl7:symptom
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:subject/hl7:problem/hl7:subjectOf/hl7:symptom"
         id="tmp-b9ecde66-4a92-46e3-b82f-399243c2a00d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="@classCode='OBS' or not(@classCode)">(A_ZorgPlan-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_ZorgPlan-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(* except (hl7:code|hl7:text))=0">(A_ZorgPlan-universal): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_ZorgPlan-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:code)&lt;=1">(A_ZorgPlan-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(A_ZorgPlan-universal): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="count(hl7:text)&lt;=1">(A_ZorgPlan-universal): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:subject/hl7:problem/hl7:subjectOf/hl7:symptom/hl7:code
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:subject/hl7:problem/hl7:subjectOf/hl7:symptom/hl7:code"
         id="tmp-9ef5dbe7-929c-4431-932a-2cc503352265">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(A_ZorgPlan-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="@nullFlavor or (@code='1153' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_ZorgPlan-universal): de waarde van @code/@codeSystem MOET ''1153' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.120
Context: *[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:subject/hl7:problem/hl7:subjectOf/hl7:symptom/hl7:text
Item: (A_ZorgPlan-universal)
-->

<rule context="*[hl7:carePlan[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.120']]/hl7:carePlan/hl7:subject/hl7:problem/hl7:subjectOf/hl7:symptom/hl7:text"
         id="tmp-51861edb-c77d-4a0c-91da-7b3dab1cd553">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.120.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(A_ZorgPlan-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>
