<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.121
Description: COCT_RM900914NL: Zwangerschaps- en bevallingsgegevens
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.121">
   <title>A_Zwangerschap [universal]</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]"
         id="tmp-7f761885-5011-4cd0-82d6-cda492e10dae">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:pregnancyCondition)&gt;=1 and not(hl7:pregnancyCondition/@nullFlavor)">(A_Zwangerschap-universal): element hl7:pregnancyCondition is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:pregnancyCondition)&lt;=1">(A_Zwangerschap-universal): element hl7:pregnancyCondition komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition"
         id="tmp-5b501ca5-01e5-4d39-bf17-678500bb7b37">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@classCode='COND' or not(@classCode)">(A_Zwangerschap-universal): de waarde van @classCode MOET 'COND' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_Zwangerschap-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(* except (hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.121']|hl7:code|hl7:subject|hl7:component1|hl7:component2|hl7:outcome|hl7:sequelTo))=0">(A_Zwangerschap-universal): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.121'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.121']/@nullFlavor)">(A_Zwangerschap-universal): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.121'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.121'])&lt;=1">(A_Zwangerschap-universal): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.121'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_Zwangerschap-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:code)&lt;=1">(A_Zwangerschap-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:subject)&gt;=1 and not(hl7:subject/@nullFlavor)">(A_Zwangerschap-universal): element hl7:subject is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:subject)&lt;=1">(A_Zwangerschap-universal): element hl7:subject komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:outcome)&lt;=1">(A_Zwangerschap-universal): element hl7:outcome komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:sequelTo)=0">(A_Zwangerschap-universal): element hl7:sequelTo MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.121']
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.121']"
         id="tmp-ede2d043-a666-434d-b927-f4d851e2c2cd">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(A_Zwangerschap-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@root='2.16.840.1.113883.2.4.6.10.100.121'">(A_Zwangerschap-universal): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.121' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(A_Zwangerschap-universal): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:code
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:code"
         id="tmp-af17202a-5750-4567-bcab-7f3c74eb089b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(A_Zwangerschap-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@nullFlavor or (@code='R014' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')">(A_Zwangerschap-universal): de waarde van @code/@codeSystem MOET ''R014' codeSystem '2.16.840.1.113883.2.4.4.40.391'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:subject
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:subject"
         id="tmp-108559ba-c340-4d84-8576-719cfbe36403">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@typeCode='SBJ' or not(@typeCode)">(A_Zwangerschap-universal): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(* except (hl7:patient|hl7:personalRelationship))=0">(A_Zwangerschap-universal): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <let name="elmcount"
           value="count(hl7:patient|hl7:personalRelationship[hl7:code[@code='NMTH' and @codeSystem='2.16.840.1.113883.5.111']])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="$elmcount&gt;=1">(A_Zwangerschap-universal): keuze (hl7:patient of hl7:personalRelationship[hl7:code[@code='NMTH' and @codeSystem='2.16.840.1.113883.5.111']]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="$elmcount&lt;=1">(A_Zwangerschap-universal): keuze (hl7:patient of hl7:personalRelationship[hl7:code[@code='NMTH' and @codeSystem='2.16.840.1.113883.5.111']]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:subject
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:subject"
         id="tmp-ee5b25f9-4c91-4e77-922e-35d30cde21aa">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:patient)=0">(A_Zwangerschap-universal): element hl7:patient MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:subject/hl7:patient
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:subject/hl7:patient"
         id="tmp-56578880-307c-47ed-98f8-13b161a66c91">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@classCode='PAT' or not(@classCode)">(A_Zwangerschap-universal): de waarde van @classCode MOET 'PAT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:subject/hl7:personalRelationship
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:subject/hl7:personalRelationship"
         id="tmp-4152e9b0-c22c-4ed1-8d8e-32ecea880937">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@classCode='PRS' or not(@classCode)">(A_Zwangerschap-universal): de waarde van @classCode MOET 'PRS' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(* except (hl7:code|hl7:relationshipHolder))=0">(A_Zwangerschap-universal): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:code)&gt;=1 ">(A_Zwangerschap-universal): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:code)&lt;=1">(A_Zwangerschap-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:relationshipHolder)&gt;=1 ">(A_Zwangerschap-universal): element hl7:relationshipHolder is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:relationshipHolder)&lt;=1">(A_Zwangerschap-universal): element hl7:relationshipHolder komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:subject/hl7:personalRelationship/hl7:code
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:subject/hl7:personalRelationship/hl7:code"
         id="tmp-8eccfd42-9375-4e7a-b50d-89af663cfe64">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(A_Zwangerschap-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@nullFlavor or (@code='NMTH' and @codeSystem='2.16.840.1.113883.5.111')">(A_Zwangerschap-universal): de waarde van @code/@codeSystem MOET ''NMTH' codeSystem '2.16.840.1.113883.5.111'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:subject/hl7:personalRelationship/hl7:relationshipHolder
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:subject/hl7:personalRelationship/hl7:relationshipHolder"
         id="tmp-7f78ff20-10bc-4b27-8723-2ee76f501b85">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(A_Zwangerschap-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@nullFlavor='NI'">(A_Zwangerschap-universal): de waarde van @nullFlavor MOET 'NI' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@xsi:nil='true'">(A_Zwangerschap-universal): 
                                    <name/>/@xsi:nil MOET 'true' bevatten.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1"
         id="tmp-05049a31-8dc4-4320-8b0e-59af3dcf6cdd">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@typeCode='COMP' or not(@typeCode)">(A_Zwangerschap-universal): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(* except (hl7:pregnancyObservations[hl7:code[@code='82' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]|hl7:pregnancyObservations[hl7:code[(@code='91' or @code='92') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]|hl7:pregnancyObservations[hl7:code[@code='93' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]|hl7:pregnancyObservations[hl7:code[(@code='619') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]|hl7:pregnancyObservations[hl7:code[(@code='740' or @code='741') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]))=0">(A_Zwangerschap-universal): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <let name="elmcount"
           value="count(hl7:pregnancyObservations[hl7:code[@code='82' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]|hl7:pregnancyObservations[hl7:code[(@code='91' or @code='92') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]|hl7:pregnancyObservations[hl7:code[@code='93' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]|hl7:pregnancyObservations[hl7:code[(@code='619') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]|hl7:pregnancyObservations[hl7:code[(@code='740' or @code='741') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="$elmcount&gt;=1">(A_Zwangerschap-universal): keuze (hl7:pregnancyObservations[hl7:code[@code='82' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:pregnancyObservations[hl7:code[(@code='91' or @code='92') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:pregnancyObservations[hl7:code[@code='93' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:pregnancyObservations[hl7:code[(@code='619') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:pregnancyObservations[hl7:code[(@code='740' or @code='741') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="$elmcount&lt;=1">(A_Zwangerschap-universal): keuze (hl7:pregnancyObservations[hl7:code[@code='82' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:pregnancyObservations[hl7:code[(@code='91' or @code='92') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:pregnancyObservations[hl7:code[@code='93' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:pregnancyObservations[hl7:code[(@code='619') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:pregnancyObservations[hl7:code[(@code='740' or @code='741') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1
Item: (A_Zwangerschap-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[@code='82' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[@code='82' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]"
         id="tmp-60f7d482-2c1c-4d32-8ac8-d175d9997b3a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@classCode='OBS' or not(@classCode)">(A_Zwangerschap-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_Zwangerschap-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(* except (hl7:code|hl7:value|hl7:component))=0">(A_Zwangerschap-universal): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_Zwangerschap-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:code)&lt;=1">(A_Zwangerschap-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(A_Zwangerschap-universal): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:value)&lt;=1">(A_Zwangerschap-universal): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:component)=0">(A_Zwangerschap-universal): element hl7:component MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[@code='82' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[@code='82' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code"
         id="tmp-44668a07-6579-4450-b9f9-886c9361623d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(A_Zwangerschap-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@nullFlavor or (@code='82' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_Zwangerschap-universal): de waarde van @code/@codeSystem MOET ''82' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[@code='82' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[@code='82' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value"
         id="tmp-1a6bc918-5502-4db7-8bf2-01a299e97c7e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@nullFlavor or @xsi:type='PQ' or not(@xsi:type)">(A_Zwangerschap-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PQ" bevatten</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="(@nullFlavor or (@unit='d'))">(A_Zwangerschap-universal): value MOET eenheid 'd' gebruiken </assert>
      <let name="digitok"
           value="matches($theValue, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="$digitok">(A_Zwangerschap-universal): @value is geen geldig PQ getal <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-ucum.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(A_Zwangerschap-universal): value/@unit (PQ) MOET een geldige UCUM-eenheid zijn (<value-of select="$UCUMtest"/>).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[@code='82' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:component
Item: (A_Zwangerschap-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[(@code='91' or @code='92') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[(@code='91' or @code='92') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]"
         id="tmp-180b13c7-b3b8-4c96-b77d-165097497b9b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@classCode='OBS' or not(@classCode)">(A_Zwangerschap-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_Zwangerschap-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(* except (hl7:code|hl7:value|hl7:component))=0">(A_Zwangerschap-universal): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_Zwangerschap-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:code)&lt;=1">(A_Zwangerschap-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(A_Zwangerschap-universal): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:value)&lt;=1">(A_Zwangerschap-universal): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:component)=0">(A_Zwangerschap-universal): element hl7:component MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[(@code='91' or @code='92') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[(@code='91' or @code='92') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code"
         id="tmp-cd0ad5c5-92d9-48f4-b543-ef46faaa6201">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(A_Zwangerschap-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@nullFlavor or (@code='91' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='92' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_Zwangerschap-universal): de waarde van @code MOET één van de volgende codes bevatten: '91' codeSystem '2.16.840.1.113883.2.4.4.40.267' of '92' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[(@code='91' or @code='92') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[(@code='91' or @code='92') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value"
         id="tmp-6f824b7e-e13b-4fe5-a766-659a8707a5af">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@nullFlavor or @xsi:type='BL' or not(@xsi:type)">(A_Zwangerschap-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[(@code='91' or @code='92') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:component
Item: (A_Zwangerschap-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[@code='93' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[@code='93' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]"
         id="tmp-1aac3f2d-0c63-473c-ad63-b632ecf94584">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@classCode='OBS' or not(@classCode)">(A_Zwangerschap-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_Zwangerschap-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(* except (hl7:code|hl7:value|hl7:component))=0">(A_Zwangerschap-universal): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_Zwangerschap-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:code)&lt;=1">(A_Zwangerschap-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(A_Zwangerschap-universal): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:value)&lt;=1">(A_Zwangerschap-universal): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[@code='93' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[@code='93' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code"
         id="tmp-e912fe27-a4f6-4297-b0d4-4987eccae9e7">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(A_Zwangerschap-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@nullFlavor or (@code='93' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_Zwangerschap-universal): de waarde van @code/@codeSystem MOET ''93' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[@code='93' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[@code='93' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value"
         id="tmp-114f4f0e-fd7e-4d8d-97b5-3b3a448fa328">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@nullFlavor or @xsi:type='BL' or not(@xsi:type)">(A_Zwangerschap-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[@code='93' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:component
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[@code='93' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:component"
         id="tmp-7b9ecdc0-ea1d-4dd6-98bd-be8d1a188312">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@typeCode='COMP' or not(@typeCode)">(A_Zwangerschap-universal): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(* except (hl7:detailPregnancyObservation))=0">(A_Zwangerschap-universal): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:detailPregnancyObservation)&gt;=1 and not(hl7:detailPregnancyObservation/@nullFlavor)">(A_Zwangerschap-universal): element hl7:detailPregnancyObservation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:detailPregnancyObservation)&lt;=1">(A_Zwangerschap-universal): element hl7:detailPregnancyObservation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[@code='93' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:component/hl7:detailPregnancyObservation
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[@code='93' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:component/hl7:detailPregnancyObservation"
         id="tmp-7ba8d23e-5c29-460b-816e-581d36ae41b8">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@classCode='OBS' or not(@classCode)">(A_Zwangerschap-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_Zwangerschap-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(* except (hl7:code|hl7:value))=0">(A_Zwangerschap-universal): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_Zwangerschap-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:code)&lt;=1">(A_Zwangerschap-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(A_Zwangerschap-universal): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:value)&lt;=1">(A_Zwangerschap-universal): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[@code='93' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:component/hl7:detailPregnancyObservation/hl7:code
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[@code='93' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:component/hl7:detailPregnancyObservation/hl7:code"
         id="tmp-ce50dc8c-5beb-41d6-8539-d89b1e6d9bc1">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(A_Zwangerschap-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@nullFlavor or (@code='745' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_Zwangerschap-universal): de waarde van @code/@codeSystem MOET ''745' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[@code='93' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:component/hl7:detailPregnancyObservation/hl7:value
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[@code='93' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:component/hl7:detailPregnancyObservation/hl7:value"
         id="tmp-66530901-2413-4e45-b776-4514b24593bd">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(A_Zwangerschap-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0147_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0147_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(A_Zwangerschap-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0147_HL7 W0147 Type drugs (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(A_Zwangerschap-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0147_HL7 W0147 Type drugs (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[(@code='619') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[(@code='619') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]"
         id="tmp-2904d264-eaec-44d2-9b5c-54810d166a2d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@classCode='OBS' or not(@classCode)">(A_Zwangerschap-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_Zwangerschap-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(* except (hl7:code|hl7:value|hl7:component))=0">(A_Zwangerschap-universal): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_Zwangerschap-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:code)&lt;=1">(A_Zwangerschap-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(A_Zwangerschap-universal): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:value)&lt;=1">(A_Zwangerschap-universal): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:component)=0">(A_Zwangerschap-universal): element hl7:component MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[(@code='619') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[(@code='619') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code"
         id="tmp-4d25061e-3c7d-454a-a540-981eb695abe1">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(A_Zwangerschap-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@nullFlavor or (@code='619' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_Zwangerschap-universal): de waarde van @code/@codeSystem MOET ''619' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[(@code='619') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[(@code='619') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value"
         id="tmp-11be0994-bc5c-46ef-9af1-e22d568fbd87">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(A_Zwangerschap-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="(@nullFlavor or (number($theValue)&gt;=1))">(A_Zwangerschap-universal): value MOET in bereik [1..] liggen  </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[(@code='619') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:component
Item: (A_Zwangerschap-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[(@code='740' or @code='741') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[(@code='740' or @code='741') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]"
         id="tmp-3a1d343d-b896-4a82-9f47-1c1b24f9f1a8">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@classCode='OBS' or not(@classCode)">(A_Zwangerschap-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_Zwangerschap-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(* except (hl7:code|hl7:value|hl7:component))=0">(A_Zwangerschap-universal): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_Zwangerschap-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:code)&lt;=1">(A_Zwangerschap-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(A_Zwangerschap-universal): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:value)&lt;=1">(A_Zwangerschap-universal): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:component)=0">(A_Zwangerschap-universal): element hl7:component MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[(@code='740' or @code='741') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[(@code='740' or @code='741') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code"
         id="tmp-e575f091-2169-404e-81e3-2374918bfef7">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(A_Zwangerschap-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@nullFlavor or (@code='740' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='741' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_Zwangerschap-universal): de waarde van @code MOET één van de volgende codes bevatten: '740' codeSystem '2.16.840.1.113883.2.4.4.40.267' of '741' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[(@code='740' or @code='741') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[(@code='740' or @code='741') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value"
         id="tmp-26726211-3350-402b-b947-7f6d0557cfba">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@nullFlavor or @xsi:type='INT' or not(@xsi:type)">(A_Zwangerschap-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT" bevatten</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="(@nullFlavor or (number($theValue)&gt;=1))">(A_Zwangerschap-universal): value MOET in bereik [1..] liggen  </assert>
      <let name="digitok" value="matches($theValue, '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="$digitok">(A_Zwangerschap-universal): @value is geen geldig INT getal <value-of select="$theValue"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component1/hl7:pregnancyObservations[hl7:code[(@code='740' or @code='741') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:component
Item: (A_Zwangerschap-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component2
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component2"
         id="tmp-1aaae967-d15f-4563-b4fe-6a1774e9575f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@typeCode='COMP' or not(@typeCode)">(A_Zwangerschap-universal): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(* except (hl7:substanceAdministrationEvent))=0">(A_Zwangerschap-universal): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:substanceAdministrationEvent)&gt;=1 and not(hl7:substanceAdministrationEvent/@nullFlavor)">(A_Zwangerschap-universal): element hl7:substanceAdministrationEvent is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:substanceAdministrationEvent)&lt;=1">(A_Zwangerschap-universal): element hl7:substanceAdministrationEvent komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component2/hl7:substanceAdministrationEvent
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component2/hl7:substanceAdministrationEvent"
         id="tmp-64109585-688f-4024-b2b5-52959f34ed6b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@classCode='SBADM' or not(@classCode)">(A_Zwangerschap-universal): de waarde van @classCode MOET 'SBADM' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_Zwangerschap-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(* except (hl7:consumable))=0">(A_Zwangerschap-universal): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:consumable)&gt;=1 and not(hl7:consumable/@nullFlavor)">(A_Zwangerschap-universal): element hl7:consumable is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:consumable)&lt;=1">(A_Zwangerschap-universal): element hl7:consumable komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component2/hl7:substanceAdministrationEvent/hl7:consumable
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component2/hl7:substanceAdministrationEvent/hl7:consumable"
         id="tmp-fd11272a-06bc-4401-8727-dede70613a50">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@typeCode='CSM' or not(@typeCode)">(A_Zwangerschap-universal): de waarde van @typeCode MOET 'CSM' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(* except (hl7:medication))=0">(A_Zwangerschap-universal): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:medication)&gt;=1 and not(hl7:medication/@nullFlavor)">(A_Zwangerschap-universal): element hl7:medication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:medication)&lt;=1">(A_Zwangerschap-universal): element hl7:medication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component2/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component2/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication"
         id="tmp-81446dc7-08af-40f1-a3d8-8e61287457ae">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@classCode='ADMM' or not(@classCode)">(A_Zwangerschap-universal): de waarde van @classCode MOET 'ADMM' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(* except (hl7:administrableMedicine))=0">(A_Zwangerschap-universal): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:administrableMedicine)&gt;=1 and not(hl7:administrableMedicine/@nullFlavor)">(A_Zwangerschap-universal): element hl7:administrableMedicine is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:administrableMedicine)&lt;=1">(A_Zwangerschap-universal): element hl7:administrableMedicine komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component2/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication/hl7:administrableMedicine
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component2/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication/hl7:administrableMedicine"
         id="tmp-cd65179f-906a-4fcf-bdb8-939cf09fd22c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@classCode='MMAT' or not(@classCode)">(A_Zwangerschap-universal): de waarde van @classCode MOET 'MMAT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@determinerCode='KIND' or not(@determinerCode)">(A_Zwangerschap-universal): de waarde van @determinerCode MOET 'KIND' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(* except (hl7:code))=0">(A_Zwangerschap-universal): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:code)&gt;=1 ">(A_Zwangerschap-universal): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:code)&lt;=1">(A_Zwangerschap-universal): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component2/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication/hl7:administrableMedicine/hl7:code
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:component2/hl7:substanceAdministrationEvent/hl7:consumable/hl7:medication/hl7:administrableMedicine/hl7:code"
         id="tmp-8f897e9c-a1e3-449f-9533-e88bd961a98c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(A_Zwangerschap-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0134_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0134_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(A_Zwangerschap-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0134_HL7 W0134 Medicijnen soort (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(A_Zwangerschap-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0134_HL7 W0134 Medicijnen soort (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome"
         id="tmp-af7fb4f7-492f-4970-b6f8-9acc88e03f0b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@typeCode='OUTC' or not(@typeCode)">(A_Zwangerschap-universal): de waarde van @typeCode MOET 'OUTC' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(* except (hl7:delivery))=0">(A_Zwangerschap-universal): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:delivery)&gt;=1 and not(hl7:delivery/@nullFlavor)">(A_Zwangerschap-universal): element hl7:delivery is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:delivery)&lt;=1">(A_Zwangerschap-universal): element hl7:delivery komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery"
         id="tmp-d4a3a748-8f12-4496-a55e-fb94995cfc8c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@classCode='PROC' or not(@classCode)">(A_Zwangerschap-universal): de waarde van @classCode MOET 'PROC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_Zwangerschap-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(* except (hl7:code|hl7:component))=0">(A_Zwangerschap-universal): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_Zwangerschap-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:code)&lt;=1">(A_Zwangerschap-universal): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:code
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:code"
         id="tmp-4125bcf2-603f-4cc0-89c3-7ac768242c54">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(A_Zwangerschap-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@nullFlavor or (@code='R015' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')">(A_Zwangerschap-universal): de waarde van @code/@codeSystem MOET ''R015' codeSystem '2.16.840.1.113883.2.4.4.40.391'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component"
         id="tmp-41a2bbf2-dec1-4f26-8ee2-8bc5f94f3fe8">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@typeCode='COMP' or not(@typeCode)">(A_Zwangerschap-universal): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(* except (hl7:deliveryObservation[hl7:code[@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]|hl7:deliveryObservation[hl7:code[@code='98' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]|hl7:deliveryObservation[hl7:code[@code='100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]|hl7:deliveryObservation[hl7:code[@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1']]|hl7:deliveryObservation[hl7:code[(@code='105' or @code='1323') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]|hl7:deliveryObservation[hl7:code[(@code='106' or @code='107') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]))=0">(A_Zwangerschap-universal): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <let name="elmcount"
           value="count(hl7:deliveryObservation[hl7:code[@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]|hl7:deliveryObservation[hl7:code[@code='98' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]|hl7:deliveryObservation[hl7:code[@code='100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]|hl7:deliveryObservation[hl7:code[@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1']]|hl7:deliveryObservation[hl7:code[(@code='105' or @code='1323') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]|hl7:deliveryObservation[hl7:code[(@code='106' or @code='107') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="$elmcount&gt;=1">(A_Zwangerschap-universal): keuze (hl7:deliveryObservation[hl7:code[@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:deliveryObservation[hl7:code[@code='98' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:deliveryObservation[hl7:code[@code='100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:deliveryObservation[hl7:code[@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1']] of hl7:deliveryObservation[hl7:code[(@code='105' or @code='1323') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:deliveryObservation[hl7:code[(@code='106' or @code='107') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="$elmcount&lt;=1">(A_Zwangerschap-universal): keuze (hl7:deliveryObservation[hl7:code[@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:deliveryObservation[hl7:code[@code='98' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:deliveryObservation[hl7:code[@code='100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:deliveryObservation[hl7:code[@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1']] of hl7:deliveryObservation[hl7:code[(@code='105' or @code='1323') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:deliveryObservation[hl7:code[(@code='106' or @code='107') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component
Item: (A_Zwangerschap-universal)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]"
         id="tmp-1d559c81-de9e-4fe6-b312-b1b967ee2a82">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@classCode='OBS' or not(@classCode)">(A_Zwangerschap-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_Zwangerschap-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(* except (hl7:code|hl7:value))=0">(A_Zwangerschap-universal): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_Zwangerschap-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:code)&lt;=1">(A_Zwangerschap-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(A_Zwangerschap-universal): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:value)&lt;=1">(A_Zwangerschap-universal): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code"
         id="tmp-5cb6ce4d-33e6-4d5c-b01f-5ff1655bac96">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(A_Zwangerschap-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@nullFlavor or (@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_Zwangerschap-universal): de waarde van @code/@codeSystem MOET ''97' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[@code='97' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value"
         id="tmp-85d261c3-59a4-477e-b203-0c9989246794">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@nullFlavor or @xsi:type='PQ' or not(@xsi:type)">(A_Zwangerschap-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PQ" bevatten</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="(@nullFlavor or (@unit='min'))">(A_Zwangerschap-universal): value MOET eenheid 'min' gebruiken </assert>
      <let name="digitok"
           value="matches($theValue, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="$digitok">(A_Zwangerschap-universal): @value is geen geldig PQ getal <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-ucum.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(A_Zwangerschap-universal): value/@unit (PQ) MOET een geldige UCUM-eenheid zijn (<value-of select="$UCUMtest"/>).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[@code='98' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[@code='98' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]"
         id="tmp-e042f05f-df06-4ad1-9049-c027ca477200">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@classCode='OBS' or not(@classCode)">(A_Zwangerschap-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_Zwangerschap-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(* except (hl7:code|hl7:value))=0">(A_Zwangerschap-universal): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_Zwangerschap-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:code)&lt;=1">(A_Zwangerschap-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(A_Zwangerschap-universal): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:value)&lt;=1">(A_Zwangerschap-universal): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[@code='98' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[@code='98' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code"
         id="tmp-30cd2306-079c-4f1f-a51d-07fe6f96a465">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(A_Zwangerschap-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@nullFlavor or (@code='98' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_Zwangerschap-universal): de waarde van @code/@codeSystem MOET ''98' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[@code='98' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[@code='98' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value"
         id="tmp-a8730e4f-6f08-433f-a78e-63ed8118c68e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@nullFlavor or @xsi:type='PQ' or not(@xsi:type)">(A_Zwangerschap-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PQ" bevatten</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="(@nullFlavor or (@unit='min'))">(A_Zwangerschap-universal): value MOET eenheid 'min' gebruiken </assert>
      <let name="digitok"
           value="matches($theValue, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="$digitok">(A_Zwangerschap-universal): @value is geen geldig PQ getal <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-ucum.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(A_Zwangerschap-universal): value/@unit (PQ) MOET een geldige UCUM-eenheid zijn (<value-of select="$UCUMtest"/>).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[@code='100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[@code='100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]"
         id="tmp-1f04c0a8-e58a-4f23-94ae-da526c7312c1">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@classCode='OBS' or not(@classCode)">(A_Zwangerschap-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_Zwangerschap-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(* except (hl7:code|hl7:value))=0">(A_Zwangerschap-universal): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_Zwangerschap-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:code)&lt;=1">(A_Zwangerschap-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:value)&gt;=1 ">(A_Zwangerschap-universal): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:value)&lt;=1">(A_Zwangerschap-universal): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[@code='100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[@code='100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code"
         id="tmp-ccf090ce-ac71-4e64-a332-c1a986697691">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(A_Zwangerschap-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@nullFlavor or (@code='100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_Zwangerschap-universal): de waarde van @code/@codeSystem MOET ''100' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[@code='100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[@code='100' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value"
         id="tmp-40d4890f-a3d5-4234-8d39-b3a0587200f5">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(A_Zwangerschap-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0153_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0153_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(A_Zwangerschap-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0153_HL7 W0153 Ligging bij geboorte (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(A_Zwangerschap-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0153_HL7 W0153 Ligging bij geboorte (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1']]
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1']]"
         id="tmp-c736b86f-1480-4915-a63b-84ef2e78e07a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@classCode='OBS' or not(@classCode)">(A_Zwangerschap-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_Zwangerschap-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(* except (hl7:code|hl7:value))=0">(A_Zwangerschap-universal): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_Zwangerschap-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:code)&lt;=1">(A_Zwangerschap-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:value)&gt;=1 ">(A_Zwangerschap-universal): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:value)&lt;=1">(A_Zwangerschap-universal): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1']]/hl7:code
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1']]/hl7:code"
         id="tmp-79b350fc-cce7-4ac5-ad0d-26e766dce705">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(A_Zwangerschap-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@nullFlavor or (@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1')">(A_Zwangerschap-universal): de waarde van @code/@codeSystem MOET ''38386-9' codeSystem '2.16.840.1.113883.6.1'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1']]/hl7:value
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1']]/hl7:value"
         id="tmp-fc3928f4-8d95-4432-a528-f96b60409167">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(A_Zwangerschap-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0158_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0158_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(A_Zwangerschap-universal): de waarde van @code MOET worden gekozen uit waardenlijst W0158_HL7 W0158 Kleur vruchtwater (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(A_Zwangerschap-universal): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0158_HL7 W0158 Kleur vruchtwater (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[(@code='105' or @code='1323') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[(@code='105' or @code='1323') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]"
         id="tmp-fa70108c-7a66-447f-9a26-05b70cfc22d8">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@classCode='OBS' or not(@classCode)">(A_Zwangerschap-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_Zwangerschap-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(* except (hl7:code|hl7:value))=0">(A_Zwangerschap-universal): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_Zwangerschap-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:code)&lt;=1">(A_Zwangerschap-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(A_Zwangerschap-universal): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:value)&lt;=1">(A_Zwangerschap-universal): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[(@code='105' or @code='1323') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[(@code='105' or @code='1323') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code"
         id="tmp-97d33afd-29d9-4bdf-8123-4bd830555ba6">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(A_Zwangerschap-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@nullFlavor or (@code='105' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1323' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_Zwangerschap-universal): de waarde van @code MOET één van de volgende codes bevatten: '105' codeSystem '2.16.840.1.113883.2.4.4.40.267' of '1323' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[(@code='105' or @code='1323') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[(@code='105' or @code='1323') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value"
         id="tmp-11728888-cb1d-48da-91ce-bf6112de4842">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@nullFlavor or @xsi:type='BL' or not(@xsi:type)">(A_Zwangerschap-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[(@code='106' or @code='107') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[(@code='106' or @code='107') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]"
         id="tmp-22d9120a-f07c-4a42-804d-c831dd265180">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@classCode='OBS' or not(@classCode)">(A_Zwangerschap-universal): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@moodCode='EVN' or not(@moodCode)">(A_Zwangerschap-universal): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(* except (hl7:code|hl7:value))=0">(A_Zwangerschap-universal): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(A_Zwangerschap-universal): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:code)&lt;=1">(A_Zwangerschap-universal): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(A_Zwangerschap-universal): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:value)&lt;=1">(A_Zwangerschap-universal): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[(@code='106' or @code='107') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[(@code='106' or @code='107') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code"
         id="tmp-bdc484d8-2fd2-4949-9a0b-c0b331adbdd9">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(A_Zwangerschap-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@nullFlavor or (@code='106' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='107' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1324' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_Zwangerschap-universal): de waarde van @code MOET één van de volgende codes bevatten: '106' codeSystem '2.16.840.1.113883.2.4.4.40.267' of '107' codeSystem '2.16.840.1.113883.2.4.4.40.267' of '1324' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[(@code='106' or @code='107') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:outcome/hl7:delivery/hl7:component/hl7:deliveryObservation[hl7:code[(@code='106' or @code='107') and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:value"
         id="tmp-8b7ca0b1-cbeb-412e-9372-12ceaca61290">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(A_Zwangerschap-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:sequelTo
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:sequelTo"
         id="tmp-6b21aaa5-375e-462d-aaca-8a46267da15c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@typeCode='COMP' or not(@typeCode)">(A_Zwangerschap-universal): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(* except (hl7:sequenceNumber))=0">(A_Zwangerschap-universal): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="count(hl7:sequenceNumber)&lt;=1">(A_Zwangerschap-universal): element hl7:sequenceNumber komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.121
Context: *[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:sequelTo/hl7:sequenceNumber
Item: (A_Zwangerschap-universal)
-->

<rule context="*[hl7:pregnancyCondition[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.121']]/hl7:pregnancyCondition/hl7:sequelTo/hl7:sequenceNumber"
         id="tmp-e4b27522-3d1c-43e7-80f7-d84111a54b32">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="@nullFlavor or @xsi:type='INT' or not(@xsi:type)">(A_Zwangerschap-universal): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT" bevatten</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="(@nullFlavor or (number($theValue)&gt;=1))">(A_Zwangerschap-universal): value MOET in bereik [1..] liggen  </assert>
      <let name="digitok" value="matches($theValue, '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.121.html"
              test="$digitok">(A_Zwangerschap-universal): @value is geen geldig INT getal <value-of select="$theValue"/>
      </assert>
   </rule>
</pattern>
