<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.16
Description: Opvragen vaccinatiestatus. Er zijn een aantal generieke elementen met specifieke vulling: 
                Het gebruik van het element hl7:attentionLine is verplicht met daarin het BSN van de persoon voor wie de vaccinatiestatus wordt opgevraagd.
                Het applicatie-id van het RIVM komt in hl7:receiver/hl7:device/hl7:id
                hl7:acceptAckCode/@code moet de waarde NE bevatten
                hl7:queryByParameter/hl7:responseModalityCode/@code moet de waarde 'R' bevatten
             De waarde voor het element acceptAckCode is "NE".
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.16">
   <title>Opvragen vaccinatiestatus (interactie)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL
Item: (OpvragenVaccinatiestatus)
-->

<rule context="hl7:REPC_IN002170NL"
         id="tmp-3ab5e606-7ed4-482f-9357-8b1651a4a2e4">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(OpvragenVaccinatiestatus): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:id)&lt;=1">(OpvragenVaccinatiestatus): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:creationTime)&gt;=1 and not(hl7:creationTime/@nullFlavor)">(OpvragenVaccinatiestatus): element hl7:creationTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:creationTime)&lt;=1">(OpvragenVaccinatiestatus): element hl7:creationTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:versionCode)&gt;=1 and not(hl7:versionCode/@nullFlavor)">(OpvragenVaccinatiestatus): element hl7:versionCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:versionCode)&lt;=1">(OpvragenVaccinatiestatus): element hl7:versionCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:interactionId[@root='2.16.840.1.113883.1.6'])&gt;=1 and not(hl7:interactionId[@root='2.16.840.1.113883.1.6']/@nullFlavor)">(OpvragenVaccinatiestatus): element hl7:interactionId[@root='2.16.840.1.113883.1.6'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:interactionId[@root='2.16.840.1.113883.1.6'])&lt;=1">(OpvragenVaccinatiestatus): element hl7:interactionId[@root='2.16.840.1.113883.1.6'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1'])&gt;=1 and not(hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1']/@nullFlavor)">(OpvragenVaccinatiestatus): element hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1'])&lt;=1">(OpvragenVaccinatiestatus): element hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:processingCode)&gt;=1 and not(hl7:processingCode/@nullFlavor)">(OpvragenVaccinatiestatus): element hl7:processingCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:processingCode)&lt;=1">(OpvragenVaccinatiestatus): element hl7:processingCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:processingModeCode)&gt;=1 and not(hl7:processingModeCode/@nullFlavor)">(OpvragenVaccinatiestatus): element hl7:processingModeCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:processingModeCode)&lt;=1">(OpvragenVaccinatiestatus): element hl7:processingModeCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:acceptAckCode)&gt;=1 and not(hl7:acceptAckCode/@nullFlavor)">(OpvragenVaccinatiestatus): element hl7:acceptAckCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:acceptAckCode)&lt;=1">(OpvragenVaccinatiestatus): element hl7:acceptAckCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:attentionLine)&gt;=1 and not(hl7:attentionLine/@nullFlavor)">(OpvragenVaccinatiestatus): element hl7:attentionLine is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:attentionLine)&lt;=1">(OpvragenVaccinatiestatus): element hl7:attentionLine komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:receiver)&gt;=1 and not(hl7:receiver/@nullFlavor)">(OpvragenVaccinatiestatus): element hl7:receiver is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:receiver)&lt;=1">(OpvragenVaccinatiestatus): element hl7:receiver komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:sender)&gt;=1 and not(hl7:sender/@nullFlavor)">(OpvragenVaccinatiestatus): element hl7:sender is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:sender)&lt;=1">(OpvragenVaccinatiestatus): element hl7:sender komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:ControlActProcess)&gt;=1 and not(hl7:ControlActProcess/@nullFlavor)">(OpvragenVaccinatiestatus): element hl7:ControlActProcess is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:ControlActProcess)&lt;=1">(OpvragenVaccinatiestatus): element hl7:ControlActProcess komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL
Item: (TransmissionWrapperMCCI_MT000100)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL
Item: (TransmissionWrapperMCCI_MT000100)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:id
Item: (TransmissionWrapperMCCI_MT000100)
-->

<rule context="hl7:REPC_IN002170NL/hl7:id"
         id="tmp-191635e1-0df4-4d39-b66e-a75d9ca6dc9b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TransmissionWrapperMCCI_MT000100): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@root and @extension">(TransmissionWrapperMCCI_MT000100): Transmission: id element mist root of extension</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:creationTime
Item: (TransmissionWrapperMCCI_MT000100)
-->

<rule context="hl7:REPC_IN002170NL/hl7:creationTime"
         id="tmp-8384a226-4fb6-476c-bf7b-45861dec52ce">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(TransmissionWrapperMCCI_MT000100): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS.DATETIME.MIN" bevatten</assert>
      <extends rule="TS.DATETIME.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:versionCode
Item: (TransmissionWrapperMCCI_MT000100)
-->

<rule context="hl7:REPC_IN002170NL/hl7:versionCode"
         id="tmp-18083eed-9568-45f0-b4c9-59f98a2656d5">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">(TransmissionWrapperMCCI_MT000100): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@nullFlavor or (@code='NICTIZEd2005-Okt')">(TransmissionWrapperMCCI_MT000100): de waarde van @code MOET ''NICTIZEd2005-Okt'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:interactionId[@root='2.16.840.1.113883.1.6']
Item: (TransmissionWrapperMCCI_MT000100)
-->

<rule context="hl7:REPC_IN002170NL/hl7:interactionId[@root='2.16.840.1.113883.1.6']"
         id="tmp-5673c21c-3a49-4ec9-9433-a24898dfdbc5">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TransmissionWrapperMCCI_MT000100): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@root='2.16.840.1.113883.1.6'">(TransmissionWrapperMCCI_MT000100): @root MOET de waarde '2.16.840.1.113883.1.6' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TransmissionWrapperMCCI_MT000100): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
      <let name="interactionId"
           value="self::node()[@root='2.16.840.1.113883.1.6']/@extension"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="not(@root='2.16.840.1.113883.1.6') or local-name(..)=@extension">(TransmissionWrapperMCCI_MT000100): Transmission: @extension moet overeenkomen met het startelement van het bericht</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1']
Item: (TransmissionWrapperMCCI_MT000100)
-->

<rule context="hl7:REPC_IN002170NL/hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1']"
         id="tmp-eccf7b28-1659-438a-95d7-0f1dd1589240">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TransmissionWrapperMCCI_MT000100): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@root='2.16.840.1.113883.2.4.3.11.1'">(TransmissionWrapperMCCI_MT000100): @root MOET de waarde '2.16.840.1.113883.2.4.3.11.1' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TransmissionWrapperMCCI_MT000100): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@extension='810'">(TransmissionWrapperMCCI_MT000100): de waarde van @extension MOET '810' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:processingCode
Item: (TransmissionWrapperMCCI_MT000100)
-->

<rule context="hl7:REPC_IN002170NL/hl7:processingCode"
         id="tmp-18b7335a-9760-4ace-bee8-0e759b6ba328">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">(TransmissionWrapperMCCI_MT000100): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@nullFlavor or (@code='P')">(TransmissionWrapperMCCI_MT000100): de waarde van @code MOET ''P'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:processingModeCode
Item: (TransmissionWrapperMCCI_MT000100)
-->

<rule context="hl7:REPC_IN002170NL/hl7:processingModeCode"
         id="tmp-87daaca5-22c8-4aa2-830c-cb2fe253cf3d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">(TransmissionWrapperMCCI_MT000100): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@nullFlavor or (@code='T')">(TransmissionWrapperMCCI_MT000100): de waarde van @code MOET ''T'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:acceptAckCode
Item: (TransmissionWrapperMCCI_MT000100)
-->

<rule context="hl7:REPC_IN002170NL/hl7:acceptAckCode"
         id="tmp-e5405fb0-0fd8-4fe4-961d-7ac632b8d774">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">(TransmissionWrapperMCCI_MT000100): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@nullFlavor or (@code='AL') or (@code='NE')">(TransmissionWrapperMCCI_MT000100): de waarde van @code MOET één van de volgende codes bevatten: 'AL' of 'NE'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL
Item: (TransmissionWrapperAttentionLineAORTA)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL
Item: (TransmissionWrapperAttentionLineAORTA)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:attentionLine
Item: (TransmissionWrapperAttentionLineAORTA)
-->

<rule context="hl7:REPC_IN002170NL/hl7:attentionLine"
         id="tmp-12a7d8c9-38ff-427f-b4be-60b18247308b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:keyWordText)&gt;=1 and not(hl7:keyWordText/@nullFlavor)">(TransmissionWrapperAttentionLineAORTA): element hl7:keyWordText is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:keyWordText)&lt;=1">(TransmissionWrapperAttentionLineAORTA): element hl7:keyWordText komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(TransmissionWrapperAttentionLineAORTA): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:value)&lt;=1">(TransmissionWrapperAttentionLineAORTA): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:attentionLine/hl7:keyWordText
Item: (TransmissionWrapperAttentionLineAORTA)
-->

<rule context="hl7:REPC_IN002170NL/hl7:attentionLine/hl7:keyWordText"
         id="tmp-0a82ac51-c9b5-45bd-b81c-dd9dd4a2e535">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@nullFlavor or @xsi:type='SC' or not(@xsi:type)">(TransmissionWrapperAttentionLineAORTA): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "SC" bevatten</assert>
      <extends rule="SC"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@nullFlavor or (@code='PATID' and @codeSystem='2.16.840.1.113883.2.4.15.1')">(TransmissionWrapperAttentionLineAORTA): de waarde van @code/@codeSystem MOET ''PATID' codeSystem '2.16.840.1.113883.2.4.15.1'' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="text()='Patient.id'">(TransmissionWrapperAttentionLineAORTA): De waarde in text() MOET 'PATID' zijn</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:attentionLine/hl7:value
Item: (TransmissionWrapperAttentionLineAORTA)
-->

<rule context="hl7:REPC_IN002170NL/hl7:attentionLine/hl7:value"
         id="tmp-42a67f37-0dd1-4ec1-8f4f-926ebc05a76e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TransmissionWrapperAttentionLineAORTA): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:receiver
Item: (TransmissionWrapperReceiverNotZIM)
-->

<rule context="hl7:REPC_IN002170NL/hl7:receiver"
         id="tmp-9d6da4e4-55f3-4631-b0ed-0400482771f9">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@typeCode='RCV' or not(@typeCode)">(TransmissionWrapperReceiverNotZIM): de waarde van @typeCode MOET 'RCV' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:device)&gt;=1 and not(hl7:device/@nullFlavor)">(TransmissionWrapperReceiverNotZIM): element hl7:device is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:device)&lt;=1">(TransmissionWrapperReceiverNotZIM): element hl7:device komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:receiver/hl7:device
Item: (TransmissionWrapperReceiverNotZIM)
-->

<rule context="hl7:REPC_IN002170NL/hl7:receiver/hl7:device"
         id="tmp-7bd22da4-f46a-406f-b99b-591bfca278aa">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.6'])&gt;=1 and not(hl7:id[@root='2.16.840.1.113883.2.4.6.6']/@nullFlavor)">(TransmissionWrapperReceiverNotZIM): element hl7:id[@root='2.16.840.1.113883.2.4.6.6'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.6'])&lt;=1">(TransmissionWrapperReceiverNotZIM): element hl7:id[@root='2.16.840.1.113883.2.4.6.6'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:name)&lt;=1">(TransmissionWrapperReceiverNotZIM): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:receiver/hl7:device/hl7:id[@root='2.16.840.1.113883.2.4.6.6']
Item: (TransmissionWrapperReceiverNotZIM)
-->

<rule context="hl7:REPC_IN002170NL/hl7:receiver/hl7:device/hl7:id[@root='2.16.840.1.113883.2.4.6.6']"
         id="tmp-d856aabd-8f4a-42f0-92c7-26ff88af079e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TransmissionWrapperReceiverNotZIM): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@root='2.16.840.1.113883.2.4.6.6'">(TransmissionWrapperReceiverNotZIM): @root MOET de waarde '2.16.840.1.113883.2.4.6.6' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TransmissionWrapperReceiverNotZIM): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@root='2.16.840.1.113883.2.4.6.6' and not(@extension='1')">(TransmissionWrapperReceiverNotZIM): Transmission: receiver/device/id mag niet de AORTA ZIM zijn</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:receiver/hl7:device/hl7:name
Item: (TransmissionWrapperReceiverNotZIM)
-->

<rule context="hl7:REPC_IN002170NL/hl7:receiver/hl7:device/hl7:name"
         id="tmp-83a0347a-6e3f-4507-ae9c-4ced8977ee85">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@nullFlavor or @xsi:type='EN' or not(@xsi:type)">(TransmissionWrapperReceiverNotZIM): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "EN" bevatten</assert>
      <extends rule="EN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:sender
Item: (TransmissionWrapperSenderNotZIM)
-->

<rule context="hl7:REPC_IN002170NL/hl7:sender"
         id="tmp-5837cab6-dacf-4314-84eb-83fc69e5fa85">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@typeCode='SND' or not(@typeCode)">(TransmissionWrapperSenderNotZIM): de waarde van @typeCode MOET 'SND' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:device)&gt;=1 and not(hl7:device/@nullFlavor)">(TransmissionWrapperSenderNotZIM): element hl7:device is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:device)&lt;=1">(TransmissionWrapperSenderNotZIM): element hl7:device komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:sender/hl7:device
Item: (TransmissionWrapperSenderNotZIM)
-->

<rule context="hl7:REPC_IN002170NL/hl7:sender/hl7:device"
         id="tmp-c4f5cd6a-f937-444d-a3be-c2b918f847e6">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.6'])&gt;=1 and not(hl7:id[@root='2.16.840.1.113883.2.4.6.6']/@nullFlavor)">(TransmissionWrapperSenderNotZIM): element hl7:id[@root='2.16.840.1.113883.2.4.6.6'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.6'])&lt;=1">(TransmissionWrapperSenderNotZIM): element hl7:id[@root='2.16.840.1.113883.2.4.6.6'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:name)&lt;=1">(TransmissionWrapperSenderNotZIM): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:sender/hl7:device/hl7:id[@root='2.16.840.1.113883.2.4.6.6']
Item: (TransmissionWrapperSenderNotZIM)
-->

<rule context="hl7:REPC_IN002170NL/hl7:sender/hl7:device/hl7:id[@root='2.16.840.1.113883.2.4.6.6']"
         id="tmp-9af9f326-d756-4a22-ad54-e3d76c693415">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TransmissionWrapperSenderNotZIM): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@root='2.16.840.1.113883.2.4.6.6'">(TransmissionWrapperSenderNotZIM): @root MOET de waarde '2.16.840.1.113883.2.4.6.6' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TransmissionWrapperSenderNotZIM): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@root='2.16.840.1.113883.2.4.6.6' and not(@extension='1')">(TransmissionWrapperSenderNotZIM): Transmission: sender/device/id mag niet de AORTA ZIM zijn</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:sender/hl7:device/hl7:name
Item: (TransmissionWrapperSenderNotZIM)
-->

<rule context="hl7:REPC_IN002170NL/hl7:sender/hl7:device/hl7:name"
         id="tmp-1d58c734-2113-4cea-b6f7-caaa685fbcab">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@nullFlavor or @xsi:type='EN' or not(@xsi:type)">(TransmissionWrapperSenderNotZIM): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "EN" bevatten</assert>
      <extends rule="EN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess
Item: (OpvragenVaccinatiestatus)
-->

<rule context="hl7:REPC_IN002170NL/hl7:ControlActProcess"
         id="tmp-6b33ab2c-a815-47ea-ab1d-a1c3ab08b320">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:id)&lt;=1">(OpvragenVaccinatiestatus): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:code)&lt;=1">(OpvragenVaccinatiestatus): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:text)=0">(OpvragenVaccinatiestatus): element hl7:text MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:effectiveTime)&lt;=1">(OpvragenVaccinatiestatus): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:reasonCode)=0">(OpvragenVaccinatiestatus): element hl7:reasonCode MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:languageCode)=0">(OpvragenVaccinatiestatus): element hl7:languageCode MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:informationRecipient)=0">(OpvragenVaccinatiestatus): element hl7:informationRecipient MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:dataEnterer)=0">(OpvragenVaccinatiestatus): element hl7:dataEnterer MAG NIET voorkomen.</assert>
      <let name="elmcount"
           value="count(hl7:authorOrPerformer[*/hl7:AssignedDevice]|hl7:authorOrPerformer[*/hl7:AssignedPerson])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="$elmcount&gt;=1">(OpvragenVaccinatiestatus): keuze (hl7:authorOrPerformer[*/hl7:AssignedDevice] of hl7:authorOrPerformer[*/hl7:AssignedPerson]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="$elmcount&lt;=1">(OpvragenVaccinatiestatus): keuze (hl7:authorOrPerformer[*/hl7:AssignedDevice] of hl7:authorOrPerformer[*/hl7:AssignedPerson]) bevat te veel elementen [max 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:overseer)&lt;=1">(OpvragenVaccinatiestatus): element hl7:overseer komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:queryByParameter)&gt;=1 and not(hl7:queryByParameter/@nullFlavor)">(OpvragenVaccinatiestatus): element hl7:queryByParameter is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:queryByParameter)&lt;=1">(OpvragenVaccinatiestatus): element hl7:queryByParameter komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess
Item: (ControlActWrapperQUQI_MT021001)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess
Item: (ControlActWrapperQUQI_MT021001)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess
Item: (ControlActWrapperQUQI_MT021001)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess
Item: (ControlActWrapperQUQI_MT021001)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:id
Item: (ControlActWrapperQUQI_MT021001)
-->

<rule context="hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:id"
         id="tmp-642ce4f3-6a5e-478d-9fa3-c97ffd70a1bc">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(ControlActWrapperQUQI_MT021001): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:code
Item: (ControlActWrapperQUQI_MT021001)
-->

<rule context="hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:code"
         id="tmp-0fc426a3-b3e6-4d86-a339-93302d9a43ee">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(ControlActWrapperQUQI_MT021001): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.1.18')">(ControlActWrapperQUQI_MT021001): de waarde van @codeSystem MOET ''2.16.840.1.113883.1.18'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:text
Item: (ControlActWrapperQUQI_MT021001)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:effectiveTime
Item: (ControlActWrapperQUQI_MT021001)
-->

<rule context="hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:effectiveTime"
         id="tmp-8ab6472b-b13a-4def-b122-a90f3cc8ad86">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(ControlActWrapperQUQI_MT021001): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:reasonCode
Item: (ControlActWrapperQUQI_MT021001)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:languageCode
Item: (ControlActWrapperQUQI_MT021001)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:informationRecipient
Item: (ControlActWrapperQUQI_MT021001)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:dataEnterer
Item: (ControlActWrapperQUQI_MT021001)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:reasonOf
Item: (ControlActWrapperQUQI_MT021001)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess
Item: (OpvragenVaccinatiestatus)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]
Item: (ControlActAuthorOrPerformerDevice)
-->

<rule context="hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]"
         id="tmp-b5dd9f89-f232-4eeb-bf04-79949a1901e2">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@typeCode='AUT' or not(@typeCode)">(ControlActAuthorOrPerformerDevice): de waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:participant)&gt;=1 and not(hl7:participant/@nullFlavor)">(ControlActAuthorOrPerformerDevice): element hl7:participant is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:participant)&lt;=1">(ControlActAuthorOrPerformerDevice): element hl7:participant komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant
Item: (ControlActAuthorOrPerformerDevice)
-->

<rule context="hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant"
         id="tmp-d5b7be2c-f0c7-44eb-88bc-6dcb65ac7827">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:AssignedDevice)&gt;=1 and not(hl7:AssignedDevice/@nullFlavor)">(ControlActAuthorOrPerformerDevice): element hl7:AssignedDevice is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:AssignedDevice)&lt;=1">(ControlActAuthorOrPerformerDevice): element hl7:AssignedDevice komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice
Item: (ControlActAuthorOrPerformerDevice)
-->

<rule context="hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice"
         id="tmp-1c4a103d-e32d-4ab7-90d1-df5ae7bc1552">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="not(hl7:id[@root='2.16.528.1.1007.3.2']) or hl7:Organization[hl7:id[@root='2.16.528.1.1007.3.3']]">(ControlActAuthorOrPerformerDevice): <name/> met een UZI-systeemnummer in id MOET als bij de organisatie een URA hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="not(hl7:id[@root='2.16.528.1.1007.3.2'] and hl7:Organization[hl7:id[@root='2.16.840.1.113883.2.4.3.11.25']])">(ControlActAuthorOrPerformerDevice): <name/> met een UZI-systeemnummer in id MAG GEEN AORTA-organisatie-id als hebben.</assert>
      <let name="elmcount"
           value="count(hl7:id[@root='2.16.840.1.113883.2.4.6.6']|hl7:id[@root='2.16.528.1.1007.3.2'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="$elmcount&gt;=1">(ControlActAuthorOrPerformerDevice): keuze (hl7:id[@root='2.16.840.1.113883.2.4.6.6'] of hl7:id[@root='2.16.528.1.1007.3.2']) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="$elmcount&lt;=2">(ControlActAuthorOrPerformerDevice): keuze (hl7:id[@root='2.16.840.1.113883.2.4.6.6'] of hl7:id[@root='2.16.528.1.1007.3.2']) bevat te veel elementen [max 2x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:code)&lt;=1">(ControlActAuthorOrPerformerDevice): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:telecom)&lt;=1">(ControlActAuthorOrPerformerDevice): element hl7:telecom komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:name)&lt;=1">(ControlActAuthorOrPerformerDevice): element hl7:name komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:noteText)=0">(ControlActAuthorOrPerformerDevice): element hl7:noteText MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:time)=0">(ControlActAuthorOrPerformerDevice): element hl7:time MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:modeCode)=0">(ControlActAuthorOrPerformerDevice): element hl7:modeCode MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:signatureCode)=0">(ControlActAuthorOrPerformerDevice): element hl7:signatureCode MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:signatureText)=0">(ControlActAuthorOrPerformerDevice): element hl7:signatureText MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:Organization)&lt;=1">(ControlActAuthorOrPerformerDevice): element hl7:Organization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice
Item: (ControlActAuthorOrPerformerDevice)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:id[@root='2.16.840.1.113883.2.4.6.6']
Item: (ControlActAuthorOrPerformerDevice)
-->

<rule context="hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:id[@root='2.16.840.1.113883.2.4.6.6']"
         id="tmp-cb3c742e-6c8b-4e2e-a279-af01572aaf2d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(ControlActAuthorOrPerformerDevice): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@root='2.16.840.1.113883.2.4.6.6'">(ControlActAuthorOrPerformerDevice): @root MOET de waarde '2.16.840.1.113883.2.4.6.6' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(ControlActAuthorOrPerformerDevice): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:id[@root='2.16.528.1.1007.3.2']
Item: (ControlActAuthorOrPerformerDevice)
-->

<rule context="hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:id[@root='2.16.528.1.1007.3.2']"
         id="tmp-56ad3d36-5aaf-4aa3-a5fe-1056b3271c00">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(ControlActAuthorOrPerformerDevice): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.UZI" bevatten</assert>
      <extends rule="II.NL.UZI"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@root='2.16.528.1.1007.3.2'">(ControlActAuthorOrPerformerDevice): @root MOET de waarde '2.16.528.1.1007.3.2' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(ControlActAuthorOrPerformerDevice): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:code
Item: (ControlActAuthorOrPerformerDevice)
-->

<rule context="hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:code"
         id="tmp-ba95937b-90d5-4c7b-a29b-422ce88e0be7">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(ControlActAuthorOrPerformerDevice): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:telecom
Item: (ControlActAuthorOrPerformerDevice)
-->

<rule context="hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:telecom"
         id="tmp-89c9ab15-d663-41c9-b715-ef992db7cccc">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">(ControlActAuthorOrPerformerDevice): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TEL" bevatten</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:name
Item: (ControlActAuthorOrPerformerDevice)
-->

<rule context="hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:name"
         id="tmp-945e9b6d-4b62-47a4-a0a0-ee5cbff974df">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@nullFlavor or @xsi:type='PN' or not(@xsi:type)">(ControlActAuthorOrPerformerDevice): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PN" bevatten</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:noteText
Item: (ControlActAuthorOrPerformerDevice)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:time
Item: (ControlActAuthorOrPerformerDevice)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:modeCode
Item: (ControlActAuthorOrPerformerDevice)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:signatureCode
Item: (ControlActAuthorOrPerformerDevice)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:signatureText
Item: (ControlActAuthorOrPerformerDevice)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:Organization
Item: (ControlActAuthorOrPerformerDevice)
-->

<rule context="hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:Organization"
         id="tmp-5133060d-683d-4aad-9b46-50861b94e16a">
      <let name="elmcount"
           value="count(hl7:id[@root='2.16.528.1.1007.3.3']|hl7:id[@root='2.16.840.1.113883.2.4.3.11']|hl7:id[@root='2.16.840.1.113883.2.4.3.11.25'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="$elmcount&gt;=1">(ControlActAuthorOrPerformerDevice): keuze (hl7:id[@root='2.16.528.1.1007.3.3'] of hl7:id[@root='2.16.840.1.113883.2.4.3.11'] of hl7:id[@root='2.16.840.1.113883.2.4.3.11.25']) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="$elmcount&lt;=1">(ControlActAuthorOrPerformerDevice): keuze (hl7:id[@root='2.16.528.1.1007.3.3'] of hl7:id[@root='2.16.840.1.113883.2.4.3.11'] of hl7:id[@root='2.16.840.1.113883.2.4.3.11.25']) bevat te veel elementen [max 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:code)&lt;=1">(ControlActAuthorOrPerformerDevice): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(ControlActAuthorOrPerformerDevice): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:name)&lt;=1">(ControlActAuthorOrPerformerDevice): element hl7:name komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:addr)&lt;=1">(ControlActAuthorOrPerformerDevice): element hl7:addr komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:Organization
Item: (ControlActAuthorOrPerformerDevice)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:Organization/hl7:id[@root='2.16.528.1.1007.3.3']
Item: (ControlActAuthorOrPerformerDevice)
-->

<rule context="hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:Organization/hl7:id[@root='2.16.528.1.1007.3.3']"
         id="tmp-d8fdd468-890d-4360-8be5-4a36353ea244">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(ControlActAuthorOrPerformerDevice): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.URA" bevatten</assert>
      <extends rule="II.NL.URA"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@root='2.16.528.1.1007.3.3'">(ControlActAuthorOrPerformerDevice): @root MOET de waarde '2.16.528.1.1007.3.3' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(ControlActAuthorOrPerformerDevice): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:Organization/hl7:id[@root='2.16.840.1.113883.2.4.3.11']
Item: (ControlActAuthorOrPerformerDevice)
-->

<rule context="hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:Organization/hl7:id[@root='2.16.840.1.113883.2.4.3.11']"
         id="tmp-67bed836-a789-4996-8371-b17a608a69a7">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(ControlActAuthorOrPerformerDevice): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@root='2.16.840.1.113883.2.4.3.11'">(ControlActAuthorOrPerformerDevice): @root MOET de waarde '2.16.840.1.113883.2.4.3.11' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(ControlActAuthorOrPerformerDevice): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@extension='7'">(ControlActAuthorOrPerformerDevice): de waarde van @extension MOET '7' zijn.</assert>
      <let name="theAttValue" value="@extension"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:Organization/hl7:id[@root='2.16.840.1.113883.2.4.3.11.25']
Item: (ControlActAuthorOrPerformerDevice)
-->

<rule context="hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:Organization/hl7:id[@root='2.16.840.1.113883.2.4.3.11.25']"
         id="tmp-b327e0f1-972f-4a5b-bc62-e6ef224670df">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(ControlActAuthorOrPerformerDevice): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@root='2.16.840.1.113883.2.4.3.11.25'">(ControlActAuthorOrPerformerDevice): @root MOET de waarde '2.16.840.1.113883.2.4.3.11.25' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(ControlActAuthorOrPerformerDevice): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:Organization/hl7:code
Item: (ControlActAuthorOrPerformerDevice)
-->

<rule context="hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:Organization/hl7:code"
         id="tmp-ea21000e-f3a3-4c55-986e-dafbdaa4b972">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(ControlActAuthorOrPerformerDevice): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.15.1060')">(ControlActAuthorOrPerformerDevice): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.15.1060'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:Organization/hl7:telecom
Item: (ControlActAuthorOrPerformerDevice)
-->

<rule context="hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:Organization/hl7:telecom"
         id="tmp-e9cda93a-e186-4987-9fb1-d70e87075a2d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">(ControlActAuthorOrPerformerDevice): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TEL" bevatten</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:Organization/hl7:name
Item: (ControlActAuthorOrPerformerDevice)
-->

<rule context="hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:Organization/hl7:name"
         id="tmp-04a61fcf-5daf-446f-acd4-10b39dc0eff7">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@nullFlavor or @xsi:type='ON' or not(@xsi:type)">(ControlActAuthorOrPerformerDevice): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ON" bevatten</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:Organization/hl7:addr
Item: (ControlActAuthorOrPerformerDevice)
-->

<rule context="hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedDevice]/hl7:participant/hl7:AssignedDevice/hl7:Organization/hl7:addr"
         id="tmp-83ff8ae6-a98e-48e1-9913-089665149da4">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@nullFlavor or @xsi:type='AD' or not(@xsi:type)">(ControlActAuthorOrPerformerDevice): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "AD" bevatten</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]
Item: (ControlActAuthorOrPerformerPerson)
-->

<rule context="hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]"
         id="tmp-4b8517b5-8741-4872-9c44-7b83dd27dec7">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@typeCode='AUT' or not(@typeCode)">(ControlActAuthorOrPerformerPerson): de waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:participant)&gt;=1 and not(hl7:participant/@nullFlavor)">(ControlActAuthorOrPerformerPerson): element hl7:participant is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:participant)&lt;=1">(ControlActAuthorOrPerformerPerson): element hl7:participant komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant
Item: (ControlActAuthorOrPerformerPerson)
-->

<rule context="hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant"
         id="tmp-08577160-1f3b-4889-b80a-a968d0628eb3">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:AssignedPerson)&gt;=1 and not(hl7:AssignedPerson/@nullFlavor)">(ControlActAuthorOrPerformerPerson): element hl7:AssignedPerson is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:AssignedPerson)&lt;=1">(ControlActAuthorOrPerformerPerson): element hl7:AssignedPerson komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson
Item: (ControlActAuthorOrPerformerPerson)
-->

<rule context="hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson"
         id="tmp-662445a3-523a-4501-90a2-d88adfb80ebc">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(ControlActAuthorOrPerformerPerson): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:id)&lt;=1">(ControlActAuthorOrPerformerPerson): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:code)&lt;=1">(ControlActAuthorOrPerformerPerson): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:telecom)&lt;=1">(ControlActAuthorOrPerformerPerson): element hl7:telecom komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:name)&lt;=1">(ControlActAuthorOrPerformerPerson): element hl7:name komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:noteText)=0">(ControlActAuthorOrPerformerPerson): element hl7:noteText MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:time)=0">(ControlActAuthorOrPerformerPerson): element hl7:time MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:modeCode)=0">(ControlActAuthorOrPerformerPerson): element hl7:modeCode MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:signatureCode)=0">(ControlActAuthorOrPerformerPerson): element hl7:signatureCode MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:signatureText)=0">(ControlActAuthorOrPerformerPerson): element hl7:signatureText MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:Organization)&gt;=1 and not(hl7:Organization/@nullFlavor)">(ControlActAuthorOrPerformerPerson): element hl7:Organization is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:Organization)&lt;=1">(ControlActAuthorOrPerformerPerson): element hl7:Organization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:id
Item: (ControlActAuthorOrPerformerPerson)
-->

<rule context="hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:id"
         id="tmp-47400c98-2dc9-4f1b-96eb-ed5b85d2d935">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(ControlActAuthorOrPerformerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.UZI" bevatten</assert>
      <extends rule="II.NL.UZI"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@root='2.16.528.1.1007.3.1' and @extension">(ControlActAuthorOrPerformerPerson): Control Act: <name path=".."/>/<name/> moet een UZI-nummer bevatten</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:code
Item: (ControlActAuthorOrPerformerPerson)
-->

<rule context="hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:code"
         id="tmp-1aac289f-7458-4b4e-87e9-738b725d7157">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(ControlActAuthorOrPerformerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@codeSystem='2.16.840.1.113883.2.4.15.111' and not(@code='00.000')">(ControlActAuthorOrPerformerPerson): Control Act: <name path=".."/>/<name/> moet een UZI-rolcode bevatten en deze mag niet 00.000 zijn</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:telecom
Item: (ControlActAuthorOrPerformerPerson)
-->

<rule context="hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:telecom"
         id="tmp-468c2f7b-aa51-4fe7-9c20-812cdce4b494">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">(ControlActAuthorOrPerformerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TEL" bevatten</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:name
Item: (ControlActAuthorOrPerformerPerson)
-->

<rule context="hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:name"
         id="tmp-5eb526bc-b559-4967-83e0-3e76657785ee">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@nullFlavor or @xsi:type='PN' or not(@xsi:type)">(ControlActAuthorOrPerformerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PN" bevatten</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:noteText
Item: (ControlActAuthorOrPerformerPerson)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:time
Item: (ControlActAuthorOrPerformerPerson)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:modeCode
Item: (ControlActAuthorOrPerformerPerson)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:signatureCode
Item: (ControlActAuthorOrPerformerPerson)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:signatureText
Item: (ControlActAuthorOrPerformerPerson)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:Organization
Item: (ControlActAuthorOrPerformerPerson)
-->

<rule context="hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:Organization"
         id="tmp-19f74b48-d559-48ef-bae5-e2a965e6727a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(ControlActAuthorOrPerformerPerson): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:id)&lt;=1">(ControlActAuthorOrPerformerPerson): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:code)&lt;=1">(ControlActAuthorOrPerformerPerson): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(ControlActAuthorOrPerformerPerson): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:name)&lt;=1">(ControlActAuthorOrPerformerPerson): element hl7:name komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:addr)&lt;=1">(ControlActAuthorOrPerformerPerson): element hl7:addr komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:id
Item: (ControlActAuthorOrPerformerPerson)
-->

<rule context="hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:id"
         id="tmp-2e8590d8-0225-44c8-8e06-4d96257d6232">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(ControlActAuthorOrPerformerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.URA" bevatten</assert>
      <extends rule="II.NL.URA"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@root='2.16.528.1.1007.3.3' and @extension">(ControlActAuthorOrPerformerPerson): Control Act: <name path=".."/>/<name/> moet een URA bevatten</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:code
Item: (ControlActAuthorOrPerformerPerson)
-->

<rule context="hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:code"
         id="tmp-3b0ce81a-2b38-4775-a8f4-14006a39d590">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(ControlActAuthorOrPerformerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.15.1060')">(ControlActAuthorOrPerformerPerson): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.15.1060'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:telecom
Item: (ControlActAuthorOrPerformerPerson)
-->

<rule context="hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:telecom"
         id="tmp-3dd013b0-4f3a-4744-8047-b54ce5e1ecc0">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">(ControlActAuthorOrPerformerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TEL" bevatten</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:name
Item: (ControlActAuthorOrPerformerPerson)
-->

<rule context="hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:name"
         id="tmp-ede6c50c-dd3a-4f5e-b5ae-481ceb8f2a9e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@nullFlavor or @xsi:type='ON' or not(@xsi:type)">(ControlActAuthorOrPerformerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ON" bevatten</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:addr
Item: (ControlActAuthorOrPerformerPerson)
-->

<rule context="hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:addr"
         id="tmp-3bc812fa-e134-44dc-ac22-ca3ef74a76f9">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@nullFlavor or @xsi:type='AD' or not(@xsi:type)">(ControlActAuthorOrPerformerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "AD" bevatten</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:overseer
Item: (ControlActOverseerPersonQuery)
-->

<rule context="hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:overseer"
         id="tmp-d5b91ab1-0367-450f-aaf2-4573f613b247">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@typeCode='RESP' or not(@typeCode)">(ControlActOverseerPersonQuery): de waarde van @typeCode MOET 'RESP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(ControlActOverseerPersonQuery): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:assignedEntity)&lt;=1">(ControlActOverseerPersonQuery): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:overseer/hl7:assignedEntity
Item: (ControlActOverseerPersonQuery)
-->

<rule context="hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:overseer/hl7:assignedEntity"
         id="tmp-fad9aaae-4013-4081-acee-1ee4eb0e99dd">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(ControlActOverseerPersonQuery): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:id)&lt;=1">(ControlActOverseerPersonQuery): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(ControlActOverseerPersonQuery): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:code)&lt;=1">(ControlActOverseerPersonQuery): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:assignedPrincipalChoiceList)&gt;=1 and not(hl7:assignedPrincipalChoiceList/@nullFlavor)">(ControlActOverseerPersonQuery): element hl7:assignedPrincipalChoiceList is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:assignedPrincipalChoiceList)&lt;=1">(ControlActOverseerPersonQuery): element hl7:assignedPrincipalChoiceList komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:Organization)&gt;=1 and not(hl7:Organization/@nullFlavor)">(ControlActOverseerPersonQuery): element hl7:Organization is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:Organization)&lt;=1">(ControlActOverseerPersonQuery): element hl7:Organization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:overseer/hl7:assignedEntity/hl7:id
Item: (ControlActOverseerPersonQuery)
-->

<rule context="hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:overseer/hl7:assignedEntity/hl7:id"
         id="tmp-49114db7-d66a-4066-9644-733fbe13533e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(ControlActOverseerPersonQuery): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.UZI" bevatten</assert>
      <extends rule="II.NL.UZI"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@root='2.16.528.1.1007.3.1' and @extension">(ControlActOverseerPersonQuery): Control Act: <name path=".."/>/<name/> moet een UZI-nummer bevatten</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:overseer/hl7:assignedEntity/hl7:code
Item: (ControlActOverseerPersonQuery)
-->

<rule context="hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:overseer/hl7:assignedEntity/hl7:code"
         id="tmp-34185c32-719c-459b-87e6-c126c57d7dca">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(ControlActOverseerPersonQuery): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@codeSystem='2.16.840.1.113883.2.4.15.111' and not(@code='00.000')">(ControlActOverseerPersonQuery): Control Act: <name path=".."/>/<name/> moet een UZI-register rolcode bevatten en deze mag niet 00.000 zijn</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:overseer/hl7:assignedEntity/hl7:assignedPrincipalChoiceList
Item: (ControlActOverseerPersonQuery)
-->

<rule context="hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:overseer/hl7:assignedEntity/hl7:assignedPrincipalChoiceList"
         id="tmp-78fecdc6-df1a-4f48-9916-bf8922b1e607">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:assignedPerson)&gt;=1 and not(hl7:assignedPerson/@nullFlavor)">(ControlActOverseerPersonQuery): element hl7:assignedPerson is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:assignedPerson)&lt;=1">(ControlActOverseerPersonQuery): element hl7:assignedPerson komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:overseer/hl7:assignedEntity/hl7:assignedPrincipalChoiceList/hl7:assignedPerson
Item: (ControlActOverseerPersonQuery)
-->

<rule context="hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:overseer/hl7:assignedEntity/hl7:assignedPrincipalChoiceList/hl7:assignedPerson"
         id="tmp-69af19cd-d44f-4e57-ab6d-757a38dea7db">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(ControlActOverseerPersonQuery): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:name)&lt;=1">(ControlActOverseerPersonQuery): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:overseer/hl7:assignedEntity/hl7:assignedPrincipalChoiceList/hl7:assignedPerson/hl7:name
Item: (ControlActOverseerPersonQuery)
-->

<rule context="hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:overseer/hl7:assignedEntity/hl7:assignedPrincipalChoiceList/hl7:assignedPerson/hl7:name"
         id="tmp-365dd4f7-2b17-42ab-a360-612441b7a7db">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@nullFlavor or @xsi:type='PN' or not(@xsi:type)">(ControlActOverseerPersonQuery): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PN" bevatten</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:overseer/hl7:assignedEntity/hl7:Organization
Item: (ControlActOverseerPersonQuery)
-->

<rule context="hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:overseer/hl7:assignedEntity/hl7:Organization"
         id="tmp-32d99c9d-c9fa-4c30-a69c-44e5b272019f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(ControlActOverseerPersonQuery): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:id)&lt;=1">(ControlActOverseerPersonQuery): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:code)&lt;=1">(ControlActOverseerPersonQuery): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(ControlActOverseerPersonQuery): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:name)&lt;=1">(ControlActOverseerPersonQuery): element hl7:name komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:addr)&gt;=1 and not(hl7:addr/@nullFlavor)">(ControlActOverseerPersonQuery): element hl7:addr is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:addr)&lt;=1">(ControlActOverseerPersonQuery): element hl7:addr komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:overseer/hl7:assignedEntity/hl7:Organization/hl7:id
Item: (ControlActOverseerPersonQuery)
-->

<rule context="hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:overseer/hl7:assignedEntity/hl7:Organization/hl7:id"
         id="tmp-eaa1303c-8ece-4983-85e3-8e829fb61c05">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(ControlActOverseerPersonQuery): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@root='2.16.528.1.1007.3.3' and @extension">(ControlActOverseerPersonQuery): Control Act: <name path=".."/>/<name/> moet een URA bevatten</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:overseer/hl7:assignedEntity/hl7:Organization/hl7:code
Item: (ControlActOverseerPersonQuery)
-->

<rule context="hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:overseer/hl7:assignedEntity/hl7:Organization/hl7:code"
         id="tmp-fb44d059-a7bd-4c38-8fd2-2f06856b5e42">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(ControlActOverseerPersonQuery): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.15.1060')">(ControlActOverseerPersonQuery): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.15.1060'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:overseer/hl7:assignedEntity/hl7:Organization/hl7:name
Item: (ControlActOverseerPersonQuery)
-->

<rule context="hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:overseer/hl7:assignedEntity/hl7:Organization/hl7:name"
         id="tmp-c93d9aba-a0d7-4811-abb6-3b379e3d6d54">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@nullFlavor or @xsi:type='ON' or not(@xsi:type)">(ControlActOverseerPersonQuery): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ON" bevatten</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:overseer/hl7:assignedEntity/hl7:Organization/hl7:addr
Item: (ControlActOverseerPersonQuery)
-->

<rule context="hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:overseer/hl7:assignedEntity/hl7:Organization/hl7:addr"
         id="tmp-a7811be2-fc59-4e14-bdcd-acac56aecd52">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@nullFlavor or @xsi:type='AD' or not(@xsi:type)">(ControlActOverseerPersonQuery): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "AD" bevatten</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="hl7:city">(ControlActOverseerPersonQuery): Control Act: <name path=".."/>/<name/> moet tenminste de vestigingsplaats bevatten</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:queryByParameter
Item: (OpvragenVaccinatiestatus-payload)
-->

<rule context="hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:queryByParameter"
         id="tmp-6601b2d1-e05d-4c8f-8c96-87464b7af185">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:queryId)&gt;=1 and not(hl7:queryId/@nullFlavor)">(OpvragenVaccinatiestatus-payload): element hl7:queryId is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:queryId)&lt;=1">(OpvragenVaccinatiestatus-payload): element hl7:queryId komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)">(OpvragenVaccinatiestatus-payload): element hl7:statusCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:statusCode)&lt;=1">(OpvragenVaccinatiestatus-payload): element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:modifyCode)=0">(OpvragenVaccinatiestatus-payload): element hl7:modifyCode MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:responseElementGroupId)=0">(OpvragenVaccinatiestatus-payload): element hl7:responseElementGroupId MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:responseModalityCode)&gt;=1 and not(hl7:responseModalityCode/@nullFlavor)">(OpvragenVaccinatiestatus-payload): element hl7:responseModalityCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:responseModalityCode)&lt;=1">(OpvragenVaccinatiestatus-payload): element hl7:responseModalityCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:responsePriorityCode)&gt;=1 and not(hl7:responsePriorityCode/@nullFlavor)">(OpvragenVaccinatiestatus-payload): element hl7:responsePriorityCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:responsePriorityCode)&lt;=1">(OpvragenVaccinatiestatus-payload): element hl7:responsePriorityCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:initialQuantity)=0">(OpvragenVaccinatiestatus-payload): element hl7:initialQuantity MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:initialQuantityCode)=0">(OpvragenVaccinatiestatus-payload): element hl7:initialQuantityCode MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:executionAndDeliveryTime)&lt;=1">(OpvragenVaccinatiestatus-payload): element hl7:executionAndDeliveryTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:sortControl)=0">(OpvragenVaccinatiestatus-payload): element hl7:sortControl MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:patientId)&gt;=1 and not(hl7:patientId/@nullFlavor)">(OpvragenVaccinatiestatus-payload): element hl7:patientId is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:patientId)&lt;=1">(OpvragenVaccinatiestatus-payload): element hl7:patientId komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:person.addr)&lt;=1">(OpvragenVaccinatiestatus-payload): element hl7:person.addr komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:person.administrativeGender)&lt;=1">(OpvragenVaccinatiestatus-payload): element hl7:person.administrativeGender komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:person.birthTime)&lt;=1">(OpvragenVaccinatiestatus-payload): element hl7:person.birthTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:person.name)&lt;=1">(OpvragenVaccinatiestatus-payload): element hl7:person.name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:queryId
Item: (OpvragenVaccinatiestatus-payload)
-->

<rule context="hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:queryId"
         id="tmp-8321fc90-d718-4828-95cf-e894f1802646">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(OpvragenVaccinatiestatus-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:statusCode
Item: (OpvragenVaccinatiestatus-payload)
-->

<rule context="hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:statusCode"
         id="tmp-e4edd8bb-da99-4e80-8cbf-91d9c1dc78da">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">(OpvragenVaccinatiestatus-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@nullFlavor or (@code='executing')">(OpvragenVaccinatiestatus-payload): de waarde van @code MOET ''executing'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:modifyCode
Item: (OpvragenVaccinatiestatus-payload)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:responseElementGroupId
Item: (OpvragenVaccinatiestatus-payload)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:responseModalityCode
Item: (OpvragenVaccinatiestatus-payload)
-->

<rule context="hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:responseModalityCode"
         id="tmp-0722547d-9dae-4ba7-9864-4f676d5c8305">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">(OpvragenVaccinatiestatus-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@nullFlavor or (@code='R')">(OpvragenVaccinatiestatus-payload): de waarde van @code MOET ''R'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:responsePriorityCode
Item: (OpvragenVaccinatiestatus-payload)
-->

<rule context="hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:responsePriorityCode"
         id="tmp-3a5013b2-66cf-4f7f-ae96-72fd06adb764">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">(OpvragenVaccinatiestatus-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@nullFlavor or (@code='I')">(OpvragenVaccinatiestatus-payload): de waarde van @code MOET ''I'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:initialQuantity
Item: (OpvragenVaccinatiestatus-payload)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:initialQuantityCode
Item: (OpvragenVaccinatiestatus-payload)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:executionAndDeliveryTime
Item: (OpvragenVaccinatiestatus-payload)
-->

<rule context="hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:executionAndDeliveryTime"
         id="tmp-2a3cdec9-46da-401d-b086-52b390b51576">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(OpvragenVaccinatiestatus-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:sortControl
Item: (OpvragenVaccinatiestatus-payload)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:patientId
Item: (OpvragenVaccinatiestatus-payload)
-->

<rule context="hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:patientId"
         id="tmp-9e1b20f0-bc9f-4021-961e-2b61c9dffd15">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:value[@root='2.16.840.1.113883.2.4.6.3'])&gt;=1 and not(hl7:value[@root='2.16.840.1.113883.2.4.6.3']/@nullFlavor)">(OpvragenVaccinatiestatus-payload): element hl7:value[@root='2.16.840.1.113883.2.4.6.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:value[@root='2.16.840.1.113883.2.4.6.3'])&lt;=1">(OpvragenVaccinatiestatus-payload): element hl7:value[@root='2.16.840.1.113883.2.4.6.3'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:patientId/hl7:value[@root='2.16.840.1.113883.2.4.6.3']
Item: (OpvragenVaccinatiestatus-payload)
-->

<rule context="hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:patientId/hl7:value[@root='2.16.840.1.113883.2.4.6.3']"
         id="tmp-1782324b-716d-456f-aa71-2880a4ba0a3f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(OpvragenVaccinatiestatus-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@root='2.16.840.1.113883.2.4.6.3'">(OpvragenVaccinatiestatus-payload): @root MOET de waarde '2.16.840.1.113883.2.4.6.3' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(OpvragenVaccinatiestatus-payload): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:person.addr
Item: (OpvragenVaccinatiestatus-payload)
-->

<rule context="hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:person.addr"
         id="tmp-2e3033f3-e2b4-4d0a-b501-c8bdd52f6130">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(OpvragenVaccinatiestatus-payload): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:value)&lt;=1">(OpvragenVaccinatiestatus-payload): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:person.addr/hl7:value
Item: (OpvragenVaccinatiestatus-payload)
-->

<rule context="hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:person.addr/hl7:value"
         id="tmp-5cd7411a-25c3-4833-a599-153eb14ea88a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@nullFlavor or @xsi:type='AD' or not(@xsi:type)">(OpvragenVaccinatiestatus-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "AD" bevatten</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:houseNumber)&lt;=1">(OpvragenVaccinatiestatus-payload): element hl7:houseNumber komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:buildingNumberSuffix)&lt;=1">(OpvragenVaccinatiestatus-payload): element hl7:buildingNumberSuffix komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:additionalLocator)&lt;=1">(OpvragenVaccinatiestatus-payload): element hl7:additionalLocator komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:postalCode)&lt;=1">(OpvragenVaccinatiestatus-payload): element hl7:postalCode komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:person.addr/hl7:value/hl7:houseNumber
Item: (OpvragenVaccinatiestatus-payload)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:person.addr/hl7:value/hl7:buildingNumberSuffix
Item: (OpvragenVaccinatiestatus-payload)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:person.addr/hl7:value/hl7:additionalLocator
Item: (OpvragenVaccinatiestatus-payload)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:person.addr/hl7:value/hl7:postalCode
Item: (OpvragenVaccinatiestatus-payload)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:person.administrativeGender
Item: (OpvragenVaccinatiestatus-payload)
-->

<rule context="hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:person.administrativeGender"
         id="tmp-fc3fed94-2686-4ac7-9014-a1d557acdf0b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(OpvragenVaccinatiestatus-payload): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:value)&lt;=1">(OpvragenVaccinatiestatus-payload): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:person.administrativeGender/hl7:value
Item: (OpvragenVaccinatiestatus-payload)
-->

<rule context="hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:person.administrativeGender/hl7:value"
         id="tmp-e6fef6b5-74ee-41b6-a519-f3d18ae2aaf0">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(OpvragenVaccinatiestatus-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-AdministrativeGender-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-AdministrativeGender-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(OpvragenVaccinatiestatus-payload): de waarde van @code MOET worden gekozen uit waardenlijst AdministrativeGender DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(OpvragenVaccinatiestatus-payload): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst AdministrativeGender DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:person.birthTime
Item: (OpvragenVaccinatiestatus-payload)
-->

<rule context="hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:person.birthTime"
         id="tmp-f43b35f9-2bd0-4fc5-a4c9-f1ec2023bdf4">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(OpvragenVaccinatiestatus-payload): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:value)&lt;=1">(OpvragenVaccinatiestatus-payload): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:person.birthTime/hl7:value
Item: (OpvragenVaccinatiestatus-payload)
-->

<rule context="hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:person.birthTime/hl7:value"
         id="tmp-5c399df9-9f12-4f41-a216-ac1e299e7cc4">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(OpvragenVaccinatiestatus-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:person.name
Item: (OpvragenVaccinatiestatus-payload)
-->

<rule context="hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:person.name"
         id="tmp-063a1530-83ce-4f6e-8ed2-904e89fe37d5">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(OpvragenVaccinatiestatus-payload): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:value)&lt;=1">(OpvragenVaccinatiestatus-payload): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:person.name/hl7:value
Item: (OpvragenVaccinatiestatus-payload)
-->

<rule context="hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:person.name/hl7:value"
         id="tmp-6dbdd39b-0925-4b00-899e-06411db6dd32">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@nullFlavor or @xsi:type='PN' or not(@xsi:type)">(OpvragenVaccinatiestatus-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PN" bevatten</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:given)&lt;=1">(OpvragenVaccinatiestatus-payload): element hl7:given komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:prefix)&lt;=1">(OpvragenVaccinatiestatus-payload): element hl7:prefix komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="count(hl7:family)&lt;=1">(OpvragenVaccinatiestatus-payload): element hl7:family komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:person.name/hl7:value/hl7:given
Item: (OpvragenVaccinatiestatus-payload)
-->

<rule context="hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:person.name/hl7:value/hl7:given"
         id="tmp-40d88bb0-1b39-43a5-81d7-723dc71d2d30">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@qualifier='BR' or not(@qualifier)">(OpvragenVaccinatiestatus-payload): de waarde van @qualifier MOET 'BR' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:person.name/hl7:value/hl7:prefix
Item: (OpvragenVaccinatiestatus-payload)
-->

<rule context="hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:person.name/hl7:value/hl7:prefix"
         id="tmp-edb4e1a7-29c6-4112-befa-88001a4ce631">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@qualifier='VV' or @qualifier='(VV BR)' or @qualifier='(BR VV)'">(OpvragenVaccinatiestatus-payload): de waarde van @qualifier MOET één van de volgende codes bevatten: VV', '(VV BR)', '(BR VV).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.16
Context: hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:person.name/hl7:value/hl7:family
Item: (OpvragenVaccinatiestatus-payload)
-->

<rule context="hl7:REPC_IN002170NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:person.name/hl7:value/hl7:family"
         id="tmp-1fd2c181-7fce-4df7-94fe-8e2057cf09ed">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.16.html"
              test="@qualifier='BR'">(OpvragenVaccinatiestatus-payload): de waarde van @qualifier MOET 'BR' zijn.</assert>
   </rule>
</pattern>
