<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.182
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.182">
   <title>Bericht 2 Opleveren vaccinatiestatus (payload)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.182
Context: *[hl7:VaccinationAdministrationList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.182']]
Item: (OpleverenVaccinatiestatus-payload)
-->

<rule context="*[hl7:VaccinationAdministrationList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.182']]"
         id="tmp-9f1f4f3a-2333-47c1-a69c-22137c126049">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.182.html"
              test="count(hl7:VaccinationAdministrationList)&gt;=1 and not(hl7:VaccinationAdministrationList/@nullFlavor)">(OpleverenVaccinatiestatus-payload): element hl7:VaccinationAdministrationList is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.182.html"
              test="count(hl7:VaccinationAdministrationList)&lt;=1">(OpleverenVaccinatiestatus-payload): element hl7:VaccinationAdministrationList komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.182
Context: *[hl7:VaccinationAdministrationList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.182']]/hl7:VaccinationAdministrationList
Item: (OpleverenVaccinatiestatus-payload)
-->

<rule context="*[hl7:VaccinationAdministrationList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.182']]/hl7:VaccinationAdministrationList"
         id="tmp-e0d33b46-0b62-470c-8ecd-0c81b35692d5">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.182.html"
              test="@classCode='LIST' or not(@classCode)">(OpleverenVaccinatiestatus-payload): de waarde van @classCode MOET 'LIST' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.182.html"
              test="@moodCode='EVN' or not(@moodCode)">(OpleverenVaccinatiestatus-payload): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.182.html"
              test="count(* except (hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.182']|hl7:subject|hl7:component[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]]))=0">(OpleverenVaccinatiestatus-payload): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.182.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.182'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.182']/@nullFlavor)">(OpleverenVaccinatiestatus-payload): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.182'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.182.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.182'])&lt;=1">(OpleverenVaccinatiestatus-payload): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.182'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.182.html"
              test="count(hl7:subject)&gt;=1 and not(hl7:subject/@nullFlavor)">(OpleverenVaccinatiestatus-payload): element hl7:subject is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.182.html"
              test="count(hl7:subject)&lt;=1">(OpleverenVaccinatiestatus-payload): element hl7:subject komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.182
Context: *[hl7:VaccinationAdministrationList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.182']]/hl7:VaccinationAdministrationList/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.182']
Item: (OpleverenVaccinatiestatus-payload)
-->

<rule context="*[hl7:VaccinationAdministrationList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.182']]/hl7:VaccinationAdministrationList/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.182']"
         id="tmp-7bb3d47b-e341-40d2-8657-db0221a89001">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.182.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(OpleverenVaccinatiestatus-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.182.html"
              test="@root='2.16.840.1.113883.2.4.6.10.100.182'">(OpleverenVaccinatiestatus-payload): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.182' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.182.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(OpleverenVaccinatiestatus-payload): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.182
Context: *[hl7:VaccinationAdministrationList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.182']]/hl7:VaccinationAdministrationList/hl7:subject
Item: (OpleverenVaccinatiestatus-payload)
-->

<rule context="*[hl7:VaccinationAdministrationList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.182']]/hl7:VaccinationAdministrationList/hl7:subject"
         id="tmp-bbfebc41-f556-4235-b4e5-cd10f9768252">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.182.html"
              test="@typeCode='SBJ' or not(@typeCode)">(OpleverenVaccinatiestatus-payload): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.182.html"
              test="count(* except (hl7:patient))=0">(OpleverenVaccinatiestatus-payload): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.182.html"
              test="count(hl7:patient)&gt;=1 and not(hl7:patient/@nullFlavor)">(OpleverenVaccinatiestatus-payload): element hl7:patient is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.182.html"
              test="count(hl7:patient)&lt;=1">(OpleverenVaccinatiestatus-payload): element hl7:patient komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.182
Context: *[hl7:VaccinationAdministrationList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.182']]/hl7:VaccinationAdministrationList/hl7:subject/hl7:patient
Item: (OpleverenVaccinatiestatus-payload)
-->

<rule context="*[hl7:VaccinationAdministrationList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.182']]/hl7:VaccinationAdministrationList/hl7:subject/hl7:patient"
         id="tmp-d0566ac5-1e65-4bd8-b955-0c270668e968">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.182.html"
              test="@classCode='PAT' or not(@classCode)">(OpleverenVaccinatiestatus-payload): de waarde van @classCode MOET 'PAT' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.182.html"
              test="count(* except (hl7:id[@root='2.16.840.1.113883.2.4.6.3']))=0">(OpleverenVaccinatiestatus-payload): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.182.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&gt;=1 and not(hl7:id[@root='2.16.840.1.113883.2.4.6.3']/@nullFlavor)">(OpleverenVaccinatiestatus-payload): element hl7:id[@root='2.16.840.1.113883.2.4.6.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.182.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&lt;=1">(OpleverenVaccinatiestatus-payload): element hl7:id[@root='2.16.840.1.113883.2.4.6.3'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.182
Context: *[hl7:VaccinationAdministrationList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.182']]/hl7:VaccinationAdministrationList/hl7:subject/hl7:patient/hl7:id[@root='2.16.840.1.113883.2.4.6.3']
Item: (OpleverenVaccinatiestatus-payload)
-->

<rule context="*[hl7:VaccinationAdministrationList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.182']]/hl7:VaccinationAdministrationList/hl7:subject/hl7:patient/hl7:id[@root='2.16.840.1.113883.2.4.6.3']"
         id="tmp-eea7282e-86a9-48a5-9114-ea42923475ef">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.182.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(OpleverenVaccinatiestatus-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.182.html"
              test="@root='2.16.840.1.113883.2.4.6.3'">(OpleverenVaccinatiestatus-payload): @root MOET de waarde '2.16.840.1.113883.2.4.6.3' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.182.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(OpleverenVaccinatiestatus-payload): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.182
Context: *[hl7:VaccinationAdministrationList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.182']]/hl7:VaccinationAdministrationList/hl7:component[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]]
Item: (OpleverenVaccinatiestatus-payload)
-->
<rule context="*[hl7:VaccinationAdministrationList[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.182']]/hl7:VaccinationAdministrationList/hl7:component[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.123']]]"
         id="tmp-993fcb2e-8dcb-41ff-8a9b-50a17bd036f2">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.182.html"
              test="@typeCode='COMP' or not(@typeCode)">(OpleverenVaccinatiestatus-payload): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>
</pattern>
