<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.35.900100
Description: Template: Opvragen Labuitslag Medicatiebewaking (payload)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.35.900100">
   <title>OpvragenLabuitslagMedicatiebewaking (payload)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.900100
Context: hl7:ControlActProcess
Item: (OpvragenLabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess"
         id="tmp-74d35697-bf50-484f-b93b-249f64638100">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="count(hl7:queryByParameter)&gt;=1 and not(hl7:queryByParameter/@nullFlavor)">(OpvragenLabuitslagMedicatiebewaking-payload): element hl7:queryByParameter is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="count(hl7:queryByParameter)&lt;=1">(OpvragenLabuitslagMedicatiebewaking-payload): element hl7:queryByParameter komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.900100
Context: hl7:ControlActProcess/hl7:queryByParameter
Item: (OpvragenLabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:queryByParameter"
         id="tmp-b4fc0877-939c-4438-babf-bfc77fc53605">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="count(hl7:queryId)&gt;=1 and not(hl7:queryId/@nullFlavor)">(OpvragenLabuitslagMedicatiebewaking-payload): element hl7:queryId is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="count(hl7:queryId)&lt;=1">(OpvragenLabuitslagMedicatiebewaking-payload): element hl7:queryId komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)">(OpvragenLabuitslagMedicatiebewaking-payload): element hl7:statusCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="count(hl7:statusCode)&lt;=1">(OpvragenLabuitslagMedicatiebewaking-payload): element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="count(hl7:responseModalityCode)&gt;=1 and not(hl7:responseModalityCode/@nullFlavor)">(OpvragenLabuitslagMedicatiebewaking-payload): element hl7:responseModalityCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="count(hl7:responseModalityCode)&lt;=1">(OpvragenLabuitslagMedicatiebewaking-payload): element hl7:responseModalityCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="count(hl7:responsePriorityCode)&gt;=1 and not(hl7:responsePriorityCode/@nullFlavor)">(OpvragenLabuitslagMedicatiebewaking-payload): element hl7:responsePriorityCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="count(hl7:responsePriorityCode)&lt;=1">(OpvragenLabuitslagMedicatiebewaking-payload): element hl7:responsePriorityCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="count(hl7:executionAndDeliveryTime)&gt;=1 and not(hl7:executionAndDeliveryTime/@nullFlavor)">(OpvragenLabuitslagMedicatiebewaking-payload): element hl7:executionAndDeliveryTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="count(hl7:executionAndDeliveryTime)&lt;=1">(OpvragenLabuitslagMedicatiebewaking-payload): element hl7:executionAndDeliveryTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="count(hl7:actMoodCode)&gt;=1 and not(hl7:actMoodCode/@nullFlavor)">(OpvragenLabuitslagMedicatiebewaking-payload): element hl7:actMoodCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="count(hl7:actMoodCode)&lt;=1">(OpvragenLabuitslagMedicatiebewaking-payload): element hl7:actMoodCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="count(hl7:observationEffectiveTime)&lt;=1">(OpvragenLabuitslagMedicatiebewaking-payload): element hl7:observationEffectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="count(hl7:patientId)&gt;=1 and not(hl7:patientId/@nullFlavor)">(OpvragenLabuitslagMedicatiebewaking-payload): element hl7:patientId is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="count(hl7:patientId)&lt;=1">(OpvragenLabuitslagMedicatiebewaking-payload): element hl7:patientId komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="count(hl7:responseTemplateId)&gt;=1 and not(hl7:responseTemplateId/@nullFlavor)">(OpvragenLabuitslagMedicatiebewaking-payload): element hl7:responseTemplateId is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="count(hl7:responseTemplateId)&lt;=1">(OpvragenLabuitslagMedicatiebewaking-payload): element hl7:responseTemplateId komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.900100
Context: hl7:ControlActProcess/hl7:queryByParameter/hl7:queryId
Item: (OpvragenLabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:queryByParameter/hl7:queryId"
         id="tmp-bb01fc69-ee4f-4057-82db-becf94527eeb">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(OpvragenLabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.900100
Context: hl7:ControlActProcess/hl7:queryByParameter/hl7:statusCode
Item: (OpvragenLabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:queryByParameter/hl7:statusCode"
         id="tmp-9454bd51-9c96-4664-8af2-e164d5cbe9b4">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">(OpvragenLabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="@nullFlavor or (@code='executing')">(OpvragenLabuitslagMedicatiebewaking-payload): de waarde van @code MOET ''executing'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.900100
Context: hl7:ControlActProcess/hl7:queryByParameter/hl7:responseModalityCode
Item: (OpvragenLabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:queryByParameter/hl7:responseModalityCode"
         id="tmp-486a0fcf-f110-432b-a760-95ebe6f2bda3">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">(OpvragenLabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="@nullFlavor or (@code='B')">(OpvragenLabuitslagMedicatiebewaking-payload): de waarde van @code MOET ''B'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.900100
Context: hl7:ControlActProcess/hl7:queryByParameter/hl7:responsePriorityCode
Item: (OpvragenLabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:queryByParameter/hl7:responsePriorityCode"
         id="tmp-6ec2aefa-5ea3-4bbb-9ac1-5f6f0a231002">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">(OpvragenLabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="@nullFlavor or (@code='I')">(OpvragenLabuitslagMedicatiebewaking-payload): de waarde van @code MOET ''I'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.900100
Context: hl7:ControlActProcess/hl7:queryByParameter/hl7:executionAndDeliveryTime
Item: (OpvragenLabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:queryByParameter/hl7:executionAndDeliveryTime"
         id="tmp-b4455d0b-985f-4bb3-a7fe-23be0af26267">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(OpvragenLabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.900100
Context: hl7:ControlActProcess/hl7:queryByParameter/hl7:actMoodCode
Item: (OpvragenLabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:queryByParameter/hl7:actMoodCode"
         id="tmp-d79f588f-fdaf-45f7-868a-cae8414a7c08">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(OpvragenLabuitslagMedicatiebewaking-payload): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="count(hl7:value)&lt;=1">(OpvragenLabuitslagMedicatiebewaking-payload): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.900100
Context: hl7:ControlActProcess/hl7:queryByParameter/hl7:actMoodCode/hl7:value
Item: (OpvragenLabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:queryByParameter/hl7:actMoodCode/hl7:value"
         id="tmp-ac1b99ea-c601-484d-9879-76e9fb84ffbb">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(OpvragenLabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="@nullFlavor or (@code='EVN' and @codeSystem='2.16.840.1.113883.5.1001')">(OpvragenLabuitslagMedicatiebewaking-payload): de waarde van @code/@codeSystem MOET ''EVN' codeSystem '2.16.840.1.113883.5.1001'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.900100
Context: hl7:ControlActProcess/hl7:queryByParameter/hl7:observationEffectiveTime
Item: (OpvragenLabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:queryByParameter/hl7:observationEffectiveTime"
         id="tmp-42fee27f-f98e-4a1b-a25f-157cdecb0589">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(OpvragenLabuitslagMedicatiebewaking-payload): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="count(hl7:value)&lt;=1">(OpvragenLabuitslagMedicatiebewaking-payload): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.900100
Context: hl7:ControlActProcess/hl7:queryByParameter/hl7:observationEffectiveTime/hl7:value
Item: (OpvragenLabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:queryByParameter/hl7:observationEffectiveTime/hl7:value"
         id="tmp-1290dc8d-fe01-4fc3-a146-0d5611768946">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(OpvragenLabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.900100
Context: hl7:ControlActProcess/hl7:queryByParameter/hl7:patientId
Item: (OpvragenLabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:queryByParameter/hl7:patientId"
         id="tmp-6372f681-c1b7-441b-88a2-f0899aff1bad">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="count(hl7:value[@root='2.16.840.1.113883.2.4.6.3'])&gt;=1 and not(hl7:value[@root='2.16.840.1.113883.2.4.6.3']/@nullFlavor)">(OpvragenLabuitslagMedicatiebewaking-payload): element hl7:value[@root='2.16.840.1.113883.2.4.6.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="count(hl7:value[@root='2.16.840.1.113883.2.4.6.3'])&lt;=1">(OpvragenLabuitslagMedicatiebewaking-payload): element hl7:value[@root='2.16.840.1.113883.2.4.6.3'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.900100
Context: hl7:ControlActProcess/hl7:queryByParameter/hl7:patientId/hl7:value[@root='2.16.840.1.113883.2.4.6.3']
Item: (OpvragenLabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:queryByParameter/hl7:patientId/hl7:value[@root='2.16.840.1.113883.2.4.6.3']"
         id="tmp-cf113fa2-b760-4de9-8174-e28fdd5ca6c7">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(OpvragenLabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.BSN" bevatten</assert>
      <extends rule="II.NL.BSN"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="@root='2.16.840.1.113883.2.4.6.3'">(OpvragenLabuitslagMedicatiebewaking-payload): @root MOET de waarde '2.16.840.1.113883.2.4.6.3' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(OpvragenLabuitslagMedicatiebewaking-payload): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="string-length(@extension)&gt;0">(OpvragenLabuitslagMedicatiebewaking-payload): attribute @extension MOET aanwezig zijn.</assert>
      <let name="theAttValue" value="@extension"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.900100
Context: hl7:ControlActProcess/hl7:queryByParameter/hl7:responseTemplateId
Item: (OpvragenLabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:queryByParameter/hl7:responseTemplateId"
         id="tmp-bd7f99ab-740a-47b5-a97f-18312047a81b">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="count(hl7:value[@root='2.16.840.1.113883.2.4.6.10.35.5'])&gt;=1 and not(hl7:value[@root='2.16.840.1.113883.2.4.6.10.35.5']/@nullFlavor)">(OpvragenLabuitslagMedicatiebewaking-payload): element hl7:value[@root='2.16.840.1.113883.2.4.6.10.35.5'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="count(hl7:value[@root='2.16.840.1.113883.2.4.6.10.35.5'])&lt;=1">(OpvragenLabuitslagMedicatiebewaking-payload): element hl7:value[@root='2.16.840.1.113883.2.4.6.10.35.5'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.35.900100
Context: hl7:ControlActProcess/hl7:queryByParameter/hl7:responseTemplateId/hl7:value[@root='2.16.840.1.113883.2.4.6.10.35.5']
Item: (OpvragenLabuitslagMedicatiebewaking-payload)
-->

<rule context="hl7:ControlActProcess/hl7:queryByParameter/hl7:responseTemplateId/hl7:value[@root='2.16.840.1.113883.2.4.6.10.35.5']"
         id="tmp-db23bb50-03fc-4151-a846-0dfb73945513">
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(OpvragenLabuitslagMedicatiebewaking-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="@root='2.16.840.1.113883.2.4.6.10.35.5'">(OpvragenLabuitslagMedicatiebewaking-payload): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.35.5' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/labuitslagen/lu-html-develop/tmp-2.16.840.1.113883.2.4.6.10.35.900100.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(OpvragenLabuitslagMedicatiebewaking-payload): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>
</pattern>
