<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.40.9003
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.40.9003">
   <title/>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.9003
Context: hl7:queryByParameter
Item: (PrimaryCareRecordProfileQuerySEH-PS)
-->

<rule context="hl7:queryByParameter" id="tmp-c09d9f81-0cb5-4e23-8949-80345ce228e0">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.9003.html"
              test="count(hl7:parameterList)&gt;=1 and not(hl7:parameterList/@nullFlavor)">(PrimaryCareRecordProfileQuerySEH-PS): element hl7:parameterList is mandatory [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.9003
Context: hl7:queryByParameter/hl7:parameterList
Item: (PrimaryCareRecordProfileQuerySEH-PS)
-->

<rule context="hl7:queryByParameter/hl7:parameterList"
         id="tmp-6f06fc9f-cab8-4e6e-9001-c069edc76723">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.9003.html"
              test="count(hl7:patientId)&gt;=1 and not(hl7:patientId/@nullFlavor)">(PrimaryCareRecordProfileQuerySEH-PS): element hl7:patientId is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.9003.html"
              test="count(hl7:patientId)&lt;=1">(PrimaryCareRecordProfileQuerySEH-PS): element hl7:patientId komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.9003
Context: hl7:queryByParameter/hl7:parameterList/hl7:patientId
Item: (PrimaryCareRecordProfileQuerySEH-PS)
-->

<rule context="hl7:queryByParameter/hl7:parameterList/hl7:patientId"
         id="tmp-16479f4c-8aa7-4e97-b017-bb090615cb9e">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.9003.html"
              test="count(hl7:value[@root='2.16.840.1.113883.2.4.6.3'])&gt;=1 and not(hl7:value[@root='2.16.840.1.113883.2.4.6.3']/@nullFlavor)">(PrimaryCareRecordProfileQuerySEH-PS): element hl7:value[@root='2.16.840.1.113883.2.4.6.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.9003.html"
              test="count(hl7:value[@root='2.16.840.1.113883.2.4.6.3'])&lt;=1">(PrimaryCareRecordProfileQuerySEH-PS): element hl7:value[@root='2.16.840.1.113883.2.4.6.3'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.40.9003
Context: hl7:queryByParameter/hl7:parameterList/hl7:patientId/hl7:value[@root='2.16.840.1.113883.2.4.6.3']
Item: (PrimaryCareRecordProfileQuerySEH-PS)
-->

<rule context="hl7:queryByParameter/hl7:parameterList/hl7:patientId/hl7:value[@root='2.16.840.1.113883.2.4.6.3']"
         id="tmp-44af9c6c-e2ef-47e8-bc67-1bf20df5e68a">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.9003.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(PrimaryCareRecordProfileQuerySEH-PS): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.BSN" bevatten</assert>
      <extends rule="II.NL.BSN"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.9003.html"
              test="@root='2.16.840.1.113883.2.4.6.3'">(PrimaryCareRecordProfileQuerySEH-PS): @root MOET de waarde '2.16.840.1.113883.2.4.6.3' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.40.9003.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(PrimaryCareRecordProfileQuerySEH-PS): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>
</pattern>