<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.70.19
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.70.19">
   <title/>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.19
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']
Item: (PersonNL)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']"
         id="tmp-843c28f3-a261-4e50-9b91-0e6c33255b75">
      <let name="elmcount" value="count(hl7:name[@use='OR']|hl7:name[@use='L'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.19.html"
              test="$elmcount&lt;=2">(PersonNL): keuze (hl7:name[@use='OR'] of hl7:name[@use='L']) bevat te veel elementen [max 2x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.19.html"
              test="count(hl7:administrativeGenderCode)&lt;=1">(PersonNL): element hl7:administrativeGenderCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.19.html"
              test="count(hl7:birthTime)&lt;=1">(PersonNL): element hl7:birthTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.19.html"
              test="count(hl7:deceasedInd)&lt;=1">(PersonNL): element hl7:deceasedInd komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.19.html"
              test="count(hl7:deceasedTime)&lt;=1">(PersonNL): element hl7:deceasedTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.19.html"
              test="count(hl7:multipleBirthInd)&lt;=1">(PersonNL): element hl7:multipleBirthInd komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.19.html"
              test="count(hl7:multipleBirthOrderNumber)&lt;=1">(PersonNL): element hl7:multipleBirthOrderNumber komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.19.html"
              test="count(hl7:maritalStatusCode)&lt;=1">(PersonNL): element hl7:maritalStatusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.19.html"
              test="count(hl7:educationLevelCode)&lt;=1">(PersonNL): element hl7:educationLevelCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.19.html"
              test="count(hl7:asEmployee)&lt;=1">(PersonNL): element hl7:asEmployee komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.19.html"
              test="count(birthPlace)&lt;=1">(PersonNL): element birthPlace komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.19
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.19']
Item: (PersonNL)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.19']"
         id="tmp-c8bbd1fb-3f59-4fec-ae1d-b6c04a917492">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.19.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.19'">(PersonNL): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.19' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.19.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(PersonNL): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.19
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']
Item: (PersonNL)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.19
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']
Item: (NaamOfficieel)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.19
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']/hl7:name[@use='OR']
Item: (NaamOfficieel)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']/hl7:name[@use='OR']"
         id="tmp-d254eeb8-deca-42fa-b057-973215aea07b">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.19.html"
              test="@nullFlavor or @xsi:type='PN' or not(@xsi:type)">(NaamOfficieel): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PN" bevatten</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.19.html"
              test="@use='OR'">(NaamOfficieel): de waarde van @use MOET 'OR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.19.html"
              test="count(hl7:given)&gt;=1 and not(hl7:given/@nullFlavor)">(NaamOfficieel): element hl7:given is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.19.html"
              test="count(hl7:given)&lt;=1">(NaamOfficieel): element hl7:given komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.19.html"
              test="count(hl7:family)&gt;=1 and not(hl7:family/@nullFlavor)">(NaamOfficieel): element hl7:family is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.19.html"
              test="count(hl7:family)&lt;=1">(NaamOfficieel): element hl7:family komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.19
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']/hl7:name[@use='OR']/hl7:given
Item: (NaamOfficieel)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']/hl7:name[@use='OR']/hl7:given"
         id="tmp-24eff06c-a67f-4505-a2b1-c7f3c1e9a6b1">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.19.html"
              test="@qualifier='BR' or not(@qualifier)">(NaamOfficieel): de waarde van @qualifier MOET 'BR' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.19
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']/hl7:name[@use='OR']/hl7:prefix
Item: (NaamOfficieel)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.19
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']/hl7:name[@use='OR']/hl7:family
Item: (NaamOfficieel)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']/hl7:name[@use='OR']/hl7:family"
         id="tmp-2a4e1bfa-38e2-4878-83ce-b1c27ae3afb6">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.19.html"
              test="@qualifier='BR'">(NaamOfficieel): de waarde van @qualifier MOET 'BR' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.19
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']
Item: (NaamZoalsBekendBijInstelling)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.19
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']/hl7:name[@use='L']
Item: (NaamZoalsBekendBijInstelling)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']/hl7:name[@use='L']"
         id="tmp-93612671-589c-4c7d-9ed0-bc4ea33708ba">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.19.html"
              test="@nullFlavor or @xsi:type='PN' or not(@xsi:type)">(NaamZoalsBekendBijInstelling): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PN" bevatten</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.19.html"
              test="@use='L'">(NaamZoalsBekendBijInstelling): de waarde van @use MOET 'L' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:given|hl7:prefix|hl7:family|hl7:delimiter|hl7:suffix)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.19.html"
              test="$elmcount&gt;=1">(NaamZoalsBekendBijInstelling): keuze (hl7:given of hl7:prefix of hl7:family of hl7:delimiter of hl7:suffix) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.19.html"
              test="count(hl7:validTime)&lt;=1">(NaamZoalsBekendBijInstelling): element hl7:validTime komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.19
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']/hl7:name[@use='L']
Item: (NaamZoalsBekendBijInstelling)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.19
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']/hl7:name[@use='L']/hl7:given
Item: (NaamZoalsBekendBijInstelling)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.19
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']/hl7:name[@use='L']/hl7:prefix
Item: (NaamZoalsBekendBijInstelling)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']/hl7:name[@use='L']/hl7:prefix"
         id="tmp-93cd02c5-f8b2-479a-802b-932bdb1f883a">
      <assert role="warning" test="@qualifier">(NaamZoalsBekendBijInstelling): 
              <name path=".."/>/<name/>/@qualifier ontbreekt. Deze prefix zal als titel worden geïnterpreteerd.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.19
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']/hl7:name[@use='L']/hl7:family
Item: (NaamZoalsBekendBijInstelling)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.19
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']/hl7:name[@use='L']/hl7:delimiter
Item: (NaamZoalsBekendBijInstelling)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.19
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']/hl7:name[@use='L']/hl7:suffix
Item: (NaamZoalsBekendBijInstelling)
-->


<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.19
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']/hl7:name[@use='L']/hl7:validTime
Item: (NaamZoalsBekendBijInstelling)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.19
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']/hl7:name[@use='L']
Item: (Periode-O-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.19
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']/hl7:name[@use='L']/hl7:validTime
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']/hl7:name[@use='L']/hl7:validTime"
         id="tmp-7efcd63b-8d91-410f-aec8-003d7e153d2e">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.19.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.19.html"
              test="count(hl7:low)&lt;=1">(Periode-O-Start-O-Eind-O): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.19.html"
              test="count(hl7:high)&lt;=1">(Periode-O-Start-O-Eind-O): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.19.html"
              test="count(hl7:width)=0">(Periode-O-Start-O-Eind-O): element hl7:width MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.19.html"
              test="count(hl7:center)=0">(Periode-O-Start-O-Eind-O): element hl7:center MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.19
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']/hl7:name[@use='L']/hl7:validTime/hl7:low
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']/hl7:name[@use='L']/hl7:validTime/hl7:low"
         id="tmp-00a30c24-6f4c-42a5-b92f-63f14be08254">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.19.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(Periode-O-Start-O-Eind-O): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.19.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.19
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']/hl7:name[@use='L']/hl7:validTime/hl7:high
Item: (Periode-O-Start-O-Eind-O)
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']/hl7:name[@use='L']/hl7:validTime/hl7:high"
         id="tmp-65872bbe-4dde-4f57-93ea-6492012b1bd6">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.19.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(Periode-O-Start-O-Eind-O): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.19.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-O-Start-O-Eind-O): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.19
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']/hl7:name[@use='L']/hl7:validTime/hl7:width
Item: (Periode-O-Start-O-Eind-O)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.19
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']/hl7:name[@use='L']/hl7:validTime/hl7:center
Item: (Periode-O-Start-O-Eind-O)
-->
<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.19
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']/hl7:administrativeGenderCode
Item: (PersonNL)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']/hl7:administrativeGenderCode"
         id="tmp-2972bcb9-1b29-46cb-ad43-fa43465109c7">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.19.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(PersonNL): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-AdministrativeGender-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-AdministrativeGender-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.19.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(PersonNL): de waarde van @code MOET worden gekozen uit waardenlijst AdministrativeGender Administratieve geslachten DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.19.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(PersonNL): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst AdministrativeGender Administratieve geslachten DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.19
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']/hl7:birthTime
Item: (PersonNL)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']/hl7:birthTime"
         id="tmp-c102996d-57e1-413a-b294-3bc130be1428">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.19.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(PersonNL): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.19.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(PersonNL): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.19
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']/hl7:deceasedInd
Item: (PersonNL)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']/hl7:deceasedInd"
         id="tmp-f819aaa4-e6b8-435b-b18d-38ba65ca3bad">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.19.html"
              test="@nullFlavor or @xsi:type='BL' or not(@xsi:type)">(PersonNL): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.19
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']/hl7:deceasedTime
Item: (PersonNL)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']/hl7:deceasedTime"
         id="tmp-bf5fe225-c1e2-497d-87b7-642eaad99d21">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.19.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(PersonNL): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.19
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']/hl7:multipleBirthInd
Item: (PersonNL)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']/hl7:multipleBirthInd"
         id="tmp-1e4addec-8ca6-4235-a28a-b2806061925c">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.19.html"
              test="@nullFlavor or @xsi:type='BL' or not(@xsi:type)">(PersonNL): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.19
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']/hl7:multipleBirthOrderNumber
Item: (PersonNL)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']/hl7:multipleBirthOrderNumber"
         id="tmp-bae298a9-119a-48c6-a91b-8c23c461ae80">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.19.html"
              test="@nullFlavor or @xsi:type='INT' or not(@xsi:type)">(PersonNL): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT" bevatten</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <let name="digitok" value="matches($theValue, '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.19.html"
              test="$digitok">(PersonNL): @value is geen geldig INT getal <value-of select="$theValue"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.19
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']/hl7:maritalStatusCode
Item: (PersonNL)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']/hl7:maritalStatusCode"
         id="tmp-31149e06-e9bb-467e-914c-c5128511decc">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.19.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(PersonNL): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-MaritalStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-MaritalStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.19.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(PersonNL): de waarde van @code MOET worden gekozen uit waardenlijst MaritalStatus Burgerlijke staat DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.19.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(PersonNL): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst MaritalStatus Burgerlijke staat DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.19
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']/hl7:educationLevelCode
Item: (PersonNL)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']/hl7:educationLevelCode"
         id="tmp-b58419d1-5c4e-4696-95d8-81b837cff46f">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.19.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(PersonNL): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.19.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.30.20')">(PersonNL): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.30.20'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.19
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']/hl7:asEmployee
Item: (PersonNL)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']/hl7:asEmployee"
         id="tmp-aebe3f14-87c1-480c-80ca-aae4fcc3d0e6">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.19.html"
              test="count(hl7:code)&lt;=1">(PersonNL): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.19
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']/hl7:asEmployee/hl7:code
Item: (PersonNL)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']/hl7:asEmployee/hl7:code"
         id="tmp-4c849047-56f0-40a6-8888-1967b6711be5">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.19.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(PersonNL): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-CodeSocialeLaag-v3-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-CodeSocialeLaag-v3-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.19.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(PersonNL): de waarde van @code MOET worden gekozen uit waardenlijst CodeSocialeLaag-v3 NHG HIS tabel 11 Code sociale laag versie 3 DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.19.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(PersonNL): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst CodeSocialeLaag-v3 NHG HIS tabel 11 Code sociale laag versie 3 DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.19
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']/birthPlace
Item: (PersonNL)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']/birthPlace"
         id="tmp-c6b11e0c-63a4-4e61-a469-81c4bd8d529c">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.19.html"
              test="count(hl7:addr)&gt;=1 and not(hl7:addr/@nullFlavor)">(PersonNL): element hl7:addr is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.19.html"
              test="count(hl7:addr)&lt;=1">(PersonNL): element hl7:addr komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.19
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']/birthPlace/hl7:addr
Item: (PersonNL)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']/birthPlace/hl7:addr"
         id="tmp-e15a9b7b-78f0-4e10-ad0a-ba6848d42369">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.19.html"
              test="@nullFlavor or @xsi:type='AD' or not(@xsi:type)">(PersonNL): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "AD" bevatten</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.19.html"
              test="count(hl7:county)&gt;=1 and not(hl7:county/@nullFlavor)">(PersonNL): element hl7:county is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.19.html"
              test="count(hl7:county)&lt;=1">(PersonNL): element hl7:county komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.19.html"
              test="count(hl7:country)&lt;=1">(PersonNL): element hl7:country komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.19
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']/birthPlace/hl7:addr/hl7:county
Item: (PersonNL)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']/birthPlace/hl7:addr/hl7:county"
         id="tmp-03c8bd17-cc99-4d60-b581-5f6b1f06c902">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.19.html"
              test="@nullFlavor or @xsi:type='SC' or not(@xsi:type)">(PersonNL): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "SC" bevatten</assert>
      <extends rule="SC"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              test="not(@codeSystem) or @codeSystem='2.16.840.1.113883.2.4.6.14'">(PersonNL): 
              <name path=".."/>/<name/> MOET, indien deze gecodeerd wordt, worden gecodeerd volgens GBA-tabel 33</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.19
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']/birthPlace/hl7:addr/hl7:country
Item: (PersonNL)
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.19']/birthPlace/hl7:addr/hl7:country"
         id="tmp-c15d5b42-1171-46f0-a2e6-bf6af6b52288">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.19.html"
              test="@nullFlavor or @xsi:type='SC' or not(@xsi:type)">(PersonNL): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "SC" bevatten</assert>
      <extends rule="SC"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              test="not(@codeSystem) or @codeSystem='2.16.840.1.113883.2.4.4.16.34'">(PersonNL): 
              <name path=".."/>/<name/> MOET, indien deze gecodeerd wordt, worden gecodeerd GBA tabel 34 Landen</assert>
   </rule>
</pattern>