<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.70.4
Description: De template wordt gebruikt om een vrije tekstregel mee te geven, die niet gecodeerd maar wel gestructureerd is volgens de SOEP-structuur. Indien bij een zendend systeem bekend is dat een vrije tekst regel een Plan bevat, dient de ontvanger dat mee te krijgen. Wanneer bij een zendend systeem bekend is dat een dossierregel hoort onder een van de andere templates in de choicebox, maar er geen gestandaardiseerde code aanwezig is (maar bijvoorbeeld een lokale code) dan wordt hiervoor deze JournalEntry niet gebruikt, maar in de betreffende andere template wordt in
                het code of value attribuut een lokale code meegegeven indien dit is toegestaan (CD CWE type). Indien lokale codes in het betreffende template niet zijn toegestaan en indien het niet mogelijk is om een vertaling naar een standaardcode te maken (eenmalig per gebruiker), dan dient de regel als JournalEntry mee te gaan, waarbij de SOEP code als volgt toegevoegd mag worden: Een diagnose wordt een E, een medicatievoorschrift en –aflevering wordt een P, een bepalingsaanvraag en –resultaat wordt een O, een verwijzing en een nietmedicamenteuze therapie wordt een P.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.70.4">
   <title/>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.4
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.4']]
Item: (Journaalregel)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.4
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.4']]/hl7:observation
Item: (Journaalregel)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.4']]/hl7:observation"
         id="tmp-e4fc4835-fccc-4886-b257-77453ad0b77d">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.4.html"
              test="@classCode='OBS'">(Journaalregel): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.4.html"
              test="@moodCode='EVN'">(Journaalregel): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.4.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.4'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.4']/@nullFlavor)">(Journaalregel): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.4'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.4.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.4'])&lt;=1">(Journaalregel): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.4'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.4.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(Journaalregel): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.4.html"
              test="count(hl7:id)&lt;=1">(Journaalregel): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.4.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Journaalregel): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.4.html"
              test="count(hl7:code)&lt;=1">(Journaalregel): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.4.html"
              test="count(hl7:effectiveTime)&lt;=1">(Journaalregel): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.4.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(Journaalregel): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.4.html"
              test="count(hl7:value)&lt;=1">(Journaalregel): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.4.html"
              test="count(hl7:author)&lt;=1">(Journaalregel): element hl7:author komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.4
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.4']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.4']
Item: (Journaalregel)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.4']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.4']"
         id="tmp-7138fd04-fba8-4c34-8231-31dc9ce222ab">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.4.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.4'">(Journaalregel): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.4' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.4.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(Journaalregel): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.4
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.4']]/hl7:observation/hl7:id
Item: (Journaalregel)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.4']]/hl7:observation/hl7:id"
         id="tmp-d7cefcf6-c849-495c-9876-694dab9a93fc">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.4.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(Journaalregel): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.4
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.4']]/hl7:observation/hl7:code
Item: (Journaalregel)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.4']]/hl7:observation/hl7:code"
         id="tmp-f5c49568-89c1-434a-898c-f7ea95a28d1d">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.4.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(Journaalregel): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-Journaalregeltypen-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-Journaalregeltypen-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.4.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(Journaalregel): de waarde van @code MOET worden gekozen uit waardenlijst Journaalregeltypen DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.4.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(Journaalregel): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst Journaalregeltypen DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.4
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.4']]/hl7:observation/hl7:effectiveTime
Item: (Journaalregel)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.4']]/hl7:observation/hl7:effectiveTime"
         id="tmp-6569c456-a81d-472b-a649-3188bb8f7ce1">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.4.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(Journaalregel): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.4
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.4']]/hl7:observation/hl7:value
Item: (Journaalregel)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.4']]/hl7:observation/hl7:value"
         id="tmp-419937b5-be85-4c41-9bb8-e602b249dd42">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.4.html"
              test="@nullFlavor or @xsi:type='ED' or not(@xsi:type)">(Journaalregel): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ED" bevatten</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.4
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.4']]/hl7:observation/hl7:author
Item: (Author.6.9.2)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.4']]/hl7:observation/hl7:author"
         id="tmp-716a7a31-fb3b-4d94-b965-ec49a13d6c1e">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.4.html"
              test="@typeCode='AUT'">(Author.6.9.2): de waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.4.html"
              test="@contextControlCode='ON'">(Author.6.9.2): de waarde van @contextControlCode MOET 'ON' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.4.html"
              test="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']])&lt;=1">(Author.6.9.2): element hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] komt te vaak voor [max 1x].</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.4
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.4']]/hl7:observation/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (Author.6.9.2)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.4']]/hl7:observation/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-8bb72ce3-1c2f-4482-9f07-5b5f042e844d">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.4.html"
              test="@classCode='ASSIGNED'">(Author.6.9.2): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.4
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.4']]/hl7:observation/hl7:performer
Item: (Performer.6.9.3)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.4']]/hl7:observation/hl7:performer"
         id="tmp-3a8b388e-a0fb-4d9a-99b4-f6b80c0a6e9b">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.4.html"
              test="@typeCode='PRF'">(Performer.6.9.3): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.4.html"
              test="@contextControlCode='ON'">(Performer.6.9.3): de waarde van @contextControlCode MOET 'ON' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.4.html"
              test="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']])&lt;=1">(Performer.6.9.3): element hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] komt te vaak voor [max 1x].</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.4
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.4']]/hl7:observation/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (Performer.6.9.3)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.4']]/hl7:observation/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-0a8a8164-a1fc-43d8-898f-204478717d56">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.4.html"
              test="@classCode='ASSIGNED'">(Performer.6.9.3): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>
</pattern>