<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.70.5
Description: De template wordt gebruikt om een diagnose mee te geven. De auteur van een diagnosecode zal meestal een arts zijn. Vooruitlopend op de situatie dat ook de patiënt de auteur van een diagnosecode kan zijn, wordt deze mogelijkheid ondersteund.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.70.5">
   <title/>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.5
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']]
Item: (Diagnose)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.5
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']]/hl7:observation
Item: (Diagnose)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']]/hl7:observation"
         id="tmp-fb17827e-8cb5-4d1d-90bf-fc6c1b6af929">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="@classCode='OBS'">(Diagnose): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="@moodCode='EVN'">(Diagnose): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.5'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.5']/@nullFlavor)">(Diagnose): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.5'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.5'])&lt;=1">(Diagnose): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.5'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(Diagnose): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="count(hl7:id)&lt;=1">(Diagnose): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Diagnose): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="count(hl7:code)&lt;=1">(Diagnose): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="count(hl7:text)&lt;=1">(Diagnose): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="count(hl7:effectiveTime)&lt;=1">(Diagnose): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="count(hl7:uncertaintyCode)&lt;=1">(Diagnose): element hl7:uncertaintyCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="count(hl7:value)&gt;=1 ">(Diagnose): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="count(hl7:value)&lt;=1">(Diagnose): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="count(hl7:author)&lt;=1">(Diagnose): element hl7:author komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.5
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.5']
Item: (Diagnose)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.5']"
         id="tmp-5e605ad3-6352-413b-9447-c3bb139b5e33">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="@root='2.16.840.1.113883.2.4.6.10.70.5'">(Diagnose): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.70.5' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(Diagnose): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.5
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']]/hl7:observation/hl7:id
Item: (Diagnose)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']]/hl7:observation/hl7:id"
         id="tmp-557a7e4b-5b65-4bc3-af1a-d40f44fdd84b">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(Diagnose): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.5
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']]/hl7:observation/hl7:code
Item: (Diagnose)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']]/hl7:observation/hl7:code"
         id="tmp-e41ff827-3428-4032-bed5-1ec0dd7fdd0e">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(Diagnose): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="@nullFlavor or (@code='DISDX' and @codeSystem='2.16.840.1.113883.5.4') or (@code='ADMDX' and @codeSystem='2.16.840.1.113883.5.4')">(Diagnose): de waarde van @code MOET één van de volgende codes bevatten: 'DISDX' codeSystem '2.16.840.1.113883.5.4' of 'ADMDX' codeSystem '2.16.840.1.113883.5.4'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.5
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']]/hl7:observation/hl7:text
Item: (Diagnose)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']]/hl7:observation/hl7:text"
         id="tmp-93abd719-ab5b-4912-a89d-6b261e300c53">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="@nullFlavor or @xsi:type='ED' or not(@xsi:type)">(Diagnose): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ED" bevatten</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.5
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']]/hl7:observation/hl7:effectiveTime
Item: (Diagnose)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']]/hl7:observation/hl7:effectiveTime"
         id="tmp-afe5b451-43c8-4430-82c8-51a7f5cb23a7">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="@nullFlavor or @xsi:type='IVL_TS' or not(@xsi:type)">(Diagnose): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "IVL_TS" bevatten</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="count(hl7:low)&gt;=1 and not(hl7:low/@nullFlavor)">(Diagnose): element hl7:low is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="count(hl7:low)&lt;=1">(Diagnose): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="count(hl7:high)&lt;=1">(Diagnose): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="count(hl7:center)=0">(Diagnose): element hl7:center MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="count(hl7:width)=0">(Diagnose): element hl7:width MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.5
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']]/hl7:observation/hl7:effectiveTime/hl7:low
Item: (Diagnose)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']]/hl7:observation/hl7:effectiveTime/hl7:low"
         id="tmp-ceaaaf70-563d-4f7c-bd14-65494b2a16f4">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(Diagnose): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.5
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']]/hl7:observation/hl7:effectiveTime/hl7:high
Item: (Diagnose)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']]/hl7:observation/hl7:effectiveTime/hl7:high"
         id="tmp-fb71e4e5-30a0-46c6-9e71-be9752541c1a">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(Diagnose): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.5
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']]/hl7:observation/hl7:effectiveTime/hl7:center
Item: (Diagnose)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.5
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']]/hl7:observation/hl7:effectiveTime/hl7:width
Item: (Diagnose)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.5
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']]/hl7:observation/hl7:uncertaintyCode
Item: (Diagnose)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']]/hl7:observation/hl7:uncertaintyCode"
         id="tmp-b896c87a-57d9-4999-9ccd-61204e1309fe">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(Diagnose): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ActUncertaintyUncertain-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ActUncertaintyUncertain-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(Diagnose): de waarde van @code MOET worden gekozen uit waardenlijst ActUncertaintyUncertain Act Uncertainty Uncertain DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(Diagnose): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActUncertaintyUncertain Act Uncertainty Uncertain DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.5
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']]/hl7:observation/hl7:value
Item: (Diagnose)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']]/hl7:observation/hl7:value"
         id="tmp-b00cfd4e-6f0f-4f29-8143-c9ac91183a25">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(Diagnose): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.31.1')">(Diagnose): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.31.1'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.5
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']]/hl7:observation/hl7:author
Item: (Author.6.10.1.1)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']]/hl7:observation/hl7:author"
         id="tmp-400b458f-1f0a-47cf-ab1a-75f8fc04569c">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="@typeCode='AUT'">(Author.6.10.1.1): de waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="@contextControlCode='ON'">(Author.6.10.1.1): de waarde van @contextControlCode MOET 'ON' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="count(hl7:time)&gt;=1 and not(hl7:time/@nullFlavor)">(Author.6.10.1.1): element hl7:time is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="count(hl7:time)&lt;=1">(Author.6.10.1.1): element hl7:time komt te vaak voor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]|hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.23']])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="$elmcount&gt;=1">(Author.6.10.1.1): keuze (hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] of hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.23']]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']])&lt;=1">(Author.6.10.1.1): element hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="count(hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.23']])&lt;=1">(Author.6.10.1.1): element hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.23']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.5
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']]/hl7:observation/hl7:author/hl7:time
Item: (Author.6.10.1.1)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']]/hl7:observation/hl7:author/hl7:time"
         id="tmp-06c15632-33d0-44f9-b1c5-6d8b738e2574">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(Author.6.10.1.1): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.5
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']]/hl7:observation/hl7:author
Item: (Author.6.10.1.1)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']]/hl7:observation/hl7:author"
         id="tmp-be2df490-3332-4928-9014-09f528419fe8">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']])&lt;=1">(Author.6.10.1.1): element hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="count(hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.23']])&lt;=1">(Author.6.10.1.1): element hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.23']] komt te vaak voor [max 1x].</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.5
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']]/hl7:observation/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (Author.6.10.1.1)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']]/hl7:observation/hl7:author/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-fd6aff4f-4230-4cf3-b196-24aaf5f7564a">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="@classCode='ASSIGNED'">(Author.6.10.1.1): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.5
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']]/hl7:observation/hl7:author/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.23']]
Item: (Author.6.10.1.1)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']]/hl7:observation/hl7:author/hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.23']]"
         id="tmp-3f114d3b-6039-4248-a5c3-172ce09209c9">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="@classCode='PAT'">(Author.6.10.1.1): de waarde van @classCode MOET 'PAT' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.5
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']]/hl7:observation/hl7:performer
Item: (Performer.6.10.1.2)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']]/hl7:observation/hl7:performer"
         id="tmp-65f8edf5-5085-491f-b6c0-de75d60e2390">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="@typeCode='PRF'">(Performer.6.10.1.2): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="@contextControlCode='ON'">(Performer.6.10.1.2): de waarde van @contextControlCode MOET 'ON' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]|hl7:patient1[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.23']])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="$elmcount&gt;=1">(Performer.6.10.1.2): keuze (hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] of hl7:patient1[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.23']]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']])&lt;=1">(Performer.6.10.1.2): element hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="count(hl7:patient1[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.23']])&lt;=1">(Performer.6.10.1.2): element hl7:patient1[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.23']] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.5
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']]/hl7:observation/hl7:performer
Item: (Performer.6.10.1.2)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']]/hl7:observation/hl7:performer"
         id="tmp-7d5c9c7e-3dbe-4941-9f05-4ea3b9bf4f08">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="count(hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']])&lt;=1">(Performer.6.10.1.2): element hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="count(hl7:patient1[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.23']])&lt;=1">(Performer.6.10.1.2): element hl7:patient1[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.23']] komt te vaak voor [max 1x].</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.5
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']]/hl7:observation/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]
Item: (Performer.6.10.1.2)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']]/hl7:observation/hl7:performer/hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.21']]"
         id="tmp-1957c4d2-7e4a-46f4-afaa-82e947a3ffb7">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="@classCode='ASSIGNED'">(Performer.6.10.1.2): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.70.5
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']]/hl7:observation/hl7:performer/hl7:patient1[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.23']]
Item: (Performer.6.10.1.2)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.70.5']]/hl7:observation/hl7:performer/hl7:patient1[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.70.23']]"
         id="tmp-73c6000e-0b62-4293-9e7c-e2b66cac1e85">
      <assert role="error"
              see="http://decor.nictiz.nl/haz/haz-html-20120906T121109/tmp-2.16.840.1.113883.2.4.6.10.70.5.html"
              test="@classCode='PAT'">(Performer.6.10.1.2): de waarde van @classCode MOET 'PAT' zijn.</assert>
   </rule>
</pattern>