<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.11
Description: Dossieroverdrachtverzoek REPC_IN002120NL_JGZ. De waarde voor het element acceptAckCode is "AL".
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.11">
   <title>Versturen JGZ-dossieroverdrachtverzoek (interactie)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ
Item: (VersturenDossieroverdrachtverzoek)
-->

<rule context="hl7:REPC_IN002120NL_JGZ"
         id="tmp-40ebf064-c9df-44f7-9a6b-7aab3c2e82d2">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(VersturenDossieroverdrachtverzoek): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&lt;=1">(VersturenDossieroverdrachtverzoek): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:creationTime)&gt;=1 and not(hl7:creationTime/@nullFlavor)">(VersturenDossieroverdrachtverzoek): element hl7:creationTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:creationTime)&lt;=1">(VersturenDossieroverdrachtverzoek): element hl7:creationTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:versionCode)&gt;=1 and not(hl7:versionCode/@nullFlavor)">(VersturenDossieroverdrachtverzoek): element hl7:versionCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:versionCode)&lt;=1">(VersturenDossieroverdrachtverzoek): element hl7:versionCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:interactionId[@root='2.16.840.1.113883.1.6'])&gt;=1 and not(hl7:interactionId[@root='2.16.840.1.113883.1.6']/@nullFlavor)">(VersturenDossieroverdrachtverzoek): element hl7:interactionId[@root='2.16.840.1.113883.1.6'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:interactionId[@root='2.16.840.1.113883.1.6'])&lt;=1">(VersturenDossieroverdrachtverzoek): element hl7:interactionId[@root='2.16.840.1.113883.1.6'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1'])&gt;=1 and not(hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1']/@nullFlavor)">(VersturenDossieroverdrachtverzoek): element hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1'])&lt;=1">(VersturenDossieroverdrachtverzoek): element hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:processingCode)&gt;=1 and not(hl7:processingCode/@nullFlavor)">(VersturenDossieroverdrachtverzoek): element hl7:processingCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:processingCode)&lt;=1">(VersturenDossieroverdrachtverzoek): element hl7:processingCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:processingModeCode)&gt;=1 and not(hl7:processingModeCode/@nullFlavor)">(VersturenDossieroverdrachtverzoek): element hl7:processingModeCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:processingModeCode)&lt;=1">(VersturenDossieroverdrachtverzoek): element hl7:processingModeCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:acceptAckCode)&gt;=1 and not(hl7:acceptAckCode/@nullFlavor)">(VersturenDossieroverdrachtverzoek): element hl7:acceptAckCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:acceptAckCode)&lt;=1">(VersturenDossieroverdrachtverzoek): element hl7:acceptAckCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:attentionLine)&gt;=1 and not(hl7:attentionLine/@nullFlavor)">(VersturenDossieroverdrachtverzoek): element hl7:attentionLine is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:attentionLine)&lt;=1">(VersturenDossieroverdrachtverzoek): element hl7:attentionLine komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:ControlActProcess)&gt;=1 and not(hl7:ControlActProcess/@nullFlavor)">(VersturenDossieroverdrachtverzoek): element hl7:ControlActProcess is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:ControlActProcess)&lt;=1">(VersturenDossieroverdrachtverzoek): element hl7:ControlActProcess komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ
Item: (TransmissionWrapperMCCI_MT000100)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ
Item: (TransmissionWrapperMCCI_MT000100)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:id
Item: (TransmissionWrapperMCCI_MT000100)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:id"
         id="tmp-639f433c-7e74-4480-88cb-5ef2b9d13a80">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TransmissionWrapperMCCI_MT000100): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@root and @extension">(TransmissionWrapperMCCI_MT000100): Transmission: id element mist root of extension</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:creationTime
Item: (TransmissionWrapperMCCI_MT000100)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:creationTime"
         id="tmp-70fe6016-685e-4ade-8bb8-6f9258503193">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(TransmissionWrapperMCCI_MT000100): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS.DATETIME.MIN" bevatten</assert>
      <extends rule="TS.DATETIME.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:versionCode
Item: (TransmissionWrapperMCCI_MT000100)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:versionCode"
         id="tmp-e53d924e-9023-4c2d-99a5-1638eb2dc4d2">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">(TransmissionWrapperMCCI_MT000100): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='NICTIZEd2005-Okt')">(TransmissionWrapperMCCI_MT000100): de waarde van @code MOET ''NICTIZEd2005-Okt'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:interactionId[@root='2.16.840.1.113883.1.6']
Item: (TransmissionWrapperMCCI_MT000100)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:interactionId[@root='2.16.840.1.113883.1.6']"
         id="tmp-99683263-cb5f-4e35-ab9e-b29d84ad2bab">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TransmissionWrapperMCCI_MT000100): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@root='2.16.840.1.113883.1.6'">(TransmissionWrapperMCCI_MT000100): @root MOET de waarde '2.16.840.1.113883.1.6' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TransmissionWrapperMCCI_MT000100): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
      <let name="interactionId"
           value="self::node()[@root='2.16.840.1.113883.1.6']/@extension"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@root='2.16.840.1.113883.1.6') or local-name(..)=@extension">(TransmissionWrapperMCCI_MT000100): Transmission: @extension moet overeenkomen met het startelement van het bericht</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1']
Item: (TransmissionWrapperMCCI_MT000100)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:profileId[@root='2.16.840.1.113883.2.4.3.11.1']"
         id="tmp-b7899694-60e9-4cdc-9703-3799c332b5b1">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TransmissionWrapperMCCI_MT000100): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@root='2.16.840.1.113883.2.4.3.11.1'">(TransmissionWrapperMCCI_MT000100): @root MOET de waarde '2.16.840.1.113883.2.4.3.11.1' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TransmissionWrapperMCCI_MT000100): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@extension='810'">(TransmissionWrapperMCCI_MT000100): de waarde van @extension MOET '810' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:processingCode
Item: (TransmissionWrapperMCCI_MT000100)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:processingCode"
         id="tmp-556475a9-ae5a-4ac2-8e10-f037fb379817">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">(TransmissionWrapperMCCI_MT000100): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='P')">(TransmissionWrapperMCCI_MT000100): de waarde van @code MOET ''P'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:processingModeCode
Item: (TransmissionWrapperMCCI_MT000100)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:processingModeCode"
         id="tmp-148e63cd-1c18-424f-89d1-b9a8e89aaa71">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">(TransmissionWrapperMCCI_MT000100): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='T')">(TransmissionWrapperMCCI_MT000100): de waarde van @code MOET ''T'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:acceptAckCode
Item: (TransmissionWrapperMCCI_MT000100)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:acceptAckCode"
         id="tmp-ad4c1235-9f1e-48cc-9014-f3f498e73440">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">(TransmissionWrapperMCCI_MT000100): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='AL') or (@code='NE')">(TransmissionWrapperMCCI_MT000100): de waarde van @code MOET één van de volgende codes bevatten: 'AL' of 'NE'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ
Item: (TransmissionWrapperAttentionLineAORTA)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ
Item: (TransmissionWrapperAttentionLineAORTA)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:attentionLine
Item: (TransmissionWrapperAttentionLineAORTA)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:attentionLine"
         id="tmp-14db64eb-a51f-47a0-85a7-873b725e1437">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:keyWordText)&gt;=1 and not(hl7:keyWordText/@nullFlavor)">(TransmissionWrapperAttentionLineAORTA): element hl7:keyWordText is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:keyWordText)&lt;=1">(TransmissionWrapperAttentionLineAORTA): element hl7:keyWordText komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(TransmissionWrapperAttentionLineAORTA): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&lt;=1">(TransmissionWrapperAttentionLineAORTA): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:attentionLine/hl7:keyWordText
Item: (TransmissionWrapperAttentionLineAORTA)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:attentionLine/hl7:keyWordText"
         id="tmp-71255f55-8f08-4abc-a6e2-ec6d7e7592e4">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='SC' or not(@xsi:type)">(TransmissionWrapperAttentionLineAORTA): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "SC" bevatten</assert>
      <extends rule="SC"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='PATID' and @codeSystem='2.16.840.1.113883.2.4.15.1')">(TransmissionWrapperAttentionLineAORTA): de waarde van @code/@codeSystem MOET ''PATID' codeSystem '2.16.840.1.113883.2.4.15.1'' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="text()='Patient.id'">(TransmissionWrapperAttentionLineAORTA): De waarde in text() MOET 'PATID' zijn</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:attentionLine/hl7:value
Item: (TransmissionWrapperAttentionLineAORTA)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:attentionLine/hl7:value"
         id="tmp-9b88e6d2-7b28-41df-9477-7a1d2f936a59">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TransmissionWrapperAttentionLineAORTA): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:receiver
Item: (TransmissionWrapperReceiverNotZIM)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:receiver"
         id="tmp-4461b745-53b3-402e-83d3-c4203654a27b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='RCV' or not(@typeCode)">(TransmissionWrapperReceiverNotZIM): de waarde van @typeCode MOET 'RCV' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:device)&gt;=1 and not(hl7:device/@nullFlavor)">(TransmissionWrapperReceiverNotZIM): element hl7:device is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:device)&lt;=1">(TransmissionWrapperReceiverNotZIM): element hl7:device komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:receiver/hl7:device
Item: (TransmissionWrapperReceiverNotZIM)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:receiver/hl7:device"
         id="tmp-2156a7b7-bd36-4e34-a9ef-4c4a1bbcda2d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.6'])&gt;=1 and not(hl7:id[@root='2.16.840.1.113883.2.4.6.6']/@nullFlavor)">(TransmissionWrapperReceiverNotZIM): element hl7:id[@root='2.16.840.1.113883.2.4.6.6'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.6'])&lt;=1">(TransmissionWrapperReceiverNotZIM): element hl7:id[@root='2.16.840.1.113883.2.4.6.6'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:name)&lt;=1">(TransmissionWrapperReceiverNotZIM): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:receiver/hl7:device/hl7:id[@root='2.16.840.1.113883.2.4.6.6']
Item: (TransmissionWrapperReceiverNotZIM)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:receiver/hl7:device/hl7:id[@root='2.16.840.1.113883.2.4.6.6']"
         id="tmp-478e1452-eec8-4831-a13f-f785b492b2b9">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TransmissionWrapperReceiverNotZIM): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@root='2.16.840.1.113883.2.4.6.6'">(TransmissionWrapperReceiverNotZIM): @root MOET de waarde '2.16.840.1.113883.2.4.6.6' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TransmissionWrapperReceiverNotZIM): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@root='2.16.840.1.113883.2.4.6.6' and not(@extension='1')">(TransmissionWrapperReceiverNotZIM): Transmission: receiver/device/id mag niet de AORTA ZIM zijn</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:receiver/hl7:device/hl7:name
Item: (TransmissionWrapperReceiverNotZIM)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:receiver/hl7:device/hl7:name"
         id="tmp-9786d408-7242-49fe-874a-ddf4c176694f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='EN' or not(@xsi:type)">(TransmissionWrapperReceiverNotZIM): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "EN" bevatten</assert>
      <extends rule="EN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:sender
Item: (TransmissionWrapperSenderNotZIM)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:sender"
         id="tmp-2e5a3c27-794a-44b4-ae14-885e7ea9f747">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='SND' or not(@typeCode)">(TransmissionWrapperSenderNotZIM): de waarde van @typeCode MOET 'SND' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:device)&gt;=1 and not(hl7:device/@nullFlavor)">(TransmissionWrapperSenderNotZIM): element hl7:device is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:device)&lt;=1">(TransmissionWrapperSenderNotZIM): element hl7:device komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:sender/hl7:device
Item: (TransmissionWrapperSenderNotZIM)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:sender/hl7:device"
         id="tmp-098e2038-fe11-4cbc-92d5-bdf689011921">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.6'])&gt;=1 and not(hl7:id[@root='2.16.840.1.113883.2.4.6.6']/@nullFlavor)">(TransmissionWrapperSenderNotZIM): element hl7:id[@root='2.16.840.1.113883.2.4.6.6'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.6'])&lt;=1">(TransmissionWrapperSenderNotZIM): element hl7:id[@root='2.16.840.1.113883.2.4.6.6'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:name)&lt;=1">(TransmissionWrapperSenderNotZIM): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:sender/hl7:device/hl7:id[@root='2.16.840.1.113883.2.4.6.6']
Item: (TransmissionWrapperSenderNotZIM)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:sender/hl7:device/hl7:id[@root='2.16.840.1.113883.2.4.6.6']"
         id="tmp-46c2e517-d88d-4e85-ba93-867ba01b3d27">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TransmissionWrapperSenderNotZIM): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@root='2.16.840.1.113883.2.4.6.6'">(TransmissionWrapperSenderNotZIM): @root MOET de waarde '2.16.840.1.113883.2.4.6.6' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TransmissionWrapperSenderNotZIM): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@root='2.16.840.1.113883.2.4.6.6' and not(@extension='1')">(TransmissionWrapperSenderNotZIM): Transmission: sender/device/id mag niet de AORTA ZIM zijn</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:sender/hl7:device/hl7:name
Item: (TransmissionWrapperSenderNotZIM)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:sender/hl7:device/hl7:name"
         id="tmp-cfcc76ee-124a-4c76-90fe-11e99cd808f3">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='EN' or not(@xsi:type)">(TransmissionWrapperSenderNotZIM): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "EN" bevatten</assert>
      <extends rule="EN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess
Item: (VersturenDossieroverdrachtverzoek)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess"
         id="tmp-53053abf-ff2f-486f-a2db-b88f3e3a0452">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&lt;=1">(VersturenDossieroverdrachtverzoek): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(VersturenDossieroverdrachtverzoek): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)=0">(VersturenDossieroverdrachtverzoek): element hl7:text MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:effectiveTime)&lt;=1">(VersturenDossieroverdrachtverzoek): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:reasonCode)=0">(VersturenDossieroverdrachtverzoek): element hl7:reasonCode MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:languageCode)=0">(VersturenDossieroverdrachtverzoek): element hl7:languageCode MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:informationRecipient)=0">(VersturenDossieroverdrachtverzoek): element hl7:informationRecipient MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:dataEnterer)=0">(VersturenDossieroverdrachtverzoek): element hl7:dataEnterer MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:authorOrPerformer[*/hl7:AssignedPerson])&gt;=1 and not(hl7:authorOrPerformer[*/hl7:AssignedPerson]/@nullFlavor)">(VersturenDossieroverdrachtverzoek): element hl7:authorOrPerformer[*/hl7:AssignedPerson] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:authorOrPerformer[*/hl7:AssignedPerson])&lt;=1">(VersturenDossieroverdrachtverzoek): element hl7:authorOrPerformer[*/hl7:AssignedPerson] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:overseer)&gt;=1 and not(hl7:overseer/@nullFlavor)">(VersturenDossieroverdrachtverzoek): element hl7:overseer is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:overseer)&lt;=1">(VersturenDossieroverdrachtverzoek): element hl7:overseer komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]])&gt;=1 and not(hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/@nullFlavor)">(VersturenDossieroverdrachtverzoek): element hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]])&lt;=1">(VersturenDossieroverdrachtverzoek): element hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess
Item: (ControlActWrapperMCAI_MT700201)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess
Item: (ControlActWrapperMCAI_MT700201)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess
Item: (ControlActWrapperMCAI_MT700201)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess
Item: (ControlActWrapperMCAI_MT700201)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:id
Item: (ControlActWrapperMCAI_MT700201)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:id"
         id="tmp-596eae57-c056-48b8-9a3b-0528c52959b7">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(ControlActWrapperMCAI_MT700201): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:code
Item: (ControlActWrapperMCAI_MT700201)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:code"
         id="tmp-de6f8bc4-b7e6-40c9-811d-e4d79ce302b9">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(ControlActWrapperMCAI_MT700201): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.1.18')">(ControlActWrapperMCAI_MT700201): de waarde van @codeSystem MOET ''2.16.840.1.113883.1.18'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:text
Item: (ControlActWrapperMCAI_MT700201)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:effectiveTime
Item: (ControlActWrapperMCAI_MT700201)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:effectiveTime"
         id="tmp-6570508f-a7c8-4d7a-a48a-8da3a463f7df">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(ControlActWrapperMCAI_MT700201): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:reasonCode
Item: (ControlActWrapperMCAI_MT700201)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:languageCode
Item: (ControlActWrapperMCAI_MT700201)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:informationRecipient
Item: (ControlActWrapperMCAI_MT700201)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:dataEnterer
Item: (ControlActWrapperMCAI_MT700201)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]
Item: (ControlActAuthorOrPerformerPerson)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]"
         id="tmp-957f2a33-f5f3-4120-ac32-5f5f2a1bcb10">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='AUT' or not(@typeCode)">(ControlActAuthorOrPerformerPerson): de waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:participant)&gt;=1 and not(hl7:participant/@nullFlavor)">(ControlActAuthorOrPerformerPerson): element hl7:participant is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:participant)&lt;=1">(ControlActAuthorOrPerformerPerson): element hl7:participant komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant
Item: (ControlActAuthorOrPerformerPerson)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant"
         id="tmp-d0693bdb-f536-47ef-b55d-ab1bd0c906c3">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:AssignedPerson)&gt;=1 and not(hl7:AssignedPerson/@nullFlavor)">(ControlActAuthorOrPerformerPerson): element hl7:AssignedPerson is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:AssignedPerson)&lt;=1">(ControlActAuthorOrPerformerPerson): element hl7:AssignedPerson komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson
Item: (ControlActAuthorOrPerformerPerson)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson"
         id="tmp-bf104a66-afe9-4dcc-919c-ef4c12fefe27">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(ControlActAuthorOrPerformerPerson): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&lt;=1">(ControlActAuthorOrPerformerPerson): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(ControlActAuthorOrPerformerPerson): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:telecom)&lt;=1">(ControlActAuthorOrPerformerPerson): element hl7:telecom komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:name)&lt;=1">(ControlActAuthorOrPerformerPerson): element hl7:name komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:noteText)=0">(ControlActAuthorOrPerformerPerson): element hl7:noteText MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:time)=0">(ControlActAuthorOrPerformerPerson): element hl7:time MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:modeCode)=0">(ControlActAuthorOrPerformerPerson): element hl7:modeCode MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:signatureCode)=0">(ControlActAuthorOrPerformerPerson): element hl7:signatureCode MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:signatureText)=0">(ControlActAuthorOrPerformerPerson): element hl7:signatureText MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:Organization)&gt;=1 and not(hl7:Organization/@nullFlavor)">(ControlActAuthorOrPerformerPerson): element hl7:Organization is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:Organization)&lt;=1">(ControlActAuthorOrPerformerPerson): element hl7:Organization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:id
Item: (ControlActAuthorOrPerformerPerson)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:id"
         id="tmp-93fa5ef4-41b7-495b-b6bd-6272bcb07612">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(ControlActAuthorOrPerformerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.UZI" bevatten</assert>
      <extends rule="II.NL.UZI"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@root='2.16.528.1.1007.3.1' and @extension">(ControlActAuthorOrPerformerPerson): Control Act: <name path=".."/>/<name/> moet een UZI-nummer bevatten</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:code
Item: (ControlActAuthorOrPerformerPerson)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:code"
         id="tmp-8d5d1b09-e948-4019-a392-85113aa24052">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(ControlActAuthorOrPerformerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@codeSystem='2.16.840.1.113883.2.4.15.111' and not(@code='00.000')">(ControlActAuthorOrPerformerPerson): Control Act: <name path=".."/>/<name/> moet een UZI-rolcode bevatten en deze mag niet 00.000 zijn</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:telecom
Item: (ControlActAuthorOrPerformerPerson)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:telecom"
         id="tmp-6d067015-bf44-49d3-85e6-ff032f12c9b9">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">(ControlActAuthorOrPerformerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TEL" bevatten</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:name
Item: (ControlActAuthorOrPerformerPerson)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:name"
         id="tmp-107a0bd5-5670-447c-b7ac-bd2eacecfb78">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='PN' or not(@xsi:type)">(ControlActAuthorOrPerformerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PN" bevatten</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:noteText
Item: (ControlActAuthorOrPerformerPerson)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:time
Item: (ControlActAuthorOrPerformerPerson)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:modeCode
Item: (ControlActAuthorOrPerformerPerson)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:signatureCode
Item: (ControlActAuthorOrPerformerPerson)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:signatureText
Item: (ControlActAuthorOrPerformerPerson)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:Organization
Item: (ControlActAuthorOrPerformerPerson)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:Organization"
         id="tmp-60907f93-4b56-4733-9ada-731938fafdd4">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(ControlActAuthorOrPerformerPerson): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&lt;=1">(ControlActAuthorOrPerformerPerson): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(ControlActAuthorOrPerformerPerson): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(ControlActAuthorOrPerformerPerson): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:name)&lt;=1">(ControlActAuthorOrPerformerPerson): element hl7:name komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:addr)&lt;=1">(ControlActAuthorOrPerformerPerson): element hl7:addr komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:id
Item: (ControlActAuthorOrPerformerPerson)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:id"
         id="tmp-5dc3f2d4-cf7f-45f4-b16c-f4cccb3282e0">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(ControlActAuthorOrPerformerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.URA" bevatten</assert>
      <extends rule="II.NL.URA"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@root='2.16.528.1.1007.3.3' and @extension">(ControlActAuthorOrPerformerPerson): Control Act: <name path=".."/>/<name/> moet een URA bevatten</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:code
Item: (ControlActAuthorOrPerformerPerson)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:code"
         id="tmp-4ffd55e8-08c8-4fc6-b491-1440acb0d3b0">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(ControlActAuthorOrPerformerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.15.1060')">(ControlActAuthorOrPerformerPerson): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.15.1060'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:telecom
Item: (ControlActAuthorOrPerformerPerson)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:telecom"
         id="tmp-ee093a28-69ef-4d78-88c7-07073805041f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">(ControlActAuthorOrPerformerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TEL" bevatten</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:name
Item: (ControlActAuthorOrPerformerPerson)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:name"
         id="tmp-43fc94e2-988d-4f1c-9ab7-1e31e6f06302">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='ON' or not(@xsi:type)">(ControlActAuthorOrPerformerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ON" bevatten</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:addr
Item: (ControlActAuthorOrPerformerPerson)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:authorOrPerformer[*/hl7:AssignedPerson]/hl7:participant/hl7:AssignedPerson/hl7:Organization/hl7:addr"
         id="tmp-9b85e73e-0722-4fbc-9617-f6bdbe655bd0">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='AD' or not(@xsi:type)">(ControlActAuthorOrPerformerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "AD" bevatten</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer
Item: (ControlActOverseerPerson)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer"
         id="tmp-ef99c001-36f6-4915-9a93-477a8d221e69">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='RESP' or not(@typeCode)">(ControlActOverseerPerson): de waarde van @typeCode MOET 'RESP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:AssignedPerson)&gt;=1 and not(hl7:AssignedPerson/@nullFlavor)">(ControlActOverseerPerson): element hl7:AssignedPerson is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:AssignedPerson)&lt;=1">(ControlActOverseerPerson): element hl7:AssignedPerson komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson
Item: (ControlActOverseerPerson)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson"
         id="tmp-3fb156be-be8a-4eb9-aee6-47b5443739d2">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(ControlActOverseerPerson): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&lt;=1">(ControlActOverseerPerson): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(ControlActOverseerPerson): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(ControlActOverseerPerson): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedPrincipalChoiceList)&gt;=1 and not(hl7:assignedPrincipalChoiceList/@nullFlavor)">(ControlActOverseerPerson): element hl7:assignedPrincipalChoiceList is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedPrincipalChoiceList)&lt;=1">(ControlActOverseerPerson): element hl7:assignedPrincipalChoiceList komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:Organization)&gt;=1 and not(hl7:Organization/@nullFlavor)">(ControlActOverseerPerson): element hl7:Organization is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:Organization)&lt;=1">(ControlActOverseerPerson): element hl7:Organization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:id
Item: (ControlActOverseerPerson)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:id"
         id="tmp-6fc52f60-84d8-4f0e-bbea-7fbcef8d04a3">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(ControlActOverseerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.UZI" bevatten</assert>
      <extends rule="II.NL.UZI"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@root='2.16.528.1.1007.3.1' and @extension">(ControlActOverseerPerson): Control Act: <name path=".."/>/<name/> moet een UZI-nummer bevatten</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:code
Item: (ControlActOverseerPerson)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:code"
         id="tmp-362a0668-488b-45cf-9dd1-18c930a56154">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(ControlActOverseerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@codeSystem='2.16.840.1.113883.2.4.15.111' and not(@code='00.000')">(ControlActOverseerPerson): Control Act: <name path=".."/>/<name/> moet een UZI-register rolcode bevatten en deze mag niet 00.000 zijn</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:assignedPrincipalChoiceList
Item: (ControlActOverseerPerson)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:assignedPrincipalChoiceList"
         id="tmp-f1998698-f4a7-4af7-845f-b281598a21f2">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedPerson)&gt;=1 and not(hl7:assignedPerson/@nullFlavor)">(ControlActOverseerPerson): element hl7:assignedPerson is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedPerson)&lt;=1">(ControlActOverseerPerson): element hl7:assignedPerson komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:assignedPrincipalChoiceList/hl7:assignedPerson
Item: (ControlActOverseerPerson)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:assignedPrincipalChoiceList/hl7:assignedPerson"
         id="tmp-f908b529-c972-4c41-a5fe-fdf8f647c4b9">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(ControlActOverseerPerson): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:name)&lt;=1">(ControlActOverseerPerson): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:assignedPrincipalChoiceList/hl7:assignedPerson/hl7:name
Item: (ControlActOverseerPerson)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:assignedPrincipalChoiceList/hl7:assignedPerson/hl7:name"
         id="tmp-c90d601a-b2f9-47fa-91c4-d171f4be0075">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='PN' or not(@xsi:type)">(ControlActOverseerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PN" bevatten</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:Organization
Item: (ControlActOverseerPerson)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:Organization"
         id="tmp-53d1c001-17f6-4868-8e67-984abbfb2957">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(ControlActOverseerPerson): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&lt;=1">(ControlActOverseerPerson): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(ControlActOverseerPerson): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(ControlActOverseerPerson): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:name)&lt;=1">(ControlActOverseerPerson): element hl7:name komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:addr)&gt;=1 and not(hl7:addr/@nullFlavor)">(ControlActOverseerPerson): element hl7:addr is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:addr)&lt;=1">(ControlActOverseerPerson): element hl7:addr komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:Organization/hl7:id
Item: (ControlActOverseerPerson)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:Organization/hl7:id"
         id="tmp-22ea6e57-41a9-4239-aff2-a84d89d327a6">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(ControlActOverseerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@root='2.16.528.1.1007.3.3' and @extension">(ControlActOverseerPerson): Control Act: <name path=".."/>/<name/> moet een URA bevatten</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:Organization/hl7:code
Item: (ControlActOverseerPerson)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:Organization/hl7:code"
         id="tmp-e333e7a9-8290-4036-91a6-60389a94cbd4">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(ControlActOverseerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.15.1060')">(ControlActOverseerPerson): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.15.1060'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:Organization/hl7:name
Item: (ControlActOverseerPerson)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:Organization/hl7:name"
         id="tmp-e2e8134c-ba48-45e2-bb46-a7e55fc30aff">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='ON' or not(@xsi:type)">(ControlActOverseerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ON" bevatten</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:Organization/hl7:addr
Item: (ControlActOverseerPerson)
-->

<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:overseer/hl7:AssignedPerson/hl7:Organization/hl7:addr"
         id="tmp-dbd8d757-b41c-42e7-a079-7b9c9ce125cc">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='AD' or not(@xsi:type)">(ControlActOverseerPerson): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "AD" bevatten</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="hl7:city">(ControlActOverseerPerson): Control Act: <name path=".."/>/<name/> moet tenminste de vestigingsplaats bevatten</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]
Item: (VersturenDossieroverdrachtverzoek)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess
Item: (VersturenDossieroverdrachtverzoek-payload)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]
Item: (VersturenDossieroverdrachtverzoek-payload)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]"
         id="tmp-e1fc1371-38bb-4360-9ba0-dc53a91ff4a3">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:CareProvisionRequest)&gt;=1 and not(hl7:CareProvisionRequest/@nullFlavor)">(VersturenDossieroverdrachtverzoek-payload): element hl7:CareProvisionRequest is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:CareProvisionRequest)&lt;=1">(VersturenDossieroverdrachtverzoek-payload): element hl7:CareProvisionRequest komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest
Item: (VersturenDossieroverdrachtverzoek-payload)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest"
         id="tmp-ec21c7e5-0139-41ec-8208-a4728e00a073">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='PCPR' or not(@classCode)">(VersturenDossieroverdrachtverzoek-payload): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='RQO' or not(@moodCode)">(VersturenDossieroverdrachtverzoek-payload): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']/@nullFlavor)">(VersturenDossieroverdrachtverzoek-payload): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000'])&lt;=1">(VersturenDossieroverdrachtverzoek-payload): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&lt;=1">(VersturenDossieroverdrachtverzoek-payload): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(VersturenDossieroverdrachtverzoek-payload): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(VersturenDossieroverdrachtverzoek-payload): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)">(VersturenDossieroverdrachtverzoek-payload): element hl7:statusCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:statusCode)&lt;=1">(VersturenDossieroverdrachtverzoek-payload): element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]])&gt;=1 and not(hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/@nullFlavor)">(VersturenDossieroverdrachtverzoek-payload): element hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]])&lt;=1">(VersturenDossieroverdrachtverzoek-payload): element hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]])&gt;=1 and not(hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/@nullFlavor)">(VersturenDossieroverdrachtverzoek-payload): element hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]])&lt;=1">(VersturenDossieroverdrachtverzoek-payload): element hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']
Item: (VersturenDossieroverdrachtverzoek-payload)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.10000']"
         id="tmp-7c9b52ba-4894-4164-a339-2af3fcfbe083">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(VersturenDossieroverdrachtverzoek-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@root='2.16.840.1.113883.2.4.6.10.100.10000'">(VersturenDossieroverdrachtverzoek-payload): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.10000' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(VersturenDossieroverdrachtverzoek-payload): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:id
Item: (VersturenDossieroverdrachtverzoek-payload)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:id"
         id="tmp-19938395-c1c2-4d0a-af8c-7372efc9b1c2">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(VersturenDossieroverdrachtverzoek-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:code
Item: (VersturenDossieroverdrachtverzoek-payload)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:code"
         id="tmp-21b2c82a-07fb-43f1-b4de-cfa8b4a85c55">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(VersturenDossieroverdrachtverzoek-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')">(VersturenDossieroverdrachtverzoek-payload): de waarde van @code/@codeSystem MOET ''CPHC' codeSystem '2.16.840.1.113883.5.4'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:statusCode
Item: (VersturenDossieroverdrachtverzoek-payload)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:statusCode"
         id="tmp-6c4a5cfd-a088-4cb9-9a54-6120d442cc90">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">(VersturenDossieroverdrachtverzoek-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='active')">(VersturenDossieroverdrachtverzoek-payload): de waarde van @code MOET ''active'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]
Item: (VersturenDossieroverdrachtverzoek-payload)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]"
         id="tmp-b703c6f8-5ea9-42c7-8b1a-c9d9b9571847">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='AUT' or not(@typeCode)">(VersturenDossieroverdrachtverzoek-payload): de waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:time)&gt;=1 and not(hl7:time/@nullFlavor)">(VersturenDossieroverdrachtverzoek-payload): element hl7:time is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:time)&lt;=1">(VersturenDossieroverdrachtverzoek-payload): element hl7:time komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/hl7:time
Item: (VersturenDossieroverdrachtverzoek-payload)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/hl7:time"
         id="tmp-678c59c9-54ea-4769-a4b6-59ff9b72bc43">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(VersturenDossieroverdrachtverzoek-payload): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]
Item: (VersturenDossieroverdrachtverzoek-payload)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]"
         id="tmp-6af592ab-92f3-4e14-b4cc-2b50cf29ccc7">
      <extends rule="tmp-1aebf3e3-8932-4ac0-97cb-fdcc628be81c"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='SEQL' or not(@typeCode)">(VersturenDossieroverdrachtverzoek-payload): de waarde van @typeCode MOET 'SEQL' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@contextConductionInd='true' or not(@contextConductionInd)">(VersturenDossieroverdrachtverzoek-payload): de waarde van @contextConductionInd MOET 'true' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest
Item: (careProvisionDossier)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]
Item: (careProvisionDossier)
-->
<rule id="tmp-1aebf3e3-8932-4ac0-97cb-fdcc628be81c" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:careProvisionEvent)&gt;=1 and not(hl7:careProvisionEvent/@nullFlavor)">(careProvisionDossier): element hl7:careProvisionEvent is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:careProvisionEvent)&lt;=1">(careProvisionDossier): element hl7:careProvisionEvent komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent
Item: (careProvisionDossier)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent"
         id="tmp-cb4b08c4-8ef2-4101-93e3-e86cbafda3f9">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='PCPR' or not(@classCode)">(careProvisionDossier): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(careProvisionDossier): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(careProvisionDossier): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&lt;=1">(careProvisionDossier): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(careProvisionDossier): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(careProvisionDossier): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)">(careProvisionDossier): element hl7:statusCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:statusCode)&lt;=1">(careProvisionDossier): element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(careProvisionDossier): element hl7:effectiveTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:effectiveTime)&lt;=1">(careProvisionDossier): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:subject[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.131']]])&gt;=1 and not(hl7:subject[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.131']]]/@nullFlavor)">(careProvisionDossier): element hl7:subject[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.131']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:subject[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.131']]])&lt;=1">(careProvisionDossier): element hl7:subject[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.131']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:responsibleParty[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]])&gt;=1 and not(hl7:responsibleParty[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/@nullFlavor)">(careProvisionDossier): element hl7:responsibleParty[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]])&gt;=1 and not(hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/@nullFlavor)">(careProvisionDossier): element hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:summary)&lt;=1">(careProvisionDossier): element hl7:summary komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:pertinentInformation[hl7:pregnancyCondition[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.121']]])&lt;=1">(careProvisionDossier): element hl7:pertinentInformation[hl7:pregnancyCondition[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.121']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:subjectOf)&gt;=2 ">(careProvisionDossier): element hl7:subjectOf is required [min 2x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:id
Item: (careProvisionDossier)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:id"
         id="tmp-3204a219-797a-47d1-81ce-ed4873845112">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(careProvisionDossier): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:code
Item: (careProvisionDossier)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:code"
         id="tmp-eb7b6cf3-611b-4805-91fe-50ac37c5a74e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(careProvisionDossier): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4')">(careProvisionDossier): de waarde van @code/@codeSystem MOET ''CPHC' codeSystem '2.16.840.1.113883.5.4'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:statusCode
Item: (careProvisionDossier)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:statusCode"
         id="tmp-1bbd535f-7d08-4d5d-8d99-6e719abc854d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">(careProvisionDossier): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='active') or (@code='completed') or (@code='aborted')">(careProvisionDossier): de waarde van @code MOET één van de volgende codes bevatten: 'active' of 'completed' of 'aborted'.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@code='completed'">(careProvisionDossier): Alleen in uitzonderlijke gevallen kan een dossierstatus bij overdracht iets anders dan 'completed' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:effectiveTime
Item: (careProvisionDossier)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:effectiveTime"
         id="tmp-c704f803-11b1-4f32-9a2d-75ce87c23610">
      <extends rule="tmp-87ee9fe9-9477-49e3-9fab-849c89e2262f"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(../hl7:statusCode[@code='aborted' or @code='completed']) or hl7:high">(careProvisionDossier): Als statusCode='aborted' of statusCode='completed' dan moet high/@value de datum en indien bekend de tijd bevatten van de afsluiting van de zorg.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent
Item: (Periode-M-Start-O-Eind-M)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:effectiveTime
Item: (Periode-M-Start-O-Eind-M)
-->
<rule id="tmp-87ee9fe9-9477-49e3-9fab-849c89e2262f" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:low)&lt;=1">(Periode-M-Start-O-Eind-M): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:high)&gt;=1 and not(hl7:high/@nullFlavor)">(Periode-M-Start-O-Eind-M): element hl7:high is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:high)&lt;=1">(Periode-M-Start-O-Eind-M): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:width)=0">(Periode-M-Start-O-Eind-M): element hl7:width MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:center)=0">(Periode-M-Start-O-Eind-M): element hl7:center MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:effectiveTime/hl7:low
Item: (Periode-M-Start-O-Eind-M)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:effectiveTime/hl7:low"
         id="tmp-dd0d918f-ffb3-4c42-9223-85267c697ed4">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(Periode-M-Start-O-Eind-M): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(Periode-M-Start-O-Eind-M): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:effectiveTime/hl7:high
Item: (Periode-M-Start-O-Eind-M)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:effectiveTime/hl7:high"
         id="tmp-8745a948-6153-4b80-ace0-05ad7a3cfc6c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(Periode-M-Start-O-Eind-M): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:effectiveTime/hl7:width
Item: (Periode-M-Start-O-Eind-M)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:effectiveTime/hl7:center
Item: (Periode-M-Start-O-Eind-M)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subject[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.131']]]
Item: (careProvisionDossier)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subject[hl7:patient[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.131']]]"
         id="tmp-1721b4f4-b339-4efd-a4fe-576438b6003c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='SBJ' or not(@typeCode)">(careProvisionDossier): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
      <let name="patRoot" value="'2.16.840.1.113883.2.4.6.3'"/>
      <let name="patExt"
           value="(hl7:patient/hl7:id[@root=$patRoot])[1]/@extension"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(ancestor::*/hl7:attentionLine) or ancestor::*/hl7:attentionLine/hl7:value[@extension=$patExt and @root=$patRoot]">(careProvisionDossier): De patiënt in de Payload (BSN '<value-of select="$patExt"/>') moet overeen komen met de patient in de attentionLine (BSN '<value-of select="ancestor::*/hl7:attentionLine/hl7:value/@extension"/>')</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:responsibleParty[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]
Item: (careProvisionDossier)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:responsibleParty[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]"
         id="tmp-2cb9be0d-4d0f-4637-8a88-39012f0b6cca">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='RESP' or not(@typeCode)">(careProvisionDossier): de waarde van @typeCode MOET 'RESP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:time)&gt;=1 ">(careProvisionDossier): element hl7:time is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:time)&lt;=1">(careProvisionDossier): element hl7:time komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:responsibleParty[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/hl7:time
Item: (careProvisionDossier)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:responsibleParty[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/hl7:time"
         id="tmp-4bb0c016-e865-46bd-9e3b-9fcaa0ee1463">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(careProvisionDossier): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:low)&lt;=1">(careProvisionDossier): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:high)&lt;=1">(careProvisionDossier): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:center)=0">(careProvisionDossier): element hl7:center MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:width)=0">(careProvisionDossier): element hl7:width MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:responsibleParty[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/hl7:time/hl7:low
Item: (careProvisionDossier)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:responsibleParty[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/hl7:time/hl7:low"
         id="tmp-14af654b-3ccd-4eaa-8fd9-58e4c2326fbd">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(careProvisionDossier): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:responsibleParty[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/hl7:time/hl7:high
Item: (careProvisionDossier)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:responsibleParty[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/hl7:time/hl7:high"
         id="tmp-405af830-71b3-46f2-882b-b6dc79659396">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(careProvisionDossier): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:responsibleParty[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/hl7:time/hl7:center
Item: (careProvisionDossier)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:responsibleParty[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/hl7:time/hl7:width
Item: (careProvisionDossier)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]
Item: (careProvisionDossier)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]"
         id="tmp-6e0df483-c5d4-433c-8397-1a63cca5bf68">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='AUT' or not(@typeCode)">(careProvisionDossier): de waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:time)&gt;=1 ">(careProvisionDossier): element hl7:time is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:time)&lt;=1">(careProvisionDossier): element hl7:time komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/hl7:time
Item: (careProvisionDossier)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/hl7:time"
         id="tmp-67447150-2e29-460a-9e0d-6bfc21d6dee7">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(careProvisionDossier): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:low)&lt;=1">(careProvisionDossier): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:high)&lt;=1">(careProvisionDossier): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:center)=0">(careProvisionDossier): element hl7:center MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:width)=0">(careProvisionDossier): element hl7:width MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/hl7:time/hl7:low
Item: (careProvisionDossier)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/hl7:time/hl7:low"
         id="tmp-3a0137b2-50df-47b9-9aaf-15ce776e9583">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(careProvisionDossier): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/hl7:time/hl7:high
Item: (careProvisionDossier)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/hl7:time/hl7:high"
         id="tmp-b5a273db-bff8-4c5c-93fe-34244b3694c1">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(careProvisionDossier): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/hl7:time/hl7:center
Item: (careProvisionDossier)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:author[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']]]/hl7:time/hl7:width
Item: (careProvisionDossier)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:appendage
Item: (careProvisionEventAppendage)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:appendage"
         id="tmp-095ea3c4-2b46-41e3-a658-f0803ac68b9b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='APND' or not(@typeCode)">(careProvisionEventAppendage): de waarde van @typeCode MOET 'APND' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:document)&gt;=1 and not(hl7:document/@nullFlavor)">(careProvisionEventAppendage): element hl7:document is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:document)&lt;=1">(careProvisionEventAppendage): element hl7:document komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:appendage/hl7:document
Item: (careProvisionEventAppendage)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:appendage/hl7:document"
         id="tmp-1013e00b-8f5f-4bba-9e4a-97a480cae607">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='DOC' or not(@classCode)">(careProvisionEventAppendage): de waarde van @classCode MOET 'DOC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(careProvisionEventAppendage): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="hl7:effectiveTime/@value or hl7:code[@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.303']">(careProvisionEventAppendage): effectiveTime is verplicht als het bestand geen JGZ-dossier betreft</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="hl7:author or hl7:code[@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.303']">(careProvisionEventAppendage): author is verplicht als het bestand geen JGZ-dossier betreft</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="hl7:location or not(hl7:code[@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.303'])">(careProvisionEventAppendage): location is verplicht als het bestand een JGZ-dossier betreft</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(careProvisionEventAppendage): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(careProvisionEventAppendage): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&lt;=1">(careProvisionEventAppendage): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:effectiveTime)&lt;=1">(careProvisionEventAppendage): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:author)&lt;=1">(careProvisionEventAppendage): element hl7:author komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:location)&lt;=1">(careProvisionEventAppendage): element hl7:location komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:appendage/hl7:document/hl7:code
Item: (careProvisionEventAppendage)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:appendage/hl7:document/hl7:code"
         id="tmp-0ede3a09-0ef9-4131-a45b-a05b5f2c4d8d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(careProvisionEventAppendage): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0084_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0084_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(careProvisionEventAppendage): de waarde van @code MOET worden gekozen uit waardenlijst W0084_HL7 W0084 Onderwerp document (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(careProvisionEventAppendage): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0084_HL7 W0084 Onderwerp document (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:appendage/hl7:document/hl7:text
Item: (careProvisionEventAppendage)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:appendage/hl7:document/hl7:text"
         id="tmp-da73a3f2-5fe8-4c2c-9421-1c32e1790c74">
      <extends rule="tmp-cabfc384-cec1-49d3-b104-dc5d1c44b50e"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='ED' or not(@xsi:type)">(careProvisionEventAppendage): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ED" bevatten</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:appendage/hl7:document
Item: (DatatypeEDTextOrBase64)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:appendage/hl7:document"
         id="tmp-9e35e889-e6cc-435b-ab6a-c94405b25cee">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='ED' or not(@xsi:type)">(DatatypeEDTextOrBase64): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ED" bevatten</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:appendage/hl7:document/hl7:text
Item: (DatatypeEDTextOrBase64)
-->
<rule id="tmp-cabfc384-cec1-49d3-b104-dc5d1c44b50e" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:reference)=0">(DatatypeEDTextOrBase64): element hl7:reference MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:thumbnail)=0">(DatatypeEDTextOrBase64): element hl7:thumbnail MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:appendage/hl7:document/hl7:text/hl7:reference
Item: (DatatypeEDTextOrBase64)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:appendage/hl7:document/hl7:text/hl7:thumbnail
Item: (DatatypeEDTextOrBase64)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:appendage/hl7:document/hl7:effectiveTime
Item: (careProvisionEventAppendage)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:appendage/hl7:document/hl7:effectiveTime"
         id="tmp-709122a5-9415-4c12-b0fe-c018bb3fe982">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(careProvisionEventAppendage): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:appendage/hl7:document/hl7:author
Item: (careProvisionEventAppendage)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:appendage/hl7:document/hl7:author"
         id="tmp-1db47e06-1f98-4893-8435-0fd103a8654e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='AUT' or not(@typeCode)">(careProvisionEventAppendage): de waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(careProvisionEventAppendage): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedEntity)&lt;=1">(careProvisionEventAppendage): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:appendage/hl7:document/hl7:author/hl7:assignedEntity
Item: (careProvisionEventAppendage)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:appendage/hl7:document/hl7:author/hl7:assignedEntity"
         id="tmp-9560de71-f76f-4460-b7aa-00e4b7f33661">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='ASSIGNED' or not(@classCode)">(careProvisionEventAppendage): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedPerson)&gt;=1 and not(hl7:assignedPerson/@nullFlavor)">(careProvisionEventAppendage): element hl7:assignedPerson is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedPerson)&lt;=1">(careProvisionEventAppendage): element hl7:assignedPerson komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:appendage/hl7:document/hl7:author/hl7:assignedEntity/hl7:assignedPerson
Item: (careProvisionEventAppendage)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:appendage/hl7:document/hl7:author/hl7:assignedEntity/hl7:assignedPerson"
         id="tmp-0c1cea7c-7c72-4b1c-a382-f3a4a5ff6f83">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='PSN' or not(@classCode)">(careProvisionEventAppendage): de waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@determinerCode='INSTANCE' or not(@determinerCode)">(careProvisionEventAppendage): de waarde van @determinerCode MOET 'INSTANCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(careProvisionEventAppendage): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:name)&lt;=1">(careProvisionEventAppendage): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:appendage/hl7:document/hl7:author/hl7:assignedEntity/hl7:assignedPerson/hl7:name
Item: (careProvisionEventAppendage)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:appendage/hl7:document/hl7:author/hl7:assignedEntity/hl7:assignedPerson/hl7:name"
         id="tmp-ceeb2468-48a5-4531-b002-7a5ac64497ad">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='TN' or not(@xsi:type)">(careProvisionEventAppendage): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TN" bevatten</assert>
      <extends rule="TN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:appendage/hl7:document/hl7:location
Item: (careProvisionEventAppendage)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:appendage/hl7:document/hl7:location"
         id="tmp-6321bcf0-8cd9-4a85-8bee-1daac60fb215">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='LOC' or not(@typeCode)">(careProvisionEventAppendage): de waarde van @typeCode MOET 'LOC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:archivalLocation)&gt;=1 and not(hl7:archivalLocation/@nullFlavor)">(careProvisionEventAppendage): element hl7:archivalLocation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:archivalLocation)&lt;=1">(careProvisionEventAppendage): element hl7:archivalLocation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:appendage/hl7:document/hl7:location/hl7:archivalLocation
Item: (careProvisionEventAppendage)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:appendage/hl7:document/hl7:location/hl7:archivalLocation"
         id="tmp-a6ea1d84-7a86-41fd-a579-ccd68f8f5f5c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='LOCE' or not(@typeCode)">(careProvisionEventAppendage): de waarde van @typeCode MOET 'LOCE' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(careProvisionEventAppendage): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:name)&lt;=1">(careProvisionEventAppendage): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:appendage/hl7:document/hl7:location/hl7:archivalLocation/hl7:name
Item: (careProvisionEventAppendage)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:appendage/hl7:document/hl7:location/hl7:archivalLocation/hl7:name"
         id="tmp-3c7228e0-485b-46ba-9d16-ca866ca34f20">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='TN' or not(@xsi:type)">(careProvisionEventAppendage): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TN" bevatten</assert>
      <extends rule="TN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:authorization
Item: (careProvisionEventAuthorization)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:authorization"
         id="tmp-87d73310-634d-4d36-8f24-f254687e8ae5">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='AUTH' or not(@typeCode)">(careProvisionEventAuthorization): de waarde van @typeCode MOET 'AUTH' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@contextConductionInd='false' or not(@contextConductionInd)">(careProvisionEventAuthorization): de waarde van @contextConductionInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:consentEvent)&gt;=1 and not(hl7:consentEvent/@nullFlavor)">(careProvisionEventAuthorization): element hl7:consentEvent is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:consentEvent)&lt;=1">(careProvisionEventAuthorization): element hl7:consentEvent komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent
Item: (careProvisionEventAuthorization)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent"
         id="tmp-565ad07b-f192-4f75-b5ca-cf6eaaa03eb1">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='CONS' or not(@classCode)">(careProvisionEventAuthorization): de waarde van @classCode MOET 'CONS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(careProvisionEventAuthorization): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="(not(@negationInd) or @negationInd='false') or not(hl7:code[@code='469' and @codeSystem='2.16.840.1.113883.2.4.4.40.267'])">(careProvisionEventAuthorization): 
                        <name/>/@negationInd MOET 'false' zijn bij een toestemming</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="(not(@negationInd) or @negationInd='false') or not(hl7:code[@code='1163' and @codeSystem='2.16.840.1.113883.2.4.4.40.267'])">(careProvisionEventAuthorization): 
                        <name/>/@negationInd MOET 'false' zijn bij een toestemming</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="(not(@negationInd) or @negationInd='false') or not(hl7:code[@code='1398' and @codeSystem='2.16.840.1.113883.2.4.4.40.267'])">(careProvisionEventAuthorization): 
                        <name/>/@negationInd MOET 'false' zijn bij een toestemming</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="(not(@negationInd) or @negationInd='false') or not(hl7:code[@code='1165' and @codeSystem='2.16.840.1.113883.2.4.4.40.267'])">(careProvisionEventAuthorization): 
                        <name/>/@negationInd MOET 'false' zijn bij een toestemming</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@negationInd='true' or not(hl7:code[@code='1395' and @codeSystem='2.16.840.1.113883.2.4.4.40.267'])">(careProvisionEventAuthorization): 
                        <name/>/@negationInd MOET 'true' zijn bij een bezwaar</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@negationInd='true' or not(hl7:code[@code='1404' and @codeSystem='2.16.840.1.113883.2.4.4.40.267'])">(careProvisionEventAuthorization): 
                        <name/>/@negationInd MOET 'true' zijn bij een bezwaar</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="hl7:author/hl7:assignedEntity1 or not(hl7:code[@code='469' and @codeSystem='2.16.840.1.113883.2.4.4.40.267'])">(careProvisionEventAuthorization): assignedEntity1 is verplicht bij toestemming aan verpleegkundige vaccinaties</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(hl7:subjectOf) or hl7:code[@code='1165' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']">(careProvisionEventAuthorization): subjectOf/annotation is alleen mogelijk bij toestemming verstrekking informatie aan derden</assert>
      <let name="elmcount"
           value="count(hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.267']|hl7:code[@codeSystem='2.16.840.1.113883.2.4.2.70.10'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="$elmcount&gt;=1">(careProvisionEventAuthorization): keuze (hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.267'] of hl7:code[@codeSystem='2.16.840.1.113883.2.4.2.70.10']) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="$elmcount&lt;=1">(careProvisionEventAuthorization): keuze (hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.267'] of hl7:code[@codeSystem='2.16.840.1.113883.2.4.2.70.10']) bevat te veel elementen [max 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:author)&lt;=1">(careProvisionEventAuthorization): element hl7:author komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:subjectOf)&lt;=1">(careProvisionEventAuthorization): element hl7:subjectOf komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent
Item: (careProvisionEventAuthorization)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.267']
Item: (careProvisionEventAuthorization)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:code[@codeSystem='2.16.840.1.113883.2.4.4.40.267']"
         id="tmp-1edfe5b7-242a-435b-a5f5-67f35e5e149a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(careProvisionEventAuthorization): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='469' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1163' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1398' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1165' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1395' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or (@code='1404' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(careProvisionEventAuthorization): de waarde van @code MOET één van de volgende codes bevatten: '469' codeSystem '2.16.840.1.113883.2.4.4.40.267' of '1163' codeSystem '2.16.840.1.113883.2.4.4.40.267' of '1398' codeSystem '2.16.840.1.113883.2.4.4.40.267' of '1165' codeSystem '2.16.840.1.113883.2.4.4.40.267' of '1395' codeSystem '2.16.840.1.113883.2.4.4.40.267' of '1404' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:code[@codeSystem='2.16.840.1.113883.2.4.2.70.10']
Item: (careProvisionEventAuthorization)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:code[@codeSystem='2.16.840.1.113883.2.4.2.70.10']"
         id="tmp-cb324873-6720-4a32-8a55-7c73939e293e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(careProvisionEventAuthorization): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0032_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0032_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(careProvisionEventAuthorization): de waarde van @code MOET worden gekozen uit waardenlijst W0032_HL7 W0032 Indicatie geheim (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(careProvisionEventAuthorization): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0032_HL7 W0032 Indicatie geheim (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:author
Item: (careProvisionEventAuthorization)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:author"
         id="tmp-bda6114c-bccb-42a2-a397-89e2f933324c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='AUT' or not(@typeCode)">(careProvisionEventAuthorization): de waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:time)&gt;=1 ">(careProvisionEventAuthorization): element hl7:time is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:time)&lt;=1">(careProvisionEventAuthorization): element hl7:time komt te vaak voor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:patient1|hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111') or (@code='PRN' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']]|hl7:assignedEntity1)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="$elmcount&gt;=1">(careProvisionEventAuthorization): keuze (hl7:patient1 of hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111') or (@code='PRN' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']] of hl7:assignedEntity1) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="$elmcount&lt;=1">(careProvisionEventAuthorization): keuze (hl7:patient1 of hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111') or (@code='PRN' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']] of hl7:assignedEntity1) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:author/hl7:time
Item: (careProvisionEventAuthorization)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:author/hl7:time"
         id="tmp-13914076-dbdf-4e97-904c-0ac535be8eca">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(careProvisionEventAuthorization): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:author
Item: (careProvisionEventAuthorization)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:author/hl7:patient1
Item: (careProvisionEventAuthorization)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:author/hl7:patient1"
         id="tmp-d9647ba6-f396-4c2d-a6fa-c643b5ef8c41">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='PAT' or not(@classCode)">(careProvisionEventAuthorization): de waarde van @classCode MOET 'PAT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:author/hl7:personalRelationship
Item: (careProvisionEventAuthorization)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:author/hl7:personalRelationship"
         id="tmp-d6507855-0000-43da-868c-e27ebb4e899c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='PRS' or not(@classCode)">(careProvisionEventAuthorization): de waarde van @classCode MOET 'PRS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(careProvisionEventAuthorization): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(careProvisionEventAuthorization): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:relationshipHolder)&gt;=1 ">(careProvisionEventAuthorization): element hl7:relationshipHolder is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:relationshipHolder)&lt;=1">(careProvisionEventAuthorization): element hl7:relationshipHolder komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:author/hl7:personalRelationship/hl7:code
Item: (careProvisionEventAuthorization)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:author/hl7:personalRelationship/hl7:code"
         id="tmp-76949cbc-7554-4fd8-a94f-580f9c0400f8">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(careProvisionEventAuthorization): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0088_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0088_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(careProvisionEventAuthorization): de waarde van @code MOET worden gekozen uit waardenlijst W0088_HL7 W0088 Bron kind/ouder (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(careProvisionEventAuthorization): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0088_HL7 W0088 Bron kind/ouder (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@code='PRN' or @nullFlavor">(careProvisionEventAuthorization): 
                                        <name path=".."/>/<name/> MOET de "Ouder" of "Anders" zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:author/hl7:personalRelationship/hl7:relationshipHolder
Item: (careProvisionEventAuthorization)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:author/hl7:personalRelationship/hl7:relationshipHolder"
         id="tmp-feb19adf-f0f5-49fd-96c4-3263a4dbf503">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(careProvisionEventAuthorization): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor='NI'">(careProvisionEventAuthorization): de waarde van @nullFlavor MOET 'NI' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@xsi:nil='true'">(careProvisionEventAuthorization): 
                                        <name/>/@xsi:nil MOET 'true' bevatten.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:author/hl7:assignedEntity1
Item: (careProvisionEventAuthorization)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:author/hl7:assignedEntity1"
         id="tmp-d1d022a7-de3e-4b77-8c9b-1754c9c830b6">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='ASSIGNED' or not(@classCode)">(careProvisionEventAuthorization): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(careProvisionEventAuthorization): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&lt;=1">(careProvisionEventAuthorization): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:author/hl7:assignedEntity1/hl7:id
Item: (careProvisionEventAuthorization)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:author/hl7:assignedEntity1/hl7:id"
         id="tmp-d35249a1-4326-4790-9c91-81d66ef45381">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(careProvisionEventAuthorization): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.UZI" bevatten</assert>
      <extends rule="II.NL.UZI"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:subjectOf
Item: (careProvisionEventAuthorization)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:subjectOf"
         id="tmp-8918239f-ee4f-491d-99bf-4396781418d4">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(careProvisionEventAuthorization): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(careProvisionEventAuthorization): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:annotation)&lt;=1">(careProvisionEventAuthorization): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:subjectOf/hl7:annotation
Item: (careProvisionEventAuthorization)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:subjectOf/hl7:annotation"
         id="tmp-09395e4e-bfcb-40b2-9249-59805a1b1467">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(careProvisionEventAuthorization): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(careProvisionEventAuthorization): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(careProvisionEventAuthorization): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&lt;=1">(careProvisionEventAuthorization): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:subjectOf/hl7:annotation/hl7:code
Item: (careProvisionEventAuthorization)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:subjectOf/hl7:annotation/hl7:code"
         id="tmp-18786639-e269-4916-a5ea-06cdadbe95b9">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(careProvisionEventAuthorization): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='1407' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(careProvisionEventAuthorization): de waarde van @code/@codeSystem MOET ''1407' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:subjectOf/hl7:annotation/hl7:text
Item: (careProvisionEventAuthorization)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:authorization/hl7:consentEvent/hl7:subjectOf/hl7:annotation/hl7:text"
         id="tmp-07c4a58c-8680-4f9a-8f9f-422c68a4c486">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(careProvisionEventAuthorization): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:summary
Item: (careProvisionEventSummary)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:summary"
         id="tmp-958b05f6-3236-441a-9882-553e17f7ad34">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:observationEvent)&gt;=1 and not(hl7:observationEvent/@nullFlavor)">(careProvisionEventSummary): element hl7:observationEvent is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:observationEvent)&lt;=1">(careProvisionEventSummary): element hl7:observationEvent komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:summary/hl7:observationEvent
Item: (careProvisionEventSummary)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:summary/hl7:observationEvent"
         id="tmp-9a2ace95-cf5e-4e86-8e76-d2e931023623">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='OBS' or not(@classCode)">(careProvisionEventSummary): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(careProvisionEventSummary): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(careProvisionEventSummary): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(careProvisionEventSummary): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(careProvisionEventSummary): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&lt;=1">(careProvisionEventSummary): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:summary/hl7:observationEvent/hl7:code
Item: (careProvisionEventSummary)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:summary/hl7:observationEvent/hl7:code"
         id="tmp-48aab6fe-2206-473e-b3b2-d24a902576b7">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(careProvisionEventSummary): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='492' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(careProvisionEventSummary): de waarde van @code/@codeSystem MOET ''492' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:summary/hl7:observationEvent/hl7:value
Item: (careProvisionEventSummary)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:summary/hl7:observationEvent/hl7:value"
         id="tmp-3b0e67c2-2164-4260-ba54-725ae033d92d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(careProvisionEventSummary): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:pertinentInformation[hl7:pregnancyCondition[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.121']]]
Item: (careProvisionDossier)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:pertinentInformation[hl7:pregnancyCondition[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.121']]]"
         id="tmp-a9b3f1e0-8496-4fca-973d-5832f87f932b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(careProvisionDossier): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component1
Item: (careProvisionEventComponent1NonBDSData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component1"
         id="tmp-eed7833f-cbbc-4a3d-8ba1-e01e67c824b4">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(careProvisionEventComponent1NonBDSData): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:nonBDSData)&gt;=1 and not(hl7:nonBDSData/@nullFlavor)">(careProvisionEventComponent1NonBDSData): element hl7:nonBDSData is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:nonBDSData)&lt;=1">(careProvisionEventComponent1NonBDSData): element hl7:nonBDSData komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component1/hl7:nonBDSData
Item: (careProvisionEventComponent1NonBDSData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component1/hl7:nonBDSData"
         id="tmp-b9b325be-c620-4abd-b8cc-49bd2ab3e728">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='OBS' or not(@classCode)">(careProvisionEventComponent1NonBDSData): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(careProvisionEventComponent1NonBDSData): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(careProvisionEventComponent1NonBDSData): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(careProvisionEventComponent1NonBDSData): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(careProvisionEventComponent1NonBDSData): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&lt;=1">(careProvisionEventComponent1NonBDSData): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:pertainsTo)&lt;=1">(careProvisionEventComponent1NonBDSData): element hl7:pertainsTo komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component1/hl7:nonBDSData/hl7:code
Item: (careProvisionEventComponent1NonBDSData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component1/hl7:nonBDSData/hl7:code"
         id="tmp-2fccef07-9f39-4bd9-b02a-a579c01cffc5">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(careProvisionEventComponent1NonBDSData): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor='OTH' or not(@nullFlavor)">(careProvisionEventComponent1NonBDSData): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:originalText)&lt;=1">(careProvisionEventComponent1NonBDSData): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component1/hl7:nonBDSData/hl7:code/hl7:originalText
Item: (careProvisionEventComponent1NonBDSData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component1/hl7:nonBDSData/hl7:code/hl7:originalText"
         id="tmp-7d85b8b9-109b-4b38-8b19-29d4e9956c78">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(careProvisionEventComponent1NonBDSData): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component1/hl7:nonBDSData/hl7:value
Item: (careProvisionEventComponent1NonBDSData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component1/hl7:nonBDSData/hl7:value"
         id="tmp-70e4ec0e-fedb-446f-a796-73511697d119">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(careProvisionEventComponent1NonBDSData): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component1/hl7:nonBDSData/hl7:pertainsTo
Item: (careProvisionEventComponent1NonBDSData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component1/hl7:nonBDSData/hl7:pertainsTo"
         id="tmp-fe037138-f4e6-423c-9b5f-c5a0f3e58b46">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(careProvisionEventComponent1NonBDSData): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:categoryInBDS)&gt;=1 and not(hl7:categoryInBDS/@nullFlavor)">(careProvisionEventComponent1NonBDSData): element hl7:categoryInBDS is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:categoryInBDS)&lt;=1">(careProvisionEventComponent1NonBDSData): element hl7:categoryInBDS komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component1/hl7:nonBDSData/hl7:pertainsTo/hl7:categoryInBDS
Item: (careProvisionEventComponent1NonBDSData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component1/hl7:nonBDSData/hl7:pertainsTo/hl7:categoryInBDS"
         id="tmp-9e23bd14-d506-4123-9d33-9a7d7f711777">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='CATEGORY' or not(@classCode)">(careProvisionEventComponent1NonBDSData): de waarde van @classCode MOET 'CATEGORY' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(careProvisionEventComponent1NonBDSData): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(careProvisionEventComponent1NonBDSData): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(careProvisionEventComponent1NonBDSData): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component1/hl7:nonBDSData/hl7:pertainsTo/hl7:categoryInBDS/hl7:code
Item: (careProvisionEventComponent1NonBDSData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component1/hl7:nonBDSData/hl7:pertainsTo/hl7:categoryInBDS/hl7:code"
         id="tmp-fd616513-5bcc-4ec0-8984-5c6658a8d102">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(careProvisionEventComponent1NonBDSData): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0639_HL7_ConstanteGegevens-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0639_HL7_ConstanteGegevens-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(careProvisionEventComponent1NonBDSData): de waarde van @code MOET worden gekozen uit waardenlijst W0639_HL7_ConstanteGegevens W0639 RubriekID constante gegevens DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(careProvisionEventComponent1NonBDSData): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0639_HL7_ConstanteGegevens W0639 RubriekID constante gegevens DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component2
Item: (careProvisionEventComponent2MetaData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component2"
         id="tmp-02dee4ea-176a-4fba-902c-4b4537c70058">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(careProvisionEventComponent2MetaData): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:metaData)&gt;=1 and not(hl7:metaData/@nullFlavor)">(careProvisionEventComponent2MetaData): element hl7:metaData is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:metaData)&lt;=1">(careProvisionEventComponent2MetaData): element hl7:metaData komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component2/hl7:metaData
Item: (careProvisionEventComponent2MetaData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component2/hl7:metaData"
         id="tmp-58e57516-beca-4ff3-a836-cd5a34d05a3f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='OBS' or not(@classCode)">(careProvisionEventComponent2MetaData): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(careProvisionEventComponent2MetaData): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(careProvisionEventComponent2MetaData): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(careProvisionEventComponent2MetaData): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&gt;=1 ">(careProvisionEventComponent2MetaData): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&lt;=1">(careProvisionEventComponent2MetaData): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:pertainsTo)&lt;=1">(careProvisionEventComponent2MetaData): element hl7:pertainsTo komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component2/hl7:metaData/hl7:code
Item: (careProvisionEventComponent2MetaData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component2/hl7:metaData/hl7:code"
         id="tmp-cca2f985-b6b9-45a1-997f-25ced0e6871a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(careProvisionEventComponent2MetaData): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@displayName or not(@code)">(careProvisionEventComponent2MetaData): 
                            <name path=".."/>/<name/>/@displayName MOET een waarde bevatten</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component2/hl7:metaData/hl7:value
Item: (careProvisionEventComponent2MetaData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component2/hl7:metaData/hl7:value"
         id="tmp-77c2e060-f1b9-4adc-9d1a-b63e8d7c0418">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@displayName or not(@code)">(careProvisionEventComponent2MetaData): 
                            <name path=".."/>/<name/>/@displayName MOET een waarde bevatten als het gecodeerde gegevens betreft</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component2/hl7:metaData/hl7:pertainsTo
Item: (careProvisionEventComponent2MetaData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component2/hl7:metaData/hl7:pertainsTo"
         id="tmp-59649684-3d65-4534-94b1-95f963b33d52">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(careProvisionEventComponent2MetaData): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:categoryInBDS)&gt;=1 and not(hl7:categoryInBDS/@nullFlavor)">(careProvisionEventComponent2MetaData): element hl7:categoryInBDS is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:categoryInBDS)&lt;=1">(careProvisionEventComponent2MetaData): element hl7:categoryInBDS komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component2/hl7:metaData/hl7:pertainsTo/hl7:categoryInBDS
Item: (careProvisionEventComponent2MetaData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component2/hl7:metaData/hl7:pertainsTo/hl7:categoryInBDS"
         id="tmp-bb3ae586-feb0-4a6f-9e16-4091c7e1c0f6">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='CATEGORY' or not(@classCode)">(careProvisionEventComponent2MetaData): de waarde van @classCode MOET 'CATEGORY' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(careProvisionEventComponent2MetaData): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(careProvisionEventComponent2MetaData): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(careProvisionEventComponent2MetaData): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component2/hl7:metaData/hl7:pertainsTo/hl7:categoryInBDS/hl7:code
Item: (careProvisionEventComponent2MetaData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component2/hl7:metaData/hl7:pertainsTo/hl7:categoryInBDS/hl7:code"
         id="tmp-d8e508f8-350d-4261-a3cf-4fe0858f8fc1">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(careProvisionEventComponent2MetaData): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0639_HL7_ConstanteGegevens-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), (document('include/voc-W0646_HL7_ConstanteGegevens-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), (document('include/voc-W0647_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0639_HL7_ConstanteGegevens-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), (document('include/voc-W0646_HL7_ConstanteGegevens-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), (document('include/voc-W0647_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(careProvisionEventComponent2MetaData): de waarde van @code MOET worden gekozen uit waardenlijst W0639_HL7_ConstanteGegevens W0639 RubriekID constante gegevens of W0646_HL7_ConstanteGegevens W0646 GroepID constante gegevens of W0647_HL7 W0647 BDS Elementen DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(careProvisionEventComponent2MetaData): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0639_HL7_ConstanteGegevens W0639 RubriekID constante gegevens of W0646_HL7_ConstanteGegevens W0646 GroepID constante gegevens of W0647_HL7 W0647 BDS Elementen DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component3[hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]]
Item: (careProvisionDossier)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component3[hl7:patientCareProvision[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.119']]]"
         id="tmp-c88ed7e4-3cb8-4106-8724-28a13aa484e8">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(careProvisionDossier): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component4[hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]]
Item: (careProvisionDossier)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component4[hl7:carePlan[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.120']]]"
         id="tmp-225f7a5d-f486-41da-86af-7cffc5723fbd">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(careProvisionDossier): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component5[hl7:neonateData[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.118']]]
Item: (careProvisionDossier)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component5[hl7:neonateData[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.118']]]"
         id="tmp-f45280d1-2534-423c-9e55-b64e5d4413c0">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(careProvisionDossier): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component6
Item: (careProvisionEventComponent6InformationControlAct)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component6"
         id="tmp-04da2492-abf7-4ee3-b232-4d87bcf6c2fa">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(careProvisionEventComponent6InformationControlAct): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:informationControlActEvent)&gt;=1 and not(hl7:informationControlActEvent/@nullFlavor)">(careProvisionEventComponent6InformationControlAct): element hl7:informationControlActEvent is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:informationControlActEvent)&lt;=1">(careProvisionEventComponent6InformationControlAct): element hl7:informationControlActEvent komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component6/hl7:informationControlActEvent
Item: (careProvisionEventComponent6InformationControlAct)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component6/hl7:informationControlActEvent"
         id="tmp-91f92a02-40e8-4e0a-82f2-9545aea0b848">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='INFO' or not(@classCode)">(careProvisionEventComponent6InformationControlAct): de waarde van @classCode MOET 'INFO' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(careProvisionEventComponent6InformationControlAct): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(careProvisionEventComponent6InformationControlAct): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(careProvisionEventComponent6InformationControlAct): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&lt;=1">(careProvisionEventComponent6InformationControlAct): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(careProvisionEventComponent6InformationControlAct): element hl7:effectiveTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:effectiveTime)&lt;=1">(careProvisionEventComponent6InformationControlAct): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:informationRecipient)&gt;=1 and not(hl7:informationRecipient/@nullFlavor)">(careProvisionEventComponent6InformationControlAct): element hl7:informationRecipient is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:informationRecipient)&lt;=1">(careProvisionEventComponent6InformationControlAct): element hl7:informationRecipient komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component6/hl7:informationControlActEvent/hl7:code
Item: (careProvisionEventComponent6InformationControlAct)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component6/hl7:informationControlActEvent/hl7:code"
         id="tmp-9e07ff34-68b9-4501-b421-2ada6f8ebfaa">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(careProvisionEventComponent6InformationControlAct): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='476' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(careProvisionEventComponent6InformationControlAct): de waarde van @code/@codeSystem MOET ''476' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component6/hl7:informationControlActEvent/hl7:text
Item: (careProvisionEventComponent6InformationControlAct)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component6/hl7:informationControlActEvent/hl7:text"
         id="tmp-82c89250-151d-435b-9b34-b3c2c8d9632b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(careProvisionEventComponent6InformationControlAct): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component6/hl7:informationControlActEvent/hl7:effectiveTime
Item: (careProvisionEventComponent6InformationControlAct)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component6/hl7:informationControlActEvent/hl7:effectiveTime"
         id="tmp-04702ed3-a8d0-42e0-8390-53c2fbd68786">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(careProvisionEventComponent6InformationControlAct): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component6/hl7:informationControlActEvent/hl7:informationRecipient
Item: (careProvisionEventComponent6InformationControlAct)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component6/hl7:informationControlActEvent/hl7:informationRecipient"
         id="tmp-b642f143-ada7-462d-a26b-e68ba8e8da81">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='IRCP' or not(@typeCode)">(careProvisionEventComponent6InformationControlAct): de waarde van @typeCode MOET 'IRCP' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:patient|hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111') or (@code='PRN' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="$elmcount&gt;=1">(careProvisionEventComponent6InformationControlAct): keuze (hl7:patient of hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111') or (@code='PRN' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="$elmcount&lt;=1">(careProvisionEventComponent6InformationControlAct): keuze (hl7:patient of hl7:personalRelationship[hl7:code[(@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111') or (@code='PRN' and @codeSystem='2.16.840.1.113883.5.111') or @nullFlavor='OTH']]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component6/hl7:informationControlActEvent/hl7:informationRecipient
Item: (careProvisionEventComponent6InformationControlAct)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component6/hl7:informationControlActEvent/hl7:informationRecipient/hl7:patient
Item: (careProvisionEventComponent6InformationControlAct)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component6/hl7:informationControlActEvent/hl7:informationRecipient/hl7:patient"
         id="tmp-9008bdeb-3426-4258-84cd-f81a124bfe4b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='PAT' or not(@classCode)">(careProvisionEventComponent6InformationControlAct): de waarde van @classCode MOET 'PAT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component6/hl7:informationControlActEvent/hl7:informationRecipient/hl7:personalRelationship
Item: (careProvisionEventComponent6InformationControlAct)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component6/hl7:informationControlActEvent/hl7:informationRecipient/hl7:personalRelationship"
         id="tmp-5c464f56-c876-4509-9ae0-64ba30f0885f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='PRS' or not(@classCode)">(careProvisionEventComponent6InformationControlAct): de waarde van @classCode MOET 'PRS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(careProvisionEventComponent6InformationControlAct): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(careProvisionEventComponent6InformationControlAct): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:relationshipHolder)&gt;=1 ">(careProvisionEventComponent6InformationControlAct): element hl7:relationshipHolder is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:relationshipHolder)&lt;=1">(careProvisionEventComponent6InformationControlAct): element hl7:relationshipHolder komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component6/hl7:informationControlActEvent/hl7:informationRecipient/hl7:personalRelationship/hl7:code
Item: (careProvisionEventComponent6InformationControlAct)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component6/hl7:informationControlActEvent/hl7:informationRecipient/hl7:personalRelationship/hl7:code"
         id="tmp-4f17d3f8-a1d8-4cba-97d8-67c9b1150dee">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(careProvisionEventComponent6InformationControlAct): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0088_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0088_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(careProvisionEventComponent6InformationControlAct): de waarde van @code MOET worden gekozen uit waardenlijst W0088_HL7 W0088 Bron kind/ouder (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(careProvisionEventComponent6InformationControlAct): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0088_HL7 W0088 Bron kind/ouder (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@code='PRN' or @nullFlavor">(careProvisionEventComponent6InformationControlAct): 
                                        <name path=".."/>/<name/> MOET de "Ouder" of "Anders" zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component6/hl7:informationControlActEvent/hl7:informationRecipient/hl7:personalRelationship/hl7:relationshipHolder
Item: (careProvisionEventComponent6InformationControlAct)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component6/hl7:informationControlActEvent/hl7:informationRecipient/hl7:personalRelationship/hl7:relationshipHolder"
         id="tmp-8de71ae0-7e81-47f7-bb12-4a93c8b57995">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(careProvisionEventComponent6InformationControlAct): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor='NI'">(careProvisionEventComponent6InformationControlAct): de waarde van @nullFlavor MOET 'NI' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@xsi:nil='true'">(careProvisionEventComponent6InformationControlAct): 
                                        <name/>/@xsi:nil MOET 'true' bevatten.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7
Item: (careProvisionEventComponent7Activity)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7"
         id="tmp-38b9e306-5033-4f96-b2c4-0cee4879f337">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(careProvisionEventComponent7Activity): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:encounter[@moodCode='EVN']|hl7:encounter[@moodCode='INT']|hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']]|hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="$elmcount&gt;=1">(careProvisionEventComponent7Activity): keuze (hl7:encounter[@moodCode='EVN'] of hl7:encounter[@moodCode='INT'] of hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']] of hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="$elmcount&lt;=1">(careProvisionEventComponent7Activity): keuze (hl7:encounter[@moodCode='EVN'] of hl7:encounter[@moodCode='INT'] of hl7:nonEncounterCareActivity[hl7:code[(@code='29' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='34' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='31' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='32' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or @nullFlavor='OTH']] of hl7:registrationEvent[hl7:code[(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.308') or (@code='33' and @codeSystem='2.16.840.1.113883.2.4.4.40.308')]]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7
Item: (careProvisionEventComponent7Activity)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']"
         id="tmp-f9656c05-080b-4f87-9c99-8482e02995b5">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='ENC' or not(@classCode)">(activityEncounterEVN): de waarde van @classCode MOET 'ENC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN'">(activityEncounterEVN): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(activityEncounterEVN): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&lt;=1">(activityEncounterEVN): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activityEncounterEVN): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activityEncounterEVN): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)">(activityEncounterEVN): element hl7:statusCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:statusCode)&lt;=1">(activityEncounterEVN): element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(activityEncounterEVN): element hl7:effectiveTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:effectiveTime)&lt;=1">(activityEncounterEVN): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:performer)&lt;=1">(activityEncounterEVN): element hl7:performer komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:author)=0">(activityEncounterEVN): element hl7:author MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:consultant)&lt;=1">(activityEncounterEVN): element hl7:consultant komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:inFulfillmentOf)&lt;=1">(activityEncounterEVN): element hl7:inFulfillmentOf komt te vaak voor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11013']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11052']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11019']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11020']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11021']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11022']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11023']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11024']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11025']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11026']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11031']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11032']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11034']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11038']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11039']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11040']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11042']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11043']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11054']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11045']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11049']]])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:subjectOf)&lt;=1">(activityEncounterEVN): element hl7:subjectOf komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(activityEncounterEVN): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:id
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:id"
         id="tmp-e52ef8ef-de31-4fee-996e-ba399470b8d1">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(activityEncounterEVN): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@root and @extension">(activityEncounterEVN): 
                        <name path=".."/>/<name/> MOET een waarde in @root en @extension hebben.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:code
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:code"
         id="tmp-9b0eef6b-1c80-47f3-b9c1-c6063a81410c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activityEncounterEVN): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0188_HL7_Contactmomenten-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0188_HL7_Contactmomenten-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activityEncounterEVN): de waarde van @code MOET worden gekozen uit waardenlijst W0188_HL7_Contactmomenten W0188 Soort contactmoment (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activityEncounterEVN): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0188_HL7_Contactmomenten W0188 Soort contactmoment (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:statusCode
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:statusCode"
         id="tmp-4676bc39-9d67-46fb-a6b0-68b9725a4cc8">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">(activityEncounterEVN): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='completed') or (@code='aborted')">(activityEncounterEVN): de waarde van @code MOET één van de volgende codes bevatten: 'completed' of 'aborted'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:effectiveTime
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:effectiveTime"
         id="tmp-a55ce348-d779-4481-abcb-733213a8771b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(activityEncounterEVN): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:reasonCode
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:reasonCode"
         id="tmp-89403b0a-935a-4cc8-8699-e037f74c623c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activityEncounterEVN): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activityEncounterEVN): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activityEncounterEVN): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:performer
Item: (activitiesPerformer)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:performer"
         id="tmp-72ca295d-127f-4c84-881c-7c0a28481f1f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:performer/hl7:assignedEntity
Item: (activitiesPerformer)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:performer/hl7:assignedEntity"
         id="tmp-301a07b9-16f1-4663-b9a2-0b6936cf8d31">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(activitiesPerformer): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&lt;=1">(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:performer/hl7:assignedEntity/hl7:id
Item: (activitiesPerformer)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-effb3482-1729-4979-b9f3-ff0fa3690e2c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(activitiesPerformer): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.UZI" bevatten</assert>
      <extends rule="II.NL.UZI"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:author
Item: (activityEncounterEVN)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:consultant
Item: (activitiesConsultant)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:consultant"
         id="tmp-2025630e-c424-4ba7-9c1f-56ab2e8b3beb">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='CON' or not(@typeCode)">(activitiesConsultant): de waarde van @typeCode MOET 'CON' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesConsultant): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesConsultant): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:consultant/hl7:assignedEntity
Item: (activitiesConsultant)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:consultant/hl7:assignedEntity"
         id="tmp-5e47cb19-b6cc-4f39-ba5d-9e1c5b02efa8">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='ASSIGNED' or not(@classCode)">(activitiesConsultant): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activitiesConsultant): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesConsultant): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:consultant/hl7:assignedEntity/hl7:code
Item: (activitiesConsultant)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:consultant/hl7:assignedEntity/hl7:code"
         id="tmp-f1a06264-ad2d-4485-8976-353b88a82374">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor='OTH'">(activitiesConsultant): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:originalText)&gt;=1 and not(hl7:originalText/@nullFlavor)">(activitiesConsultant): element hl7:originalText is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:originalText)&lt;=1">(activitiesConsultant): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:consultant/hl7:assignedEntity/hl7:code/hl7:originalText
Item: (activitiesConsultant)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:consultant/hl7:assignedEntity/hl7:code/hl7:originalText"
         id="tmp-a7367dc8-0b09-4924-ab47-c7f5d90e149d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(activitiesConsultant): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:escort
Item: (activitiesEscort)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:escort"
         id="tmp-1639260b-3790-4d5c-9585-028fefd4064f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='ESC' or not(@typeCode)">(activitiesEscort): de waarde van @typeCode MOET 'ESC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:responsibleParty)&gt;=1 and not(hl7:responsibleParty/@nullFlavor)">(activitiesEscort): element hl7:responsibleParty is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:responsibleParty)&lt;=1">(activitiesEscort): element hl7:responsibleParty komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:escort/hl7:responsibleParty
Item: (activitiesEscort)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:escort/hl7:responsibleParty"
         id="tmp-413d426b-c08d-4cc1-a98d-cf1d41f6900d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='ASSIGNED' or not(@classCode)">(activitiesEscort): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activitiesEscort): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesEscort): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:agentPerson)&gt;=1 ">(activitiesEscort): element hl7:agentPerson is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:agentPerson)&lt;=1">(activitiesEscort): element hl7:agentPerson komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:escort/hl7:responsibleParty/hl7:code
Item: (activitiesEscort)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:escort/hl7:responsibleParty/hl7:code"
         id="tmp-2f11a8ca-3a47-4632-bff9-e3c260945e5e">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0193_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0193_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesEscort): de waarde van @code MOET worden gekozen uit waardenlijst W0193_HL7 W0193 Begeleider (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesEscort): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0193_HL7 W0193 Begeleider (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:escort/hl7:responsibleParty/hl7:agentPerson
Item: (activitiesEscort)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:escort/hl7:responsibleParty/hl7:agentPerson"
         id="tmp-9a32ee7e-054c-4646-a156-da474539a71f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor='NI'">(activitiesEscort): de waarde van @nullFlavor MOET 'NI' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@xsi:nil='true'">(activitiesEscort): de waarde van @xsi:nil MOET 'true' zijn.</assert>
      <let name="theAttValue" value="@xsi:nil"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf"
         id="tmp-0cfbb341-0b9d-4d08-8445-5e54aba66d4b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='FLFS' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'FLFS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:encounter)&gt;=1 and not(hl7:encounter/@nullFlavor)">(activityEncounterEVN): element hl7:encounter is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:encounter)&lt;=1">(activityEncounterEVN): element hl7:encounter komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf/hl7:encounter
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf/hl7:encounter"
         id="tmp-d8e0cb4f-d754-4647-9211-cc95b08914ce">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='ENC' or not(@classCode)">(activityEncounterEVN): de waarde van @classCode MOET 'ENC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='INT'">(activityEncounterEVN): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)=0">(activityEncounterEVN): element hl7:id MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activityEncounterEVN): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activityEncounterEVN): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)">(activityEncounterEVN): element hl7:statusCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:statusCode)&lt;=1">(activityEncounterEVN): element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:effectiveTime)=0">(activityEncounterEVN): element hl7:effectiveTime MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:reasonCode)=0">(activityEncounterEVN): element hl7:reasonCode MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:performer)=0">(activityEncounterEVN): element hl7:performer MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:author)&lt;=1">(activityEncounterEVN): element hl7:author komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:consultant)=0">(activityEncounterEVN): element hl7:consultant MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:escort)=0">(activityEncounterEVN): element hl7:escort MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:inFulFillmentOf)=0">(activityEncounterEVN): element hl7:inFulFillmentOf MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:pertinentInformation)=0">(activityEncounterEVN): element hl7:pertinentInformation MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:component1)=0">(activityEncounterEVN): element hl7:component1 MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:component2)=0">(activityEncounterEVN): element hl7:component2 MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:substanceAdministration)=0">(activityEncounterEVN): element hl7:substanceAdministration MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:component4)=0">(activityEncounterEVN): element hl7:component4 MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:component5)=0">(activityEncounterEVN): element hl7:component5 MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:subjectOf)=0">(activityEncounterEVN): element hl7:subjectOf MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:subjectOf1)=0">(activityEncounterEVN): element hl7:subjectOf1 MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:subjectOf2)=0">(activityEncounterEVN): element hl7:subjectOf2 MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf/hl7:encounter/hl7:id
Item: (activityEncounterEVN)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf/hl7:encounter/hl7:code
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf/hl7:encounter/hl7:code"
         id="tmp-59f43202-de4d-459a-957d-51ba0aeb5958">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activityEncounterEVN): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0188_HL7_Contactmomenten-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0188_HL7_Contactmomenten-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activityEncounterEVN): de waarde van @code MOET worden gekozen uit waardenlijst W0188_HL7_Contactmomenten W0188 Soort contactmoment (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activityEncounterEVN): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0188_HL7_Contactmomenten W0188 Soort contactmoment (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf/hl7:encounter/hl7:statusCode
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf/hl7:encounter/hl7:statusCode"
         id="tmp-abb4fddc-691a-4769-8430-b58658e100b9">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">(activityEncounterEVN): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='completed') or (@code='cancelled')">(activityEncounterEVN): de waarde van @code MOET één van de volgende codes bevatten: 'completed' of 'cancelled'.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@code='cancelled') or ../hl7:subjectOf">(activityEncounterEVN): 
                                <name path=".."/>/<name/>/@code='cancelled', maar er is geen reden waarom</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf/hl7:encounter/hl7:effectiveTime
Item: (activityEncounterEVN)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf/hl7:encounter/hl7:reasonCode
Item: (activityEncounterEVN)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf/hl7:encounter/hl7:performer
Item: (activityEncounterEVN)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf/hl7:encounter/hl7:author
Item: (activitiesEncounterINTAuthor)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf/hl7:encounter/hl7:author"
         id="tmp-65b4b2cf-deab-4073-a13b-d5a2df51ad32">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='AUT' or not(@typeCode)">(activitiesEncounterINTAuthor): de waarde van @typeCode MOET 'AUT' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:patient|hl7:personalRelationship[hl7:code[@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.411']]|hl7:assignedEntity1[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or @nullFlavor='OTH']])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="$elmcount&gt;=1">(activitiesEncounterINTAuthor): keuze (hl7:patient of hl7:personalRelationship[hl7:code[@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.411']] of hl7:assignedEntity1[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or @nullFlavor='OTH']]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="$elmcount&lt;=1">(activitiesEncounterINTAuthor): keuze (hl7:patient of hl7:personalRelationship[hl7:code[@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.411']] of hl7:assignedEntity1[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or @nullFlavor='OTH']]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf/hl7:encounter/hl7:author
Item: (activitiesEncounterINTAuthor)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf/hl7:encounter/hl7:author/hl7:patient
Item: (activitiesEncounterINTAuthor)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf/hl7:encounter/hl7:author/hl7:patient"
         id="tmp-7d56ad89-4410-46b4-aa9f-bb6338d27f2c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='PAT' or not(@classCode)">(activitiesEncounterINTAuthor): de waarde van @classCode MOET 'PAT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf/hl7:encounter/hl7:author/hl7:personalRelationship
Item: (activitiesEncounterINTAuthor)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf/hl7:encounter/hl7:author/hl7:personalRelationship"
         id="tmp-74fb525d-97f4-45a2-9aa3-34d996e1e75f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='PRS' or not(@classCode)">(activitiesEncounterINTAuthor): de waarde van @classCode MOET 'PRS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesEncounterINTAuthor): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesEncounterINTAuthor): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:relationshipHolder)&gt;=1 ">(activitiesEncounterINTAuthor): element hl7:relationshipHolder is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:relationshipHolder)&lt;=1">(activitiesEncounterINTAuthor): element hl7:relationshipHolder komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf/hl7:encounter/hl7:author/hl7:personalRelationship/hl7:code
Item: (activitiesEncounterINTAuthor)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf/hl7:encounter/hl7:author/hl7:personalRelationship/hl7:code"
         id="tmp-d279b8d8-e540-4289-a8fc-a2f58d480a06">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesEncounterINTAuthor): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.411')">(activitiesEncounterINTAuthor): de waarde van @code/@codeSystem MOET ''02' codeSystem '2.16.840.1.113883.2.4.4.40.411'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf/hl7:encounter/hl7:author/hl7:personalRelationship/hl7:relationshipHolder
Item: (activitiesEncounterINTAuthor)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf/hl7:encounter/hl7:author/hl7:personalRelationship/hl7:relationshipHolder"
         id="tmp-1238f0ca-bce4-4d64-9ab5-bb200401a916">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesEncounterINTAuthor): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor='NI'">(activitiesEncounterINTAuthor): de waarde van @nullFlavor MOET 'NI' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@xsi:nil='true'">(activitiesEncounterINTAuthor): 
                                <name/>/@xsi:nil MOET 'true' bevatten.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf/hl7:encounter/hl7:author/hl7:assignedEntity1
Item: (activitiesEncounterINTAuthor)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf/hl7:encounter/hl7:author/hl7:assignedEntity1"
         id="tmp-dce9311b-cb8e-49fe-a024-65f34476a968">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='ASSIGNED' or not(@classCode)">(activitiesEncounterINTAuthor): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activitiesEncounterINTAuthor): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesEncounterINTAuthor): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf/hl7:encounter/hl7:author/hl7:assignedEntity1/hl7:code
Item: (activitiesEncounterINTAuthor)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf/hl7:encounter/hl7:author/hl7:assignedEntity1/hl7:code"
         id="tmp-10c86523-be45-4b57-bd24-2c6ed9a5db96">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesEncounterINTAuthor): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0659_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0659_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesEncounterINTAuthor): de waarde van @code MOET worden gekozen uit waardenlijst W0659_HL7 W0659 Verzoeker contactmoment (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesEncounterINTAuthor): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0659_HL7 W0659 Verzoeker contactmoment (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor='OTH' or not(@nullFlavor)">(activitiesEncounterINTAuthor): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@code='02')">(activitiesEncounterINTAuthor): 
                                <name path=".."/>/<name/>/@code '02' moet in element personalRelationship</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@code='03')">(activitiesEncounterINTAuthor): 
                                <name path=".."/>/<name/>/@code '03' moet in element patient</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf/hl7:encounter/hl7:consultant
Item: (activityEncounterEVN)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf/hl7:encounter/hl7:escort
Item: (activityEncounterEVN)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf/hl7:encounter/hl7:inFulFillmentOf
Item: (activityEncounterEVN)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf/hl7:encounter/hl7:pertinentInformation
Item: (activityEncounterEVN)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf/hl7:encounter/hl7:component1
Item: (activityEncounterEVN)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf/hl7:encounter/hl7:component2
Item: (activityEncounterEVN)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf/hl7:encounter/hl7:substanceAdministration
Item: (activityEncounterEVN)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf/hl7:encounter/hl7:component4
Item: (activityEncounterEVN)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf/hl7:encounter/hl7:component5
Item: (activityEncounterEVN)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf/hl7:encounter/hl7:subjectOf
Item: (activityEncounterEVN)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf/hl7:encounter/hl7:subjectOf1
Item: (activityEncounterEVN)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:inFulfillmentOf/hl7:encounter/hl7:subjectOf2
Item: (activityEncounterEVN)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']
Item: (activityEncounterEVN)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]]
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]]"
         id="tmp-8c50a748-d8fd-4823-a381-a87d20d5bd3e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11013']]]
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11013']]]"
         id="tmp-5017cba4-9fef-4137-90c5-1f85ed4d782e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11052']]]
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11052']]]"
         id="tmp-d7f9ac96-1063-4132-a219-b536b743b6cf">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11019']]]
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11019']]]"
         id="tmp-7de4eace-a7cd-4d1a-8327-e4da4caf9a26">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11020']]]
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11020']]]"
         id="tmp-9c984828-3f12-4ee6-866e-5d83f371e6d6">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11021']]]
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11021']]]"
         id="tmp-6038ed11-4af2-4148-bcc8-b6e1bd2ddd33">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11022']]]
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11022']]]"
         id="tmp-e80bba0d-3ddf-40c8-b970-8142ca986b00">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11023']]]
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11023']]]"
         id="tmp-818774eb-41c4-484e-89f3-16a35dd15e7b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11024']]]
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11024']]]"
         id="tmp-16633d69-b83b-46fa-a45f-93bcf1751e78">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11025']]]
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11025']]]"
         id="tmp-0aa0e76e-a891-4aff-a184-8adf72d4fcca">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11026']]]
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11026']]]"
         id="tmp-594c35fc-51e4-46c4-837c-798f60d0d4e5">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]]
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]]"
         id="tmp-3a6b3916-fb0d-4e80-8b52-e01e527a0eb9">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]]
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]]"
         id="tmp-2c366328-3a2e-46c1-a860-e56e3b02c3e2">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11031']]]
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11031']]]"
         id="tmp-e6534b49-24c0-4763-8622-afeabe249630">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11032']]]
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11032']]]"
         id="tmp-79e47f00-8247-4b18-9207-c84a41710234">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11034']]]
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11034']]]"
         id="tmp-1f3d6577-6993-49b4-8f01-0be428dccb8a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11038']]]
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11038']]]"
         id="tmp-dea1f662-09cc-485b-95f7-e1bbf28149c4">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11039']]]
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11039']]]"
         id="tmp-aee8a613-758f-4642-b00f-844544d470b8">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11040']]]
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11040']]]"
         id="tmp-cfde2f63-3098-4075-994d-498e9544bf24">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11042']]]
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11042']]]"
         id="tmp-4c202503-38af-4101-ba34-383e447adf16">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11043']]]
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11043']]]"
         id="tmp-f3fcb761-a0b8-40e7-adff-297d2fc4b3b4">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11054']]]
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11054']]]"
         id="tmp-fbcb3cf0-7f1a-418f-a71b-bc2b8f620b4a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11045']]]
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11045']]]"
         id="tmp-1489e7de-b859-4b35-8749-e1e48d82b321">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11049']]]
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11049']]]"
         id="tmp-5451c799-f488-44c3-840f-749367a86362">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component1
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component1"
         id="tmp-4d0fb893-397c-4c8c-b854-fdf9693f2ac2">
      <extends rule="tmp-d06aa198-c159-4d8a-9bc5-48560c3cc8f9"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']
Item: (activitiesComponent1NonBDSData)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component1
Item: (activitiesComponent1NonBDSData)
-->
<rule id="tmp-d06aa198-c159-4d8a-9bc5-48560c3cc8f9" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:nonBDSData)&gt;=1 and not(hl7:nonBDSData/@nullFlavor)">(activitiesComponent1NonBDSData): element hl7:nonBDSData is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:nonBDSData)&lt;=1">(activitiesComponent1NonBDSData): element hl7:nonBDSData komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component1/hl7:nonBDSData
Item: (activitiesComponent1NonBDSData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component1/hl7:nonBDSData"
         id="tmp-5fd650d9-e830-4214-8f52-c4224c062d19">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesComponent1NonBDSData): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesComponent1NonBDSData): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activitiesComponent1NonBDSData): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesComponent1NonBDSData): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(activitiesComponent1NonBDSData): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&lt;=1">(activitiesComponent1NonBDSData): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:pertainsTo)&lt;=1">(activitiesComponent1NonBDSData): element hl7:pertainsTo komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component1/hl7:nonBDSData/hl7:code
Item: (activitiesComponent1NonBDSData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component1/hl7:nonBDSData/hl7:code"
         id="tmp-aba4ff23-c550-41b0-991b-d97ead6901e0">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesComponent1NonBDSData): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor='OTH' or not(@nullFlavor)">(activitiesComponent1NonBDSData): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:originalText)&lt;=1">(activitiesComponent1NonBDSData): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component1/hl7:nonBDSData/hl7:code/hl7:originalText
Item: (activitiesComponent1NonBDSData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component1/hl7:nonBDSData/hl7:code/hl7:originalText"
         id="tmp-b19c47c1-1d21-4255-8b29-d14e3ba2c15a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(activitiesComponent1NonBDSData): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component1/hl7:nonBDSData/hl7:value
Item: (activitiesComponent1NonBDSData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component1/hl7:nonBDSData/hl7:value"
         id="tmp-bc0d5c9d-b442-40c4-a004-71e48b56ab3e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(activitiesComponent1NonBDSData): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component1/hl7:nonBDSData/hl7:pertainsTo
Item: (activitiesComponent1NonBDSData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component1/hl7:nonBDSData/hl7:pertainsTo"
         id="tmp-33641326-2455-417f-876b-b47135cc0507">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(activitiesComponent1NonBDSData): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:categoryInBDS)&gt;=1 and not(hl7:categoryInBDS/@nullFlavor)">(activitiesComponent1NonBDSData): element hl7:categoryInBDS is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:categoryInBDS)&lt;=1">(activitiesComponent1NonBDSData): element hl7:categoryInBDS komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component1/hl7:nonBDSData/hl7:pertainsTo/hl7:categoryInBDS
Item: (activitiesComponent1NonBDSData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component1/hl7:nonBDSData/hl7:pertainsTo/hl7:categoryInBDS"
         id="tmp-e65a2acf-9ac3-4c7a-80a5-ee513c6591ec">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='CATEGORY' or not(@classCode)">(activitiesComponent1NonBDSData): de waarde van @classCode MOET 'CATEGORY' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesComponent1NonBDSData): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesComponent1NonBDSData): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesComponent1NonBDSData): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component1/hl7:nonBDSData/hl7:pertainsTo/hl7:categoryInBDS/hl7:code
Item: (activitiesComponent1NonBDSData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component1/hl7:nonBDSData/hl7:pertainsTo/hl7:categoryInBDS/hl7:code"
         id="tmp-77d7d23a-31c8-4e38-b584-377de5da16ee">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesComponent1NonBDSData): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0639_HL7_LongitudinaleGegevens-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0639_HL7_LongitudinaleGegevens-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesComponent1NonBDSData): de waarde van @code MOET worden gekozen uit waardenlijst W0639_HL7_LongitudinaleGegevens W0639 RubriekID longitudinale gegevens DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesComponent1NonBDSData): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0639_HL7_LongitudinaleGegevens W0639 RubriekID longitudinale gegevens DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component2
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component2"
         id="tmp-edfdf70b-4996-4027-b316-bb6f4b2f9139">
      <extends rule="tmp-1e1205e5-d3b8-44a3-a13e-8b0c5f11e916"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']
Item: (activitiesComponent2MetaData)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component2
Item: (activitiesComponent2MetaData)
-->
<rule id="tmp-1e1205e5-d3b8-44a3-a13e-8b0c5f11e916" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:metaData)&gt;=1 and not(hl7:metaData/@nullFlavor)">(activitiesComponent2MetaData): element hl7:metaData is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:metaData)&lt;=1">(activitiesComponent2MetaData): element hl7:metaData komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component2/hl7:metaData
Item: (activitiesComponent2MetaData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component2/hl7:metaData"
         id="tmp-a894ce4b-4ab2-41df-b7d5-2cb049856709">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesComponent2MetaData): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesComponent2MetaData): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesComponent2MetaData): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesComponent2MetaData): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&gt;=1 ">(activitiesComponent2MetaData): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&lt;=1">(activitiesComponent2MetaData): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:pertainsTo)&lt;=1">(activitiesComponent2MetaData): element hl7:pertainsTo komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component2/hl7:metaData/hl7:code
Item: (activitiesComponent2MetaData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component2/hl7:metaData/hl7:code"
         id="tmp-cdeaabf2-273a-49d5-9ba7-03fff126d578">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesComponent2MetaData): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@displayName or not(@code)">(activitiesComponent2MetaData): 
                        <name path=".."/>/<name/>/@displayName MOET een waarde bevatten</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component2/hl7:metaData/hl7:value
Item: (activitiesComponent2MetaData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component2/hl7:metaData/hl7:value"
         id="tmp-e093d8d2-3cab-4325-bbde-56f5adf43947">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@displayName or not(@code)">(activitiesComponent2MetaData): 
                        <name path=".."/>/<name/>/@displayName MOET een waarde bevatten als het gecodeerde gegevens betreft</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component2/hl7:metaData/hl7:pertainsTo
Item: (activitiesComponent2MetaData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component2/hl7:metaData/hl7:pertainsTo"
         id="tmp-a09d8b64-b79c-44e6-b998-0605473184d0">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(activitiesComponent2MetaData): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:categoryInBDS)&gt;=1 and not(hl7:categoryInBDS/@nullFlavor)">(activitiesComponent2MetaData): element hl7:categoryInBDS is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:categoryInBDS)&lt;=1">(activitiesComponent2MetaData): element hl7:categoryInBDS komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component2/hl7:metaData/hl7:pertainsTo/hl7:categoryInBDS
Item: (activitiesComponent2MetaData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component2/hl7:metaData/hl7:pertainsTo/hl7:categoryInBDS"
         id="tmp-e56a534d-e287-490b-b47e-b52d19c7c1c3">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='CATEGORY' or not(@classCode)">(activitiesComponent2MetaData): de waarde van @classCode MOET 'CATEGORY' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesComponent2MetaData): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesComponent2MetaData): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesComponent2MetaData): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component2/hl7:metaData/hl7:pertainsTo/hl7:categoryInBDS/hl7:code
Item: (activitiesComponent2MetaData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component2/hl7:metaData/hl7:pertainsTo/hl7:categoryInBDS/hl7:code"
         id="tmp-3deae456-cc2f-404d-aad3-1766dbedab48">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesComponent2MetaData): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0639_HL7_LongitudinaleGegevens-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), (document('include/voc-W0646_HL7_LongitudinaleGegevens-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), (document('include/voc-W0647_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0639_HL7_LongitudinaleGegevens-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), (document('include/voc-W0646_HL7_LongitudinaleGegevens-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), (document('include/voc-W0647_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesComponent2MetaData): de waarde van @code MOET worden gekozen uit waardenlijst W0639_HL7_LongitudinaleGegevens W0639 RubriekID longitudinale gegevens of W0646_HL7_LongitudinaleGegevens W0646 GroepID longitudinale gegevens of W0647_HL7 W0647 BDS Elementen DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesComponent2MetaData): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0639_HL7_LongitudinaleGegevens W0639 RubriekID longitudinale gegevens of W0646_HL7_LongitudinaleGegevens W0646 GroepID longitudinale gegevens of W0647_HL7 W0647 BDS Elementen DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component3[hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.116']]]
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component3[hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.116']]]"
         id="tmp-61e1f789-1bd4-468d-9dd3-cc5c68374ce0">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component4[hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]]
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component4[hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]]"
         id="tmp-2cae936f-29de-4627-9a0d-cd867a724d28">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]"
         id="tmp-a2cafb7f-a481-41f5-ba34-e5423fce617b">
      <extends rule="tmp-b7124284-886d-4d07-bce8-6a8085ce2674"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']
Item: (activitiesComponent5Advice)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]
Item: (activitiesComponent5Advice)
-->
<rule id="tmp-b7124284-886d-4d07-bce8-6a8085ce2674" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:advice)&gt;=1 and not(hl7:advice/@nullFlavor)">(activitiesComponent5Advice): element hl7:advice is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:advice)&lt;=1">(activitiesComponent5Advice): element hl7:advice komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice
Item: (activitiesComponent5Advice)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice"
         id="tmp-e5369f78-b454-4491-92d4-5c7e2abd440f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='INFRM' or not(@classCode)">(activitiesComponent5Advice): de waarde van @classCode MOET 'INFRM' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesComponent5Advice): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activitiesComponent5Advice): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesComponent5Advice): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:code
Item: (activitiesComponent5Advice)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:code"
         id="tmp-bad064f9-1dc4-49f8-90ff-03c4b82e69e8">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesComponent5Advice): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0308_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0308_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesComponent5Advice): de waarde van @code MOET worden gekozen uit waardenlijst W0308_HL7 W0308 Gegeven voorlichting (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesComponent5Advice): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0308_HL7 W0308 Gegeven voorlichting (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:component
Item: (activitiesComponent5Advice)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:component"
         id="tmp-2b2b7786-2f8d-4913-9f73-1529c84e3037">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(activitiesComponent5Advice): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:act)&gt;=1 and not(hl7:act/@nullFlavor)">(activitiesComponent5Advice): element hl7:act is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:act)&lt;=1">(activitiesComponent5Advice): element hl7:act komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:component/hl7:act
Item: (activitiesComponent5Advice)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:component/hl7:act"
         id="tmp-621c8af9-d4b2-40eb-8421-fe9a0ba92bf4">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesComponent5Advice): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesComponent5Advice): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesComponent5Advice): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesComponent5Advice): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesComponent5Advice): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&lt;=1">(activitiesComponent5Advice): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:component/hl7:act/hl7:code
Item: (activitiesComponent5Advice)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:component/hl7:act/hl7:code"
         id="tmp-a6b0a062-14ba-4081-af67-74d1e284cb66">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesComponent5Advice): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='1157' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesComponent5Advice): de waarde van @code/@codeSystem MOET ''1157' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:component/hl7:act/hl7:text
Item: (activitiesComponent5Advice)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:component/hl7:act/hl7:text"
         id="tmp-971e7151-cff7-43bc-b3a4-42974c19751d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(activitiesComponent5Advice): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf"
         id="tmp-03610b8d-c7e9-42ed-b4bf-e9b61974d91e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:abortedEvent)&gt;=1 and not(hl7:abortedEvent/@nullFlavor)">(activityEncounterEVN): element hl7:abortedEvent is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:abortedEvent)&lt;=1">(activityEncounterEVN): element hl7:abortedEvent komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf/hl7:abortedEvent
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf/hl7:abortedEvent"
         id="tmp-5f1dbd19-3815-441c-b1dc-fbce97f7ea2d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='STC' or not(@classCode)">(activityEncounterEVN): de waarde van @classCode MOET 'STC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(activityEncounterEVN): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activityEncounterEVN): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activityEncounterEVN): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:reasonCode)&gt;=1 and not(hl7:reasonCode/@nullFlavor)">(activityEncounterEVN): element hl7:reasonCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:reasonCode)&lt;=1">(activityEncounterEVN): element hl7:reasonCode komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf/hl7:abortedEvent/hl7:code
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf/hl7:abortedEvent/hl7:code"
         id="tmp-08ffd5d7-169d-47a7-b59e-6124eb7e1267">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activityEncounterEVN): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='495' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activityEncounterEVN): de waarde van @code/@codeSystem MOET ''495' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf/hl7:abortedEvent/hl7:reasonCode
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf/hl7:abortedEvent/hl7:reasonCode"
         id="tmp-bdc82dbd-b720-47eb-b695-b5ff59bec74e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activityEncounterEVN): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.309')">(activityEncounterEVN): de waarde van @code/@codeSystem MOET ''02' codeSystem '2.16.840.1.113883.2.4.4.40.309'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-b7210fd5-1e31-45ee-b545-0a7b6712c7a1">
      <extends rule="tmp-97b16720-ad67-4565-8d25-6a02fadba149"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activitiesSubjectOfConclusion)
-->
<rule id="tmp-97b16720-ad67-4565-8d25-6a02fadba149" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:conclusion)&lt;=1">(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion"
         id="tmp-b23b025c-2b96-4327-935a-759ca68ec3aa">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code"
         id="tmp-7d5b8ff7-7621-454a-985c-fddf3d85c2bb">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text"
         id="tmp-3fb7f91b-9c1e-4c27-b73b-aa7e9d45dde4">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component"
         id="tmp-4410c6de-31a0-4e80-a35b-fb9d54faf9fd">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:indication)&lt;=1">(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication"
         id="tmp-40d3ba47-6f76-4edd-869c-c3c2c6dae12e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:reasonOf)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code"
         id="tmp-19aba34d-082e-49bb-8712-4b0f09d8c640">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value"
         id="tmp-3c4fc329-d9c3-440e-92c2-411c85dc6803">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf"
         id="tmp-af71aca3-3a6c-4ec5-83bf-9dfe997ef9e8">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='RSON' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="$elmcount&gt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="$elmcount&lt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-9c86370e-c227-495c-85c0-1ec51f465032">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-b51135a6-894e-4867-99ab-7a20a741b27b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-4c3cf705-c690-4399-bed6-14ba205496e1">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='REG' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-36af1099-a2a0-41ab-b515-63c24715d4b6">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-038372a1-f52f-4d08-9a06-ca5641d1b9f0">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-0c0552cc-a329-4c45-be9d-214647da50ab">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-77267cb6-d56c-41d8-91e9-1a85958c052c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='PCPR' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='RQO' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:performer)&lt;=1">(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-a9be2e82-7beb-4f40-8ba1-b8ef85c71eea">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer"
         id="tmp-33ef1fc4-dea0-46aa-9b9f-94fd3f8c8e2a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity"
         id="tmp-57e298a7-f868-451c-bfef-387b5f5a20ff">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='ASSIGNED' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-6c73f98a-fa96-4373-ae90-6d283d7b5fab">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]"
         id="tmp-40a4d44d-92a8-40b1-83d8-3d42d7142c26">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code"
         id="tmp-21502db5-42f1-4d85-9021-0212aca2014e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor='OTH'">(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:originalText)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:originalText)&lt;=1">(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText"
         id="tmp-bdb0d9ee-1afa-448c-bc7b-7331cefc625f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf"
         id="tmp-069d03b5-38df-4571-8e0b-b65ff37bbc10">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:annotation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation"
         id="tmp-38e9d4c9-7fad-4c89-81a8-e64f3b211475">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code"
         id="tmp-db9ce195-dfac-4bc1-bad1-028693b7cef2">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text"
         id="tmp-6661c895-4802-47dc-8db0-6a8caf3308cf">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf2
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf2"
         id="tmp-ed11204e-53bc-4eb5-8de9-4c362ca47d0b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(activityEncounterEVN): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activityEncounterEVN): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:annotation)&lt;=1">(activityEncounterEVN): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf2/hl7:annotation
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf2/hl7:annotation"
         id="tmp-a1a31e84-f267-4be0-8f08-925309c7cdaa">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activityEncounterEVN): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activityEncounterEVN): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activityEncounterEVN): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&lt;=1">(activityEncounterEVN): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf2/hl7:annotation/hl7:code
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf2/hl7:annotation/hl7:code"
         id="tmp-9893741a-7021-4ef5-abba-158f508076aa">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activityEncounterEVN): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activityEncounterEVN): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf2/hl7:annotation/hl7:text
Item: (activityEncounterEVN)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='EVN']/hl7:subjectOf2/hl7:annotation/hl7:text"
         id="tmp-dfb7c785-533d-4d98-9ad8-cfd0142b0504">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(activityEncounterEVN): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']
Item: (activityEncounterINT)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']"
         id="tmp-bec13806-aa96-400a-8e43-03790b6c58c7">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='ENC' or not(@classCode)">(activityEncounterINT): de waarde van @classCode MOET 'ENC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='INT'">(activityEncounterINT): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&lt;=1">(activityEncounterINT): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activityEncounterINT): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activityEncounterINT): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)">(activityEncounterINT): element hl7:statusCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:statusCode)&lt;=1">(activityEncounterINT): element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(activityEncounterINT): element hl7:effectiveTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:effectiveTime)&lt;=1">(activityEncounterINT): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:performer)&lt;=1">(activityEncounterINT): element hl7:performer komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:author)&lt;=1">(activityEncounterINT): element hl7:author komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:consultant)&lt;=1">(activityEncounterINT): element hl7:consultant komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:inFulfillmentOf)=0">(activityEncounterINT): element hl7:inFulfillmentOf MAG NIET voorkomen.</assert>
      <let name="elmcount"
           value="count(hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11013']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11052']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11019']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11020']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11021']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11022']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11023']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11024']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11025']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11026']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11031']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11032']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11034']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11038']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11039']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11040']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11042']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11043']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11054']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11045']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11049']]])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:subjectOf)&lt;=1">(activityEncounterINT): element hl7:subjectOf komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(activityEncounterINT): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:id
Item: (activityEncounterINT)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:id"
         id="tmp-f6e6eafb-9200-4db4-b0f0-7d614678f24b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(activityEncounterINT): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@root and @extension">(activityEncounterINT): 
                        <name path=".."/>/<name/> MOET een waarde in @root en @extension hebben.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:code
Item: (activityEncounterINT)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:code"
         id="tmp-ee82cc6d-dceb-4b1d-9d25-f75f87cc77d6">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activityEncounterINT): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0188_HL7_Contactmomenten-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0188_HL7_Contactmomenten-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activityEncounterINT): de waarde van @code MOET worden gekozen uit waardenlijst W0188_HL7_Contactmomenten W0188 Soort contactmoment (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activityEncounterINT): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0188_HL7_Contactmomenten W0188 Soort contactmoment (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:statusCode
Item: (activityEncounterINT)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:statusCode"
         id="tmp-cabdf22e-7f51-46b6-b8bb-3f4153a18113">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">(activityEncounterINT): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='cancelled')">(activityEncounterINT): de waarde van @code MOET ''cancelled'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:effectiveTime
Item: (activityEncounterINT)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:effectiveTime"
         id="tmp-295cdbc8-80bc-4358-9884-85eb8599c646">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(activityEncounterINT): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:reasonCode
Item: (activityEncounterINT)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:reasonCode"
         id="tmp-7d0466ab-963d-4e28-acff-918b08498063">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activityEncounterINT): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activityEncounterINT): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activityEncounterINT): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:performer
Item: (activitiesPerformer)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:performer"
         id="tmp-1b7e87e7-a5a0-4286-a99b-182b8a98351d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:performer/hl7:assignedEntity
Item: (activitiesPerformer)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:performer/hl7:assignedEntity"
         id="tmp-e4e43c1d-3b16-4b22-b30f-e672ecae2597">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(activitiesPerformer): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&lt;=1">(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:performer/hl7:assignedEntity/hl7:id
Item: (activitiesPerformer)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-6bc725d1-9cee-416b-8195-787096c30b4b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(activitiesPerformer): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.UZI" bevatten</assert>
      <extends rule="II.NL.UZI"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:author
Item: (activitiesEncounterINTAuthor)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:author"
         id="tmp-f0d804d7-3ad7-4fc5-9514-8746a66b4337">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='AUT' or not(@typeCode)">(activitiesEncounterINTAuthor): de waarde van @typeCode MOET 'AUT' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:patient|hl7:personalRelationship[hl7:code[@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.411']]|hl7:assignedEntity1[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or @nullFlavor='OTH']])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="$elmcount&gt;=1">(activitiesEncounterINTAuthor): keuze (hl7:patient of hl7:personalRelationship[hl7:code[@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.411']] of hl7:assignedEntity1[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or @nullFlavor='OTH']]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="$elmcount&lt;=1">(activitiesEncounterINTAuthor): keuze (hl7:patient of hl7:personalRelationship[hl7:code[@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.411']] of hl7:assignedEntity1[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.411') or @nullFlavor='OTH']]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:author
Item: (activitiesEncounterINTAuthor)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:author/hl7:patient
Item: (activitiesEncounterINTAuthor)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:author/hl7:patient"
         id="tmp-c50072a6-cfd7-487b-a333-51d63047f925">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='PAT' or not(@classCode)">(activitiesEncounterINTAuthor): de waarde van @classCode MOET 'PAT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:author/hl7:personalRelationship
Item: (activitiesEncounterINTAuthor)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:author/hl7:personalRelationship"
         id="tmp-750fe563-9878-43ac-89f7-88686b9b49a3">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='PRS' or not(@classCode)">(activitiesEncounterINTAuthor): de waarde van @classCode MOET 'PRS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesEncounterINTAuthor): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesEncounterINTAuthor): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:relationshipHolder)&gt;=1 ">(activitiesEncounterINTAuthor): element hl7:relationshipHolder is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:relationshipHolder)&lt;=1">(activitiesEncounterINTAuthor): element hl7:relationshipHolder komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:author/hl7:personalRelationship/hl7:code
Item: (activitiesEncounterINTAuthor)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:author/hl7:personalRelationship/hl7:code"
         id="tmp-fdc16ee1-e590-496f-ae25-4bbd05fa70dd">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesEncounterINTAuthor): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.411')">(activitiesEncounterINTAuthor): de waarde van @code/@codeSystem MOET ''02' codeSystem '2.16.840.1.113883.2.4.4.40.411'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:author/hl7:personalRelationship/hl7:relationshipHolder
Item: (activitiesEncounterINTAuthor)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:author/hl7:personalRelationship/hl7:relationshipHolder"
         id="tmp-0995772e-60da-4c55-8ceb-0658bfa748fa">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesEncounterINTAuthor): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor='NI'">(activitiesEncounterINTAuthor): de waarde van @nullFlavor MOET 'NI' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@xsi:nil='true'">(activitiesEncounterINTAuthor): 
                                <name/>/@xsi:nil MOET 'true' bevatten.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:author/hl7:assignedEntity1
Item: (activitiesEncounterINTAuthor)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:author/hl7:assignedEntity1"
         id="tmp-5156f369-df6f-4761-9764-400973aa2605">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='ASSIGNED' or not(@classCode)">(activitiesEncounterINTAuthor): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activitiesEncounterINTAuthor): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesEncounterINTAuthor): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:author/hl7:assignedEntity1/hl7:code
Item: (activitiesEncounterINTAuthor)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:author/hl7:assignedEntity1/hl7:code"
         id="tmp-4ac3552c-5b84-4f62-a280-21859bc5ece3">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesEncounterINTAuthor): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0659_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0659_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesEncounterINTAuthor): de waarde van @code MOET worden gekozen uit waardenlijst W0659_HL7 W0659 Verzoeker contactmoment (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesEncounterINTAuthor): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0659_HL7 W0659 Verzoeker contactmoment (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor='OTH' or not(@nullFlavor)">(activitiesEncounterINTAuthor): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@code='02')">(activitiesEncounterINTAuthor): 
                                <name path=".."/>/<name/>/@code '02' moet in element personalRelationship</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@code='03')">(activitiesEncounterINTAuthor): 
                                <name path=".."/>/<name/>/@code '03' moet in element patient</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:consultant
Item: (activitiesConsultant)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:consultant"
         id="tmp-39d887fd-997e-43cf-96fc-143c18195588">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='CON' or not(@typeCode)">(activitiesConsultant): de waarde van @typeCode MOET 'CON' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesConsultant): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesConsultant): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:consultant/hl7:assignedEntity
Item: (activitiesConsultant)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:consultant/hl7:assignedEntity"
         id="tmp-e8564909-a84a-4d6e-adf6-4bf57ac05510">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='ASSIGNED' or not(@classCode)">(activitiesConsultant): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activitiesConsultant): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesConsultant): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:consultant/hl7:assignedEntity/hl7:code
Item: (activitiesConsultant)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:consultant/hl7:assignedEntity/hl7:code"
         id="tmp-cb06fc62-d29b-465c-ae82-c60d26f40443">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor='OTH'">(activitiesConsultant): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:originalText)&gt;=1 and not(hl7:originalText/@nullFlavor)">(activitiesConsultant): element hl7:originalText is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:originalText)&lt;=1">(activitiesConsultant): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:consultant/hl7:assignedEntity/hl7:code/hl7:originalText
Item: (activitiesConsultant)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:consultant/hl7:assignedEntity/hl7:code/hl7:originalText"
         id="tmp-9358055c-ff33-4045-9ccd-4b68d3dc620d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(activitiesConsultant): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:escort
Item: (activitiesEscort)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:escort"
         id="tmp-c7f2b274-7778-4177-b24a-f84a24f14256">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='ESC' or not(@typeCode)">(activitiesEscort): de waarde van @typeCode MOET 'ESC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:responsibleParty)&gt;=1 and not(hl7:responsibleParty/@nullFlavor)">(activitiesEscort): element hl7:responsibleParty is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:responsibleParty)&lt;=1">(activitiesEscort): element hl7:responsibleParty komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:escort/hl7:responsibleParty
Item: (activitiesEscort)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:escort/hl7:responsibleParty"
         id="tmp-b1d5c8df-8a07-4322-b304-71e35fade38b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='ASSIGNED' or not(@classCode)">(activitiesEscort): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activitiesEscort): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesEscort): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:agentPerson)&gt;=1 ">(activitiesEscort): element hl7:agentPerson is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:agentPerson)&lt;=1">(activitiesEscort): element hl7:agentPerson komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:escort/hl7:responsibleParty/hl7:code
Item: (activitiesEscort)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:escort/hl7:responsibleParty/hl7:code"
         id="tmp-d91f6390-e8fa-4fd9-84d1-91373f6b0b3e">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0193_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0193_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesEscort): de waarde van @code MOET worden gekozen uit waardenlijst W0193_HL7 W0193 Begeleider (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesEscort): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0193_HL7 W0193 Begeleider (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:escort/hl7:responsibleParty/hl7:agentPerson
Item: (activitiesEscort)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:escort/hl7:responsibleParty/hl7:agentPerson"
         id="tmp-2c12d35a-6194-4475-b9e3-cf2cc4a700ee">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor='NI'">(activitiesEscort): de waarde van @nullFlavor MOET 'NI' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@xsi:nil='true'">(activitiesEscort): de waarde van @xsi:nil MOET 'true' zijn.</assert>
      <let name="theAttValue" value="@xsi:nil"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:inFulfillmentOf
Item: (activityEncounterINT)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']
Item: (activityEncounterINT)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]]
Item: (activityEncounterINT)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]]"
         id="tmp-9659dc5a-64ae-47b4-902f-d9bedd184cff">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11013']]]
Item: (activityEncounterINT)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11013']]]"
         id="tmp-8c8c828c-f094-41ce-bfd8-9ea5ec4c61b4">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11052']]]
Item: (activityEncounterINT)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11052']]]"
         id="tmp-8d21c9a3-5ae0-4279-beea-ad5f0a1bf623">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11019']]]
Item: (activityEncounterINT)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11019']]]"
         id="tmp-131e5fa4-f332-470b-a2ec-4b903566f02a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11020']]]
Item: (activityEncounterINT)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11020']]]"
         id="tmp-df2c690d-852d-4f29-86e6-45380de99d60">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11021']]]
Item: (activityEncounterINT)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11021']]]"
         id="tmp-dc06fd8b-6a9d-48ab-a72d-5c83f56f2413">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11022']]]
Item: (activityEncounterINT)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11022']]]"
         id="tmp-5c0b1d03-e3c6-4c89-a5ba-70682b4b91d2">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11023']]]
Item: (activityEncounterINT)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11023']]]"
         id="tmp-0efec5b4-c711-417e-8d30-f5620f910c7f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11024']]]
Item: (activityEncounterINT)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11024']]]"
         id="tmp-b696af78-3fe0-405d-a157-063d7bb70843">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11025']]]
Item: (activityEncounterINT)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11025']]]"
         id="tmp-ede66d25-6c6d-4921-85fb-1982a5be2113">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11026']]]
Item: (activityEncounterINT)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11026']]]"
         id="tmp-d44a6f76-1e1a-4b86-88dc-fa4ea0cdc34a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]]
Item: (activityEncounterINT)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]]"
         id="tmp-967f415a-03a8-4843-90a9-d2e1c09f36f3">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]]
Item: (activityEncounterINT)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]]"
         id="tmp-fa3808d1-e411-4592-8136-555e0de5f4e6">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11031']]]
Item: (activityEncounterINT)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11031']]]"
         id="tmp-f79349d0-7b80-4f8c-81b8-ac3c32f90517">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11032']]]
Item: (activityEncounterINT)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11032']]]"
         id="tmp-56ca01be-eb94-4dd8-811d-fc52e1dda25b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11034']]]
Item: (activityEncounterINT)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11034']]]"
         id="tmp-5f3ab0b0-a1c8-4188-bf19-0f71695f0dff">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11038']]]
Item: (activityEncounterINT)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11038']]]"
         id="tmp-bdc014e1-aeb9-4119-a405-2f53a8eb1bb9">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11039']]]
Item: (activityEncounterINT)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11039']]]"
         id="tmp-7c8c0b3c-8c76-4157-a902-59c707052145">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11040']]]
Item: (activityEncounterINT)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11040']]]"
         id="tmp-9d148e00-de56-482e-bce7-2ffa893b2fe7">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11042']]]
Item: (activityEncounterINT)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11042']]]"
         id="tmp-fa571927-4d55-45d4-984c-1763312a4147">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11043']]]
Item: (activityEncounterINT)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11043']]]"
         id="tmp-cb2e0e28-2dc2-4c81-837c-fe992e89008e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11054']]]
Item: (activityEncounterINT)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11054']]]"
         id="tmp-07f06442-a49a-4df9-a972-96e03ee8c406">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11045']]]
Item: (activityEncounterINT)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11045']]]"
         id="tmp-fc8d0960-c753-41a8-a167-9fa83b37ce30">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11049']]]
Item: (activityEncounterINT)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11049']]]"
         id="tmp-04d1091f-293b-4d8a-a880-382b11542a68">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component1
Item: (activityEncounterINT)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component1"
         id="tmp-10a0a6ab-2e3e-4e77-8319-368e6631397b">
      <extends rule="tmp-b9e4fc9d-9f94-4f12-968b-d4aedf21d37d"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']
Item: (activitiesComponent1NonBDSData)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component1
Item: (activitiesComponent1NonBDSData)
-->
<rule id="tmp-b9e4fc9d-9f94-4f12-968b-d4aedf21d37d" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:nonBDSData)&gt;=1 and not(hl7:nonBDSData/@nullFlavor)">(activitiesComponent1NonBDSData): element hl7:nonBDSData is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:nonBDSData)&lt;=1">(activitiesComponent1NonBDSData): element hl7:nonBDSData komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component1/hl7:nonBDSData
Item: (activitiesComponent1NonBDSData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component1/hl7:nonBDSData"
         id="tmp-f63f33ce-f8cd-43f6-98d9-df46e8a44089">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesComponent1NonBDSData): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesComponent1NonBDSData): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activitiesComponent1NonBDSData): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesComponent1NonBDSData): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(activitiesComponent1NonBDSData): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&lt;=1">(activitiesComponent1NonBDSData): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:pertainsTo)&lt;=1">(activitiesComponent1NonBDSData): element hl7:pertainsTo komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component1/hl7:nonBDSData/hl7:code
Item: (activitiesComponent1NonBDSData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component1/hl7:nonBDSData/hl7:code"
         id="tmp-9efee3d5-2f6e-4607-8167-ccb894d5635e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesComponent1NonBDSData): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor='OTH' or not(@nullFlavor)">(activitiesComponent1NonBDSData): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:originalText)&lt;=1">(activitiesComponent1NonBDSData): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component1/hl7:nonBDSData/hl7:code/hl7:originalText
Item: (activitiesComponent1NonBDSData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component1/hl7:nonBDSData/hl7:code/hl7:originalText"
         id="tmp-0cdd772d-ba6a-455a-b2ec-bf41736867ee">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(activitiesComponent1NonBDSData): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component1/hl7:nonBDSData/hl7:value
Item: (activitiesComponent1NonBDSData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component1/hl7:nonBDSData/hl7:value"
         id="tmp-7c2d7da6-4a8f-498a-b604-969598d8959e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(activitiesComponent1NonBDSData): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component1/hl7:nonBDSData/hl7:pertainsTo
Item: (activitiesComponent1NonBDSData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component1/hl7:nonBDSData/hl7:pertainsTo"
         id="tmp-1994e3d8-96bb-4e84-b06f-cfa7847bcc5c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(activitiesComponent1NonBDSData): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:categoryInBDS)&gt;=1 and not(hl7:categoryInBDS/@nullFlavor)">(activitiesComponent1NonBDSData): element hl7:categoryInBDS is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:categoryInBDS)&lt;=1">(activitiesComponent1NonBDSData): element hl7:categoryInBDS komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component1/hl7:nonBDSData/hl7:pertainsTo/hl7:categoryInBDS
Item: (activitiesComponent1NonBDSData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component1/hl7:nonBDSData/hl7:pertainsTo/hl7:categoryInBDS"
         id="tmp-9465b437-ec75-4d68-a190-41bdfbe4e8ec">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='CATEGORY' or not(@classCode)">(activitiesComponent1NonBDSData): de waarde van @classCode MOET 'CATEGORY' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesComponent1NonBDSData): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesComponent1NonBDSData): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesComponent1NonBDSData): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component1/hl7:nonBDSData/hl7:pertainsTo/hl7:categoryInBDS/hl7:code
Item: (activitiesComponent1NonBDSData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component1/hl7:nonBDSData/hl7:pertainsTo/hl7:categoryInBDS/hl7:code"
         id="tmp-4daa9f2d-2981-4431-a3b9-cae917e7f584">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesComponent1NonBDSData): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0639_HL7_LongitudinaleGegevens-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0639_HL7_LongitudinaleGegevens-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesComponent1NonBDSData): de waarde van @code MOET worden gekozen uit waardenlijst W0639_HL7_LongitudinaleGegevens W0639 RubriekID longitudinale gegevens DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesComponent1NonBDSData): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0639_HL7_LongitudinaleGegevens W0639 RubriekID longitudinale gegevens DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component2
Item: (activityEncounterINT)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component2"
         id="tmp-382e1da0-789d-4a68-87ee-ca1a44515749">
      <extends rule="tmp-217f5197-7161-4a93-ae8b-2b1a633ef357"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']
Item: (activitiesComponent2MetaData)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component2
Item: (activitiesComponent2MetaData)
-->
<rule id="tmp-217f5197-7161-4a93-ae8b-2b1a633ef357" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:metaData)&gt;=1 and not(hl7:metaData/@nullFlavor)">(activitiesComponent2MetaData): element hl7:metaData is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:metaData)&lt;=1">(activitiesComponent2MetaData): element hl7:metaData komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component2/hl7:metaData
Item: (activitiesComponent2MetaData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component2/hl7:metaData"
         id="tmp-94ff67d3-df0f-4598-8281-0620e13909e1">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesComponent2MetaData): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesComponent2MetaData): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesComponent2MetaData): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesComponent2MetaData): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&gt;=1 ">(activitiesComponent2MetaData): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&lt;=1">(activitiesComponent2MetaData): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:pertainsTo)&lt;=1">(activitiesComponent2MetaData): element hl7:pertainsTo komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component2/hl7:metaData/hl7:code
Item: (activitiesComponent2MetaData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component2/hl7:metaData/hl7:code"
         id="tmp-d418bdb6-c126-4550-907c-c0ab5c7abbdc">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesComponent2MetaData): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@displayName or not(@code)">(activitiesComponent2MetaData): 
                        <name path=".."/>/<name/>/@displayName MOET een waarde bevatten</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component2/hl7:metaData/hl7:value
Item: (activitiesComponent2MetaData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component2/hl7:metaData/hl7:value"
         id="tmp-d427985f-83c5-4d19-a2cc-acc305d5b828">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@displayName or not(@code)">(activitiesComponent2MetaData): 
                        <name path=".."/>/<name/>/@displayName MOET een waarde bevatten als het gecodeerde gegevens betreft</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component2/hl7:metaData/hl7:pertainsTo
Item: (activitiesComponent2MetaData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component2/hl7:metaData/hl7:pertainsTo"
         id="tmp-60e67c7d-d9bc-48a7-bf68-0288f5f9bd70">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(activitiesComponent2MetaData): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:categoryInBDS)&gt;=1 and not(hl7:categoryInBDS/@nullFlavor)">(activitiesComponent2MetaData): element hl7:categoryInBDS is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:categoryInBDS)&lt;=1">(activitiesComponent2MetaData): element hl7:categoryInBDS komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component2/hl7:metaData/hl7:pertainsTo/hl7:categoryInBDS
Item: (activitiesComponent2MetaData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component2/hl7:metaData/hl7:pertainsTo/hl7:categoryInBDS"
         id="tmp-0803707e-7aab-41c2-9f51-d24fc48e0de7">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='CATEGORY' or not(@classCode)">(activitiesComponent2MetaData): de waarde van @classCode MOET 'CATEGORY' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesComponent2MetaData): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesComponent2MetaData): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesComponent2MetaData): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component2/hl7:metaData/hl7:pertainsTo/hl7:categoryInBDS/hl7:code
Item: (activitiesComponent2MetaData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component2/hl7:metaData/hl7:pertainsTo/hl7:categoryInBDS/hl7:code"
         id="tmp-3ba2903a-86ec-470b-8b36-56e4af2b89bb">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesComponent2MetaData): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0639_HL7_LongitudinaleGegevens-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), (document('include/voc-W0646_HL7_LongitudinaleGegevens-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), (document('include/voc-W0647_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0639_HL7_LongitudinaleGegevens-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), (document('include/voc-W0646_HL7_LongitudinaleGegevens-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), (document('include/voc-W0647_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesComponent2MetaData): de waarde van @code MOET worden gekozen uit waardenlijst W0639_HL7_LongitudinaleGegevens W0639 RubriekID longitudinale gegevens of W0646_HL7_LongitudinaleGegevens W0646 GroepID longitudinale gegevens of W0647_HL7 W0647 BDS Elementen DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesComponent2MetaData): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0639_HL7_LongitudinaleGegevens W0639 RubriekID longitudinale gegevens of W0646_HL7_LongitudinaleGegevens W0646 GroepID longitudinale gegevens of W0647_HL7 W0647 BDS Elementen DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component3[hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.116']]]
Item: (activityEncounterINT)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component3[hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.116']]]"
         id="tmp-f4aa7db1-ee46-4e10-98c3-3a8519c55874">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component4[hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]]
Item: (activityEncounterINT)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component4[hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]]"
         id="tmp-347cea1e-5a4c-4c4c-9396-8061c621bb30">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]
Item: (activityEncounterINT)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]"
         id="tmp-b07d78d0-715e-4872-bffe-5578022245e3">
      <extends rule="tmp-6ef7b565-c1d9-487f-b6a4-55c9341233b5"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']
Item: (activitiesComponent5Advice)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]
Item: (activitiesComponent5Advice)
-->
<rule id="tmp-6ef7b565-c1d9-487f-b6a4-55c9341233b5" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:advice)&gt;=1 and not(hl7:advice/@nullFlavor)">(activitiesComponent5Advice): element hl7:advice is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:advice)&lt;=1">(activitiesComponent5Advice): element hl7:advice komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice
Item: (activitiesComponent5Advice)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice"
         id="tmp-e96bb287-934a-4d34-8717-63b9f93fde67">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='INFRM' or not(@classCode)">(activitiesComponent5Advice): de waarde van @classCode MOET 'INFRM' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesComponent5Advice): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activitiesComponent5Advice): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesComponent5Advice): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:code
Item: (activitiesComponent5Advice)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:code"
         id="tmp-33b07de8-94b9-4e64-863a-84bf8306f28a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesComponent5Advice): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0308_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0308_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesComponent5Advice): de waarde van @code MOET worden gekozen uit waardenlijst W0308_HL7 W0308 Gegeven voorlichting (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesComponent5Advice): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0308_HL7 W0308 Gegeven voorlichting (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:component
Item: (activitiesComponent5Advice)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:component"
         id="tmp-52bc3c9e-7bdb-416e-8848-610b0c8215e9">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(activitiesComponent5Advice): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:act)&gt;=1 and not(hl7:act/@nullFlavor)">(activitiesComponent5Advice): element hl7:act is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:act)&lt;=1">(activitiesComponent5Advice): element hl7:act komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:component/hl7:act
Item: (activitiesComponent5Advice)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:component/hl7:act"
         id="tmp-63217fdb-a8ec-4b34-80ba-db5460100d77">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesComponent5Advice): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesComponent5Advice): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesComponent5Advice): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesComponent5Advice): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesComponent5Advice): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&lt;=1">(activitiesComponent5Advice): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:component/hl7:act/hl7:code
Item: (activitiesComponent5Advice)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:component/hl7:act/hl7:code"
         id="tmp-b1df282a-9d15-40f7-b4ae-e142a6b5bd16">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesComponent5Advice): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='1157' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesComponent5Advice): de waarde van @code/@codeSystem MOET ''1157' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:component/hl7:act/hl7:text
Item: (activitiesComponent5Advice)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:component/hl7:act/hl7:text"
         id="tmp-f39ff410-290b-4a4a-b8f3-8c1c0d6e45c7">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(activitiesComponent5Advice): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf
Item: (activityEncounterINT)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf"
         id="tmp-ae4ccb85-c776-4b5a-9e3c-a3956a4bba4c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:abortedEvent)&gt;=1 and not(hl7:abortedEvent/@nullFlavor)">(activityEncounterINT): element hl7:abortedEvent is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:abortedEvent)&lt;=1">(activityEncounterINT): element hl7:abortedEvent komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf/hl7:abortedEvent
Item: (activityEncounterINT)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf/hl7:abortedEvent"
         id="tmp-b18b84f5-3172-4a2b-beb7-36e3f9484056">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='STC' or not(@classCode)">(activityEncounterINT): de waarde van @classCode MOET 'STC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(activityEncounterINT): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activityEncounterINT): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activityEncounterINT): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:reasonCode)&gt;=1 and not(hl7:reasonCode/@nullFlavor)">(activityEncounterINT): element hl7:reasonCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:reasonCode)&lt;=1">(activityEncounterINT): element hl7:reasonCode komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf/hl7:abortedEvent/hl7:code
Item: (activityEncounterINT)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf/hl7:abortedEvent/hl7:code"
         id="tmp-2b17d6a6-f962-45fa-aee5-e370898fbb52">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activityEncounterINT): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='495' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activityEncounterINT): de waarde van @code/@codeSystem MOET ''495' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf/hl7:abortedEvent/hl7:reasonCode
Item: (activityEncounterINT)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf/hl7:abortedEvent/hl7:reasonCode"
         id="tmp-f8f921a5-4ccb-4ac4-a185-795af0409359">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activityEncounterINT): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.309') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.309')">(activityEncounterINT): de waarde van @code MOET één van de volgende codes bevatten: '01' codeSystem '2.16.840.1.113883.2.4.4.40.309' of '03' codeSystem '2.16.840.1.113883.2.4.4.40.309'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activityEncounterINT)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-7aba156e-88b0-4333-8f6e-1ebb47718c1e">
      <extends rule="tmp-ae49c6b9-9aee-4634-b651-7fe251473c77"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activitiesSubjectOfConclusion)
-->
<rule id="tmp-ae49c6b9-9aee-4634-b651-7fe251473c77" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:conclusion)&lt;=1">(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion"
         id="tmp-b9728bb5-0f63-4a8c-b343-e1c449fd558a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code"
         id="tmp-20b139af-48e5-4b09-a405-8e6f6526ef36">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text"
         id="tmp-fa289fc0-5a92-4434-b867-5c7fabcf50f2">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component"
         id="tmp-3e785f2a-c954-42c5-b812-042c749858cd">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:indication)&lt;=1">(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication"
         id="tmp-29ebf268-64c0-4c84-9149-737c77ffa9da">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:reasonOf)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code"
         id="tmp-ff42c08f-4b6f-4da2-a523-d3db7444a443">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value"
         id="tmp-4ae3b175-4ea0-43ca-b115-4188a3f7d2fc">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf"
         id="tmp-307b8f70-62d4-4dee-b58c-ab3b04b2946f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='RSON' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="$elmcount&gt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="$elmcount&lt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-57a3fa71-7803-4340-ae00-cde5ec3b523b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-d6b7e4e4-64f3-4a0f-8270-98d0cbf777d4">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-fdbab76f-f30c-439d-9efb-a408f4c8346e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='REG' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-cee6888f-d74b-4ede-8425-4d07acc7d3f0">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-602f4ab6-e7a1-442d-8929-6af68e040201">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-41c135e1-82d3-4b9a-b17c-6e5290c7c98a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-164cf87d-0e97-4ea7-93d5-8505232b8a23">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='PCPR' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='RQO' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:performer)&lt;=1">(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-7d595f83-775a-48d4-838a-feece136ff90">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer"
         id="tmp-42b2deda-371b-4dab-9ffd-24be6b880589">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity"
         id="tmp-224aad04-044b-4b18-9a8c-65fa2a6c1a66">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='ASSIGNED' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-1eae126a-34d6-48fd-bad1-425a46db5d1b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]"
         id="tmp-1f0f1c8f-47d5-4481-9677-1bfa5f0b9505">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code"
         id="tmp-23e12281-7282-48ca-8639-63ae4aee91a8">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor='OTH'">(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:originalText)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:originalText)&lt;=1">(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText"
         id="tmp-28b19be1-789a-4aad-9f57-1848d148504e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf"
         id="tmp-867ec803-baf3-47bb-a687-97e0fa56f727">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:annotation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation"
         id="tmp-2ca451f4-c730-4c27-bcfe-a679231712fe">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code"
         id="tmp-ee910f87-f94a-483a-b9ca-822f3b731635">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text"
         id="tmp-6570c715-15fc-422b-94ab-01b73dfcb993">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf2
Item: (activityEncounterINT)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf2"
         id="tmp-13412c9a-bb00-4c7b-8ebf-bff154be3f45">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(activityEncounterINT): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activityEncounterINT): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:annotation)&lt;=1">(activityEncounterINT): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf2/hl7:annotation
Item: (activityEncounterINT)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf2/hl7:annotation"
         id="tmp-85029318-31f2-45ee-a550-44b4add5909d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activityEncounterINT): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activityEncounterINT): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activityEncounterINT): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&lt;=1">(activityEncounterINT): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf2/hl7:annotation/hl7:code
Item: (activityEncounterINT)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf2/hl7:annotation/hl7:code"
         id="tmp-4b028057-246d-4f0d-83c3-8866a9e42a7a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activityEncounterINT): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activityEncounterINT): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf2/hl7:annotation/hl7:text
Item: (activityEncounterINT)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:encounter[@moodCode='INT']/hl7:subjectOf2/hl7:annotation/hl7:text"
         id="tmp-be8463fa-90e7-4ca2-be5b-3887e815e6d4">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(activityEncounterINT): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity
Item: (activityNonEncounterCareActivity)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity"
         id="tmp-013fa59c-05f1-44fb-8569-487ce7b71ba4">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='PCPR' or not(@classCode)">(activityNonEncounterCareActivity): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(activityNonEncounterCareActivity): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&lt;=1">(activityNonEncounterCareActivity): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activityNonEncounterCareActivity): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activityNonEncounterCareActivity): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(activityNonEncounterCareActivity): element hl7:effectiveTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:effectiveTime)&lt;=1">(activityNonEncounterCareActivity): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:performer)&lt;=1">(activityNonEncounterCareActivity): element hl7:performer komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:author)=0">(activityNonEncounterCareActivity): element hl7:author MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:consultant)&lt;=1">(activityNonEncounterCareActivity): element hl7:consultant komt te vaak voor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11013']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11052']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11019']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11020']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11021']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11022']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11023']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11024']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11025']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11026']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11031']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11032']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11034']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11038']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11039']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11040']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11042']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11043']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11054']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11045']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11049']]])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(activityNonEncounterCareActivity): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:id
Item: (activityNonEncounterCareActivity)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:id"
         id="tmp-643b504c-bab5-49fa-9bbd-f4b5a4f75791">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(activityNonEncounterCareActivity): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@root and @extension">(activityNonEncounterCareActivity): 
                        <name path=".."/>/<name/> MOET een waarde in @root en @extension hebben.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:code
Item: (activityNonEncounterCareActivity)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:code"
         id="tmp-86a0078d-bb28-4258-abbd-1d51aeb42276">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activityNonEncounterCareActivity): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0188_HL7_Activiteiten-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0188_HL7_Activiteiten-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activityNonEncounterCareActivity): de waarde van @code MOET worden gekozen uit waardenlijst W0188_HL7_Activiteiten W0188 Soort activiteit (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activityNonEncounterCareActivity): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0188_HL7_Activiteiten W0188 Soort activiteit (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:effectiveTime
Item: (activityNonEncounterCareActivity)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:effectiveTime"
         id="tmp-a0ef790c-f4ad-4be0-b178-bf7dde23a315">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(activityNonEncounterCareActivity): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:performer
Item: (activitiesPerformer)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:performer"
         id="tmp-babd12f1-6e18-4762-af0d-ef304e7a14f2">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:performer/hl7:assignedEntity
Item: (activitiesPerformer)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:performer/hl7:assignedEntity"
         id="tmp-cbb20ac6-a866-4f9b-b923-81bdf0563dcc">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(activitiesPerformer): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&lt;=1">(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:performer/hl7:assignedEntity/hl7:id
Item: (activitiesPerformer)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-9a748114-9492-49b2-9cf1-131dfc5d5b56">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(activitiesPerformer): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.UZI" bevatten</assert>
      <extends rule="II.NL.UZI"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:author
Item: (activityNonEncounterCareActivity)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:consultant
Item: (activitiesConsultant)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:consultant"
         id="tmp-c867e409-99c7-477a-9be0-f226ee319c04">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='CON' or not(@typeCode)">(activitiesConsultant): de waarde van @typeCode MOET 'CON' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesConsultant): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesConsultant): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:consultant/hl7:assignedEntity
Item: (activitiesConsultant)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:consultant/hl7:assignedEntity"
         id="tmp-d7449851-95ce-48ad-a954-1ccb10f02603">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='ASSIGNED' or not(@classCode)">(activitiesConsultant): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activitiesConsultant): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesConsultant): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:consultant/hl7:assignedEntity/hl7:code
Item: (activitiesConsultant)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:consultant/hl7:assignedEntity/hl7:code"
         id="tmp-660086b2-3587-4704-80fd-21608e84e487">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor='OTH'">(activitiesConsultant): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:originalText)&gt;=1 and not(hl7:originalText/@nullFlavor)">(activitiesConsultant): element hl7:originalText is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:originalText)&lt;=1">(activitiesConsultant): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:consultant/hl7:assignedEntity/hl7:code/hl7:originalText
Item: (activitiesConsultant)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:consultant/hl7:assignedEntity/hl7:code/hl7:originalText"
         id="tmp-e8be6106-dffa-477c-be9a-ef571fddaa5f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(activitiesConsultant): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity
Item: (activityNonEncounterCareActivity)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]]
Item: (activityNonEncounterCareActivity)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]]"
         id="tmp-2f52a376-0e15-4c65-8061-ca42d87eb09f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11013']]]
Item: (activityNonEncounterCareActivity)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11013']]]"
         id="tmp-0bebe30c-0518-426c-b948-eca47a0bea6f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11052']]]
Item: (activityNonEncounterCareActivity)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11052']]]"
         id="tmp-24a980d2-110b-46c0-a1ea-8f46f11e241a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11019']]]
Item: (activityNonEncounterCareActivity)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11019']]]"
         id="tmp-24439564-5f73-4a7e-a8fe-fcb9015b2000">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11020']]]
Item: (activityNonEncounterCareActivity)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11020']]]"
         id="tmp-8b89091d-7322-4954-9f39-4fac7fbd21e4">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11021']]]
Item: (activityNonEncounterCareActivity)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11021']]]"
         id="tmp-f15c535d-3a64-4162-85a9-b51786b28454">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11022']]]
Item: (activityNonEncounterCareActivity)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11022']]]"
         id="tmp-9c7fb488-14ba-4ea2-97a1-9d20fd477f11">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11023']]]
Item: (activityNonEncounterCareActivity)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11023']]]"
         id="tmp-ab6fb6b6-046c-469c-b71e-c86f3b2ae133">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11024']]]
Item: (activityNonEncounterCareActivity)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11024']]]"
         id="tmp-20956951-f868-4aee-b9c7-8a5c6187b76f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11025']]]
Item: (activityNonEncounterCareActivity)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11025']]]"
         id="tmp-12c4d364-29cb-49ea-a219-a26e4d1caa66">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11026']]]
Item: (activityNonEncounterCareActivity)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11026']]]"
         id="tmp-60e75615-91b2-45f9-87f0-eb7d7b939c06">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]]
Item: (activityNonEncounterCareActivity)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]]"
         id="tmp-9757d3e8-de6f-458f-867c-4369fc6fc54d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]]
Item: (activityNonEncounterCareActivity)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]]"
         id="tmp-ae5003e9-b0bf-4a63-b5f4-64d51ccaa09b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11031']]]
Item: (activityNonEncounterCareActivity)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11031']]]"
         id="tmp-611f38d9-384e-4775-a003-0b76ad264840">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11032']]]
Item: (activityNonEncounterCareActivity)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11032']]]"
         id="tmp-b0f556cc-b9de-4ba7-8f96-afbf245a3bbd">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11034']]]
Item: (activityNonEncounterCareActivity)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11034']]]"
         id="tmp-60f4da7c-dad0-4512-a41b-34d39dadf8a5">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11038']]]
Item: (activityNonEncounterCareActivity)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11038']]]"
         id="tmp-5272c82d-c399-4c11-a5a9-455f26b70297">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11039']]]
Item: (activityNonEncounterCareActivity)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11039']]]"
         id="tmp-9118c9d6-a38b-4e0a-93f9-064d1cfa0e95">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11040']]]
Item: (activityNonEncounterCareActivity)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11040']]]"
         id="tmp-741a42ba-b88a-4339-a468-e131fa36bbf7">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11042']]]
Item: (activityNonEncounterCareActivity)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11042']]]"
         id="tmp-409c306d-07fc-42a7-9522-71d2f07e7ac3">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11043']]]
Item: (activityNonEncounterCareActivity)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11043']]]"
         id="tmp-5a1b376f-3bbd-407f-84f0-dddfd074881f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11054']]]
Item: (activityNonEncounterCareActivity)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11054']]]"
         id="tmp-af726eef-5e83-45e6-a31d-db5272ae9c08">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11045']]]
Item: (activityNonEncounterCareActivity)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11045']]]"
         id="tmp-f527b902-d93e-45af-8401-7581d61aa477">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11049']]]
Item: (activityNonEncounterCareActivity)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11049']]]"
         id="tmp-297caa62-1848-484d-a66c-011e637e30a0">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component1
Item: (activityNonEncounterCareActivity)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component1"
         id="tmp-6f86429e-84ab-44ba-a6f8-8d4eb0ad8244">
      <extends rule="tmp-da8f5392-5e9d-4d11-bc47-715a442e777b"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity
Item: (activitiesComponent1NonBDSData)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component1
Item: (activitiesComponent1NonBDSData)
-->
<rule id="tmp-da8f5392-5e9d-4d11-bc47-715a442e777b" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:nonBDSData)&gt;=1 and not(hl7:nonBDSData/@nullFlavor)">(activitiesComponent1NonBDSData): element hl7:nonBDSData is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:nonBDSData)&lt;=1">(activitiesComponent1NonBDSData): element hl7:nonBDSData komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component1/hl7:nonBDSData
Item: (activitiesComponent1NonBDSData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component1/hl7:nonBDSData"
         id="tmp-8de8ab78-f3d5-484a-8eb0-50856db9d8ab">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesComponent1NonBDSData): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesComponent1NonBDSData): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activitiesComponent1NonBDSData): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesComponent1NonBDSData): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(activitiesComponent1NonBDSData): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&lt;=1">(activitiesComponent1NonBDSData): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:pertainsTo)&lt;=1">(activitiesComponent1NonBDSData): element hl7:pertainsTo komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component1/hl7:nonBDSData/hl7:code
Item: (activitiesComponent1NonBDSData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component1/hl7:nonBDSData/hl7:code"
         id="tmp-ca633a62-ac18-4b33-a6ef-c8c2c2cd597e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesComponent1NonBDSData): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor='OTH' or not(@nullFlavor)">(activitiesComponent1NonBDSData): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:originalText)&lt;=1">(activitiesComponent1NonBDSData): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component1/hl7:nonBDSData/hl7:code/hl7:originalText
Item: (activitiesComponent1NonBDSData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component1/hl7:nonBDSData/hl7:code/hl7:originalText"
         id="tmp-85583664-33f6-429d-b9ea-7217277a3779">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(activitiesComponent1NonBDSData): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component1/hl7:nonBDSData/hl7:value
Item: (activitiesComponent1NonBDSData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component1/hl7:nonBDSData/hl7:value"
         id="tmp-23b52e4c-a067-44e1-bfe1-7d7a636f8caf">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(activitiesComponent1NonBDSData): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component1/hl7:nonBDSData/hl7:pertainsTo
Item: (activitiesComponent1NonBDSData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component1/hl7:nonBDSData/hl7:pertainsTo"
         id="tmp-411c7d25-6abc-4fbd-85a0-d9f84fd47a3f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(activitiesComponent1NonBDSData): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:categoryInBDS)&gt;=1 and not(hl7:categoryInBDS/@nullFlavor)">(activitiesComponent1NonBDSData): element hl7:categoryInBDS is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:categoryInBDS)&lt;=1">(activitiesComponent1NonBDSData): element hl7:categoryInBDS komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component1/hl7:nonBDSData/hl7:pertainsTo/hl7:categoryInBDS
Item: (activitiesComponent1NonBDSData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component1/hl7:nonBDSData/hl7:pertainsTo/hl7:categoryInBDS"
         id="tmp-3cf7816e-ef33-497e-a6b1-aad4cbaa3ee3">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='CATEGORY' or not(@classCode)">(activitiesComponent1NonBDSData): de waarde van @classCode MOET 'CATEGORY' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesComponent1NonBDSData): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesComponent1NonBDSData): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesComponent1NonBDSData): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component1/hl7:nonBDSData/hl7:pertainsTo/hl7:categoryInBDS/hl7:code
Item: (activitiesComponent1NonBDSData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component1/hl7:nonBDSData/hl7:pertainsTo/hl7:categoryInBDS/hl7:code"
         id="tmp-e10266ef-67e9-4c0e-978b-e1cb4535f7da">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesComponent1NonBDSData): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0639_HL7_LongitudinaleGegevens-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0639_HL7_LongitudinaleGegevens-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesComponent1NonBDSData): de waarde van @code MOET worden gekozen uit waardenlijst W0639_HL7_LongitudinaleGegevens W0639 RubriekID longitudinale gegevens DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesComponent1NonBDSData): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0639_HL7_LongitudinaleGegevens W0639 RubriekID longitudinale gegevens DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component2
Item: (activityNonEncounterCareActivity)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component2"
         id="tmp-bc9b3fbd-4f73-4edb-aef9-5a75a99ce200">
      <extends rule="tmp-ce14c86e-ec44-4282-88bb-e2d361227088"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity
Item: (activitiesComponent2MetaData)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component2
Item: (activitiesComponent2MetaData)
-->
<rule id="tmp-ce14c86e-ec44-4282-88bb-e2d361227088" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:metaData)&gt;=1 and not(hl7:metaData/@nullFlavor)">(activitiesComponent2MetaData): element hl7:metaData is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:metaData)&lt;=1">(activitiesComponent2MetaData): element hl7:metaData komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component2/hl7:metaData
Item: (activitiesComponent2MetaData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component2/hl7:metaData"
         id="tmp-d4ed4c45-8ace-49f4-8e95-3a3b66104b96">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesComponent2MetaData): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesComponent2MetaData): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesComponent2MetaData): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesComponent2MetaData): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&gt;=1 ">(activitiesComponent2MetaData): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&lt;=1">(activitiesComponent2MetaData): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:pertainsTo)&lt;=1">(activitiesComponent2MetaData): element hl7:pertainsTo komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component2/hl7:metaData/hl7:code
Item: (activitiesComponent2MetaData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component2/hl7:metaData/hl7:code"
         id="tmp-3c1daedc-cfc8-48d2-b50b-a3a615d85494">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesComponent2MetaData): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@displayName or not(@code)">(activitiesComponent2MetaData): 
                        <name path=".."/>/<name/>/@displayName MOET een waarde bevatten</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component2/hl7:metaData/hl7:value
Item: (activitiesComponent2MetaData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component2/hl7:metaData/hl7:value"
         id="tmp-14570356-5ae6-4111-9110-9943a2e33f4b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@displayName or not(@code)">(activitiesComponent2MetaData): 
                        <name path=".."/>/<name/>/@displayName MOET een waarde bevatten als het gecodeerde gegevens betreft</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component2/hl7:metaData/hl7:pertainsTo
Item: (activitiesComponent2MetaData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component2/hl7:metaData/hl7:pertainsTo"
         id="tmp-44a9ebdc-c705-413e-af15-ae3482c5c1bc">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(activitiesComponent2MetaData): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:categoryInBDS)&gt;=1 and not(hl7:categoryInBDS/@nullFlavor)">(activitiesComponent2MetaData): element hl7:categoryInBDS is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:categoryInBDS)&lt;=1">(activitiesComponent2MetaData): element hl7:categoryInBDS komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component2/hl7:metaData/hl7:pertainsTo/hl7:categoryInBDS
Item: (activitiesComponent2MetaData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component2/hl7:metaData/hl7:pertainsTo/hl7:categoryInBDS"
         id="tmp-46d096b2-304b-4be6-a435-62c842a183df">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='CATEGORY' or not(@classCode)">(activitiesComponent2MetaData): de waarde van @classCode MOET 'CATEGORY' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesComponent2MetaData): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesComponent2MetaData): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesComponent2MetaData): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component2/hl7:metaData/hl7:pertainsTo/hl7:categoryInBDS/hl7:code
Item: (activitiesComponent2MetaData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component2/hl7:metaData/hl7:pertainsTo/hl7:categoryInBDS/hl7:code"
         id="tmp-5dda588c-25ea-4b9f-b91a-1140f402420f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesComponent2MetaData): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0639_HL7_LongitudinaleGegevens-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), (document('include/voc-W0646_HL7_LongitudinaleGegevens-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), (document('include/voc-W0647_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0639_HL7_LongitudinaleGegevens-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), (document('include/voc-W0646_HL7_LongitudinaleGegevens-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), (document('include/voc-W0647_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesComponent2MetaData): de waarde van @code MOET worden gekozen uit waardenlijst W0639_HL7_LongitudinaleGegevens W0639 RubriekID longitudinale gegevens of W0646_HL7_LongitudinaleGegevens W0646 GroepID longitudinale gegevens of W0647_HL7 W0647 BDS Elementen DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesComponent2MetaData): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0639_HL7_LongitudinaleGegevens W0639 RubriekID longitudinale gegevens of W0646_HL7_LongitudinaleGegevens W0646 GroepID longitudinale gegevens of W0647_HL7 W0647 BDS Elementen DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component3[hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.116']]]
Item: (activityNonEncounterCareActivity)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component3[hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.116']]]"
         id="tmp-96f81c5e-115e-46c0-bbb4-168e6e722004">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component4[hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]]
Item: (activityNonEncounterCareActivity)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component4[hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]]"
         id="tmp-f011fcb1-fc95-4c95-9058-213db06c51a8">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]
Item: (activityNonEncounterCareActivity)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]"
         id="tmp-e082f322-b1a6-464d-9c8a-4cf7da632562">
      <extends rule="tmp-ccb26057-b2b3-4784-afbd-658d56128394"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity
Item: (activitiesComponent5Advice)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]
Item: (activitiesComponent5Advice)
-->
<rule id="tmp-ccb26057-b2b3-4784-afbd-658d56128394" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:advice)&gt;=1 and not(hl7:advice/@nullFlavor)">(activitiesComponent5Advice): element hl7:advice is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:advice)&lt;=1">(activitiesComponent5Advice): element hl7:advice komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice
Item: (activitiesComponent5Advice)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice"
         id="tmp-ba070a88-1dea-477a-9018-aeebf3914937">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='INFRM' or not(@classCode)">(activitiesComponent5Advice): de waarde van @classCode MOET 'INFRM' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesComponent5Advice): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activitiesComponent5Advice): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesComponent5Advice): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:code
Item: (activitiesComponent5Advice)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:code"
         id="tmp-e3fdfecb-9c6f-4ade-aea0-7f69dcdd9a0f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesComponent5Advice): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0308_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0308_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesComponent5Advice): de waarde van @code MOET worden gekozen uit waardenlijst W0308_HL7 W0308 Gegeven voorlichting (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesComponent5Advice): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0308_HL7 W0308 Gegeven voorlichting (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:component
Item: (activitiesComponent5Advice)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:component"
         id="tmp-4b43ea77-6490-4555-88cc-dca00eb2d6c5">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(activitiesComponent5Advice): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:act)&gt;=1 and not(hl7:act/@nullFlavor)">(activitiesComponent5Advice): element hl7:act is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:act)&lt;=1">(activitiesComponent5Advice): element hl7:act komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:component/hl7:act
Item: (activitiesComponent5Advice)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:component/hl7:act"
         id="tmp-f3dbe1ca-14d4-4428-a335-068e8920b342">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesComponent5Advice): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesComponent5Advice): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesComponent5Advice): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesComponent5Advice): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesComponent5Advice): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&lt;=1">(activitiesComponent5Advice): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:component/hl7:act/hl7:code
Item: (activitiesComponent5Advice)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:component/hl7:act/hl7:code"
         id="tmp-1fa2639e-f425-4ef2-b98c-338d3b642705">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesComponent5Advice): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='1157' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesComponent5Advice): de waarde van @code/@codeSystem MOET ''1157' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:component/hl7:act/hl7:text
Item: (activitiesComponent5Advice)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:component/hl7:act/hl7:text"
         id="tmp-787fd455-aba9-4c6b-a386-e2448f436cbb">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(activitiesComponent5Advice): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activityNonEncounterCareActivity)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-2496863a-f44d-4eaa-90bb-2a7e058b2088">
      <extends rule="tmp-3b09ba81-0d84-49b6-b36c-8e30c0ac63b4"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activitiesSubjectOfConclusion)
-->
<rule id="tmp-3b09ba81-0d84-49b6-b36c-8e30c0ac63b4" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:conclusion)&lt;=1">(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion"
         id="tmp-cf360a4f-e8d4-4098-a0be-331d2b6fc5bf">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code"
         id="tmp-cc09e74a-e6b6-4f6d-9b6c-1c71d88f0946">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text"
         id="tmp-14cba8de-9e3d-4c79-b12c-124090cab0eb">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component"
         id="tmp-fff9b173-c649-4b43-9198-92cddd1c253c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:indication)&lt;=1">(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication"
         id="tmp-6aae2548-2d6b-49dd-9d06-15decbef64e3">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:reasonOf)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code"
         id="tmp-d2e5b515-b74f-4021-a5a7-24990b83abad">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value"
         id="tmp-85028e67-391f-405c-b936-554807d7532d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf"
         id="tmp-74ac6b42-6da8-46b2-aa27-5b9e010fbcf1">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='RSON' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="$elmcount&gt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="$elmcount&lt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-a74d4cb1-cd2c-40af-ae68-d0da5643d2c8">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-47579537-8b10-473a-8230-abc9c7444e88">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-64dcbc63-58e1-4a78-ae84-b9973059b65e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='REG' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-5daea3fc-90ee-4544-852b-dd26ff175648">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-1b0acade-e790-4bca-ba97-c2e87e3f0853">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-5584d677-edf9-47fc-b36f-d487195eac90">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-47a97446-c183-47b1-b80a-cb7eb0ebed54">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='PCPR' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='RQO' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:performer)&lt;=1">(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-ff1efba7-ff80-44d7-8fe2-88af38f10aa6">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer"
         id="tmp-b291f454-0855-47a0-849a-93d1161b2761">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity"
         id="tmp-c881a208-bfd8-4f35-b686-9c219c0bf375">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='ASSIGNED' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-df7a7f7c-4f1e-469c-b5e8-beacfbff4dde">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]"
         id="tmp-188c600e-9d3e-44a7-a97c-7fb02d8d08d3">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code"
         id="tmp-bf578edd-50d3-4790-8d46-52b92d369a1f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor='OTH'">(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:originalText)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:originalText)&lt;=1">(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText"
         id="tmp-35a697d7-3def-4b0f-bed6-1513fe60fa2e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf"
         id="tmp-2d78d0e5-befc-4227-8964-aac945dd771b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:annotation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation"
         id="tmp-010f05e2-4453-4f68-b36a-02c7815ff3db">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code"
         id="tmp-96ab0170-1d55-4ec0-bfa4-b8e0786a30ee">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text"
         id="tmp-0450c6c0-6865-477e-beab-73a624628029">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf2
Item: (activityNonEncounterCareActivity)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf2"
         id="tmp-0fb96e1b-23e5-44fb-8a3e-71309952fb5b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(activityNonEncounterCareActivity): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activityNonEncounterCareActivity): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:annotation)&lt;=1">(activityNonEncounterCareActivity): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf2/hl7:annotation
Item: (activityNonEncounterCareActivity)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf2/hl7:annotation"
         id="tmp-5ee47578-4def-48bb-af41-9065b585f5a5">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activityNonEncounterCareActivity): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activityNonEncounterCareActivity): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activityNonEncounterCareActivity): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&lt;=1">(activityNonEncounterCareActivity): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf2/hl7:annotation/hl7:code
Item: (activityNonEncounterCareActivity)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf2/hl7:annotation/hl7:code"
         id="tmp-aeb808ac-036a-43e7-a2bc-254611152ead">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activityNonEncounterCareActivity): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activityNonEncounterCareActivity): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf2/hl7:annotation/hl7:text
Item: (activityNonEncounterCareActivity)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:nonEncounterCareActivity/hl7:subjectOf2/hl7:annotation/hl7:text"
         id="tmp-d2a0a2f7-81df-4685-a88e-9fbb11e39862">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(activityNonEncounterCareActivity): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent
Item: (activityRegistrationEvent)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent"
         id="tmp-d682b2aa-a680-4044-9a64-199aea1d5620">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='PCPR' or not(@classCode)">(activityRegistrationEvent): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(activityRegistrationEvent): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&lt;=1">(activityRegistrationEvent): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activityRegistrationEvent): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activityRegistrationEvent): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(activityRegistrationEvent): element hl7:effectiveTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:effectiveTime)&lt;=1">(activityRegistrationEvent): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:performer)&lt;=1">(activityRegistrationEvent): element hl7:performer komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:author)=0">(activityRegistrationEvent): element hl7:author MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:consultant)&lt;=1">(activityRegistrationEvent): element hl7:consultant komt te vaak voor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11013']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11052']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11019']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11020']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11021']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11022']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11023']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11024']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11025']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11026']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11031']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11032']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11034']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11038']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11039']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11040']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11042']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11043']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11054']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11045']]]|hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11049']]])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(activityRegistrationEvent): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:id
Item: (activityRegistrationEvent)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:id"
         id="tmp-b5ede6f6-04fc-4756-b6bc-b95ad1a4ed93">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(activityRegistrationEvent): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@root and @extension">(activityRegistrationEvent): 
                        <name path=".."/>/<name/> MOET een waarde in @root en @extension hebben.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:code
Item: (activityRegistrationEvent)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:code"
         id="tmp-204476e8-9aef-4173-8a7d-cb258c34d6c7">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activityRegistrationEvent): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0188_HL7_Registratie-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0188_HL7_Registratie-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activityRegistrationEvent): de waarde van @code MOET worden gekozen uit waardenlijst W0188_HL7_Registratie W0188 Soort registratie (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activityRegistrationEvent): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0188_HL7_Registratie W0188 Soort registratie (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or ../hl7:pertinentInformation/hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11052']">(activityRegistrationEvent): Als activiteitcode 30 'Melding' wordt gebruikt dan MOET pertinentInformation/rubricCluster de meldingdetails bevatten (rubriek 52).</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@code='30' and @codeSystem='2.16.840.1.113883.2.4.4.40.267') or ../hl7:component4">(activityRegistrationEvent): Als activiteitcode 33 'Uitvoering hielprik/vaccinatie buiten organisatie' wordt gebruikt dan MOET component4/heelPrick de hielprikdetails bevatten (rubriek 37)..</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:effectiveTime
Item: (activityRegistrationEvent)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:effectiveTime"
         id="tmp-8850bb2d-25c7-4514-8c6b-5e4e8ac5da20">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(activityRegistrationEvent): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:performer
Item: (activitiesPerformer)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:performer"
         id="tmp-5fab7b8f-7f68-4cf1-920d-9b7642da63f9">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:performer/hl7:assignedEntity
Item: (activitiesPerformer)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:performer/hl7:assignedEntity"
         id="tmp-a42ba4e9-91b8-4e7a-9c65-d8da0f043714">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(activitiesPerformer): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&lt;=1">(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:performer/hl7:assignedEntity/hl7:id
Item: (activitiesPerformer)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-2b2970e3-f0a4-460d-8b64-fde072ea5b49">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(activitiesPerformer): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.UZI" bevatten</assert>
      <extends rule="II.NL.UZI"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:author
Item: (activityRegistrationEvent)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:consultant
Item: (activitiesConsultant)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:consultant"
         id="tmp-96a3a7ea-9600-4ab7-9c79-c6b166c9ad69">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='CON' or not(@typeCode)">(activitiesConsultant): de waarde van @typeCode MOET 'CON' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesConsultant): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesConsultant): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:consultant/hl7:assignedEntity
Item: (activitiesConsultant)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:consultant/hl7:assignedEntity"
         id="tmp-c10dc97a-5d30-40fd-b6c1-272a53b09525">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='ASSIGNED' or not(@classCode)">(activitiesConsultant): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activitiesConsultant): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesConsultant): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:consultant/hl7:assignedEntity/hl7:code
Item: (activitiesConsultant)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:consultant/hl7:assignedEntity/hl7:code"
         id="tmp-efac8c54-8790-4ee3-bbb3-d73f1bf1d0f3">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor='OTH'">(activitiesConsultant): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:originalText)&gt;=1 and not(hl7:originalText/@nullFlavor)">(activitiesConsultant): element hl7:originalText is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:originalText)&lt;=1">(activitiesConsultant): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:consultant/hl7:assignedEntity/hl7:code/hl7:originalText
Item: (activitiesConsultant)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:consultant/hl7:assignedEntity/hl7:code/hl7:originalText"
         id="tmp-8d4c0d89-9f4c-445a-9da6-2b993d88bb05">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(activitiesConsultant): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent
Item: (activityRegistrationEvent)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]]
Item: (activityRegistrationEvent)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11012']]]"
         id="tmp-16d3c30f-84cf-487b-a160-36fa966486a3">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11013']]]
Item: (activityRegistrationEvent)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11013']]]"
         id="tmp-eabc65e3-9a0f-4a98-80f0-7c0a0b36a1c7">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11052']]]
Item: (activityRegistrationEvent)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11052']]]"
         id="tmp-a2a55996-ffc3-43a3-9a3a-7d4c1f8e198b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11019']]]
Item: (activityRegistrationEvent)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11019']]]"
         id="tmp-c72aa6f7-f691-4346-a768-a67a51c7f812">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11020']]]
Item: (activityRegistrationEvent)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11020']]]"
         id="tmp-7cfa9985-be2a-452b-adad-e57ad80a32b9">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11021']]]
Item: (activityRegistrationEvent)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11021']]]"
         id="tmp-a44b1a53-64f7-4261-ba0c-a8ace655bbc3">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11022']]]
Item: (activityRegistrationEvent)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11022']]]"
         id="tmp-66f558ad-5f54-4a23-a89d-070f0a64a836">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11023']]]
Item: (activityRegistrationEvent)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11023']]]"
         id="tmp-567d499f-de53-4aae-bbb7-6c374c26e6a5">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11024']]]
Item: (activityRegistrationEvent)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11024']]]"
         id="tmp-75cef479-51a7-4419-93f5-11fdb6c49e4d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11025']]]
Item: (activityRegistrationEvent)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11025']]]"
         id="tmp-771ee9be-615e-4239-a4ba-1813a2b3fa74">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11026']]]
Item: (activityRegistrationEvent)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11026']]]"
         id="tmp-c9dcd663-d5b0-412e-990d-07f81c1042d3">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]]
Item: (activityRegistrationEvent)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']]]"
         id="tmp-b6b9fc1b-81ce-404d-ad96-b82cd8419798">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]]
Item: (activityRegistrationEvent)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11030']]]"
         id="tmp-412262f6-6729-4e59-8a9e-5610f09b6189">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11031']]]
Item: (activityRegistrationEvent)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11031']]]"
         id="tmp-b65747c9-48af-4fae-beb9-07274d2788e7">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11032']]]
Item: (activityRegistrationEvent)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11032']]]"
         id="tmp-257470f0-4743-478a-aa59-dc0d69864ae5">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11034']]]
Item: (activityRegistrationEvent)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11034']]]"
         id="tmp-7096c8cb-03bc-44ec-a8eb-5f0baea83fd4">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11038']]]
Item: (activityRegistrationEvent)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11038']]]"
         id="tmp-0f191b13-81f5-4844-8bff-f95512cd4dca">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11039']]]
Item: (activityRegistrationEvent)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11039']]]"
         id="tmp-fb4dca31-14ef-4e01-a872-431f4e8d7b45">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11040']]]
Item: (activityRegistrationEvent)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11040']]]"
         id="tmp-5c3176d6-46b3-44b8-bce8-bdaed4ea39e1">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11042']]]
Item: (activityRegistrationEvent)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11042']]]"
         id="tmp-5e2aba86-57ca-4080-a46c-cc49a3a5454a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11043']]]
Item: (activityRegistrationEvent)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11043']]]"
         id="tmp-54ddff88-2965-400e-9ef3-56501819eb31">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11054']]]
Item: (activityRegistrationEvent)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11054']]]"
         id="tmp-61a8b4c8-eec9-4ef0-878e-9a695a77e0c3">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11045']]]
Item: (activityRegistrationEvent)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11045']]]"
         id="tmp-7fa0017f-a19a-4467-ab81-b753392440ca">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11049']]]
Item: (activityRegistrationEvent)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:pertinentInformation[hl7:rubricCluster[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11049']]]"
         id="tmp-2387941f-3314-46c5-b6f5-73e5eda5a6ce">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PERT' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component1
Item: (activityRegistrationEvent)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component1"
         id="tmp-5c2db4f0-d106-4d51-9b35-449989a9030a">
      <extends rule="tmp-bc55adf3-3bcc-4cb3-9bcd-e1e5fffd6e1b"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent
Item: (activitiesComponent1NonBDSData)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component1
Item: (activitiesComponent1NonBDSData)
-->
<rule id="tmp-bc55adf3-3bcc-4cb3-9bcd-e1e5fffd6e1b" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:nonBDSData)&gt;=1 and not(hl7:nonBDSData/@nullFlavor)">(activitiesComponent1NonBDSData): element hl7:nonBDSData is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:nonBDSData)&lt;=1">(activitiesComponent1NonBDSData): element hl7:nonBDSData komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component1/hl7:nonBDSData
Item: (activitiesComponent1NonBDSData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component1/hl7:nonBDSData"
         id="tmp-0a0bb90b-2394-4c41-a772-c741349097ea">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesComponent1NonBDSData): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesComponent1NonBDSData): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activitiesComponent1NonBDSData): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesComponent1NonBDSData): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(activitiesComponent1NonBDSData): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&lt;=1">(activitiesComponent1NonBDSData): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:pertainsTo)&lt;=1">(activitiesComponent1NonBDSData): element hl7:pertainsTo komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component1/hl7:nonBDSData/hl7:code
Item: (activitiesComponent1NonBDSData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component1/hl7:nonBDSData/hl7:code"
         id="tmp-331bebb7-9396-4cc3-833a-a1077a594a66">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesComponent1NonBDSData): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor='OTH' or not(@nullFlavor)">(activitiesComponent1NonBDSData): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:originalText)&lt;=1">(activitiesComponent1NonBDSData): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component1/hl7:nonBDSData/hl7:code/hl7:originalText
Item: (activitiesComponent1NonBDSData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component1/hl7:nonBDSData/hl7:code/hl7:originalText"
         id="tmp-1c146d43-1480-45e3-be1c-4977246a0b90">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(activitiesComponent1NonBDSData): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component1/hl7:nonBDSData/hl7:value
Item: (activitiesComponent1NonBDSData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component1/hl7:nonBDSData/hl7:value"
         id="tmp-f7612c28-d5e9-4b69-a4dc-a6622e7a26ef">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(activitiesComponent1NonBDSData): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component1/hl7:nonBDSData/hl7:pertainsTo
Item: (activitiesComponent1NonBDSData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component1/hl7:nonBDSData/hl7:pertainsTo"
         id="tmp-57095d42-1fe4-4490-9f56-68a3c4bce93f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(activitiesComponent1NonBDSData): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:categoryInBDS)&gt;=1 and not(hl7:categoryInBDS/@nullFlavor)">(activitiesComponent1NonBDSData): element hl7:categoryInBDS is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:categoryInBDS)&lt;=1">(activitiesComponent1NonBDSData): element hl7:categoryInBDS komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component1/hl7:nonBDSData/hl7:pertainsTo/hl7:categoryInBDS
Item: (activitiesComponent1NonBDSData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component1/hl7:nonBDSData/hl7:pertainsTo/hl7:categoryInBDS"
         id="tmp-f7073e7a-9b95-4751-9de8-50a2b626c9b3">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='CATEGORY' or not(@classCode)">(activitiesComponent1NonBDSData): de waarde van @classCode MOET 'CATEGORY' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesComponent1NonBDSData): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesComponent1NonBDSData): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesComponent1NonBDSData): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component1/hl7:nonBDSData/hl7:pertainsTo/hl7:categoryInBDS/hl7:code
Item: (activitiesComponent1NonBDSData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component1/hl7:nonBDSData/hl7:pertainsTo/hl7:categoryInBDS/hl7:code"
         id="tmp-178292cb-1ae4-450a-a7c8-10d1b6561b6a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesComponent1NonBDSData): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0639_HL7_LongitudinaleGegevens-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0639_HL7_LongitudinaleGegevens-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesComponent1NonBDSData): de waarde van @code MOET worden gekozen uit waardenlijst W0639_HL7_LongitudinaleGegevens W0639 RubriekID longitudinale gegevens DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesComponent1NonBDSData): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0639_HL7_LongitudinaleGegevens W0639 RubriekID longitudinale gegevens DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component2
Item: (activityRegistrationEvent)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component2"
         id="tmp-a9a7381e-4bb8-4f12-857a-19c771943d7f">
      <extends rule="tmp-07ec10ff-e10a-41b3-a839-a7a2ee56f96a"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent
Item: (activitiesComponent2MetaData)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component2
Item: (activitiesComponent2MetaData)
-->
<rule id="tmp-07ec10ff-e10a-41b3-a839-a7a2ee56f96a" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:metaData)&gt;=1 and not(hl7:metaData/@nullFlavor)">(activitiesComponent2MetaData): element hl7:metaData is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:metaData)&lt;=1">(activitiesComponent2MetaData): element hl7:metaData komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component2/hl7:metaData
Item: (activitiesComponent2MetaData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component2/hl7:metaData"
         id="tmp-4addb80f-78ba-473e-95c0-84e97de6819b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesComponent2MetaData): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesComponent2MetaData): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesComponent2MetaData): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesComponent2MetaData): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&gt;=1 ">(activitiesComponent2MetaData): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&lt;=1">(activitiesComponent2MetaData): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:pertainsTo)&lt;=1">(activitiesComponent2MetaData): element hl7:pertainsTo komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component2/hl7:metaData/hl7:code
Item: (activitiesComponent2MetaData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component2/hl7:metaData/hl7:code"
         id="tmp-cefd7314-3c16-477a-b84e-647cef0eb1c7">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesComponent2MetaData): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@displayName or not(@code)">(activitiesComponent2MetaData): 
                        <name path=".."/>/<name/>/@displayName MOET een waarde bevatten</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component2/hl7:metaData/hl7:value
Item: (activitiesComponent2MetaData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component2/hl7:metaData/hl7:value"
         id="tmp-c6b4af60-914e-40fb-8b02-cfca9e8ca6bb">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@displayName or not(@code)">(activitiesComponent2MetaData): 
                        <name path=".."/>/<name/>/@displayName MOET een waarde bevatten als het gecodeerde gegevens betreft</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component2/hl7:metaData/hl7:pertainsTo
Item: (activitiesComponent2MetaData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component2/hl7:metaData/hl7:pertainsTo"
         id="tmp-e57e748c-0faf-4086-b4fb-fcee07c9a060">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(activitiesComponent2MetaData): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:categoryInBDS)&gt;=1 and not(hl7:categoryInBDS/@nullFlavor)">(activitiesComponent2MetaData): element hl7:categoryInBDS is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:categoryInBDS)&lt;=1">(activitiesComponent2MetaData): element hl7:categoryInBDS komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component2/hl7:metaData/hl7:pertainsTo/hl7:categoryInBDS
Item: (activitiesComponent2MetaData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component2/hl7:metaData/hl7:pertainsTo/hl7:categoryInBDS"
         id="tmp-9f926f15-2595-49da-bbe7-9e4114df52cf">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='CATEGORY' or not(@classCode)">(activitiesComponent2MetaData): de waarde van @classCode MOET 'CATEGORY' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesComponent2MetaData): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesComponent2MetaData): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesComponent2MetaData): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component2/hl7:metaData/hl7:pertainsTo/hl7:categoryInBDS/hl7:code
Item: (activitiesComponent2MetaData)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component2/hl7:metaData/hl7:pertainsTo/hl7:categoryInBDS/hl7:code"
         id="tmp-ff194baa-37e5-4ef5-b1b1-f6bd0b7b085c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesComponent2MetaData): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0639_HL7_LongitudinaleGegevens-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), (document('include/voc-W0646_HL7_LongitudinaleGegevens-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), (document('include/voc-W0647_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0639_HL7_LongitudinaleGegevens-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), (document('include/voc-W0646_HL7_LongitudinaleGegevens-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), (document('include/voc-W0647_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesComponent2MetaData): de waarde van @code MOET worden gekozen uit waardenlijst W0639_HL7_LongitudinaleGegevens W0639 RubriekID longitudinale gegevens of W0646_HL7_LongitudinaleGegevens W0646 GroepID longitudinale gegevens of W0647_HL7 W0647 BDS Elementen DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesComponent2MetaData): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0639_HL7_LongitudinaleGegevens W0639 RubriekID longitudinale gegevens of W0646_HL7_LongitudinaleGegevens W0646 GroepID longitudinale gegevens of W0647_HL7 W0647 BDS Elementen DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component3[hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.116']]]
Item: (activityRegistrationEvent)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component3[hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.116']]]"
         id="tmp-a5ac82fe-d1eb-4d4d-b5a1-ad349330284e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component4[hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]]
Item: (activityRegistrationEvent)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component4[hl7:heelPrick[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.133']]]"
         id="tmp-2ef43dd9-4da1-4a59-a42c-537c235752f4">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]
Item: (activityRegistrationEvent)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]"
         id="tmp-9fa6ddf9-d9d9-4f26-b9e8-3a91940456d2">
      <extends rule="tmp-e138f58c-da5c-4fc4-b708-bac90d11657f"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent
Item: (activitiesComponent5Advice)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]
Item: (activitiesComponent5Advice)
-->
<rule id="tmp-e138f58c-da5c-4fc4-b708-bac90d11657f" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:advice)&gt;=1 and not(hl7:advice/@nullFlavor)">(activitiesComponent5Advice): element hl7:advice is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:advice)&lt;=1">(activitiesComponent5Advice): element hl7:advice komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice
Item: (activitiesComponent5Advice)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice"
         id="tmp-9e0395e3-1e20-4f4a-8fda-4e2b4dbeb917">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='INFRM' or not(@classCode)">(activitiesComponent5Advice): de waarde van @classCode MOET 'INFRM' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesComponent5Advice): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activitiesComponent5Advice): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesComponent5Advice): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:code
Item: (activitiesComponent5Advice)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:code"
         id="tmp-1f888374-a390-4f89-91b9-0fd3858db1e7">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesComponent5Advice): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0308_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0308_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesComponent5Advice): de waarde van @code MOET worden gekozen uit waardenlijst W0308_HL7 W0308 Gegeven voorlichting (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesComponent5Advice): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0308_HL7 W0308 Gegeven voorlichting (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:component
Item: (activitiesComponent5Advice)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:component"
         id="tmp-3bbcfcc5-d4a6-4878-831f-574290ccb78d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(activitiesComponent5Advice): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:act)&gt;=1 and not(hl7:act/@nullFlavor)">(activitiesComponent5Advice): element hl7:act is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:act)&lt;=1">(activitiesComponent5Advice): element hl7:act komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:component/hl7:act
Item: (activitiesComponent5Advice)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:component/hl7:act"
         id="tmp-1d9eeca7-356a-4150-95a7-bc3acded8a2b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesComponent5Advice): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesComponent5Advice): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesComponent5Advice): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesComponent5Advice): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesComponent5Advice): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&lt;=1">(activitiesComponent5Advice): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:component/hl7:act/hl7:code
Item: (activitiesComponent5Advice)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:component/hl7:act/hl7:code"
         id="tmp-11743a9f-61b8-4ef4-bd47-b2dabc489322">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesComponent5Advice): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='1157' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesComponent5Advice): de waarde van @code/@codeSystem MOET ''1157' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:component/hl7:act/hl7:text
Item: (activitiesComponent5Advice)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:component5[hl7:advice[hl7:code[(@code='01' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='02' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='03' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='04' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='05' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='06' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='07' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='08' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='09' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='10' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='11' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='12' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='13' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='14' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='15' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='16' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='17' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='18' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='19' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='20' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='21' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or (@code='22' and @codeSystem='2.16.840.1.113883.2.4.4.40.80') or @nullFlavor='OTH']]]/hl7:advice/hl7:component/hl7:act/hl7:text"
         id="tmp-efc025ce-79ff-4e92-b343-4402a5bf4fcb">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(activitiesComponent5Advice): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activityRegistrationEvent)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-ca16a292-79d8-4367-8075-5af2cea7f994">
      <extends rule="tmp-343e9020-483c-4c60-93b7-56a09f390ed8"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activitiesSubjectOfConclusion)
-->
<rule id="tmp-343e9020-483c-4c60-93b7-56a09f390ed8" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:conclusion)&lt;=1">(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion"
         id="tmp-89d5c348-47be-4987-9cc5-7599afc6ff23">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code"
         id="tmp-f98162a0-7e61-4a43-9da7-c2d798234d73">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text"
         id="tmp-8501ece4-a030-4f2d-8439-04dd2ef2efaa">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component"
         id="tmp-2460e15e-4ad6-45b1-8c92-139dd904d6e4">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:indication)&lt;=1">(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication"
         id="tmp-c331f4f7-a1fe-4dc7-b57f-30bf23d83db9">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:reasonOf)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code"
         id="tmp-ca68fc03-9608-4c01-81b0-0d6e327c6e4c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value"
         id="tmp-57da1ca7-7a39-4af7-92f5-2e1daa9753b8">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf"
         id="tmp-6608028a-a1e5-4955-b317-87e378da8188">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='RSON' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="$elmcount&gt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="$elmcount&lt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-78abb6ee-af7f-4333-acd5-33b452f733aa">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-6b13775e-9e2c-45de-b37d-14a7c6b8774f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-631ac9fb-dcd1-408f-a608-622b28d5fc88">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='REG' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-692a37c0-1d4c-4913-8f86-93c452a82410">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-a198f525-16a8-4b90-a41d-2c43b51cef5c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-b94fd496-1f25-4689-9c61-7e7052cb1444">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-6a5ca2c5-6c97-4b85-9005-083df1be41a3">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='PCPR' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='RQO' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:performer)&lt;=1">(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-cbb7e064-c2ae-4bd9-bc9d-dd2f041a8903">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer"
         id="tmp-936ce9b9-e0f2-497a-84d8-4db9641f4a9f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity"
         id="tmp-2699412f-d23a-4353-9cd2-d7d4de529af1">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='ASSIGNED' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-cefd0c12-c869-40a8-aa7f-fc211fad718d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]"
         id="tmp-1137386d-9639-4203-bc46-c41435f180ae">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code"
         id="tmp-15322bea-2929-4a05-bdac-839399eeaf97">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor='OTH'">(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:originalText)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:originalText)&lt;=1">(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText"
         id="tmp-d8928935-aa38-4cde-87c0-137e4c5ed31e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf"
         id="tmp-cc25e35a-541f-4b1c-bbcf-04969c3219f8">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:annotation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation"
         id="tmp-9ee2e2e2-97b3-4cba-88b0-9bc2e9d62c45">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code"
         id="tmp-c603373c-1045-43ca-9d6c-b4a6b3b3d9d1">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text"
         id="tmp-e3397223-fbe0-4082-bbf7-b67731c0d98f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf2
Item: (activityRegistrationEvent)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf2"
         id="tmp-c7eee626-80b0-4ac8-a200-8135ff5ecc28">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(activityRegistrationEvent): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activityRegistrationEvent): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:annotation)&lt;=1">(activityRegistrationEvent): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf2/hl7:annotation
Item: (activityRegistrationEvent)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf2/hl7:annotation"
         id="tmp-72f80176-ab58-412e-a586-6619b7b28285">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 ">(activityRegistrationEvent): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(activityRegistrationEvent): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activityRegistrationEvent): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:text)&lt;=1">(activityRegistrationEvent): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf2/hl7:annotation/hl7:code
Item: (activityRegistrationEvent)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf2/hl7:annotation/hl7:code"
         id="tmp-3ba2a4c4-4930-494e-b019-09b4a01395c9">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activityRegistrationEvent): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activityRegistrationEvent): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf2/hl7:annotation/hl7:text
Item: (activityRegistrationEvent)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:component7/hl7:registrationEvent/hl7:subjectOf2/hl7:annotation/hl7:text"
         id="tmp-994fe419-dae6-4b69-a795-f7870d40d89d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(activityRegistrationEvent): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf
Item: (careProvisionEventSubjectOf)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf"
         id="tmp-9de4c592-6f7f-42ff-9ddf-bae92c283d98">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(careProvisionEventSubjectOf): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@contextConductionInd='false' or not(@contextConductionInd)">(careProvisionEventSubjectOf): de waarde van @contextConductionInd MOET 'false' zijn.</assert>
      <let name="elmcount"
           value="count(hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]|hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="$elmcount&gt;=1">(careProvisionEventSubjectOf): keuze (hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="$elmcount&lt;=1">(careProvisionEventSubjectOf): keuze (hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']] of hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf
Item: (careProvisionEventSubjectOf)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]
Item: (careProvisionEventSubjectOf)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]"
         id="tmp-1cc81e37-b46a-450c-9d09-c68e35fb9cb6">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='STC' or not(@classCode)">(careProvisionEventSubjectOf): de waarde van @classCode MOET 'STC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(careProvisionEventSubjectOf): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(careProvisionEventSubjectOf): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(careProvisionEventSubjectOf): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(careProvisionEventSubjectOf): element hl7:effectiveTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:effectiveTime)&lt;=1">(careProvisionEventSubjectOf): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:reasonCode)&gt;=1 and not(hl7:reasonCode/@nullFlavor)">(careProvisionEventSubjectOf): element hl7:reasonCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:reasonCode)&lt;=1">(careProvisionEventSubjectOf): element hl7:reasonCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:author)&gt;=1 and not(hl7:author/@nullFlavor)">(careProvisionEventSubjectOf): element hl7:author is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:author)&lt;=1">(careProvisionEventSubjectOf): element hl7:author komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code
Item: (careProvisionEventSubjectOf)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code"
         id="tmp-5aa2b048-019d-421c-b815-d8d3ec1a22dd">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(careProvisionEventSubjectOf): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(careProvisionEventSubjectOf): de waarde van @code/@codeSystem MOET ''1197' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:effectiveTime
Item: (careProvisionEventSubjectOf)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:effectiveTime"
         id="tmp-a85c2c09-d603-4b28-902e-133878e098ab">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(careProvisionEventSubjectOf): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:reasonCode
Item: (careProvisionEventSubjectOf)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:reasonCode"
         id="tmp-d4d9b54c-5c49-4570-a1c0-a1d09943c65d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(careProvisionEventSubjectOf): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0625_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0625_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(careProvisionEventSubjectOf): de waarde van @code MOET worden gekozen uit waardenlijst W0625_HL7 W0625 Status in zorg (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(careProvisionEventSubjectOf): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0625_HL7 W0625 Status in zorg (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author
Item: (careProvisionEventSubjectOf)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author"
         id="tmp-d03c0ac7-36ee-4031-b71a-8f2bada266d7">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='AUT' or not(@typeCode)">(careProvisionEventSubjectOf): de waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:time)&gt;=1 ">(careProvisionEventSubjectOf): element hl7:time is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:time)&lt;=1">(careProvisionEventSubjectOf): element hl7:time komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(careProvisionEventSubjectOf): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedEntity)&lt;=1">(careProvisionEventSubjectOf): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:time
Item: (careProvisionEventSubjectOf)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:time"
         id="tmp-4e0f5812-1fcb-4c7f-b4ce-a90ed7b5eb70">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(careProvisionEventSubjectOf): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:low)&lt;=1">(careProvisionEventSubjectOf): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:high)&lt;=1">(careProvisionEventSubjectOf): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:center)=0">(careProvisionEventSubjectOf): element hl7:center MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:width)=0">(careProvisionEventSubjectOf): element hl7:width MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:time/hl7:low
Item: (careProvisionEventSubjectOf)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:time/hl7:low"
         id="tmp-a3fd81a2-78f8-4dbb-b2a1-ea241544c6c4">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(careProvisionEventSubjectOf): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:time/hl7:high
Item: (careProvisionEventSubjectOf)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:time/hl7:high"
         id="tmp-2bdf7085-b626-487d-8812-873760ffc7ea">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(careProvisionEventSubjectOf): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:time/hl7:center
Item: (careProvisionEventSubjectOf)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:time/hl7:width
Item: (careProvisionEventSubjectOf)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author
Item: (R_AssignedEntityNL-identified)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author
Item: (R_AssignedEntityNL-identified)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:assignedEntity
Item: (R_AssignedEntityNL-identified)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:assignedEntity"
         id="tmp-85719829-a0d5-4e3d-8fe6-83c08101d8ab">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']/@nullFlavor)">(R_AssignedEntityNL-identified): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122'])&lt;=1">(R_AssignedEntityNL-identified): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122'] komt te vaak voor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:id[@root='2.16.528.1.1007.3.1']|hl7:id[@root='2.16.528.1.1007.3.3'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="$elmcount&gt;=1">(R_AssignedEntityNL-identified): keuze (hl7:id[@root='2.16.528.1.1007.3.1'] of hl7:id[@root='2.16.528.1.1007.3.3']) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="$elmcount&lt;=1">(R_AssignedEntityNL-identified): keuze (hl7:id[@root='2.16.528.1.1007.3.1'] of hl7:id[@root='2.16.528.1.1007.3.3']) bevat te veel elementen [max 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:representedOrganization)&lt;=1">(R_AssignedEntityNL-identified): element hl7:representedOrganization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:assignedEntity/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']
Item: (R_AssignedEntityNL-identified)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:assignedEntity/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']"
         id="tmp-143342ff-f286-4021-94ab-9c36a5eb26ef">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(R_AssignedEntityNL-identified): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@root='2.16.840.1.113883.2.4.6.10.100.122'">(R_AssignedEntityNL-identified): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.122' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(R_AssignedEntityNL-identified): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:assignedEntity
Item: (R_AssignedEntityNL-identified)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:assignedEntity/hl7:id[@root='2.16.528.1.1007.3.1']
Item: (R_AssignedEntityNL-identified)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:assignedEntity/hl7:id[@root='2.16.528.1.1007.3.1']"
         id="tmp-47092cf8-61e5-4b18-86b6-0a9cea99c8a6">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(R_AssignedEntityNL-identified): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.UZI" bevatten</assert>
      <extends rule="II.NL.UZI"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@root='2.16.528.1.1007.3.1'">(R_AssignedEntityNL-identified): @root MOET de waarde '2.16.528.1.1007.3.1' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(R_AssignedEntityNL-identified): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:assignedEntity/hl7:id[@root='2.16.528.1.1007.3.3']
Item: (R_AssignedEntityNL-identified)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:assignedEntity/hl7:id[@root='2.16.528.1.1007.3.3']"
         id="tmp-a82e65eb-6da9-46bb-ba07-e10b051ec623">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(R_AssignedEntityNL-identified): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.URA" bevatten</assert>
      <extends rule="II.NL.URA"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@root='2.16.528.1.1007.3.3'">(R_AssignedEntityNL-identified): @root MOET de waarde '2.16.528.1.1007.3.3' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(R_AssignedEntityNL-identified): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:assignedEntity/hl7:representedOrganization
Item: (R_AssignedEntityNL-identified)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:assignedEntity/hl7:representedOrganization"
         id="tmp-7656817b-f482-4ae7-99f7-e8f2814ddc39">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(R_AssignedEntityNL-identified): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&lt;=1">(R_AssignedEntityNL-identified): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:assignedEntity/hl7:representedOrganization/hl7:id
Item: (R_AssignedEntityNL-identified)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='1197' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:assignedEntity/hl7:representedOrganization/hl7:id"
         id="tmp-793da702-67ce-4e4a-8280-00c71784914a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(R_AssignedEntityNL-identified): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.URA" bevatten</assert>
      <extends rule="II.NL.URA"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]
Item: (careProvisionEventSubjectOf)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]"
         id="tmp-df4fda17-2644-4ca5-b048-25d2da59fe07">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@classCode='STC' or not(@classCode)">(careProvisionEventSubjectOf): de waarde van @classCode MOET 'STC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@moodCode='EVN' or not(@moodCode)">(careProvisionEventSubjectOf): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(careProvisionEventSubjectOf): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:code)&lt;=1">(careProvisionEventSubjectOf): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(careProvisionEventSubjectOf): element hl7:effectiveTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:effectiveTime)&lt;=1">(careProvisionEventSubjectOf): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:reasonCode)&gt;=1 and not(hl7:reasonCode/@nullFlavor)">(careProvisionEventSubjectOf): element hl7:reasonCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:reasonCode)&lt;=1">(careProvisionEventSubjectOf): element hl7:reasonCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:author)&gt;=1 and not(hl7:author/@nullFlavor)">(careProvisionEventSubjectOf): element hl7:author is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:author)&lt;=1">(careProvisionEventSubjectOf): element hl7:author komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code
Item: (careProvisionEventSubjectOf)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:code"
         id="tmp-9560a421-3c3d-4546-bf15-570eefdc4d84">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(careProvisionEventSubjectOf): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or (@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(careProvisionEventSubjectOf): de waarde van @code/@codeSystem MOET ''487' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:effectiveTime
Item: (careProvisionEventSubjectOf)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:effectiveTime"
         id="tmp-1c8d1ecc-f122-4c6d-8e83-c2aed710980a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(careProvisionEventSubjectOf): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:reasonCode
Item: (careProvisionEventSubjectOf)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:reasonCode"
         id="tmp-4404575a-ab6b-4bd1-b9ec-7b8e5dec481c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(careProvisionEventSubjectOf): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0626_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0626_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(careProvisionEventSubjectOf): de waarde van @code MOET worden gekozen uit waardenlijst W0626_HL7 W0626 Zorgbeëindiging (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(careProvisionEventSubjectOf): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0626_HL7 W0626 Zorgbeëindiging (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author
Item: (careProvisionEventSubjectOf)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author"
         id="tmp-b9bbb3e4-ea87-4ba3-8382-782392d10c6d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@typeCode='AUT' or not(@typeCode)">(careProvisionEventSubjectOf): de waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:time)&gt;=1 ">(careProvisionEventSubjectOf): element hl7:time is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:time)&lt;=1">(careProvisionEventSubjectOf): element hl7:time komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(careProvisionEventSubjectOf): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:assignedEntity)&lt;=1">(careProvisionEventSubjectOf): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:time
Item: (careProvisionEventSubjectOf)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:time"
         id="tmp-9fee0cf5-53d8-4380-84e4-5c16af9e1a3e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(careProvisionEventSubjectOf): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:low)&lt;=1">(careProvisionEventSubjectOf): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:high)&lt;=1">(careProvisionEventSubjectOf): element hl7:high komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:center)=0">(careProvisionEventSubjectOf): element hl7:center MAG NIET voorkomen.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:width)=0">(careProvisionEventSubjectOf): element hl7:width MAG NIET voorkomen.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:time/hl7:low
Item: (careProvisionEventSubjectOf)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:time/hl7:low"
         id="tmp-f66e59b7-e1cd-4888-b0f1-8a37e59817d4">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(careProvisionEventSubjectOf): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:time/hl7:high
Item: (careProvisionEventSubjectOf)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:time/hl7:high"
         id="tmp-c3d6b70e-d2cb-439a-9e49-d0704b82bddc">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor='UNK' or not(@nullFlavor)">(careProvisionEventSubjectOf): de waarde van @nullFlavor MOET 'UNK' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:time/hl7:center
Item: (careProvisionEventSubjectOf)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:time/hl7:width
Item: (careProvisionEventSubjectOf)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author
Item: (R_AssignedEntityNL-identified)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author
Item: (R_AssignedEntityNL-identified)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:assignedEntity
Item: (R_AssignedEntityNL-identified)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:assignedEntity"
         id="tmp-5971a536-3bc8-4961-864f-eede0a336251">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']/@nullFlavor)">(R_AssignedEntityNL-identified): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122'])&lt;=1">(R_AssignedEntityNL-identified): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122'] komt te vaak voor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:id[@root='2.16.528.1.1007.3.1']|hl7:id[@root='2.16.528.1.1007.3.3'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="$elmcount&gt;=1">(R_AssignedEntityNL-identified): keuze (hl7:id[@root='2.16.528.1.1007.3.1'] of hl7:id[@root='2.16.528.1.1007.3.3']) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="$elmcount&lt;=1">(R_AssignedEntityNL-identified): keuze (hl7:id[@root='2.16.528.1.1007.3.1'] of hl7:id[@root='2.16.528.1.1007.3.3']) bevat te veel elementen [max 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:representedOrganization)&lt;=1">(R_AssignedEntityNL-identified): element hl7:representedOrganization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:assignedEntity/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']
Item: (R_AssignedEntityNL-identified)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:assignedEntity/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.122']"
         id="tmp-61799cf7-b12e-4301-b2e0-bd13aba516cd">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(R_AssignedEntityNL-identified): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@root='2.16.840.1.113883.2.4.6.10.100.122'">(R_AssignedEntityNL-identified): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.122' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(R_AssignedEntityNL-identified): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:assignedEntity
Item: (R_AssignedEntityNL-identified)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:assignedEntity/hl7:id[@root='2.16.528.1.1007.3.1']
Item: (R_AssignedEntityNL-identified)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:assignedEntity/hl7:id[@root='2.16.528.1.1007.3.1']"
         id="tmp-ba62f939-ad9d-44eb-956e-4476d48e675e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(R_AssignedEntityNL-identified): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.UZI" bevatten</assert>
      <extends rule="II.NL.UZI"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@root='2.16.528.1.1007.3.1'">(R_AssignedEntityNL-identified): @root MOET de waarde '2.16.528.1.1007.3.1' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(R_AssignedEntityNL-identified): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:assignedEntity/hl7:id[@root='2.16.528.1.1007.3.3']
Item: (R_AssignedEntityNL-identified)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:assignedEntity/hl7:id[@root='2.16.528.1.1007.3.3']"
         id="tmp-40653fab-2d77-43cc-a7a5-cece4f604924">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(R_AssignedEntityNL-identified): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.URA" bevatten</assert>
      <extends rule="II.NL.URA"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@root='2.16.528.1.1007.3.3'">(R_AssignedEntityNL-identified): @root MOET de waarde '2.16.528.1.1007.3.3' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(R_AssignedEntityNL-identified): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:assignedEntity/hl7:representedOrganization
Item: (R_AssignedEntityNL-identified)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:assignedEntity/hl7:representedOrganization"
         id="tmp-ae11573d-cf01-4e43-8fe1-ba377dcff879">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(R_AssignedEntityNL-identified): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="count(hl7:id)&lt;=1">(R_AssignedEntityNL-identified): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11
Context: hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:assignedEntity/hl7:representedOrganization/hl7:id
Item: (R_AssignedEntityNL-identified)
-->
<rule context="hl7:REPC_IN002120NL_JGZ/hl7:ControlActProcess/hl7:subject[hl7:CareProvisionRequest[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:CareProvisionRequest/hl7:sequelTo[hl7:careProvisionEvent[hl7:code[@code='CPHC' and @codeSystem='2.16.840.1.113883.5.4']]]/hl7:careProvisionEvent/hl7:subjectOf/hl7:careStatus[hl7:code[@code='487' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]/hl7:author/hl7:assignedEntity/hl7:representedOrganization/hl7:id"
         id="tmp-a8fb234c-b3f6-4585-a2bf-12b0180bac61">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(R_AssignedEntityNL-identified): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.URA" bevatten</assert>
      <extends rule="II.NL.URA"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
