<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.11027
Description: Vastleggen van de gegevens van lengte, gewicht en hoofdomtrek.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.11027">
   <title>Rubriek 27 Groei</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]
Item: (rubricCluster27)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster
Item: (rubricCluster27)
-->

<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster"
         id="tmp-1b552147-e7ea-4b4f-8873-2236e32cc82e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@classCode='CLUSTER' or not(@classCode)">(rubricCluster27): de waarde van @classCode MOET 'CLUSTER' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@moodCode='EVN' or not(@moodCode)">(rubricCluster27): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']|hl7:code|hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]|hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]|hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]|hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]|hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]))=0">(rubricCluster27): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']/@nullFlavor)">(rubricCluster27): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027'])&lt;=1">(rubricCluster27): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(rubricCluster27): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&lt;=1">(rubricCluster27): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricCluster27): element hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricCluster27): element hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricCluster27): element hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricCluster27): element hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricCluster27): element hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']
Item: (rubricCluster27)
-->

<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.11027']"
         id="tmp-d267928e-229c-42da-8478-02e9040f2185">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(rubricCluster27): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@root='2.16.840.1.113883.2.4.6.10.100.11027'">(rubricCluster27): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.11027' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(rubricCluster27): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:code
Item: (rubricCluster27)
-->

<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:code"
         id="tmp-36e29fb4-2821-427b-8657-d64c6577b565">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(rubricCluster27): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or (@code='R027' and @codeSystem='2.16.840.1.113883.2.4.4.40.391')">(rubricCluster27): de waarde van @code/@codeSystem MOET ''R027' codeSystem '2.16.840.1.113883.2.4.4.40.391'' zijn.</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricCluster27)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster
Item: (obs_Bijzonderheden_groei)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (obs_Bijzonderheden_groei)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-aabef9f1-681b-48c7-a91b-5bd530c370bf">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:observation))=0">(obs_Bijzonderheden_groei): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(obs_Bijzonderheden_groei): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:observation)&lt;=1">(obs_Bijzonderheden_groei): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (obs_Bijzonderheden_groei)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation"
         id="tmp-1716ca32-4e1c-4291-b3e0-03a67707cafc">
      <extends rule="tmp-89e10e49-c4de-4343-a0a5-a5de5c9133f7"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40234']|hl7:code|hl7:value|hl7:code|hl7:text|hl7:statusCode|hl7:effectiveTime|hl7:value|hl7:methodCode|hl7:targetSiteCode|hl7:subject|hl7:performer|hl7:informant|hl7:location|hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]|hl7:subjectOf2))=0">(obs_Bijzonderheden_groei): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40234'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40234']/@nullFlavor)">(obs_Bijzonderheden_groei): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40234'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40234'])&lt;=1">(obs_Bijzonderheden_groei): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40234'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(obs_Bijzonderheden_groei): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&lt;=1">(obs_Bijzonderheden_groei): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:value)&gt;=1 ">(obs_Bijzonderheden_groei): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:value)&lt;=1">(obs_Bijzonderheden_groei): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40234']
Item: (obs_Bijzonderheden_groei)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40234']"
         id="tmp-107b6280-c52f-4604-b269-78c0c4abaa7d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(obs_Bijzonderheden_groei): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@root='2.16.840.1.113883.2.4.6.10.100.40234'">(obs_Bijzonderheden_groei): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40234' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(obs_Bijzonderheden_groei): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (obs_Bijzonderheden_groei)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code"
         id="tmp-f8f349ce-67cb-4693-bf6a-9bcae6989e4e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(obs_Bijzonderheden_groei): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or (@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Bijzonderheden_groei): de waarde van @code/@codeSystem MOET ''234' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (obs_Bijzonderheden_groei)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value"
         id="tmp-a920f3ea-2cd3-44e1-a54a-aa7cca4cd5b2">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(obs_Bijzonderheden_groei): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-6b0385cc-ebde-437d-88cb-574c848b6fa5">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40234']|hl7:code|hl7:value|hl7:code|hl7:text|hl7:statusCode|hl7:effectiveTime|hl7:value|hl7:methodCode|hl7:targetSiteCode|hl7:subject|hl7:performer|hl7:informant|hl7:location|hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]|hl7:subjectOf2))=0">(rubricClusterObservation): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (rubricClusterObservation)
-->
<rule id="tmp-89e10e49-c4de-4343-a0a5-a5de5c9133f7" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@classCode='OBS' or not(@classCode)">(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@moodCode='EVN' or not(@moodCode)">(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:code|hl7:text|hl7:statusCode|hl7:effectiveTime|hl7:value|hl7:methodCode|hl7:targetSiteCode|hl7:subject|hl7:performer|hl7:informant|hl7:location|hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]|hl7:subjectOf2))=0">(rubricClusterObservation): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode"
         id="tmp-f7db0aaa-f230-4865-aa65-87c5ea221982">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:effectiveTime
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode"
         id="tmp-a6383936-089e-420a-8255-3226c0adc19c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode"
         id="tmp-069b64e7-21ee-4a00-ada3-db0e0b123438">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject"
         id="tmp-36c8c3a4-c04d-4f4f-aa79-0229349068bd">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@typeCode='SBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer"
         id="tmp-ca4d7bf9-b4fd-478f-a0ad-c0508630aeca">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:performer))=0">(activitiesPerformer): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer"
         id="tmp-ddd2505b-28e1-4baa-90b3-a81dec1c7774">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:assignedEntity))=0">(activitiesPerformer): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity"
         id="tmp-57bdce44-2cd9-41f4-aece-c88e0d9278fd">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:id))=0">(activitiesPerformer): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(activitiesPerformer): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:id)&lt;=1">(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-c2d3f0b1-70a4-48c0-8582-f912574f3c59">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(activitiesPerformer): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.UZI" bevatten</assert>
      <extends rule="II.NL.UZI"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant"
         id="tmp-f881acd7-cc7b-49ce-89e3-d993c41ef509">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@typeCode='INF' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location"
         id="tmp-ab2f5288-db4c-457b-9a52-743c28476490">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@typeCode='LOC' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-18588100-a865-4748-b627-596e4121bbf9">
      <extends rule="tmp-c2e0b68a-d0bc-41bd-8e20-fe8f0a7d184c"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activitiesSubjectOfConclusion)
-->
<rule id="tmp-c2e0b68a-d0bc-41bd-8e20-fe8f0a7d184c" abstract="true">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:conclusion))=0">(activitiesSubjectOfConclusion): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:conclusion)&lt;=1">(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion"
         id="tmp-1fb26beb-9937-4382-b0f6-7b19ffb11d58">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:code|hl7:text|hl7:component|hl7:subjectOf))=0">(activitiesSubjectOfConclusion): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code"
         id="tmp-cf06c68c-5ead-4fee-ad3e-033d2d5a9bf6">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text"
         id="tmp-286f9058-fd9c-4701-8c20-0ecf41289bb8">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component"
         id="tmp-c3a5c634-5b3a-4f28-98a3-20f25efaab4d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@typeCode='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:indication))=0">(activitiesSubjectOfConclusion): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:indication)&lt;=1">(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication"
         id="tmp-d5ae0c11-5ffd-429d-b165-08d12b48b06d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:code|hl7:value|hl7:reasonOf))=0">(activitiesSubjectOfConclusion): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:reasonOf)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code"
         id="tmp-c195cc7c-55ca-498c-9a4f-9b68feb01807">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value"
         id="tmp-c8736de7-3361-4674-9c75-904389729531">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf"
         id="tmp-351cdec4-a271-4b14-b1a4-70ccb304af3d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@typeCode='RSON' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor]))=0">(activitiesSubjectOfConclusion): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <let name="elmcount"
           value="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="$elmcount&gt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="$elmcount&lt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-66170964-f9be-4c53-bb83-1f0f5c207544">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:code))=0">(activitiesSubjectOfConclusion): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-9793bf15-c970-437d-8144-1446903411f2">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-b5514848-e46c-48ad-9c1f-afe67a65ad1d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@classCode='REG' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:code))=0">(activitiesSubjectOfConclusion): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-1cd47721-779e-466e-8466-135367f706a3">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-3abc7ebf-31b7-4634-9744-ad994a56f2db">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:code))=0">(activitiesSubjectOfConclusion): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-19cc50db-e0be-4e1f-98dc-4951966864d4">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-e1e7c185-5d2d-4c4e-942a-a1923016fe2c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@classCode='PCPR' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@moodCode='RQO' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:code|hl7:performer))=0">(activitiesSubjectOfConclusion): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:performer)&lt;=1">(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-b87ce066-af3d-4a58-9de5-ce83f90da7bf">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer"
         id="tmp-9757ff1c-254d-45be-8509-9f37137da2cb">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:assignedEntity))=0">(activitiesSubjectOfConclusion): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity"
         id="tmp-c7a98a37-e268-4a70-b02c-606c470b1210">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@classCode='ASSIGNED' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:code))=0">(activitiesSubjectOfConclusion): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-e524c15b-0e2b-4484-b1de-283766721da5">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]"
         id="tmp-b23c377a-f266-464c-a07b-2288df4b204e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:code))=0">(activitiesSubjectOfConclusion): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code"
         id="tmp-525d37f2-3ad7-45bc-b1e6-fffce89609dd">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor='OTH'">(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:originalText))=0">(activitiesSubjectOfConclusion): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:originalText)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:originalText)&lt;=1">(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText"
         id="tmp-3c3a4002-1503-42eb-be3c-dc92126f8316">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf"
         id="tmp-7567321c-b696-40f3-885c-c75ccafdcb8f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:annotation))=0">(activitiesSubjectOfConclusion): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:annotation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation"
         id="tmp-e7f36918-3290-472b-8994-a65c6dffe531">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:code|hl7:text))=0">(activitiesSubjectOfConclusion): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:text)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code"
         id="tmp-4e8f2ca6-41f1-4695-8993-48367ec5cc56">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text"
         id="tmp-514ce40e-6f8f-4bc1-b539-3f5128af7f93">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2"
         id="tmp-32d51a76-56f6-4e45-8909-a63f98fc946a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:annotation))=0">(rubricClusterObservation): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:annotation)&lt;=1">(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation"
         id="tmp-7180c65e-fdb2-4061-97fe-93de967e8b52">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:code|hl7:text))=0">(rubricClusterObservation): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&gt;=1 ">(rubricClusterObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&lt;=1">(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(rubricClusterObservation): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:text)&lt;=1">(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code"
         id="tmp-9f1cdcd9-951b-47b0-8d6e-dc6f6bc9a0c1">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='234' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text"
         id="tmp-ccd3c546-ee0a-4ea1-aa76-d87a43c31bc1">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricCluster27)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster
Item: (obs_Lengte)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (obs_Lengte)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-225c32b6-f20e-4796-a0ca-7b5ec2544664">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:observation))=0">(obs_Lengte): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(obs_Lengte): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:observation)&lt;=1">(obs_Lengte): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (obs_Lengte)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation"
         id="tmp-cf3ce2bf-3cfc-407a-adce-7283019f48b3">
      <extends rule="tmp-73b38983-44da-4391-aa79-e7ae8d925618"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40235']|hl7:code|hl7:value|hl7:methodCode|hl7:code|hl7:text|hl7:statusCode|hl7:effectiveTime|hl7:value|hl7:methodCode|hl7:targetSiteCode|hl7:subject|hl7:performer|hl7:informant|hl7:location|hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]|hl7:subjectOf2))=0">(obs_Lengte): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40235'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40235']/@nullFlavor)">(obs_Lengte): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40235'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40235'])&lt;=1">(obs_Lengte): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40235'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(obs_Lengte): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&lt;=1">(obs_Lengte): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:value)&gt;=1 ">(obs_Lengte): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:value)&lt;=1">(obs_Lengte): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:methodCode)&gt;=1 ">(obs_Lengte): element hl7:methodCode is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:methodCode)&lt;=1">(obs_Lengte): element hl7:methodCode komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40235']
Item: (obs_Lengte)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40235']"
         id="tmp-bafd2925-cbb7-4636-839d-ddc89dc075c1">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(obs_Lengte): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@root='2.16.840.1.113883.2.4.6.10.100.40235'">(obs_Lengte): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40235' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(obs_Lengte): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (obs_Lengte)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code"
         id="tmp-f6dac596-a8a9-4887-aaea-ad729d865853">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(obs_Lengte): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or (@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Lengte): de waarde van @code/@codeSystem MOET ''235' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (obs_Lengte)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value"
         id="tmp-b721b8fc-dc60-4216-997f-3bc0a601f486">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='PQ' or not(@xsi:type)">(obs_Lengte): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PQ" bevatten</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="(@nullFlavor or (@unit='mm'))">(obs_Lengte): value MOET eenheid 'mm' gebruiken </assert>
      <let name="digitok"
           value="matches($theValue, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="$digitok">(obs_Lengte): @value is geen geldig PQ getal <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-ucum.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(obs_Lengte): value/@unit (PQ) MOET een geldige UCUM-eenheid zijn (<value-of select="$UCUMtest"/>).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode
Item: (obs_Lengte)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode"
         id="tmp-724b5a3a-9138-49d1-a57c-2dfcfc47387f">
      <extends rule="tmp-b8b020ed-e380-4aed-9faf-3fa3c4e675e7"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(obs_Lengte): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0253_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0253_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(obs_Lengte): de waarde van @code MOET worden gekozen uit waardenlijst W0253_HL7 W0253 Methode lengtemeting (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(obs_Lengte): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0253_HL7 W0253 Methode lengtemeting (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-8ebe7f3e-d67a-4af5-b0ef-69571f8a51d6">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40235']|hl7:code|hl7:value|hl7:methodCode|hl7:code|hl7:text|hl7:statusCode|hl7:effectiveTime|hl7:value|hl7:methodCode|hl7:targetSiteCode|hl7:subject|hl7:performer|hl7:informant|hl7:location|hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]|hl7:subjectOf2))=0">(rubricClusterObservation): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (rubricClusterObservation)
-->
<rule id="tmp-73b38983-44da-4391-aa79-e7ae8d925618" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@classCode='OBS' or not(@classCode)">(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@moodCode='EVN' or not(@moodCode)">(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:code|hl7:text|hl7:statusCode|hl7:effectiveTime|hl7:value|hl7:methodCode|hl7:targetSiteCode|hl7:subject|hl7:performer|hl7:informant|hl7:location|hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]|hl7:subjectOf2))=0">(rubricClusterObservation): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode"
         id="tmp-5c8a6254-4c6a-49f5-b7c2-a6d637f50415">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:effectiveTime
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode
Item: (rubricClusterObservation)
-->
<rule id="tmp-b8b020ed-e380-4aed-9faf-3fa3c4e675e7" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode"
         id="tmp-a5a4cf5e-933c-4712-8eaa-e58acee3d573">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject"
         id="tmp-b9d6fffe-cfcc-4f1d-b857-0d8c11e433bf">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@typeCode='SBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer"
         id="tmp-a069e4cd-00f5-436b-bb43-2c91890ece1b">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:performer))=0">(activitiesPerformer): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer"
         id="tmp-084448a3-35bf-4f25-850c-3bfd6073655a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:assignedEntity))=0">(activitiesPerformer): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity"
         id="tmp-3af8639c-c808-4a21-ab6f-04d87bf230eb">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:id))=0">(activitiesPerformer): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(activitiesPerformer): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:id)&lt;=1">(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-b46b9755-8ac1-4ee1-9988-9c037a730674">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(activitiesPerformer): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.UZI" bevatten</assert>
      <extends rule="II.NL.UZI"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant"
         id="tmp-107c8d20-d37a-46df-b944-81a73ef6952d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@typeCode='INF' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location"
         id="tmp-9ccd5dc0-50c2-44c3-9b43-7ea3cfc6b854">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@typeCode='LOC' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-0c7aefdd-49f0-413a-9c24-1d11c2357e1d">
      <extends rule="tmp-728cec73-0f95-416a-a9d9-d4c1ab84f354"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activitiesSubjectOfConclusion)
-->
<rule id="tmp-728cec73-0f95-416a-a9d9-d4c1ab84f354" abstract="true">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:conclusion))=0">(activitiesSubjectOfConclusion): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:conclusion)&lt;=1">(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion"
         id="tmp-2ea46fb6-dd94-4787-bf65-578f749e2572">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:code|hl7:text|hl7:component|hl7:subjectOf))=0">(activitiesSubjectOfConclusion): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code"
         id="tmp-e6110c4a-86a2-49ba-b07f-49885201bb07">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text"
         id="tmp-4690f0e1-7707-4332-bc10-c9ac8a16f0be">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component"
         id="tmp-0ccbd79c-a6d8-446d-8bd2-544969f99b97">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@typeCode='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:indication))=0">(activitiesSubjectOfConclusion): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:indication)&lt;=1">(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication"
         id="tmp-7f21f2da-229a-4532-ad7d-08683c4bf95c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:code|hl7:value|hl7:reasonOf))=0">(activitiesSubjectOfConclusion): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:reasonOf)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code"
         id="tmp-b849209e-1298-445b-ad19-44ebaf3b665e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value"
         id="tmp-d5c972fb-b278-4535-888d-d1a61f72bb5a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf"
         id="tmp-12fec93a-1440-418f-ad5b-404ef1128eae">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@typeCode='RSON' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor]))=0">(activitiesSubjectOfConclusion): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <let name="elmcount"
           value="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="$elmcount&gt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="$elmcount&lt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-06cfe280-7b41-4e2d-a046-edfba98ba756">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:code))=0">(activitiesSubjectOfConclusion): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-25cd6645-697c-483e-806d-530f04e2e3ea">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-01a7ef8b-726f-4946-82ea-8fd01d1d0ae8">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@classCode='REG' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:code))=0">(activitiesSubjectOfConclusion): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-e6bf650c-f730-466d-bd2e-e1a4010bc072">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-21362ebd-4d3c-417d-93f8-6bc6a31eebba">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:code))=0">(activitiesSubjectOfConclusion): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-ff9d5887-c663-4a57-b171-dd933337000d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-7ff19e2a-30a5-4e27-abf0-bcc53d9836de">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@classCode='PCPR' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@moodCode='RQO' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:code|hl7:performer))=0">(activitiesSubjectOfConclusion): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:performer)&lt;=1">(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-65be740c-b29a-4cf1-ba13-6a2d47bad573">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer"
         id="tmp-5209937b-6f50-4cd2-9ac7-96613174c4ae">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:assignedEntity))=0">(activitiesSubjectOfConclusion): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity"
         id="tmp-dba8998f-4efc-4d2e-9879-9ad5d9a3e031">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@classCode='ASSIGNED' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:code))=0">(activitiesSubjectOfConclusion): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-36cc4f68-05a7-454f-b869-fa8dbaebdd44">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]"
         id="tmp-eec9b9c5-0cfb-4e11-b283-3c14a925e65e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:code))=0">(activitiesSubjectOfConclusion): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code"
         id="tmp-89626bdd-16c5-4616-bc02-4e7b1bacc2c6">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor='OTH'">(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:originalText))=0">(activitiesSubjectOfConclusion): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:originalText)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:originalText)&lt;=1">(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText"
         id="tmp-470be911-4e61-4171-bd1a-2652f7f43c30">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf"
         id="tmp-ec546359-b082-4c00-b430-b08dca454788">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:annotation))=0">(activitiesSubjectOfConclusion): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:annotation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation"
         id="tmp-c79dfcba-69cf-40b8-9a50-cc6b044da7af">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:code|hl7:text))=0">(activitiesSubjectOfConclusion): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:text)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code"
         id="tmp-1c281fb2-85f8-496a-a0ab-68777c83d0d7">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text"
         id="tmp-2f6f3eff-4415-4535-8d4b-ed14349c3e58">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2"
         id="tmp-f7aebda1-7b94-4ab7-8a13-6a22ff12ee55">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:annotation))=0">(rubricClusterObservation): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:annotation)&lt;=1">(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation"
         id="tmp-e779bb26-ac1e-41ef-a0e9-1c50d4e8d809">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:code|hl7:text))=0">(rubricClusterObservation): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&gt;=1 ">(rubricClusterObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&lt;=1">(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(rubricClusterObservation): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:text)&lt;=1">(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code"
         id="tmp-b1e44460-7374-4a6b-a81d-3c990551197b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='235' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text"
         id="tmp-8b90fd3c-246b-4f46-aa7e-a96abacec6ad">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricCluster27)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster
Item: (obs_Gewicht)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (obs_Gewicht)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-d973e1aa-a0b7-4215-8759-8e6d845e5ad7">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:observation))=0">(obs_Gewicht): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(obs_Gewicht): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:observation)&lt;=1">(obs_Gewicht): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (obs_Gewicht)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation"
         id="tmp-8c4983a5-4a9a-4e8b-bd27-1c8c3fd189d0">
      <extends rule="tmp-df52934c-73dd-4bc7-87b2-2308eb2c497c"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40245']|hl7:code|hl7:value|hl7:methodCode|hl7:code|hl7:text|hl7:statusCode|hl7:effectiveTime|hl7:value|hl7:methodCode|hl7:targetSiteCode|hl7:subject|hl7:performer|hl7:informant|hl7:location|hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]|hl7:subjectOf2))=0">(obs_Gewicht): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40245'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40245']/@nullFlavor)">(obs_Gewicht): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40245'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40245'])&lt;=1">(obs_Gewicht): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40245'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(obs_Gewicht): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&lt;=1">(obs_Gewicht): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:value)&gt;=1 ">(obs_Gewicht): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:value)&lt;=1">(obs_Gewicht): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:methodCode)&gt;=1 ">(obs_Gewicht): element hl7:methodCode is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:methodCode)&lt;=1">(obs_Gewicht): element hl7:methodCode komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40245']
Item: (obs_Gewicht)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40245']"
         id="tmp-820f7325-835e-4922-a2a5-9a21affa59a6">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(obs_Gewicht): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@root='2.16.840.1.113883.2.4.6.10.100.40245'">(obs_Gewicht): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40245' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(obs_Gewicht): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (obs_Gewicht)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code"
         id="tmp-ac3b32cc-5ba6-4b10-8656-60048b4ccd91">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(obs_Gewicht): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or (@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Gewicht): de waarde van @code/@codeSystem MOET ''245' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (obs_Gewicht)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value"
         id="tmp-76435cca-d9c2-4d95-9503-dd74770cc533">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='PQ' or not(@xsi:type)">(obs_Gewicht): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PQ" bevatten</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="(@nullFlavor or (@unit='g'))">(obs_Gewicht): value MOET eenheid 'g' gebruiken </assert>
      <let name="digitok"
           value="matches($theValue, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="$digitok">(obs_Gewicht): @value is geen geldig PQ getal <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-ucum.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(obs_Gewicht): value/@unit (PQ) MOET een geldige UCUM-eenheid zijn (<value-of select="$UCUMtest"/>).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode
Item: (obs_Gewicht)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode"
         id="tmp-20b9b036-f1c1-44f9-8129-de47927a3626">
      <extends rule="tmp-02a4bd5e-67b2-4f6c-9d27-49d4efa16f2f"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(obs_Gewicht): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0261_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0261_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(obs_Gewicht): de waarde van @code MOET worden gekozen uit waardenlijst W0261_HL7 W0261 Methode gewichtsmeting (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(obs_Gewicht): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0261_HL7 W0261 Methode gewichtsmeting (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-6e68df8b-8874-459c-aa65-a0629150d55c">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40245']|hl7:code|hl7:value|hl7:methodCode|hl7:code|hl7:text|hl7:statusCode|hl7:effectiveTime|hl7:value|hl7:methodCode|hl7:targetSiteCode|hl7:subject|hl7:performer|hl7:informant|hl7:location|hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]|hl7:subjectOf2))=0">(rubricClusterObservation): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (rubricClusterObservation)
-->
<rule id="tmp-df52934c-73dd-4bc7-87b2-2308eb2c497c" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@classCode='OBS' or not(@classCode)">(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@moodCode='EVN' or not(@moodCode)">(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:code|hl7:text|hl7:statusCode|hl7:effectiveTime|hl7:value|hl7:methodCode|hl7:targetSiteCode|hl7:subject|hl7:performer|hl7:informant|hl7:location|hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]|hl7:subjectOf2))=0">(rubricClusterObservation): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode"
         id="tmp-acf277e1-8093-4f75-a299-10dfc1f16d2e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:effectiveTime
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode
Item: (rubricClusterObservation)
-->
<rule id="tmp-02a4bd5e-67b2-4f6c-9d27-49d4efa16f2f" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode"
         id="tmp-bda5a25b-3bbf-4fe7-bf99-3a13f57e41b5">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject"
         id="tmp-4d284399-e366-4ab5-bcd3-95d9196470cb">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@typeCode='SBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer"
         id="tmp-0d248b38-dae1-4604-8952-aac649c66c37">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:performer))=0">(activitiesPerformer): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer"
         id="tmp-9257c0ed-bcde-4cc7-9fc5-9c1848956d29">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:assignedEntity))=0">(activitiesPerformer): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity"
         id="tmp-71f28c89-a809-4a70-8170-d60ff973c2e8">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:id))=0">(activitiesPerformer): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(activitiesPerformer): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:id)&lt;=1">(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-de684245-bbb9-48fe-99a4-6c9bebbbfc6b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(activitiesPerformer): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.UZI" bevatten</assert>
      <extends rule="II.NL.UZI"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant"
         id="tmp-88ee815d-fa3d-44d4-8c1b-fef4b6c3efcf">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@typeCode='INF' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location"
         id="tmp-579e3c84-dce2-476e-bbd9-ae1c40f0c4e3">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@typeCode='LOC' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-48ded3f2-d182-4043-96a2-2db20b74b929">
      <extends rule="tmp-089681a3-1be7-4bf2-b3c7-992da048c79d"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activitiesSubjectOfConclusion)
-->
<rule id="tmp-089681a3-1be7-4bf2-b3c7-992da048c79d" abstract="true">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:conclusion))=0">(activitiesSubjectOfConclusion): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:conclusion)&lt;=1">(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion"
         id="tmp-1201c58e-e584-40cf-badc-7079ecf3e947">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:code|hl7:text|hl7:component|hl7:subjectOf))=0">(activitiesSubjectOfConclusion): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code"
         id="tmp-1d3033cf-3611-49b0-87ec-6501e2456ea4">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text"
         id="tmp-275519d8-403a-483e-a81d-b316378d1293">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component"
         id="tmp-74ce769a-8bd2-42fa-aab4-dcb394511e6e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@typeCode='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:indication))=0">(activitiesSubjectOfConclusion): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:indication)&lt;=1">(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication"
         id="tmp-8450b507-b508-4776-adcc-4c4ba05de59c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:code|hl7:value|hl7:reasonOf))=0">(activitiesSubjectOfConclusion): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:reasonOf)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code"
         id="tmp-393fd5ec-aeed-4a44-9d0f-f8f9889947d5">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value"
         id="tmp-5304a374-c6b2-497d-8d5e-109ea7ade1a5">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf"
         id="tmp-a5055033-9cd6-4b26-8b00-9991b32eabfe">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@typeCode='RSON' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor]))=0">(activitiesSubjectOfConclusion): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <let name="elmcount"
           value="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="$elmcount&gt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="$elmcount&lt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-17f84898-b063-4c0e-9f79-e60d2de29700">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:code))=0">(activitiesSubjectOfConclusion): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-1da40cbc-b1dc-4649-aa27-8b264bcbdb2e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-e6e737ca-299e-4eec-9d2c-ffc1b16d9192">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@classCode='REG' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:code))=0">(activitiesSubjectOfConclusion): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-012b3522-9f6a-44d9-8d96-84750e99679d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-07a8444d-0580-46e1-9cd9-eae7fc1ba61b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:code))=0">(activitiesSubjectOfConclusion): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-decdacd4-4b05-41d6-b2c6-91a52bd6fe78">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-1423e31e-000b-4327-afa6-61b0c0e73504">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@classCode='PCPR' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@moodCode='RQO' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:code|hl7:performer))=0">(activitiesSubjectOfConclusion): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:performer)&lt;=1">(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-d6415172-e8af-4e7e-96a1-4e6b547a21c8">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer"
         id="tmp-1db116e4-5c7a-4762-b8f3-8e0582654aed">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:assignedEntity))=0">(activitiesSubjectOfConclusion): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity"
         id="tmp-d6396716-3fd0-4091-b144-5ef065fd1381">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@classCode='ASSIGNED' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:code))=0">(activitiesSubjectOfConclusion): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-43a25e54-bea5-4cf0-a6a8-a16dd92f9288">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]"
         id="tmp-eb0a8c25-1e79-4139-985f-59063c5a665b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:code))=0">(activitiesSubjectOfConclusion): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code"
         id="tmp-31092b00-334a-4070-a732-3de3eca528b6">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor='OTH'">(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:originalText))=0">(activitiesSubjectOfConclusion): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:originalText)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:originalText)&lt;=1">(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText"
         id="tmp-7196906e-0714-4647-be47-da7d9a611848">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf"
         id="tmp-e75b7d45-f92d-4401-8720-45db029b215a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:annotation))=0">(activitiesSubjectOfConclusion): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:annotation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation"
         id="tmp-e8e02255-e667-4a10-ba34-b6dead17cb18">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:code|hl7:text))=0">(activitiesSubjectOfConclusion): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:text)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code"
         id="tmp-eb550c6c-12ed-44d2-a34a-fb8a054e8d10">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text"
         id="tmp-396edc65-ca94-4c72-b72f-304d19b651b4">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2"
         id="tmp-3e51ed71-383a-43ba-9302-be3671f320b1">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:annotation))=0">(rubricClusterObservation): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:annotation)&lt;=1">(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation"
         id="tmp-e4d7b006-01cb-4bbc-a41e-f21618bc93b8">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:code|hl7:text))=0">(rubricClusterObservation): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&gt;=1 ">(rubricClusterObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&lt;=1">(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(rubricClusterObservation): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:text)&lt;=1">(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code"
         id="tmp-3eec2f55-6eb3-42fe-bb3e-3203a0a62f74">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='245' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text"
         id="tmp-5afc7255-18d3-4daf-8c2f-af10cf2f0edf">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricCluster27)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster
Item: (obs_Indruk_JGZ_professional_gewichtlengte)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (obs_Indruk_JGZ_professional_gewichtlengte)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-96beada0-82f6-4037-948e-8e782d2a0aba">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:observation))=0">(obs_Indruk_JGZ_professional_gewichtlengte): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(obs_Indruk_JGZ_professional_gewichtlengte): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:observation)&lt;=1">(obs_Indruk_JGZ_professional_gewichtlengte): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (obs_Indruk_JGZ_professional_gewichtlengte)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation"
         id="tmp-eead7028-6f3d-4881-a823-21d21d842675">
      <extends rule="tmp-5caabe11-8b79-4424-9b53-56ea62bcceea"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40247']|hl7:code|hl7:value|hl7:code|hl7:text|hl7:statusCode|hl7:effectiveTime|hl7:value|hl7:methodCode|hl7:targetSiteCode|hl7:subject|hl7:performer|hl7:informant|hl7:location|hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]|hl7:subjectOf2))=0">(obs_Indruk_JGZ_professional_gewichtlengte): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40247'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40247']/@nullFlavor)">(obs_Indruk_JGZ_professional_gewichtlengte): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40247'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40247'])&lt;=1">(obs_Indruk_JGZ_professional_gewichtlengte): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40247'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(obs_Indruk_JGZ_professional_gewichtlengte): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&lt;=1">(obs_Indruk_JGZ_professional_gewichtlengte): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:value)&gt;=1 ">(obs_Indruk_JGZ_professional_gewichtlengte): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:value)&lt;=1">(obs_Indruk_JGZ_professional_gewichtlengte): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40247']
Item: (obs_Indruk_JGZ_professional_gewichtlengte)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40247']"
         id="tmp-a4dc75ed-4cfa-4a61-993c-019f031ce332">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(obs_Indruk_JGZ_professional_gewichtlengte): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@root='2.16.840.1.113883.2.4.6.10.100.40247'">(obs_Indruk_JGZ_professional_gewichtlengte): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40247' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(obs_Indruk_JGZ_professional_gewichtlengte): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (obs_Indruk_JGZ_professional_gewichtlengte)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code"
         id="tmp-875481f5-42bd-42f3-a1f2-5daac57433a2">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(obs_Indruk_JGZ_professional_gewichtlengte): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or (@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Indruk_JGZ_professional_gewichtlengte): de waarde van @code/@codeSystem MOET ''247' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (obs_Indruk_JGZ_professional_gewichtlengte)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value"
         id="tmp-6506077e-e661-4f39-acf2-3792310cedc4">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(obs_Indruk_JGZ_professional_gewichtlengte): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0264_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0264_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(obs_Indruk_JGZ_professional_gewichtlengte): de waarde van @code MOET worden gekozen uit waardenlijst W0264_HL7 W0264 Indruk gewicht/lengte (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(obs_Indruk_JGZ_professional_gewichtlengte): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0264_HL7 W0264 Indruk gewicht/lengte (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-2611f0b9-cae4-4746-b993-270409749581">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40247']|hl7:code|hl7:value|hl7:code|hl7:text|hl7:statusCode|hl7:effectiveTime|hl7:value|hl7:methodCode|hl7:targetSiteCode|hl7:subject|hl7:performer|hl7:informant|hl7:location|hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]|hl7:subjectOf2))=0">(rubricClusterObservation): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (rubricClusterObservation)
-->
<rule id="tmp-5caabe11-8b79-4424-9b53-56ea62bcceea" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@classCode='OBS' or not(@classCode)">(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@moodCode='EVN' or not(@moodCode)">(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:code|hl7:text|hl7:statusCode|hl7:effectiveTime|hl7:value|hl7:methodCode|hl7:targetSiteCode|hl7:subject|hl7:performer|hl7:informant|hl7:location|hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]|hl7:subjectOf2))=0">(rubricClusterObservation): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode"
         id="tmp-4dd504e7-c744-4918-9c91-92947403a64f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:effectiveTime
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode"
         id="tmp-3d828777-58b0-4c45-bb40-b137b69b28ac">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode"
         id="tmp-1f39ea54-f73c-4335-8201-1bf46e739ae2">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject"
         id="tmp-f198ac00-48ae-4273-af9b-133bcdfc373e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@typeCode='SBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer"
         id="tmp-ebd9ac07-21ca-48c3-bee7-885db0ae4216">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:performer))=0">(activitiesPerformer): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer"
         id="tmp-78acf136-9c3d-43f6-90df-5c1917c3d51f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:assignedEntity))=0">(activitiesPerformer): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity"
         id="tmp-bc9f75f2-c5b8-41a3-89e9-a9ba7ff90e1f">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:id))=0">(activitiesPerformer): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(activitiesPerformer): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:id)&lt;=1">(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-5c6fda93-dfed-4d1f-b048-a0bc95584307">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(activitiesPerformer): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.UZI" bevatten</assert>
      <extends rule="II.NL.UZI"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant"
         id="tmp-b113d5e7-3d32-44f1-8ace-7ae3d1ff584e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@typeCode='INF' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location"
         id="tmp-065ddf07-038b-4df8-a33b-dfd8fac2677a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@typeCode='LOC' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-78f6ab89-f5d2-43c0-8364-724be4a35972">
      <extends rule="tmp-7e841f81-1380-4eac-b14e-359540fb3a09"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activitiesSubjectOfConclusion)
-->
<rule id="tmp-7e841f81-1380-4eac-b14e-359540fb3a09" abstract="true">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:conclusion))=0">(activitiesSubjectOfConclusion): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:conclusion)&lt;=1">(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion"
         id="tmp-f5ef236e-a8b4-48d4-9449-9654da19c269">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:code|hl7:text|hl7:component|hl7:subjectOf))=0">(activitiesSubjectOfConclusion): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code"
         id="tmp-2409340f-7072-471d-b2c6-9fb24bf49383">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text"
         id="tmp-449708d0-68a0-468f-9354-bf31a4486a93">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component"
         id="tmp-cebd70e4-fb2b-4701-877e-731871237362">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@typeCode='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:indication))=0">(activitiesSubjectOfConclusion): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:indication)&lt;=1">(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication"
         id="tmp-0efbdb4b-b7e6-4fd5-a0fd-365443ee3730">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:code|hl7:value|hl7:reasonOf))=0">(activitiesSubjectOfConclusion): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:reasonOf)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code"
         id="tmp-64fb1aa0-0627-45e8-89e5-919bb77c2784">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value"
         id="tmp-8af17805-ab74-4d4a-8807-05b101a73022">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf"
         id="tmp-927d4b37-d1be-4ded-b9c4-028a12f6d35d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@typeCode='RSON' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor]))=0">(activitiesSubjectOfConclusion): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <let name="elmcount"
           value="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="$elmcount&gt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="$elmcount&lt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-f446fbeb-cb07-4f04-af81-1d6171cef89c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:code))=0">(activitiesSubjectOfConclusion): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-eb908319-2205-4e0b-9fdd-39cb0bfd019b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-c9a06a58-3b2c-4a5f-8464-ad7927938495">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@classCode='REG' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:code))=0">(activitiesSubjectOfConclusion): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-a9f0d38a-6fa2-41cc-a9be-e873d7aa6c55">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-abe23acf-7903-423c-8230-438d05d1220e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:code))=0">(activitiesSubjectOfConclusion): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-7e337b7f-a82a-49b9-9b9f-eadbfe7c91c9">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-dbf500c7-98bc-409f-961e-76937c7dfba5">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@classCode='PCPR' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@moodCode='RQO' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:code|hl7:performer))=0">(activitiesSubjectOfConclusion): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:performer)&lt;=1">(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-6000c32f-3883-4f67-a1ad-ed560af6afbc">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer"
         id="tmp-ea2b12f5-49ff-485e-b028-40b68ba33577">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:assignedEntity))=0">(activitiesSubjectOfConclusion): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity"
         id="tmp-d6bef85c-b49e-48fd-b826-2f83fcca9fa9">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@classCode='ASSIGNED' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:code))=0">(activitiesSubjectOfConclusion): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-79e95a1a-e35e-429f-872a-84174243a7bc">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]"
         id="tmp-26dcb3ce-77b2-4c8f-9ec7-b3a82476f55a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:code))=0">(activitiesSubjectOfConclusion): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code"
         id="tmp-77d1764c-11cd-4001-877a-45ef014fb129">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor='OTH'">(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:originalText))=0">(activitiesSubjectOfConclusion): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:originalText)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:originalText)&lt;=1">(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText"
         id="tmp-defb1601-fa18-40d5-864e-8c576de92d6e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf"
         id="tmp-556cced9-6b10-479b-baef-86a0eac1eb97">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:annotation))=0">(activitiesSubjectOfConclusion): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:annotation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation"
         id="tmp-3e74f1c5-9bb1-43c3-9f20-c712bd5457cb">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:code|hl7:text))=0">(activitiesSubjectOfConclusion): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:text)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code"
         id="tmp-2ac50444-33e3-47b5-9442-6abe078249cf">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text"
         id="tmp-030088f6-90f0-46cb-a0de-bb24466cad4e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2"
         id="tmp-09155171-9027-4e4f-a546-8456c2fece6d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:annotation))=0">(rubricClusterObservation): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:annotation)&lt;=1">(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation"
         id="tmp-3e4f0c91-00f9-4497-8c2c-6ae3b3c2e1d4">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:code|hl7:text))=0">(rubricClusterObservation): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&gt;=1 ">(rubricClusterObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&lt;=1">(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(rubricClusterObservation): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:text)&lt;=1">(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code"
         id="tmp-ddb31893-d6b0-4a82-81ed-cb688e9c3516">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='247' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text"
         id="tmp-dd379d2b-0ded-43a8-b147-7a15ce234ed3">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricCluster27)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster
Item: (obs_Hoofdomtrek)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (obs_Hoofdomtrek)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-14620497-f270-418a-b387-5a8f79e62599">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:observation))=0">(obs_Hoofdomtrek): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(obs_Hoofdomtrek): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:observation)&lt;=1">(obs_Hoofdomtrek): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (obs_Hoofdomtrek)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation"
         id="tmp-213e592f-84e2-4ff1-8e02-57841091bebe">
      <extends rule="tmp-f3507425-750c-4bf7-87c3-07f0e7033b3e"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40252']|hl7:code|hl7:value|hl7:code|hl7:text|hl7:statusCode|hl7:effectiveTime|hl7:value|hl7:methodCode|hl7:targetSiteCode|hl7:subject|hl7:performer|hl7:informant|hl7:location|hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]|hl7:subjectOf2))=0">(obs_Hoofdomtrek): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40252'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40252']/@nullFlavor)">(obs_Hoofdomtrek): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40252'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40252'])&lt;=1">(obs_Hoofdomtrek): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40252'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(obs_Hoofdomtrek): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&lt;=1">(obs_Hoofdomtrek): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:value)&gt;=1 ">(obs_Hoofdomtrek): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:value)&lt;=1">(obs_Hoofdomtrek): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40252']
Item: (obs_Hoofdomtrek)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40252']"
         id="tmp-77e25d1c-bcf0-40b3-9e14-bf1c5e37c991">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(obs_Hoofdomtrek): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@root='2.16.840.1.113883.2.4.6.10.100.40252'">(obs_Hoofdomtrek): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.40252' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(obs_Hoofdomtrek): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (obs_Hoofdomtrek)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code"
         id="tmp-ea12f114-3984-43fe-a898-e82630a9814d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(obs_Hoofdomtrek): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or (@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(obs_Hoofdomtrek): de waarde van @code/@codeSystem MOET ''252' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (obs_Hoofdomtrek)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value"
         id="tmp-66926e02-46fb-45a4-8d38-c5e02f627c56">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='PQ' or not(@xsi:type)">(obs_Hoofdomtrek): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PQ" bevatten</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="(@nullFlavor or (@unit='mm'))">(obs_Hoofdomtrek): value MOET eenheid 'mm' gebruiken </assert>
      <let name="digitok"
           value="matches($theValue, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="$digitok">(obs_Hoofdomtrek): @value is geen geldig PQ getal <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-ucum.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(obs_Hoofdomtrek): value/@unit (PQ) MOET een geldige UCUM-eenheid zijn (<value-of select="$UCUMtest"/>).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-50cb8b2c-d783-4265-8802-0984e370c8d4">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.40252']|hl7:code|hl7:value|hl7:code|hl7:text|hl7:statusCode|hl7:effectiveTime|hl7:value|hl7:methodCode|hl7:targetSiteCode|hl7:subject|hl7:performer|hl7:informant|hl7:location|hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]|hl7:subjectOf2))=0">(rubricClusterObservation): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (rubricClusterObservation)
-->
<rule id="tmp-f3507425-750c-4bf7-87c3-07f0e7033b3e" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@classCode='OBS' or not(@classCode)">(rubricClusterObservation): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@moodCode='EVN' or not(@moodCode)">(rubricClusterObservation): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:code|hl7:text|hl7:statusCode|hl7:effectiveTime|hl7:value|hl7:methodCode|hl7:targetSiteCode|hl7:subject|hl7:performer|hl7:informant|hl7:location|hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]|hl7:subjectOf2))=0">(rubricClusterObservation): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]])&lt;=1">(rubricClusterObservation): element hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:code
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:text
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:statusCode"
         id="tmp-d5c143e8-9659-478d-b5ab-1862dd862243">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ActStatus-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(rubricClusterObservation): de waarde van @code MOET worden gekozen uit waardenlijst ActStatus DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(rubricClusterObservation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst ActStatus DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:effectiveTime
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:value
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:methodCode"
         id="tmp-1eee57b9-f2f9-470a-b644-20f0fa66848d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:targetSiteCode"
         id="tmp-437af10b-54de-454c-be38-62375c6dfb8d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subject"
         id="tmp-dc4d9de0-50a1-4496-bcc9-e047630ed0c2">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@typeCode='SBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (rubricClusterObservation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesPerformer)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer"
         id="tmp-e25e3765-32c5-404e-93a8-a42e64ed4292">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:performer))=0">(activitiesPerformer): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer"
         id="tmp-3e8d6597-7263-433a-a413-e0050493d73d">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesPerformer): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:assignedEntity))=0">(activitiesPerformer): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesPerformer): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesPerformer): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity"
         id="tmp-589c4a8b-92bd-4d5d-b4af-a1d308fa6659">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:id))=0">(activitiesPerformer): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(activitiesPerformer): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:id)&lt;=1">(activitiesPerformer): element hl7:id komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id
Item: (activitiesPerformer)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:performer/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-ed58b308-296d-4f75-a1ff-2a0e4abfe6cd">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(activitiesPerformer): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II.NL.UZI" bevatten</assert>
      <extends rule="II.NL.UZI"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:informant"
         id="tmp-803f6955-3bbe-455d-a360-65dae968687f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@typeCode='INF' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'INF' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:location"
         id="tmp-899e4a75-2f67-49e6-bec8-bc961e6dfbc5">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@typeCode='LOC' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'LOC' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]"
         id="tmp-44ae608b-999f-453e-a104-5989dfe5e817">
      <extends rule="tmp-6b2bd308-4f90-44da-989d-da7f27b0a10b"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]
Item: (activitiesSubjectOfConclusion)
-->
<rule id="tmp-6b2bd308-4f90-44da-989d-da7f27b0a10b" abstract="true">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:conclusion))=0">(activitiesSubjectOfConclusion): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:conclusion)&gt;=1 and not(hl7:conclusion/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:conclusion is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:conclusion)&lt;=1">(activitiesSubjectOfConclusion): element hl7:conclusion komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion"
         id="tmp-b347a738-7bae-4122-b0e8-98ec3d2979ed">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:code|hl7:text|hl7:component|hl7:subjectOf))=0">(activitiesSubjectOfConclusion): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:code"
         id="tmp-5365bfd2-1b66-4dfc-b4db-1bb61d03592f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or (@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''482' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:text"
         id="tmp-217efc58-ad68-401a-9d4e-662cc2468a6c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component"
         id="tmp-5b5797a5-bc02-40bd-9c3a-62411d6b716a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@typeCode='COMP' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:indication))=0">(activitiesSubjectOfConclusion): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:indication)&gt;=1 and not(hl7:indication/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:indication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:indication)&lt;=1">(activitiesSubjectOfConclusion): element hl7:indication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication"
         id="tmp-896839fb-3581-47c4-991a-bd216eeac72f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:code|hl7:value|hl7:reasonOf))=0">(activitiesSubjectOfConclusion): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:value)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:value)&lt;=1">(activitiesSubjectOfConclusion): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:reasonOf)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:reasonOf is required [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:code"
         id="tmp-78583787-4043-4c84-a563-0634819d5336">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or (@code='485' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''485' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:value"
         id="tmp-571079e2-0c04-4265-a5a6-84215993184b">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0619_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0619_HL7 W0619 Indicatie (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf"
         id="tmp-1e6a4bb6-fa21-4e62-8bb8-c43741f17d2c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@typeCode='RSON' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor]))=0">(activitiesSubjectOfConclusion): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <let name="elmcount"
           value="count(hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]|hl7:actIntent[hl7:code/@nullFlavor])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="$elmcount&gt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="$elmcount&lt;=1">(activitiesSubjectOfConclusion): keuze (hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']] of hl7:actIntent[hl7:code/@nullFlavor]) bevat te veel elementen [max 1x]</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf
Item: (activitiesSubjectOfConclusion)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-ee7c06b6-138b-4973-a38c-775b422eb707">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:code))=0">(activitiesSubjectOfConclusion): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:informIntent[hl7:code[(@code='1' or @code='2' or @code='3') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-b0d70061-161a-4117-97a4-1b903df52ef3">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or (@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.9') or (@code='3' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code MOET één van de volgende codes bevatten: '1' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '2' codeSystem '2.16.840.1.113883.2.4.4.40.9' of '3' codeSystem '2.16.840.1.113883.2.4.4.40.9'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-7f66656a-06e7-4689-8943-8ae034990e6a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@classCode='REG' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'REG' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:code))=0">(activitiesSubjectOfConclusion): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:registrationIntent[hl7:code[(@code='5') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-5fc9cf56-7775-4ca9-a01b-8a7074de87c8">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or (@code='5' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''5' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-4a1c9aae-7e7e-444e-802f-36ce1f7f60f5">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@classCode='OBS' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:code))=0">(activitiesSubjectOfConclusion): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:observationIntent[hl7:code[(@code='4') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-d545ee47-2b4b-4378-9acf-3117f0d3f592">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or (@code='4' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''4' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]"
         id="tmp-abe3639c-78b4-43f9-b4bd-0ffb62c46af4">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@classCode='PCPR' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'PCPR' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@moodCode='RQO' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:code|hl7:performer))=0">(activitiesSubjectOfConclusion): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:performer)&lt;=1">(activitiesSubjectOfConclusion): element hl7:performer komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:code"
         id="tmp-04e717c8-13df-4153-bf22-1202d4c3c941">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or (@code='6' and @codeSystem='2.16.840.1.113883.2.4.4.40.9')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''6' codeSystem '2.16.840.1.113883.2.4.4.40.9'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer"
         id="tmp-552ba5e9-54f9-4f26-bc58-be274798fd99">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@typeCode='PRF' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:assignedEntity))=0">(activitiesSubjectOfConclusion): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:assignedEntity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:assignedEntity)&lt;=1">(activitiesSubjectOfConclusion): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity"
         id="tmp-ba027064-5c09-4ce6-8331-5f32e73fcc12">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@classCode='ASSIGNED' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:code))=0">(activitiesSubjectOfConclusion): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:referral[hl7:code[(@code='6') and @codeSystem='2.16.840.1.113883.2.4.4.40.9']]/hl7:performer/hl7:assignedEntity/hl7:code"
         id="tmp-45c88ed4-0269-4bd2-a945-939170947970">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-W0621_HL7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(activitiesSubjectOfConclusion): de waarde van @code MOET worden gekozen uit waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(activitiesSubjectOfConclusion): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0621_HL7 W0621 Advies en verwijzing naar (HL7) DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]"
         id="tmp-40250b16-1abd-4160-b3d8-0aeb3cba2b6f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@moodCode='INT' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'INT' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:code))=0">(activitiesSubjectOfConclusion): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code"
         id="tmp-b6419bb8-5deb-49dc-a647-41cccf9133ad">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor='OTH'">(activitiesSubjectOfConclusion): de waarde van @nullFlavor MOET 'OTH' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:originalText))=0">(activitiesSubjectOfConclusion): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:originalText)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:originalText is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:originalText)&lt;=1">(activitiesSubjectOfConclusion): element hl7:originalText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:component/hl7:indication/hl7:reasonOf/hl7:actIntent[hl7:code/@nullFlavor]/hl7:code/hl7:originalText"
         id="tmp-e91f6043-e262-4a12-abab-e103bda16c4f">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf"
         id="tmp-dd9df339-4d68-4e66-ad8d-90f5a070e7fc">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(activitiesSubjectOfConclusion): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:annotation))=0">(activitiesSubjectOfConclusion): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(activitiesSubjectOfConclusion): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:annotation)&lt;=1">(activitiesSubjectOfConclusion): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation"
         id="tmp-1b1c6639-839a-4111-aab2-70d8ec7af93a">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@classCode='ACT' or not(@classCode)">(activitiesSubjectOfConclusion): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@moodCode='EVN' or not(@moodCode)">(activitiesSubjectOfConclusion): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:code|hl7:text))=0">(activitiesSubjectOfConclusion): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&lt;=1">(activitiesSubjectOfConclusion): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:text)&gt;=1 ">(activitiesSubjectOfConclusion): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:text)&lt;=1">(activitiesSubjectOfConclusion): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:code"
         id="tmp-5e58ce89-d737-4190-b59d-101044fb3a6e">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or (@code='493' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(activitiesSubjectOfConclusion): de waarde van @code/@codeSystem MOET ''493' codeSystem '2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text
Item: (activitiesSubjectOfConclusion)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf1[hl7:conclusion[hl7:code[@code='482' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:conclusion/hl7:subjectOf/hl7:annotation/hl7:text"
         id="tmp-e4152064-9e29-444e-be9b-295ef8f8870c">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(activitiesSubjectOfConclusion): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2"
         id="tmp-b22b62dd-810c-43dd-8760-5a8cf0541ef8">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@typeCode='SUBJ' or not(@typeCode)">(rubricClusterObservation): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:annotation))=0">(rubricClusterObservation): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:annotation)&gt;=1 and not(hl7:annotation/@nullFlavor)">(rubricClusterObservation): element hl7:annotation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:annotation)&lt;=1">(rubricClusterObservation): element hl7:annotation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation"
         id="tmp-227bf09a-4c87-4ad3-81d5-788b669f7075">
      <assert role="warning"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(* except (hl7:code|hl7:text))=0">(rubricClusterObservation): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&gt;=1 ">(rubricClusterObservation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:code)&lt;=1">(rubricClusterObservation): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(rubricClusterObservation): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="count(hl7:text)&lt;=1">(rubricClusterObservation): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:code"
         id="tmp-1cb291d2-eae6-4b41-9264-6b6d5a11d539">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='CV' or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CV" bevatten</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.4.40.267')">(rubricClusterObservation): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.4.40.267'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.11027
Context: *[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text
Item: (rubricClusterObservation)
-->
<rule context="*[hl7:rubricCluster[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.11027']]/hl7:rubricCluster/hl7:component[hl7:observation[hl7:code[@code='252' and @codeSystem='2.16.840.1.113883.2.4.4.40.267']]]/hl7:observation/hl7:subjectOf2/hl7:annotation/hl7:text"
         id="tmp-851d4baa-1926-46df-99bc-7a59de41dc40">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20121028T141922/tmp-2.16.840.1.113883.2.4.6.10.100.11027.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(rubricClusterObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>
