<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.90.60
Description: Template: Overdracht Acute Fase bericht (antepartum)
-->
<pattern xmlns:xs="http://www.w3.org/2001/XMLSchema"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xmlns:hl7="urn:hl7-org:v3"
         xmlns="http://purl.oclc.org/dsdl/schematron"
         xmlns:sch="http://www.ascc.net/xml/schematron"
         xmlns:uuid="java:java.util.UUID"
         id="template-2.16.840.1.113883.2.4.6.10.90.60">
   <title>Overdracht Acute Fase bericht (antepartum)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']
Item: acufap
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']"
         id="tmp-77acf5dc-4411-473d-a96d-3e7874ca9c70">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.60'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.60']/@nullFlavor)">acufap: element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.60'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.60'])&lt;=1">acufap: element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.60'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">acufap: element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:id)&lt;=1">acufap: element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:statusCode)&lt;=1">acufap: element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:subject)&gt;=1 ">acufap: element hl7:subject is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:subject)&lt;=1">acufap: element hl7:subject komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:performer)&lt;=1">acufap: element hl7:performer komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:author)&gt;=1 ">acufap: element hl7:author is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:author)&lt;=1">acufap: element hl7:author komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:reason[hl7:conditionEvent[hl7:code[(@code='38341003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='45757002' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='44247006' and @codeSystem='2.16.840.1.113883.6.96') or (@code='21522001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='288250001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='289261003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='49333008' and @codeSystem='2.16.840.1.113883.6.96') or (@code='309737007' and @codeSystem='2.16.840.1.113883.6.96') or (@code='87383005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='183695003' and @codeSystem='2.16.840.1.113883.6.96')]]])&gt;=1 and not(hl7:reason[hl7:conditionEvent[hl7:code[(@code='38341003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='45757002' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='44247006' and @codeSystem='2.16.840.1.113883.6.96') or (@code='21522001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='288250001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='289261003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='49333008' and @codeSystem='2.16.840.1.113883.6.96') or (@code='309737007' and @codeSystem='2.16.840.1.113883.6.96') or (@code='87383005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='183695003' and @codeSystem='2.16.840.1.113883.6.96')]]]/@nullFlavor)">acufap: element hl7:reason[hl7:conditionEvent[hl7:code[(@code='38341003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='45757002' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='44247006' and @codeSystem='2.16.840.1.113883.6.96') or (@code='21522001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='288250001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='289261003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='49333008' and @codeSystem='2.16.840.1.113883.6.96') or (@code='309737007' and @codeSystem='2.16.840.1.113883.6.96') or (@code='87383005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='183695003' and @codeSystem='2.16.840.1.113883.6.96')]]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:reason[hl7:conditionEvent[hl7:code[(@code='38341003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='45757002' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='44247006' and @codeSystem='2.16.840.1.113883.6.96') or (@code='21522001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='288250001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='289261003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='49333008' and @codeSystem='2.16.840.1.113883.6.96') or (@code='309737007' and @codeSystem='2.16.840.1.113883.6.96') or (@code='87383005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='183695003' and @codeSystem='2.16.840.1.113883.6.96')]]])&lt;=1">acufap: element hl7:reason[hl7:conditionEvent[hl7:code[(@code='38341003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='45757002' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='44247006' and @codeSystem='2.16.840.1.113883.6.96') or (@code='21522001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='288250001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='289261003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='49333008' and @codeSystem='2.16.840.1.113883.6.96') or (@code='309737007' and @codeSystem='2.16.840.1.113883.6.96') or (@code='87383005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='183695003' and @codeSystem='2.16.840.1.113883.6.96')]]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">acufap: element hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">acufap: element hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='373663005' and @codeSystem='2.16.840.1.113883.6.96']]])&gt;=1 ">acufap: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='373663005' and @codeSystem='2.16.840.1.113883.6.96']]] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='373663005' and @codeSystem='2.16.840.1.113883.6.96']]])&lt;=1">acufap: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='373663005' and @codeSystem='2.16.840.1.113883.6.96']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='106190000' and @codeSystem='2.16.840.1.113883.6.96']]])&gt;=1 ">acufap: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='106190000' and @codeSystem='2.16.840.1.113883.6.96']]] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='106190000' and @codeSystem='2.16.840.1.113883.6.96']]])&lt;=1">acufap: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='106190000' and @codeSystem='2.16.840.1.113883.6.96']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]])&gt;=1 ">acufap: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]])&lt;=1">acufap: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='NEGSE' and @codeSystem='2.16.840.1.113883.3.799.5.1']]])&lt;=1">acufap: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='NEGSE' and @codeSystem='2.16.840.1.113883.3.799.5.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='266096002' and @codeSystem='2.16.840.1.113883.6.96']]])&lt;=1">acufap: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='266096002' and @codeSystem='2.16.840.1.113883.6.96']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='161664006' and @codeSystem='2.16.840.1.113883.6.96']]])&lt;=1">acufap: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='161664006' and @codeSystem='2.16.840.1.113883.6.96']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='39156-5' and @codeSystem='2.16.840.1.113883.6.1']]])&lt;=1">acufap: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='39156-5' and @codeSystem='2.16.840.1.113883.6.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]])&lt;=1">acufap: element hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='883-9' and @codeSystem='2.16.840.1.113883.6.1']]])&lt;=1">acufap: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='883-9' and @codeSystem='2.16.840.1.113883.6.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]])&lt;=1">acufap: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='312457003' and @codeSystem='2.16.840.1.113883.6.96']]])&lt;=1">acufap: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='312457003' and @codeSystem='2.16.840.1.113883.6.96']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='59260-0' and @codeSystem='2.16.840.1.113883.6.1']]])&lt;=1">acufap: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='59260-0' and @codeSystem='2.16.840.1.113883.6.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]])&lt;=1">acufap: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='165806002' and @codeSystem='2.16.840.1.113883.6.96']]])&lt;=1">acufap: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='165806002' and @codeSystem='2.16.840.1.113883.6.96']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]])&lt;=1">acufap: element hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&gt;=1 ">acufap: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">acufap: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">acufap: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Parturit' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">acufap: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Parturit' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='224118004' and @codeSystem='2.16.840.1.113883.6.96']]])&lt;=1">acufap: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='224118004' and @codeSystem='2.16.840.1.113883.6.96']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.60']
Item: acufap
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.60']"
         id="tmp-edf4242a-24d4-4c16-8746-a64e36bd30f2">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@root='2.16.840.1.113883.2.4.6.10.90.60'">acufap: @root MOET de waarde '2.16.840.1.113883.2.4.6.10.90.60' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">acufap: @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']
Item: acufap
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:id
Item: acufap
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:id"
         id="tmp-9fa4939a-d2d9-4267-a32d-de2a7a0362d3">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:statusCode
Item: acufap
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:statusCode"
         id="tmp-30ade174-7846-46c4-a608-1f5314e4a8dd">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or (@code='active')">acufap: De waarde van @code MOET 'active' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']
Item: acufap
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:subject
Item: acufap
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:subject"
         id="tmp-b8beec2a-23bc-41aa-849f-028fbc063670">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@typeCode='SBJ' ">acufap: De waarde van @typeCode MOET 'SBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:patient)&gt;=1 and not(hl7:patient/@nullFlavor)">acufap: element hl7:patient is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:patient)&lt;=1">acufap: element hl7:patient komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:subject/hl7:patient
Item: acufap
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:subject/hl7:patient"
         id="tmp-9408129f-128c-4345-99e4-68e6d14416ea">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@classCode='PAT' ">acufap: De waarde van @classCode MOET 'PAT' zijn.</assert>
      <assert role="error" test="count(hl7:id)&gt;0">acufap: identification mother requires either a BSN or a local id or both</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&gt;=1 ">acufap: element hl7:id[@root='2.16.840.1.113883.2.4.6.3'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&lt;=1">acufap: element hl7:id[@root='2.16.840.1.113883.2.4.6.3'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:addr)&gt;=1 and not(hl7:addr/@nullFlavor)">acufap: element hl7:addr is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)">acufap: element hl7:statusCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:statusCode)&lt;=1">acufap: element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:patientPerson)&gt;=1 and not(hl7:patientPerson/@nullFlavor)">acufap: element hl7:patientPerson is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:patientPerson)&lt;=1">acufap: element hl7:patientPerson komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:subject/hl7:patient
Item: acufap
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:subject/hl7:patient
Item: acufap
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:subject/hl7:patient/hl7:id[@root='2.16.840.1.113883.2.4.6.3'][@root='2.16.840.1.113883.2.4.6.3']
Item: acufap
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:subject/hl7:patient/hl7:id[@root='2.16.840.1.113883.2.4.6.3'][@root='2.16.840.1.113883.2.4.6.3']"
         id="tmp-7259facc-6568-4092-a3bd-507bcaa59a8e">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II.NL.BSN"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@root='2.16.840.1.113883.2.4.6.3'">acufap: @root MOET de waarde '2.16.840.1.113883.2.4.6.3' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">acufap: @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="string-length(@extension)&gt;0">acufap: attribute @extension MOET aanwezig zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:subject/hl7:patient
Item: acufap
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:subject/hl7:patient/hl7:id
Item: acufap
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:subject/hl7:patient/hl7:id"
         id="tmp-4023b07a-9192-47f0-831b-113251294b70">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="string-length(@root)&gt;0">acufap: attribute @root MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="string-length(@extension)&gt;0">acufap: attribute @extension MOET aanwezig zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:subject/hl7:patient
Item: acufap
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:subject/hl7:patient/hl7:addr
Item: acufap
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:subject/hl7:patient/hl7:addr"
         id="tmp-c9375329-3802-4514-8b8a-841104dc0b6a">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @use='HP' or @use='PHYS' or @use='TMP' or @use='HP PHYS' or @use='TMP PHYS' ">acufap: De waarde van @use MOET één van de volgende codes bevatten: 'HP', 'PHYS', 'TMP', 'HP PHYS', 'TMP PHYS'.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:postalCode)&gt;=1 and not(hl7:postalCode/@nullFlavor)">acufap: element hl7:postalCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:postalCode)&lt;=1">acufap: element hl7:postalCode komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:subject/hl7:patient/hl7:addr/hl7:postalCode
Item: acufap
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:subject/hl7:patient/hl7:statusCode
Item: acufap
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:subject/hl7:patient/hl7:statusCode"
         id="tmp-3fa3c3dc-59c0-44bc-b86d-6ca18f0b67bf">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or (@code='active')">acufap: De waarde van @code MOET 'active' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:subject/hl7:patient/hl7:patientPerson
Item: acufap
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:subject/hl7:patient/hl7:patientPerson"
         id="tmp-b43626b8-9eac-4103-9982-2ce83a663478">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@classCode='PSN' ">acufap: De waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@determinerCode='INSTANCE' ">acufap: @determinerCode SHALL have value 'INSTANCE' STATIC </assert>
      <assert role="error" test="hl7:deceasedInd/@value='false' or hl7:deceasedTime">acufap: Datum maternale sterfte: if deceasedInd=true an element deceasedTime shall be present</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:name)&gt;=1 ">acufap: element hl7:name is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:name)&lt;=2">acufap: element hl7:name komt te vaak voor [max 2x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:birthTime)&gt;=1 and not(hl7:birthTime/@nullFlavor)">acufap: element hl7:birthTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:birthTime)&lt;=1">acufap: element hl7:birthTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:languageCommunication)&lt;=1">acufap: element hl7:languageCommunication komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:deceasedInd)&gt;=1 and not(hl7:deceasedInd/@nullFlavor)">acufap: element hl7:deceasedInd is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:deceasedInd)&lt;=1">acufap: element hl7:deceasedInd komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:deceasedTime)&lt;=1">acufap: element hl7:deceasedTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:ethnicGroupCode)&gt;=1 ">acufap: element hl7:ethnicGroupCode is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:ethnicGroupCode)&lt;=1">acufap: element hl7:ethnicGroupCode komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:subject/hl7:patient/hl7:patientPerson
Item: acufap
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:subject/hl7:patient/hl7:patientPerson/hl7:name
Item: acufap
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:subject/hl7:patient/hl7:patientPerson/hl7:name"
         id="tmp-8e01550c-5b30-4f75-973e-3f1e762d7783">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='PN' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PN" bevatten</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @use='OR' or @use='L' ">acufap: De waarde van @use MOET één van de volgende codes bevatten: 'OR', 'L'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:subject/hl7:patient/hl7:patientPerson
Item: acufap
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:subject/hl7:patient/hl7:patientPerson/hl7:birthTime
Item: acufap
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:subject/hl7:patient/hl7:patientPerson/hl7:birthTime"
         id="tmp-64b26648-26af-4e9a-bc71-236f3b7db051">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:subject/hl7:patient/hl7:patientPerson
Item: acufap
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:subject/hl7:patient/hl7:patientPerson
Item: acufap
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:subject/hl7:patient/hl7:patientPerson/hl7:languageCommunication
Item: acufap
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:subject/hl7:patient/hl7:patientPerson/hl7:languageCommunication"
         id="tmp-29cbfd10-3628-4bf5-bdad-fea7a2c0538a">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:languageCommunication)&gt;=1 and not(hl7:languageCommunication/@nullFlavor)">acufap: element hl7:languageCommunication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:languageCommunication)&lt;=1">acufap: element hl7:languageCommunication komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:proficiencyLevelCode)&gt;=1 and not(hl7:proficiencyLevelCode/@nullFlavor)">acufap: element hl7:proficiencyLevelCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:proficiencyLevelCode)&lt;=1">acufap: element hl7:proficiencyLevelCode komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:subject/hl7:patient/hl7:patientPerson/hl7:languageCommunication/hl7:languageCommunication
Item: acufap
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:subject/hl7:patient/hl7:patientPerson/hl7:languageCommunication/hl7:languageCommunication"
         id="tmp-5f1dc4fc-d294-48f0-822d-2c986ca749b3">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or (@code='nl-NL' and @codeSystem='2.16.840.1.113883.6.121')">acufap: De waarde van @code/@codeSystem MOET 'nl-NL' codeSystem '2.16.840.1.113883.6.121' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:subject/hl7:patient/hl7:patientPerson/hl7:languageCommunication/hl7:proficiencyLevelCode
Item: acufap
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:subject/hl7:patient/hl7:patientPerson/hl7:languageCommunication/hl7:proficiencyLevelCode"
         id="tmp-5ad35f71-5f56-43ef-ac08-4ea03b0b72d2">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-LanguageAbilityProficiency-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-LanguageAbilityProficiency-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">acufap: De waarde van @code MOET worden gekozen uit Value Set LanguageAbilityProficiency Language Ability Proficiency DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:subject/hl7:patient/hl7:patientPerson
Item: acufap
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:subject/hl7:patient/hl7:patientPerson/hl7:deceasedInd
Item: acufap
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:subject/hl7:patient/hl7:patientPerson/hl7:deceasedInd"
         id="tmp-b6e636db-e8be-40f7-9b92-456755cef75e">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='BL' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:subject/hl7:patient/hl7:patientPerson
Item: acufap
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:subject/hl7:patient/hl7:patientPerson
Item: acufap
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:subject/hl7:patient/hl7:patientPerson/hl7:deceasedTime
Item: acufap
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:subject/hl7:patient/hl7:patientPerson/hl7:deceasedTime"
         id="tmp-0fc108b6-51c9-4698-b497-91bf4a4b621e">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:subject/hl7:patient/hl7:patientPerson
Item: acufap
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:subject/hl7:patient/hl7:patientPerson/hl7:ethnicGroupCode
Item: acufap
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:subject/hl7:patient/hl7:patientPerson/hl7:ethnicGroupCode"
         id="tmp-2644f23b-f71e-4772-80ae-e1dbd9fa0ac7">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-EthnicGroup-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-EthnicGroup-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">acufap: De waarde van @code MOET worden gekozen uit Value Set EthnicGroup DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']
Item: acufap
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:performer
Item: acufap
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:performer"
         id="tmp-1b0be110-6436-44f2-8bff-14cd4c6d6eba">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@typeCode='PRF' ">acufap: De waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:responsibleParty)&gt;=1 and not(hl7:responsibleParty/@nullFlavor)">acufap: element hl7:responsibleParty is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:responsibleParty)&lt;=1">acufap: element hl7:responsibleParty komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:performer/hl7:responsibleParty
Item: acufap
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:performer/hl7:responsibleParty"
         id="tmp-f157c12e-26c6-4c93-a7aa-2d4eab1e45d2">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@classCode='ASSIGNED' ">acufap: De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufap: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:code)&lt;=1">acufap: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:agentPerson)&gt;=1 and not(hl7:agentPerson/@nullFlavor)">acufap: element hl7:agentPerson is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:agentPerson)&lt;=1">acufap: element hl7:agentPerson komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:performer/hl7:responsibleParty/hl7:code
Item: acufap
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:performer/hl7:responsibleParty/hl7:code"
         id="tmp-bca68b1c-90d1-43a6-8e72-abbab2e1039d">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.13.37')">acufap: De waarde van @code/@codeSystem MOET '2' codeSystem '2.16.840.1.113883.2.4.4.13.37' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:performer/hl7:responsibleParty/hl7:agentPerson
Item: acufap
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:performer/hl7:responsibleParty/hl7:agentPerson"
         id="tmp-7f1510b0-423c-479c-b89d-86cecff98957">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@classCode='PSN' ">acufap: De waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@determinerCode='INSTANCE' ">acufap: @determinerCode SHALL have value 'INSTANCE' STATIC </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">acufap: element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:name)&lt;=1">acufap: element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:performer/hl7:responsibleParty/hl7:agentPerson/hl7:name
Item: acufap
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:performer/hl7:responsibleParty/hl7:agentPerson/hl7:name"
         id="tmp-e088843a-5a3e-4e1d-8b1d-75e60a25d302">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='PN' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PN" bevatten</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']
Item: acufap
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']
Item: acufap
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:author
Item: acufap
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:author"
         id="tmp-e183c733-8d56-43b7-b861-99795111cf7f">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@typeCode='AUT' ">acufap: De waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:time)&gt;=1 and not(hl7:time/@nullFlavor)">acufap: element hl7:time is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:time)&lt;=1">acufap: element hl7:time komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:modeCode)&gt;=1 ">acufap: element hl7:modeCode is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:modeCode)&lt;=1">acufap: element hl7:modeCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:signatureCode)&gt;=1 ">acufap: element hl7:signatureCode is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:signatureCode)&lt;=1">acufap: element hl7:signatureCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:responsibleParty)&gt;=1 and not(hl7:responsibleParty/@nullFlavor)">acufap: element hl7:responsibleParty is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:responsibleParty)&lt;=1">acufap: element hl7:responsibleParty komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:author/hl7:time
Item: acufap
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:author/hl7:time"
         id="tmp-1291b7a7-d8c6-4946-8c20-a0552e7bee27">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:author/hl7:modeCode
Item: acufap
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:author/hl7:modeCode"
         id="tmp-fa69722f-3eb8-484a-85cd-6dd121208aae">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="string-length(@nullFlavor)&gt;0">acufap: attribute @nullFlavor MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="(@code='NA')">acufap: De waarde van nullFlavor MOET 'NA' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:author/hl7:signatureCode
Item: acufap
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:author/hl7:signatureCode"
         id="tmp-68fc9c8d-43bf-48e9-b333-cf6f06a545e7">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="string-length(@nullFlavor)&gt;0">acufap: attribute @nullFlavor MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="(@code='NA')">acufap: De waarde van nullFlavor MOET 'NA' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:author/hl7:responsibleParty
Item: acufap
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:author/hl7:responsibleParty"
         id="tmp-93a0c734-1de4-479c-a7f9-77292cc39f32">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@classCode='ASSIGNED' ">acufap: De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">acufap: element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:id)&lt;=1">acufap: element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufap: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:code)&lt;=1">acufap: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:telecom)&gt;=1 and not(hl7:telecom/@nullFlavor)">acufap: element hl7:telecom is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:telecom)&lt;=1">acufap: element hl7:telecom komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:agentPerson)&gt;=1 and not(hl7:agentPerson/@nullFlavor)">acufap: element hl7:agentPerson is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:agentPerson)&lt;=1">acufap: element hl7:agentPerson komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:representedOrganization)&gt;=1 and not(hl7:representedOrganization/@nullFlavor)">acufap: element hl7:representedOrganization is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:representedOrganization)&lt;=1">acufap: element hl7:representedOrganization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:author/hl7:responsibleParty/hl7:id
Item: acufap
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:author/hl7:responsibleParty/hl7:id"
         id="tmp-d02e6859-4455-4421-bf15-265e7ca9e357">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:author/hl7:responsibleParty/hl7:code
Item: acufap
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:author/hl7:responsibleParty/hl7:code"
         id="tmp-e1c8f018-b0a5-45ad-9caf-e3d566bc55d8">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ZorgverlenerType-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ZorgverlenerType-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">acufap: De waarde van @code MOET worden gekozen uit Value Set ZorgverlenerType DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:author/hl7:responsibleParty/hl7:telecom
Item: acufap
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:author/hl7:responsibleParty/hl7:telecom"
         id="tmp-59d1152a-5251-4420-af73-f1ac736dd483">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TEL" bevatten</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:author/hl7:responsibleParty/hl7:agentPerson
Item: acufap
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:author/hl7:responsibleParty/hl7:agentPerson"
         id="tmp-744f59eb-fe50-4a25-a135-88296e5221e2">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">acufap: element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:name)&lt;=1">acufap: element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:author/hl7:responsibleParty/hl7:agentPerson/hl7:name
Item: acufap
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:author/hl7:responsibleParty/hl7:agentPerson/hl7:name"
         id="tmp-83eecbdc-d527-4ead-88f0-2cc20b5dd16b">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='PN' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PN" bevatten</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:author/hl7:responsibleParty/hl7:representedOrganization
Item: acufap
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:author/hl7:responsibleParty/hl7:representedOrganization"
         id="tmp-34ab82ad-18d8-4d37-b546-6a92ed6ce2e5">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">acufap: element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:id)&lt;=1">acufap: element hl7:id komt te vaak voor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:id[@root='2.16.840.1.113883.2.4.6.1']|hl7:id[@root='2.16.840.1.113883.2.4.3.22.98.1']|hl7:id[@root='2.16.528.1.1007.3.3'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="$elmcount&gt;=1">acufap: keuze (hl7:id[@root='2.16.840.1.113883.2.4.6.1'] of hl7:id[@root='2.16.840.1.113883.2.4.3.22.98.1'] of hl7:id[@root='2.16.528.1.1007.3.3']) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufap: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:code)&lt;=1">acufap: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">acufap: element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:name)&lt;=1">acufap: element hl7:name komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:addr)&gt;=1 and not(hl7:addr/@nullFlavor)">acufap: element hl7:addr is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:addr)&lt;=1">acufap: element hl7:addr komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:author/hl7:responsibleParty/hl7:representedOrganization
Item: acufap
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:author/hl7:responsibleParty/hl7:representedOrganization/hl7:id
Item: acufap
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:author/hl7:responsibleParty/hl7:representedOrganization/hl7:id"
         id="tmp-18ef8169-e33f-4b0b-a752-85fde04c34c6">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:author/hl7:responsibleParty/hl7:representedOrganization
Item: acufap
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:author/hl7:responsibleParty/hl7:representedOrganization/hl7:id[@root='2.16.840.1.113883.2.4.6.1']
Item: acufap
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:author/hl7:responsibleParty/hl7:representedOrganization/hl7:id[@root='2.16.840.1.113883.2.4.6.1']"
         id="tmp-46830466-85a1-42f5-bc82-0a1bd6ec0d14">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II.NL.AGB"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@root='2.16.840.1.113883.2.4.6.1'">acufap: @root MOET de waarde '2.16.840.1.113883.2.4.6.1' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">acufap: @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:author/hl7:responsibleParty/hl7:representedOrganization/hl7:id[@root='2.16.840.1.113883.2.4.3.22.98.1']
Item: acufap
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:author/hl7:responsibleParty/hl7:representedOrganization/hl7:id[@root='2.16.840.1.113883.2.4.3.22.98.1']"
         id="tmp-1276ea79-69e3-46c9-b4c3-9f8022debabe">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@root='2.16.840.1.113883.2.4.3.22.98.1'">acufap: @root MOET de waarde '2.16.840.1.113883.2.4.3.22.98.1' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">acufap: @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:author/hl7:responsibleParty/hl7:representedOrganization/hl7:id[@root='2.16.528.1.1007.3.3']
Item: acufap
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:author/hl7:responsibleParty/hl7:representedOrganization/hl7:id[@root='2.16.528.1.1007.3.3']"
         id="tmp-264cd562-602f-4f4f-b1ee-4466a4f63bf9">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II.NL.URA"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@root='2.16.528.1.1007.3.3'">acufap: @root MOET de waarde '2.16.528.1.1007.3.3' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">acufap: @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:author/hl7:responsibleParty/hl7:representedOrganization
Item: acufap
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:author/hl7:responsibleParty/hl7:representedOrganization/hl7:code
Item: acufap
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:author/hl7:responsibleParty/hl7:representedOrganization/hl7:code"
         id="tmp-40614d71-5b9e-4987-8d47-f3efac85b0e1">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ZorgaanbiederType-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ZorgaanbiederType-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">acufap: De waarde van @code MOET worden gekozen uit Value Set ZorgaanbiederType DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:author/hl7:responsibleParty/hl7:representedOrganization
Item: acufap
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:author/hl7:responsibleParty/hl7:representedOrganization/hl7:name
Item: acufap
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:author/hl7:responsibleParty/hl7:representedOrganization/hl7:name"
         id="tmp-576887b1-3be4-49cd-93f5-c04d54bd1a8e">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='ON' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ON" bevatten</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:author/hl7:responsibleParty/hl7:representedOrganization
Item: acufap
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:author/hl7:responsibleParty/hl7:representedOrganization/hl7:addr
Item: acufap
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:author/hl7:responsibleParty/hl7:representedOrganization/hl7:addr"
         id="tmp-0293c989-de10-436a-b453-604723fec218">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='AD' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "AD" bevatten</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:reason[hl7:conditionEvent[hl7:code[(@code='38341003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='45757002' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='44247006' and @codeSystem='2.16.840.1.113883.6.96') or (@code='21522001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='288250001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='289261003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='49333008' and @codeSystem='2.16.840.1.113883.6.96') or (@code='309737007' and @codeSystem='2.16.840.1.113883.6.96') or (@code='87383005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='183695003' and @codeSystem='2.16.840.1.113883.6.96')]]]
Item: acufap
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:reason[hl7:conditionEvent[hl7:code[(@code='38341003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='45757002' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='44247006' and @codeSystem='2.16.840.1.113883.6.96') or (@code='21522001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='288250001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='289261003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='49333008' and @codeSystem='2.16.840.1.113883.6.96') or (@code='309737007' and @codeSystem='2.16.840.1.113883.6.96') or (@code='87383005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='183695003' and @codeSystem='2.16.840.1.113883.6.96')]]]"
         id="tmp-ef6e86c9-7048-41a6-81bd-5f26d1977350">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@typeCode='RSON' ">acufap: De waarde van @typeCode MOET 'RSON' zijn.</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:reason[hl7:conditionEvent[hl7:code[(@code='38341003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='45757002' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='44247006' and @codeSystem='2.16.840.1.113883.6.96') or (@code='21522001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='288250001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='289261003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='49333008' and @codeSystem='2.16.840.1.113883.6.96') or (@code='309737007' and @codeSystem='2.16.840.1.113883.6.96') or (@code='87383005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='183695003' and @codeSystem='2.16.840.1.113883.6.96')]]]
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:reason[hl7:conditionEvent[hl7:code[(@code='38341003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='45757002' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='44247006' and @codeSystem='2.16.840.1.113883.6.96') or (@code='21522001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='288250001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='289261003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='49333008' and @codeSystem='2.16.840.1.113883.6.96') or (@code='309737007' and @codeSystem='2.16.840.1.113883.6.96') or (@code='87383005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='183695003' and @codeSystem='2.16.840.1.113883.6.96')]]]"
         id="tmp-f845fc9a-3fa2-4bdf-83d4-a66c94ef02cf">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@typeCode='RSON' ">acufap: De waarde van @typeCode MOET 'RSON' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:reason[hl7:conditionEvent[hl7:code[(@code='38341003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='45757002' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='44247006' and @codeSystem='2.16.840.1.113883.6.96') or (@code='21522001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='288250001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='289261003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='49333008' and @codeSystem='2.16.840.1.113883.6.96') or (@code='309737007' and @codeSystem='2.16.840.1.113883.6.96') or (@code='87383005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='183695003' and @codeSystem='2.16.840.1.113883.6.96')]]]
Item: acufap
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:reason[hl7:conditionEvent[hl7:code[(@code='38341003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='45757002' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='44247006' and @codeSystem='2.16.840.1.113883.6.96') or (@code='21522001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='288250001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='289261003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='49333008' and @codeSystem='2.16.840.1.113883.6.96') or (@code='309737007' and @codeSystem='2.16.840.1.113883.6.96') or (@code='87383005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='183695003' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:conditionEvent
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:reason[hl7:conditionEvent[hl7:code[(@code='38341003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='45757002' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='44247006' and @codeSystem='2.16.840.1.113883.6.96') or (@code='21522001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='288250001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='289261003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='49333008' and @codeSystem='2.16.840.1.113883.6.96') or (@code='309737007' and @codeSystem='2.16.840.1.113883.6.96') or (@code='87383005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='183695003' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:conditionEvent"
         id="tmp-1b5b54ae-75bd-436e-a4a9-5450966e28fe">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@classCode='COND' ">acufap: De waarde van @classCode MOET 'COND' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@moodCode='EVN' ">acufap: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:id)&gt;=1 ">acufap: element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:id)&lt;=1">acufap: element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufap: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:code)&lt;=1">acufap: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:text)&lt;=1">acufap: element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:reason[hl7:conditionEvent[hl7:code[(@code='38341003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='45757002' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='44247006' and @codeSystem='2.16.840.1.113883.6.96') or (@code='21522001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='288250001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='289261003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='49333008' and @codeSystem='2.16.840.1.113883.6.96') or (@code='309737007' and @codeSystem='2.16.840.1.113883.6.96') or (@code='87383005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='183695003' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:conditionEvent/hl7:id
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:reason[hl7:conditionEvent[hl7:code[(@code='38341003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='45757002' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='44247006' and @codeSystem='2.16.840.1.113883.6.96') or (@code='21522001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='288250001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='289261003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='49333008' and @codeSystem='2.16.840.1.113883.6.96') or (@code='309737007' and @codeSystem='2.16.840.1.113883.6.96') or (@code='87383005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='183695003' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:conditionEvent/hl7:id"
         id="tmp-9706f7b5-3c23-4b7d-b655-ae41b88b913f">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:reason[hl7:conditionEvent[hl7:code[(@code='38341003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='45757002' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='44247006' and @codeSystem='2.16.840.1.113883.6.96') or (@code='21522001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='288250001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='289261003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='49333008' and @codeSystem='2.16.840.1.113883.6.96') or (@code='309737007' and @codeSystem='2.16.840.1.113883.6.96') or (@code='87383005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='183695003' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:conditionEvent/hl7:code
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:reason[hl7:conditionEvent[hl7:code[(@code='38341003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='45757002' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='44247006' and @codeSystem='2.16.840.1.113883.6.96') or (@code='21522001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='288250001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='289261003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='49333008' and @codeSystem='2.16.840.1.113883.6.96') or (@code='309737007' and @codeSystem='2.16.840.1.113883.6.96') or (@code='87383005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='183695003' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:conditionEvent/hl7:code"
         id="tmp-08f1f54b-5546-412a-bd95-e41925c6f719">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-RedenOverdrachtCategorie-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-RedenOverdrachtCategorie-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">acufap: De waarde van @code MOET worden gekozen uit Value Set RedenOverdrachtCategorie Categorie Reden overdracht DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:reason[hl7:conditionEvent[hl7:code[(@code='38341003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='45757002' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='44247006' and @codeSystem='2.16.840.1.113883.6.96') or (@code='21522001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='288250001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='289261003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='49333008' and @codeSystem='2.16.840.1.113883.6.96') or (@code='309737007' and @codeSystem='2.16.840.1.113883.6.96') or (@code='87383005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='183695003' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:conditionEvent/hl7:text
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:reason[hl7:conditionEvent[hl7:code[(@code='38341003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='45757002' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='44247006' and @codeSystem='2.16.840.1.113883.6.96') or (@code='21522001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='288250001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='289261003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='49333008' and @codeSystem='2.16.840.1.113883.6.96') or (@code='309737007' and @codeSystem='2.16.840.1.113883.6.96') or (@code='87383005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='183695003' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:conditionEvent/hl7:text"
         id="tmp-455ba81c-9b3d-4a98-861b-7d11d552127b">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufap
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-c6b6f604-63b3-4f23-a3be-6faba45beb6e">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@typeCode='PERT' ">acufap: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@contextConductionInd='true' ">acufap: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-22e17091-46ee-4801-a03a-5e59a2541914">
      <extends rule="tmp-fb38f471-8ce5-410e-ac90-f2c749eb731d"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@typeCode='PERT' ">acufap: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@contextConductionInd='true' ">acufap: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufap
-->
<rule id="tmp-fb38f471-8ce5-410e-ac90-f2c749eb731d" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:act)&lt;=1">acufap: element hl7:act komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act"
         id="tmp-8906568a-d68f-405d-9310-ff766f9f9969">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@classCode='LIST' ">acufap: De waarde van @classCode MOET 'LIST' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@moodCode='EVN' ">acufap: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufap: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:code)&lt;=1">acufap: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:inboundRelationship)&gt;=1 and not(hl7:inboundRelationship/@nullFlavor)">acufap: element hl7:inboundRelationship is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:inboundRelationship)&lt;=1">acufap: element hl7:inboundRelationship komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:code
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:code"
         id="tmp-7fd636a3-86bb-47a0-9d00-bffb1aae7be3">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or (@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')">acufap: De waarde van @code/@codeSystem MOET 'VERLIND' codeSystem '2.16.840.1.113883.2.4.4.13' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship"
         id="tmp-0bb3cb9e-7557-41c4-9212-2674beedd5d7">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@typeCode='COMP' ">acufap: De waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">acufap: element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:observation)&lt;=1">acufap: element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation"
         id="tmp-bbc1841b-055b-4ec6-83c3-2cd775d14d0f">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@classCode='OBS' ">acufap: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@moodCode='EVN' ">acufap: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufap: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:code)&lt;=1">acufap: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:value)&gt;=1 ">acufap: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:value)&lt;=1">acufap: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:code
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:code"
         id="tmp-75baa577-ea79-4048-b22a-907e3adaba16">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or (@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')">acufap: De waarde van @code/@codeSystem MOET 'VERLIND' codeSystem '2.16.840.1.113883.2.4.4.13' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:value
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:value"
         id="tmp-c5941661-6213-491c-b86b-a29633ebb3ba">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='BL' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              test="@nullFlavor or @value='false' or count(../hl7:inboundRelationship)&gt;0">acufap:  Als er sprake van ziekten en bijzonderheden is dan moet een lijst soort ziekten
                                als inboundRelationship component worden meegegeven</assert>
      <assert role="error" test="@value='true' or count(../hl7:inboundRelationship)=0">acufap:  Als er geen sprake van ziekten en bijzonderheden is dan mag er geen lijst soort ziekten als inboundRelationship
                                component worden meegegeven</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship"
         id="tmp-ff6b19e3-d224-445f-aa8e-4d45f016157f">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@typeCode='COMP' ">acufap: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship
Item: acufap
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship/hl7:observation
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship/hl7:observation"
         id="tmp-bb2de369-e31d-408c-b203-809f2da8dbfe">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@classCode='OBS' ">acufap: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@moodCode='EVN' ">acufap: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:id)&lt;=1">acufap: element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufap: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:code)&lt;=1">acufap: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:uncertaintyCode)&lt;=1">acufap: element hl7:uncertaintyCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:value)&gt;=1 ">acufap: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:value)&lt;=1">acufap: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship/hl7:observation/hl7:id
Item: acufap
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship/hl7:observation/hl7:code
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship/hl7:observation/hl7:code"
         id="tmp-8edbe288-257e-4a69-b78a-814544fb2ada">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or (@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')">acufap: De waarde van @code/@codeSystem MOET 'VERLIND' codeSystem '2.16.840.1.113883.2.4.4.13' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship/hl7:observation/hl7:uncertaintyCode
Item: acufap
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship/hl7:observation/hl7:value
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship/hl7:observation/hl7:value"
         id="tmp-38cb903c-cdd6-4b8a-8743-275cf96f8442">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-VILLijst10002000-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-VILLijst10002000-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">acufap: De waarde van @code MOET worden gekozen uit Value Set VILLijst10002000 DYNAMIC.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufap
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-a0516e7d-0d83-437f-96da-b845370c4205">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@typeCode='PERT' ">acufap: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@contextConductionInd='true' ">acufap: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-eba058d4-5837-4f20-a6d6-48a9beafcb57">
      <extends rule="tmp-780260f0-7cb9-4435-95aa-d02e0030c395"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@typeCode='PERT' ">acufap: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@contextConductionInd='true' ">acufap: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufap
-->
<rule id="tmp-780260f0-7cb9-4435-95aa-d02e0030c395" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:act)&lt;=1">acufap: element hl7:act komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act"
         id="tmp-b4f12ca2-eefc-47a5-8fc6-46de2b4ddd51">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@classCode='LIST' ">acufap: De waarde van @classCode MOET 'LIST' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@moodCode='EVN' ">acufap: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufap: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:code)&lt;=1">acufap: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:inboundRelationship)&gt;=1 and not(hl7:inboundRelationship/@nullFlavor)">acufap: element hl7:inboundRelationship is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:inboundRelationship)&lt;=1">acufap: element hl7:inboundRelationship komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:code
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:code"
         id="tmp-4798da5f-b912-4ca4-8439-1d2235d8afe5">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or (@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')">acufap: De waarde van @code/@codeSystem MOET 'OBSTANAM' codeSystem '2.16.840.1.113883.2.4.4.13' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship"
         id="tmp-30de0e6b-a12f-4187-aaa3-99fe78642a69">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@typeCode='COMP' ">acufap: De waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">acufap: element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:observation)&lt;=1">acufap: element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation"
         id="tmp-377ddd5d-2f10-4f75-9ab1-22c9e3209895">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@classCode='OBS' ">acufap: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@moodCode='EVN' ">acufap: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufap: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:code)&lt;=1">acufap: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:value)&gt;=1 ">acufap: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:value)&lt;=1">acufap: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:code
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:code"
         id="tmp-5178eaae-c99b-4bf3-88f1-c7fc75a0f3bb">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or (@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')">acufap: De waarde van @code/@codeSystem MOET 'OBSTANAM' codeSystem '2.16.840.1.113883.2.4.4.13' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:value
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:value"
         id="tmp-0b1a1ecc-8e58-401b-9d34-4851078e3191">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='BL' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              test="@nullFlavor or @value='false' or count(../hl7:inboundRelationship)&gt;0">acufap:  Als er sprake van ziekten en bijzonderheden is dan moet een lijst soort ziekten
                                als inboundRelationship component worden meegegeven</assert>
      <assert role="error" test="@value='true' or count(../hl7:inboundRelationship)=0">acufap:  Als er geen sprake van ziekten en bijzonderheden is dan mag er geen lijst soort ziekten als inboundRelationship
                                component worden meegegeven</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship"
         id="tmp-83a6f100-a8cb-4949-b236-f4cfa0414642">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@typeCode='COMP' ">acufap: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship
Item: acufap
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship/hl7:observation
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship/hl7:observation"
         id="tmp-98620317-b81d-44d1-ab0f-6e022d2b9b9a">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@classCode='OBS' ">acufap: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@moodCode='EVN' ">acufap: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:id)&lt;=1">acufap: element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufap: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:code)&lt;=1">acufap: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:uncertaintyCode)&lt;=1">acufap: element hl7:uncertaintyCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:value)&gt;=1 ">acufap: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:value)&lt;=1">acufap: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship/hl7:observation/hl7:id
Item: acufap
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship/hl7:observation/hl7:code
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship/hl7:observation/hl7:code"
         id="tmp-cda25f1a-5d14-4759-b881-824fcb98cc58">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or (@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')">acufap: De waarde van @code/@codeSystem MOET 'OBSTANAM' codeSystem '2.16.840.1.113883.2.4.4.13' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship/hl7:observation/hl7:uncertaintyCode
Item: acufap
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship/hl7:observation/hl7:value
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship/hl7:observation/hl7:value"
         id="tmp-86c752f9-6160-4111-861f-5854f9ca9fbf">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-VILLijst3000-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-VILLijst3000-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">acufap: De waarde van @code MOET worden gekozen uit Value Set VILLijst3000 DYNAMIC.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='373663005' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufap
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='373663005' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-600070c8-343b-48a6-b860-eb70db4886eb">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@typeCode='PERT' ">acufap: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@contextConductionInd='true' ">acufap: @contextConductionInd SHALL have value 'true' STATIC </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">acufap: element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:observation)&lt;=1">acufap: element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='373663005' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation
Item: acufap
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='373663005' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation"
         id="tmp-ee4a7519-3644-4677-94ba-819dee81f7ea">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:value)&gt;=1 ">acufap: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:value)&lt;=1">acufap: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='373663005' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value
Item: acufap
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='373663005' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value"
         id="tmp-46e0540f-5cb2-4c3b-9bb0-58f7864d9052">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or (@code='276986009')">acufap: De waarde van @code MOET '276986009' zijn.</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='373663005' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='373663005' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-94b57c0f-bbe4-4c3f-80d4-e899fa1b3fcd">
      <extends rule="tmp-95b76a9f-5b56-4562-88d7-771dfa0ea0a6"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@typeCode='PERT' ">acufap: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@contextConductionInd='true' ">acufap: @contextConductionInd SHALL have value 'true' STATIC </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">acufap: element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:observation)&lt;=1">acufap: element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='373663005' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='373663005' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation"
         id="tmp-9fe8f343-f8b4-4a22-b3b5-a4f9cf5dd171">
      <extends rule="tmp-a085c852-9d9b-4c83-8d31-d12dc5f0e56a"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:value)&gt;=1 ">acufap: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:value)&lt;=1">acufap: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='373663005' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='373663005' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value"
         id="tmp-e4ef1a13-8d63-4ab6-806d-bf7b0d0daa22">
      <extends rule="tmp-02d8283c-337d-4ce7-af8c-ae5535468988"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or (@code='276986009')">acufap: De waarde van @code MOET '276986009' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='373663005' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufap
-->
<rule id="tmp-95b76a9f-5b56-4562-88d7-771dfa0ea0a6" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">acufap: element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:observation)&lt;=1">acufap: element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='373663005' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation
Item: acufap
-->
<rule id="tmp-a085c852-9d9b-4c83-8d31-d12dc5f0e56a" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@classCode='OBS' ">acufap: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@moodCode='EVN' ">acufap: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufap: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:code)&lt;=1">acufap: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:value)&gt;=1 ">acufap: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:value)&lt;=1">acufap: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='373663005' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='373663005' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code"
         id="tmp-e25df8fc-63a2-43a3-8a5d-690b465311fe">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or (@code='373663005' and @codeSystem='2.16.840.1.113883.6.96')">acufap: De waarde van @code/@codeSystem MOET '373663005' codeSystem '2.16.840.1.113883.6.96' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='373663005' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value
Item: acufap
-->
<rule id="tmp-02d8283c-337d-4ce7-af8c-ae5535468988" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-PerinatalperiodADP-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-PerinatalperiodADP-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">acufap: De waarde van @code MOET worden gekozen uit Value Set PerinatalperiodADP DYNAMIC.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='106190000' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufap
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='106190000' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-b10b070c-8bd1-4815-95bf-720b0e659987">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@typeCode='PERT' ">acufap: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@contextConductionInd='true' ">acufap: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='106190000' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='106190000' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-8cd3901f-8f50-4fef-88a7-3b357c179f52">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@typeCode='PERT' ">acufap: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@contextConductionInd='true' ">acufap: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='106190000' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufap
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='106190000' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='106190000' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation"
         id="tmp-04a25f64-b3b1-4284-a01b-e1859bd7bee0">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@classCode='OBS' ">acufap: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@moodCode='EVN' ">acufap: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufap: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:code)&lt;=1">acufap: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:value)&gt;=1 ">acufap: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:value)&lt;=1">acufap: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='106190000' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='106190000' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code"
         id="tmp-94474196-98fa-4788-aec1-b50b9893aec7">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or (@code='106190000' and @codeSystem='2.16.840.1.113883.6.96')">acufap: De waarde van @code/@codeSystem MOET '106190000' codeSystem '2.16.840.1.113883.6.96' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='106190000' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='106190000' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value"
         id="tmp-c1493538-5431-4c8d-88dd-cdadc43c4e90">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-Allergies-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-Allergies-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">acufap: De waarde van @code MOET worden gekozen uit Value Set Allergies DYNAMIC.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufap
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-8cff2efc-1c4e-40ad-ae26-593b91e6e041">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@typeCode='PERT' ">acufap: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@contextConductionInd='true' ">acufap: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-83bc93eb-17ec-4138-9fcb-e2d4fd358af2">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@typeCode='PERT' ">acufap: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@contextConductionInd='true' ">acufap: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufap
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation"
         id="tmp-7b8b94ae-5248-4102-aa30-9b5312818dbc">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@classCode='OBS' ">acufap: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@moodCode='EVN' ">acufap: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufap: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:code)&lt;=1">acufap: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:value)&gt;=1 ">acufap: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:value)&lt;=1">acufap: element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:inboundRelationship)&lt;=1">acufap: element hl7:inboundRelationship komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code"
         id="tmp-7d82f7a1-bcdc-4009-b15c-1e1e5cdc3e1d">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or (@code='129019007' and @codeSystem='2.16.840.1.113883.6.96')">acufap: De waarde van @code/@codeSystem MOET '129019007' codeSystem '2.16.840.1.113883.6.96' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value"
         id="tmp-9305a05d-5067-4643-9497-0da1a90ac795">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='BL' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:inboundRelationship
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:inboundRelationship"
         id="tmp-5f050554-2c23-4425-a386-b659e8fce566">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@typeCode='COMP' ">acufap: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:inboundRelationship
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:inboundRelationship"
         id="tmp-74ba153d-e9c1-42d5-8914-7fd292c49a85">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@typeCode='COMP' ">acufap: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:inboundRelationship
Item: acufap
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:inboundRelationship/hl7:substanceAdministration
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:inboundRelationship/hl7:substanceAdministration"
         id="tmp-1db8eea8-513b-4709-b73e-13955fe182b3">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@classCode='SBADM' ">acufap: De waarde van @classCode MOET 'SBADM' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@moodCode='EVN' ">acufap: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:consumable)&gt;=1 and not(hl7:consumable/@nullFlavor)">acufap: element hl7:consumable is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:consumable)&lt;=1">acufap: element hl7:consumable komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:inboundRelationship/hl7:substanceAdministration/hl7:consumable
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:inboundRelationship/hl7:substanceAdministration/hl7:consumable"
         id="tmp-15e66dec-ae3f-456c-8d47-49b8e3aae46e">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@typeCode='CSM' ">acufap: De waarde van @typeCode MOET 'CSM' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:manufacturedProduct)&gt;=1 ">acufap: element hl7:manufacturedProduct is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:manufacturedProduct)&lt;=1">acufap: element hl7:manufacturedProduct komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:inboundRelationship/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:inboundRelationship/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct"
         id="tmp-b84b2d13-69b0-4ea3-8851-cbe2802c4bb4">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@classCode='MANU' ">acufap: De waarde van @classCode MOET 'MANU' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:manufacturedProduct)&gt;=1 ">acufap: element hl7:manufacturedProduct is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:manufacturedProduct)&lt;=1">acufap: element hl7:manufacturedProduct komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:inboundRelationship/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedProduct
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:inboundRelationship/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedProduct"
         id="tmp-0b877a78-6c96-4027-b76f-43b32cb6fde7">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@classCode='MMAT' ">acufap: De waarde van @classCode MOET 'MMAT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@determinerCode='KIND' ">acufap: @determinerCode SHALL have value 'KIND' STATIC </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:name)&gt;=1 ">acufap: element hl7:name is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:name)&lt;=1">acufap: element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:inboundRelationship/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedProduct/hl7:name
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:inboundRelationship/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedProduct/hl7:name"
         id="tmp-7d6905a8-c954-4948-a4d3-8106f6695382">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='NEGSE' and @codeSystem='2.16.840.1.113883.3.799.5.1']]]
Item: acufap
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='NEGSE' and @codeSystem='2.16.840.1.113883.3.799.5.1']]]"
         id="tmp-3cfee65a-b662-4b67-a84f-761060e9f29f">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@typeCode='PERT' ">acufap: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@contextConductionInd='true' ">acufap: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='NEGSE' and @codeSystem='2.16.840.1.113883.3.799.5.1']]]
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='NEGSE' and @codeSystem='2.16.840.1.113883.3.799.5.1']]]"
         id="tmp-4ffa0b02-6642-40a0-9c4a-627aa4a502f0">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@typeCode='PERT' ">acufap: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@contextConductionInd='true' ">acufap: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='NEGSE' and @codeSystem='2.16.840.1.113883.3.799.5.1']]]
Item: acufap
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='NEGSE' and @codeSystem='2.16.840.1.113883.3.799.5.1']]]/hl7:observation
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='NEGSE' and @codeSystem='2.16.840.1.113883.3.799.5.1']]]/hl7:observation"
         id="tmp-c216a8ac-58a2-4546-b161-9b5ec09cd676">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@classCode='OBS' ">acufap: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@moodCode='EVN' ">acufap: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufap: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:code)&lt;=1">acufap: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:value)&gt;=1 ">acufap: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:value)&lt;=1">acufap: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='NEGSE' and @codeSystem='2.16.840.1.113883.3.799.5.1']]]/hl7:observation/hl7:code
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='NEGSE' and @codeSystem='2.16.840.1.113883.3.799.5.1']]]/hl7:observation/hl7:code"
         id="tmp-2b288062-5c5b-42fe-a650-346ed1334619">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or (@code='NEGSE' and @codeSystem='2.16.840.1.113883.3.799.5.1')">acufap: De waarde van @code/@codeSystem MOET 'NEGSE' codeSystem '2.16.840.1.113883.3.799.5.1' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='NEGSE' and @codeSystem='2.16.840.1.113883.3.799.5.1']]]/hl7:observation/hl7:value
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='NEGSE' and @codeSystem='2.16.840.1.113883.3.799.5.1']]]/hl7:observation/hl7:value"
         id="tmp-07e70d2a-c815-4787-8955-d822e6823612">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='BL' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='266096002' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufap
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='266096002' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-bfb2d85a-4ff0-40d0-b8e7-c225141817da">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@typeCode='PERT' ">acufap: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@contextConductionInd='true' ">acufap: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='266096002' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='266096002' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-da56b170-ce44-49a5-bcac-b1ef7563fa42">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@typeCode='PERT' ">acufap: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@contextConductionInd='true' ">acufap: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='266096002' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufap
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='266096002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='266096002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation"
         id="tmp-841e6932-5b19-4ff4-b395-ed06d5387728">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@classCode='OBS' ">acufap: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@moodCode='EVN' ">acufap: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufap: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:code)&lt;=1">acufap: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:value)&gt;=1 ">acufap: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:value)&lt;=1">acufap: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='266096002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='266096002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code"
         id="tmp-a8103836-31f0-4b16-8432-946a45c3cecd">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or (@code='266096002' and @codeSystem='2.16.840.1.113883.6.96')">acufap: De waarde van @code/@codeSystem MOET '266096002' codeSystem '2.16.840.1.113883.6.96' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='266096002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='266096002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value"
         id="tmp-ce5e3e5e-f4f0-42b9-9739-87ba678ce20c">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='BL' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='161664006' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufap
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='161664006' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-9175983f-0f5b-47d9-997c-1dbcfa343dc5">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@typeCode='PERT' ">acufap: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@contextConductionInd='true' ">acufap: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='161664006' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='161664006' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-12391aa5-86b7-4208-9c59-42b8c41ddac2">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@typeCode='PERT' ">acufap: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@contextConductionInd='true' ">acufap: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='161664006' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufap
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='161664006' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='161664006' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation"
         id="tmp-dcc1d4c3-a629-4b37-83a2-1b4e13713a54">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@classCode='OBS' ">acufap: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@moodCode='EVN' ">acufap: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufap: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:code)&lt;=1">acufap: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:value)&gt;=1 ">acufap: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:value)&lt;=1">acufap: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='161664006' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='161664006' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code"
         id="tmp-7914d31d-ee87-4f47-bb3c-821ac0718180">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or (@code='161664006' and @codeSystem='2.16.840.1.113883.6.96')">acufap: De waarde van @code/@codeSystem MOET '161664006' codeSystem '2.16.840.1.113883.6.96' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='161664006' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='161664006' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value"
         id="tmp-045d8978-b3fd-4e86-8a25-b5ea699a3a1d">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='BL' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='39156-5' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: acufap
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='39156-5' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-8150591e-4b15-4e0f-9dd9-ed4e6304146f">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@typeCode='PERT' ">acufap: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@contextConductionInd='true' ">acufap: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='39156-5' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='39156-5' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-2448c42a-b5f7-44c3-849f-0e9a63048b66">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@typeCode='PERT' ">acufap: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@contextConductionInd='true' ">acufap: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='39156-5' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: acufap
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='39156-5' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='39156-5' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation"
         id="tmp-5a64d539-a462-4a6a-92c4-e963ecb432d4">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@classCode='OBS' ">acufap: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@moodCode='EVN' ">acufap: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufap: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:code)&lt;=1">acufap: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:value)&gt;=1 ">acufap: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:value)&lt;=1">acufap: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='39156-5' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='39156-5' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code"
         id="tmp-33385fa9-5d87-42f6-8abd-c7f692b18988">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or (@code='39156-5' and @codeSystem='2.16.840.1.113883.6.1')">acufap: De waarde van @code/@codeSystem MOET '39156-5' codeSystem '2.16.840.1.113883.6.1' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='39156-5' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='39156-5' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value"
         id="tmp-4d33ecf2-50e2-4c53-8f0a-609ea6629c7b">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='PQ' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PQ" bevatten</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="(@nullFlavor or (@unit='kg/m2' and number($theValue)&gt;=0))">acufap: value MOET eenheid 'kg/m2' gebruiken en in bereik [0..] liggen  </assert>
      <let name="digitok"
           value="matches($theValue, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="$digitok">acufap: @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-ucum.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">acufap: value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufap
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-c33719b8-85dc-4a78-8b07-dda9a12cb020">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@typeCode='PERT' ">acufap: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@contextConductionInd='true' ">acufap: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-717a9a33-3526-4f95-bca8-727e7910c0a7">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@typeCode='PERT' ">acufap: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@contextConductionInd='true' ">acufap: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufap
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer"
         id="tmp-35426117-6760-4148-b806-47dadeab6cb8">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@classCode='CONTAINER' ">acufap: De waarde van @classCode MOET 'CONTAINER' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@moodCode='EVN' ">acufap: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufap: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:code)&lt;=1">acufap: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='271649006' and @codeSystem='2.16.840.1.113883.6.96']]])&gt;=1 and not(hl7:component[hl7:observation[hl7:code[@code='271649006' and @codeSystem='2.16.840.1.113883.6.96']]]/@nullFlavor)">acufap: element hl7:component[hl7:observation[hl7:code[@code='271649006' and @codeSystem='2.16.840.1.113883.6.96']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='271649006' and @codeSystem='2.16.840.1.113883.6.96']]])&lt;=1">acufap: element hl7:component[hl7:observation[hl7:code[@code='271649006' and @codeSystem='2.16.840.1.113883.6.96']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='271650006' and @codeSystem='2.16.840.1.113883.6.96']]])&gt;=1 and not(hl7:component[hl7:observation[hl7:code[@code='271650006' and @codeSystem='2.16.840.1.113883.6.96']]]/@nullFlavor)">acufap: element hl7:component[hl7:observation[hl7:code[@code='271650006' and @codeSystem='2.16.840.1.113883.6.96']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='271650006' and @codeSystem='2.16.840.1.113883.6.96']]])&lt;=1">acufap: element hl7:component[hl7:observation[hl7:code[@code='271650006' and @codeSystem='2.16.840.1.113883.6.96']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:code
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:code"
         id="tmp-7d80d39b-5170-48b9-949d-89ca0bf8ab13">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or (@code='75367002' and @codeSystem='2.16.840.1.113883.6.96')">acufap: De waarde van @code/@codeSystem MOET '75367002' codeSystem '2.16.840.1.113883.6.96' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='271649006' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='271649006' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-d8668cad-f49d-4b53-8c7c-e35906a64c6f">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@typeCode='COMP' ">acufap: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='271649006' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='271649006' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-836b269e-bb12-479a-af21-1ade2b4a2672">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@typeCode='COMP' ">acufap: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='271649006' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufap
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='271649006' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='271649006' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation"
         id="tmp-a5071976-05cf-4d2b-8ed0-2eb3cfaa8c27">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@classCode='OBS' ">acufap: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@moodCode='EVN' ">acufap: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufap: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:code)&lt;=1">acufap: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:value)&gt;=1 ">acufap: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:value)&lt;=1">acufap: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='271649006' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='271649006' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code"
         id="tmp-cd0ffab2-9455-401a-87bf-dc059567a3af">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or (@code='271649006' and @codeSystem='2.16.840.1.113883.6.96')">acufap: De waarde van @code/@codeSystem MOET '271649006' codeSystem '2.16.840.1.113883.6.96' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='271649006' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='271649006' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value"
         id="tmp-a9673789-8ff9-4eab-8883-0bdfd664f1fa">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='PQ' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PQ" bevatten</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="(@nullFlavor or (@unit='mm[Hg]' and number($theValue)&gt;=0))">acufap: value MOET eenheid 'mm[Hg]' gebruiken en in bereik [0..] liggen  </assert>
      <let name="digitok"
           value="matches($theValue, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="$digitok">acufap: @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-ucum.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">acufap: value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='271650006' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='271650006' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-31896e4e-854c-4cd2-b89f-50590c418cf1">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@typeCode='COMP' ">acufap: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='271650006' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='271650006' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-4d1e2538-2e61-4114-bcfc-4a5c1ea563cc">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@typeCode='COMP' ">acufap: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='271650006' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufap
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='271650006' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='271650006' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation"
         id="tmp-aeada5c0-ae90-4296-9f86-a2b4ac3a5fab">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@classCode='OBS' ">acufap: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@moodCode='EVN' ">acufap: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufap: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:code)&lt;=1">acufap: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:value)&gt;=1 ">acufap: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:value)&lt;=1">acufap: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='271650006' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='271650006' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code"
         id="tmp-fc00a534-2a76-4154-9ec2-79b93266352b">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or (@code='271650006' and @codeSystem='2.16.840.1.113883.6.96')">acufap: De waarde van @code/@codeSystem MOET '271650006' codeSystem '2.16.840.1.113883.6.96' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='271650006' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='271650006' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value"
         id="tmp-860272ae-ac10-4b84-981c-a2c3466744f6">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='PQ' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PQ" bevatten</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="(@nullFlavor or (@unit='mm[Hg]' and number($theValue)&gt;=0))">acufap: value MOET eenheid 'mm[Hg]' gebruiken en in bereik [0..] liggen  </assert>
      <let name="digitok"
           value="matches($theValue, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="$digitok">acufap: @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-ucum.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">acufap: value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='883-9' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: acufap
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='883-9' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-1499efa9-8d9b-4e18-bb8b-8b8ff6d4d8e1">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@typeCode='PERT' ">acufap: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@contextConductionInd='true' ">acufap: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='883-9' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='883-9' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-447f1e88-4d3b-4b50-bcad-d153c3b264c4">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@typeCode='PERT' ">acufap: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@contextConductionInd='true' ">acufap: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='883-9' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: acufap
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='883-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='883-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation"
         id="tmp-bd4a55c5-750f-4674-9413-d0438bd69344">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@classCode='OBS' ">acufap: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@moodCode='EVN' ">acufap: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufap: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:code)&lt;=1">acufap: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:value)&gt;=1 ">acufap: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:value)&lt;=1">acufap: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='883-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='883-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code"
         id="tmp-fa779f07-5db1-4b6d-9557-b487395f3878">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or (@code='883-9' and @codeSystem='2.16.840.1.113883.6.1')">acufap: De waarde van @code/@codeSystem MOET '883-9' codeSystem '2.16.840.1.113883.6.1' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='883-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='883-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value"
         id="tmp-5433fae9-52af-44bc-87ab-05522add08ea">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-AB0BloodGroup-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-AB0BloodGroup-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">acufap: De waarde van @code MOET worden gekozen uit Value Set AB0BloodGroup AB0 blood group DYNAMIC.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufap
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-44e1eb37-cb68-4e82-8ff5-f45c55160667">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@typeCode='PERT' ">acufap: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@contextConductionInd='true' ">acufap: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-020d1b97-96f1-489f-a235-b04a8c0cab80">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@typeCode='PERT' ">acufap: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@contextConductionInd='true' ">acufap: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufap
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation"
         id="tmp-c8ac6491-150b-47bc-86a8-6c9114510d1a">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@classCode='OBS' ">acufap: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@moodCode='EVN' ">acufap: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufap: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:code)&lt;=1">acufap: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:value)&gt;=1 ">acufap: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:value)&lt;=1">acufap: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code"
         id="tmp-98172816-3d2a-497b-94a9-0cc683767fe2">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or (@code='115758001' and @codeSystem='2.16.840.1.113883.6.96')">acufap: De waarde van @code/@codeSystem MOET '115758001' codeSystem '2.16.840.1.113883.6.96' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value"
         id="tmp-962c9697-d10f-4660-b9cd-0e64a36acbb1">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-RhesusDBloodGroup-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-RhesusDBloodGroup-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">acufap: De waarde van @code MOET worden gekozen uit Value Set RhesusDBloodGroup Rhesus D Blood Group DYNAMIC.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='312457003' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufap
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='312457003' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-f01cfa7d-713c-4a66-aee7-e3e3ce82b71d">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@typeCode='PERT' ">acufap: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@contextConductionInd='true' ">acufap: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='312457003' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='312457003' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-e281de21-2d8c-4e17-96f8-18b61fc91af3">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@typeCode='PERT' ">acufap: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@contextConductionInd='true' ">acufap: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='312457003' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufap
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='312457003' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='312457003' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation"
         id="tmp-20c1f669-f919-43ab-a633-a2b5f7ae86cc">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@classCode='OBS' ">acufap: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@moodCode='EVN' ">acufap: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="string-length(@negationInd)&gt;0">acufap: attribute @negationInd MOET aanwezig zijn.</assert>
      <assert role="error" test="@negationInd='true' or hl7:value">acufap: Indien er irregulaire antistoffen aanwezig zijn moet value een waarde bevatten of moet @nullFlavor="NA" bevatten</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufap: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:code)&lt;=1">acufap: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:value)&lt;=1">acufap: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='312457003' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='312457003' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code"
         id="tmp-59d4fbf3-c698-4b86-bd92-343b3f7e5777">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or (@code='312457003' and @codeSystem='2.16.840.1.113883.6.96')">acufap: De waarde van @code/@codeSystem MOET '312457003' codeSystem '2.16.840.1.113883.6.96' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='312457003' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='312457003' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value"
         id="tmp-5ec4edf1-7d59-4d25-abc6-49f3a32c75fc">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-BloodGroupAntibodies-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-BloodGroupAntibodies-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">acufap: De waarde van @code MOET worden gekozen uit Value Set BloodGroupAntibodies Blood Group Antibodies DYNAMIC.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='59260-0' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: acufap
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='59260-0' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-8904f8d9-e657-4ef4-b041-9c5bd4f7e496">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@typeCode='PERT' ">acufap: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@contextConductionInd='true' ">acufap: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='59260-0' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='59260-0' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-bf5574f8-903f-4764-b7e7-bccdf552e97e">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@typeCode='PERT' ">acufap: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@contextConductionInd='true' ">acufap: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='59260-0' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: acufap
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='59260-0' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='59260-0' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation"
         id="tmp-720db2cd-b718-4d2f-ac57-3724072d1472">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@classCode='OBS' ">acufap: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@moodCode='EVN' ">acufap: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufap: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:code)&lt;=1">acufap: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:effectiveTime)&lt;=1">acufap: element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:value)&gt;=1 ">acufap: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:value)&lt;=1">acufap: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='59260-0' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='59260-0' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code"
         id="tmp-47799352-8c8e-4372-8a0c-47a37eba7140">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or (@code='59260-0' and @codeSystem='2.16.840.1.113883.6.1')">acufap: De waarde van @code/@codeSystem MOET '59260-0' codeSystem '2.16.840.1.113883.6.1' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='59260-0' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:effectiveTime
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='59260-0' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:effectiveTime"
         id="tmp-0d7e9e61-4ad6-492e-8e83-e9e059c8a7be">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='59260-0' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='59260-0' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value"
         id="tmp-286e96f9-03ab-44ab-a6c8-e74e33c87f96">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='PQ' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PQ" bevatten</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="(@nullFlavor or (@unit='mmol/L' and (matches($theValue, '^[-+]?[0-9]*\.[0-9]{1,1}$'))))">acufap: value MOET eenheid 'mmol/L' gebruiken en exact op 1 decimalen nauwkeurig zijn </assert>
      <let name="digitok"
           value="matches($theValue, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="$digitok">acufap: @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-ucum.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">acufap: value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufap
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-7d81791d-49c6-4540-9b3b-c6463b76493e">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@typeCode='PERT' ">acufap: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@contextConductionInd='true' ">acufap: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-f834ff47-ad6e-40e9-b7f0-7796cd89ed0a">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@typeCode='PERT' ">acufap: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@contextConductionInd='true' ">acufap: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufap
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation"
         id="tmp-620ce965-0b6c-4f73-b79c-02f91d19d917">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@classCode='OBS' ">acufap: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@moodCode='EVN' ">acufap: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufap: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:code)&lt;=1">acufap: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:effectiveTime)&lt;=1">acufap: element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:value)&gt;=1 ">acufap: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:value)&lt;=1">acufap: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code"
         id="tmp-b285b0b4-e6d0-441b-a543-c23848f1b32c">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or (@code='115758001' and @codeSystem='2.16.840.1.113883.6.96')">acufap: De waarde van @code/@codeSystem MOET '115758001' codeSystem '2.16.840.1.113883.6.96' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:effectiveTime
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:effectiveTime"
         id="tmp-ac9cac92-18aa-4613-83cf-46dde2594cc0">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value"
         id="tmp-9c5097fa-685b-46f7-84f8-a0b42c17f679">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-RhesusCFactor-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-RhesusCFactor-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">acufap: De waarde van @code MOET worden gekozen uit Value Set RhesusCFactor Rhesus C Factor DYNAMIC.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='165806002' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufap
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='165806002' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-1b248bed-cb23-41a5-994d-e164ca9a4d34">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@typeCode='PERT' ">acufap: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@contextConductionInd='true' ">acufap: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='165806002' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='165806002' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-c1ae3124-a772-4478-8444-f7da56cb0229">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@typeCode='PERT' ">acufap: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@contextConductionInd='true' ">acufap: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='165806002' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufap
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='165806002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='165806002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation"
         id="tmp-008a2587-a65f-4ce6-b164-975e804ea3b8">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@classCode='OBS' ">acufap: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@moodCode='EVN' ">acufap: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufap: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:code)&lt;=1">acufap: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:value)&gt;=1 ">acufap: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:value)&lt;=1">acufap: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='165806002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='165806002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code"
         id="tmp-9675cbcf-8bf3-4557-90ff-8ef78cfa7bf0">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or (@code='165806002' and @codeSystem='2.16.840.1.113883.6.96')">acufap: De waarde van @code/@codeSystem MOET '165806002' codeSystem '2.16.840.1.113883.6.96' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='165806002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='165806002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value"
         id="tmp-a4db2a4a-3d08-4f2b-b9a8-23831233e6f2">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='BL' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufap
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-c7d4bd13-5acf-4320-8042-16cb74a37405">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@typeCode='PERT' ">acufap: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@contextConductionInd='true' ">acufap: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-de37a884-4835-4609-bfc0-8f01349500e5">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@typeCode='PERT' ">acufap: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@contextConductionInd='true' ">acufap: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufap
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer"
         id="tmp-107d591c-6b06-44bc-b738-343c3f06e265">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@classCode='CONTAINER' ">acufap: De waarde van @classCode MOET 'CONTAINER' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@moodCode='EVN' ">acufap: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufap: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:code)&lt;=1">acufap: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='X_PREGNBR' and @codeSystem='2.16.840.1.113883.6.1']]])&lt;=1">acufap: element hl7:component[hl7:observation[hl7:code[@code='X_PREGNBR' and @codeSystem='2.16.840.1.113883.6.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">acufap: element hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">acufap: element hl7:component[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='366323009' and @codeSystem='2.16.840.1.113883.6.96']]])&lt;=1">acufap: element hl7:component[hl7:observation[hl7:code[@code='366323009' and @codeSystem='2.16.840.1.113883.6.96']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='PRN520301' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]])&lt;=1">acufap: element hl7:component[hl7:observation[hl7:code[@code='PRN520301' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]])&lt;=1">acufap: element hl7:component[hl7:observation[hl7:code[@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:component[hl7:procedure[hl7:code[@code = 'Baring']]])&lt;=1">acufap: element hl7:component[hl7:procedure[hl7:code[@code = 'Baring']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:code
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:code"
         id="tmp-9bec5766-4a07-4172-bc06-f29568b6b040">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or (@code='248983002' and @codeSystem='2.16.840.1.113883.6.96')">acufap: De waarde van @code/@codeSystem MOET '248983002' codeSystem '2.16.840.1.113883.6.96' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='X_PREGNBR' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='X_PREGNBR' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-d4d58a66-5bde-422c-b4e4-8eed230517b4">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@typeCode='COMP' ">acufap: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='X_PREGNBR' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='X_PREGNBR' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-4a960e6f-8c38-45af-98a7-fb0dc4fa5938">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@typeCode='COMP' ">acufap: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='X_PREGNBR' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: acufap
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='X_PREGNBR' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='X_PREGNBR' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation"
         id="tmp-36f35ad6-fb11-433e-816e-5dc11e963f10">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@classCode='OBS' ">acufap: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@moodCode='EVN' ">acufap: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufap: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:code)&lt;=1">acufap: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:value)&gt;=1 ">acufap: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:value)&lt;=1">acufap: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='X_PREGNBR' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='X_PREGNBR' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code"
         id="tmp-fe190137-3446-459f-ad9d-2638108c4098">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or (@code='X_PREGNBR' and @codeSystem='2.16.840.1.113883.6.1')">acufap: De waarde van @code/@codeSystem MOET 'X_PREGNBR' codeSystem '2.16.840.1.113883.6.1' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='X_PREGNBR' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='X_PREGNBR' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value"
         id="tmp-27f6e250-f217-4005-bc48-5e46249d9125">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='INT' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT" bevatten</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <let name="digitok" value="matches($theValue, '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="$digitok">acufap: @value is not a valid INT number <value-of select="$theValue"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-2e0831f3-4d91-439a-9e83-6a5c8fbe31da">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@typeCode='COMP' ">acufap: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-2918797a-08c5-4a07-b388-f40451b852e4">
      <extends rule="tmp-7feb372b-ec2a-4292-9afb-a3c4213521b9"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@typeCode='COMP' ">acufap: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufap
-->
<rule id="tmp-7feb372b-ec2a-4292-9afb-a3c4213521b9" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:act)&lt;=1">acufap: element hl7:act komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act"
         id="tmp-1c73be62-d797-4fb8-9835-0eac1722e803">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@classCode='LIST' ">acufap: De waarde van @classCode MOET 'LIST' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@moodCode='EVN' ">acufap: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufap: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:code)&lt;=1">acufap: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:inboundRelationship)&gt;=1 and not(hl7:inboundRelationship/@nullFlavor)">acufap: element hl7:inboundRelationship is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:inboundRelationship)&lt;=1">acufap: element hl7:inboundRelationship komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:code
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:code"
         id="tmp-fe3ee55a-ea52-4231-b45c-6396a3dae655">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or (@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')">acufap: De waarde van @code/@codeSystem MOET 'VERLIND' codeSystem '2.16.840.1.113883.2.4.4.13' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship"
         id="tmp-b318c1f0-2d84-4dc7-94a4-7cabcf9f447f">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@typeCode='COMP' ">acufap: De waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">acufap: element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:observation)&lt;=1">acufap: element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation"
         id="tmp-a02250e3-0f12-452d-b599-f109bcf6a04b">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@classCode='OBS' ">acufap: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@moodCode='EVN' ">acufap: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufap: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:code)&lt;=1">acufap: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:value)&gt;=1 ">acufap: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:value)&lt;=1">acufap: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:code
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:code"
         id="tmp-77370ab9-1c6e-43bc-8d8e-b369a82f44cc">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or (@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')">acufap: De waarde van @code/@codeSystem MOET 'VERLIND' codeSystem '2.16.840.1.113883.2.4.4.13' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:value
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:value"
         id="tmp-a0b71616-a6cf-4276-a40b-b4dfa46b48f4">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='BL' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              test="@nullFlavor or @value='false' or count(../hl7:inboundRelationship)&gt;0">acufap:  Als er sprake van ziekten en bijzonderheden is dan moet een lijst soort ziekten
                                als inboundRelationship component worden meegegeven</assert>
      <assert role="error" test="@value='true' or count(../hl7:inboundRelationship)=0">acufap:  Als er geen sprake van ziekten en bijzonderheden is dan mag er geen lijst soort ziekten als inboundRelationship
                                component worden meegegeven</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship"
         id="tmp-570ee1a0-6d6f-4675-8e0c-00e3886ee862">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@typeCode='COMP' ">acufap: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship
Item: acufap
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship/hl7:observation
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship/hl7:observation"
         id="tmp-5f98ad65-116c-465a-9d6d-fd961aad7618">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@classCode='OBS' ">acufap: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@moodCode='EVN' ">acufap: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:id)&lt;=1">acufap: element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufap: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:code)&lt;=1">acufap: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:uncertaintyCode)&lt;=1">acufap: element hl7:uncertaintyCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:value)&gt;=1 ">acufap: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:value)&lt;=1">acufap: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship/hl7:observation/hl7:id
Item: acufap
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship/hl7:observation/hl7:code
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship/hl7:observation/hl7:code"
         id="tmp-bebe8701-bb1b-4869-91e8-336e9ab1d992">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or (@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')">acufap: De waarde van @code/@codeSystem MOET 'VERLIND' codeSystem '2.16.840.1.113883.2.4.4.13' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship/hl7:observation/hl7:uncertaintyCode
Item: acufap
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship/hl7:observation/hl7:value
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship/hl7:observation/hl7:value"
         id="tmp-2e5a1610-5978-411d-8a44-bf543ccd952f">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-VILLijst10002000-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-VILLijst10002000-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">acufap: De waarde van @code MOET worden gekozen uit Value Set VILLijst10002000 DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-001298fd-ace6-4e1b-8d3c-e91cfce0935d">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@typeCode='COMP' ">acufap: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-ad521889-5e60-4674-8f8c-80c35ceac473">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@typeCode='COMP' ">acufap: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufap
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation"
         id="tmp-1d94ed07-77ac-42e1-b2d5-516ffebb76c3">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@classCode='OBS' ">acufap: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@moodCode='EVN' ">acufap: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:code)&gt;=1 ">acufap: element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:code)&lt;=1">acufap: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:effectiveTime)&lt;=1">acufap: element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:value)&gt;=1 ">acufap: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:value)&lt;=1">acufap: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code"
         id="tmp-ecebd2d4-472b-4945-9eef-230df1c6c0b7">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or (@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13')">acufap: De waarde van @code/@codeSystem MOET 'TypeDeliv' codeSystem '2.16.840.1.113883.2.4.4.13' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:effectiveTime
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:effectiveTime"
         id="tmp-4df806ea-4ffe-4764-a542-a2c55dafc9d1">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value"
         id="tmp-030adddc-5e04-41ee-ac9f-5bcb6b6252bf">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-TypeBevalling-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-TypeBevalling-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">acufap: De waarde van @code MOET worden gekozen uit Value Set TypeBevalling DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='366323009' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='366323009' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-2b0e21e0-0d0d-40a5-90e5-878de1a157af">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@typeCode='COMP' ">acufap: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='366323009' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='366323009' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-8faa6119-c488-4037-8c1a-c07bc5788b68">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@typeCode='COMP' ">acufap: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='366323009' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufap
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='366323009' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='366323009' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation"
         id="tmp-3516f7b6-5656-4a4a-88d9-e3e5c115b4d6">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@classCode='OBS' ">acufap: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@moodCode='EVN' ">acufap: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufap: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:code)&lt;=1">acufap: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:value)&gt;=1 ">acufap: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:value)&lt;=1">acufap: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='366323009' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='366323009' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code"
         id="tmp-0262392b-febb-45b1-8970-7ba793ee3663">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or (@code='366323009' and @codeSystem='2.16.840.1.113883.6.96')">acufap: De waarde van @code/@codeSystem MOET '366323009' codeSystem '2.16.840.1.113883.6.96' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='366323009' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='366323009' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value"
         id="tmp-38e702a8-b509-4c8e-a034-1dbfb2f91cb8">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='PQ' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PQ" bevatten</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="(@nullFlavor or (@unit='d' and number($theValue)&gt;=0))">acufap: value MOET eenheid 'd' gebruiken en in bereik [0..] liggen  </assert>
      <let name="digitok"
           value="matches($theValue, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="$digitok">acufap: @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-ucum.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">acufap: value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='PRN520301' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='PRN520301' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]"
         id="tmp-b40f14ec-59f4-489a-8882-82f1a63a6a86">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@typeCode='COMP' ">acufap: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='PRN520301' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='PRN520301' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]"
         id="tmp-48afbeae-fc3f-4d6e-bf2b-c2a49e3846cf">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@typeCode='COMP' ">acufap: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='PRN520301' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]
Item: acufap
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='PRN520301' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='PRN520301' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation"
         id="tmp-71b692d7-f720-4e3f-bce6-0c247cf8f948">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@classCode='OBS' ">acufap: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@moodCode='EVN' ">acufap: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufap: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:code)&lt;=1">acufap: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:effectiveTime)&gt;=1 ">acufap: element hl7:effectiveTime is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:effectiveTime)&lt;=1">acufap: element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='PRN520301' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:code
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='PRN520301' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:code"
         id="tmp-b7786a97-87e5-4507-9473-bfccb3c2df32">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or (@code='PRN520301' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')">acufap: De waarde van @code/@codeSystem MOET 'PRN520301' codeSystem '2.16.840.1.113883.2.4.3.22.1.1' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='PRN520301' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:effectiveTime
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='PRN520301' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:effectiveTime"
         id="tmp-b4f6f817-c87f-4317-998b-a99dc78ef045">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS.DATE.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]"
         id="tmp-e8b54bcf-a301-4bee-8dae-8cfb22318632">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@typeCode='COMP' ">acufap: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]"
         id="tmp-6d73112a-89a1-42b4-9204-8dd08488e068">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@typeCode='COMP' ">acufap: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]
Item: acufap
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation"
         id="tmp-d10dca2a-844d-497d-b194-9efa75022378">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@classCode='OBS' ">acufap: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@moodCode='EVN' ">acufap: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufap: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:code)&lt;=1">acufap: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:value)&gt;=1 ">acufap: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:value)&lt;=1">acufap: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:code
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:code"
         id="tmp-4d44791f-3445-4acd-a6fd-c4056a8e1d3e">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or (@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')">acufap: De waarde van @code/@codeSystem MOET 'PRN530401' codeSystem '2.16.840.1.113883.2.4.3.22.1.1' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:value
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:value"
         id="tmp-5077c8e7-ba6f-4d99-a3bc-c49a57127961">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS.DATE.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:procedure[hl7:code[@code = 'Baring']]]
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:procedure[hl7:code[@code = 'Baring']]]"
         id="tmp-48e55b37-7397-465d-92a4-028f4de9f6f4">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@typeCode='COMP' ">acufap: De waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:procedure)&lt;=1">acufap: element hl7:procedure komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:procedure[hl7:code[@code = 'Baring']]]/hl7:procedure
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:procedure[hl7:code[@code = 'Baring']]]/hl7:procedure"
         id="tmp-0f6efb7c-4cdd-46f3-bd80-a715f13e0ed4">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@classCode='PROC' ">acufap: De waarde van @classCode MOET 'PROC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@moodCode='EVN' ">acufap: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:id)&gt;=1 ">acufap: element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:id)&lt;=1">acufap: element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufap: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:code)&lt;=1">acufap: element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:procedure[hl7:code[@code = 'Baring']]]/hl7:procedure/hl7:id
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:procedure[hl7:code[@code = 'Baring']]]/hl7:procedure/hl7:id"
         id="tmp-71ad72c3-1215-4219-9d7b-3ad69e15df8e">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor='NI'">acufap: De waarde van @nullFlavor MOET 'NI' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:procedure[hl7:code[@code = 'Baring']]]/hl7:procedure/hl7:code
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:procedure[hl7:code[@code = 'Baring']]]/hl7:procedure/hl7:code"
         id="tmp-074a8854-dce2-40d6-a613-bf8df01d2fa1">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or (@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')">acufap: De waarde van @code/@codeSystem MOET 'Baring' codeSystem '2.16.840.1.113883.2.4.3.22.1.3' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:procedure[hl7:code[@code = 'Baring']]]/hl7:procedure/hl7:subject
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:procedure[hl7:code[@code = 'Baring']]]/hl7:procedure/hl7:subject"
         id="tmp-ac6e41e2-fd15-4dc2-b747-b3174877018c">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@typeCode='SBJ' ">acufap: De waarde van @typeCode MOET 'SBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:personalRelationship)&gt;=1 and not(hl7:personalRelationship/@nullFlavor)">acufap: element hl7:personalRelationship is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:personalRelationship)&lt;=1">acufap: element hl7:personalRelationship komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:procedure[hl7:code[@code = 'Baring']]]/hl7:procedure/hl7:subject/hl7:personalRelationship
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:procedure[hl7:code[@code = 'Baring']]]/hl7:procedure/hl7:subject/hl7:personalRelationship"
         id="tmp-69a0b3da-2ba0-4216-837a-9c3169e4beea">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@classCode='PRS' ">acufap: De waarde van @classCode MOET 'PRS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufap: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:code)&lt;=1">acufap: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:relationshipHolder)&gt;=1 and not(hl7:relationshipHolder/@nullFlavor)">acufap: element hl7:relationshipHolder is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:relationshipHolder)&lt;=1">acufap: element hl7:relationshipHolder komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:procedure[hl7:code[@code = 'Baring']]]/hl7:procedure/hl7:subject/hl7:personalRelationship/hl7:code
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:procedure[hl7:code[@code = 'Baring']]]/hl7:procedure/hl7:subject/hl7:personalRelationship/hl7:code"
         id="tmp-fc016f23-b0ba-4da0-a9d1-d9b5edd0d42f">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or (@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111')">acufap: De waarde van @code/@codeSystem MOET 'CHILD' codeSystem '2.16.840.1.113883.5.111' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:procedure[hl7:code[@code = 'Baring']]]/hl7:procedure/hl7:subject/hl7:personalRelationship/hl7:relationshipHolder
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:procedure[hl7:code[@code = 'Baring']]]/hl7:procedure/hl7:subject/hl7:personalRelationship/hl7:relationshipHolder"
         id="tmp-d466ba98-4c3f-4bbc-acd3-cdf5dc090dfe">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@classCode='PSN' ">acufap: De waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@determinerCode='INSTANCE' ">acufap: @determinerCode SHALL have value 'INSTANCE' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:procedure[hl7:code[@code = 'Baring']]]/hl7:procedure/hl7:subject/hl7:personalRelationship/hl7:relationshipHolder
Item: acufap
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:procedure[hl7:code[@code = 'Baring']]]/hl7:procedure/hl7:subject/hl7:personalRelationship/hl7:relationshipHolder
Item: acufap
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:procedure[hl7:code[@code = 'Baring']]]/hl7:procedure/hl7:subject/hl7:personalRelationship/hl7:relationshipHolder/hl7:deceasedInd
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:procedure[hl7:code[@code = 'Baring']]]/hl7:procedure/hl7:subject/hl7:personalRelationship/hl7:relationshipHolder/hl7:deceasedInd"
         id="tmp-ba5168fb-d672-43ba-b922-70b2068ddf37">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='BL' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufap
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-400910ac-141d-4ff9-96e0-72f29d38f8d2">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@typeCode='PERT' ">acufap: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@contextConductionInd='true' ">acufap: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-d57cba4a-1cd3-40df-ad43-caa73f6c4506">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@typeCode='PERT' ">acufap: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@contextConductionInd='true' ">acufap: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufap
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation"
         id="tmp-3dfcf5b8-68f2-4c5d-adbb-d3aed769b5da">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@classCode='OBS' ">acufap: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@moodCode='EVN' ">acufap: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufap: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:code)&lt;=1">acufap: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:value)&gt;=1 ">acufap: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:value)&lt;=1">acufap: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code"
         id="tmp-a9f0bf5a-66f1-41a8-a2bb-d86bca2ca7d3">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or (@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13')">acufap: De waarde van @code/@codeSystem MOET 'Gravidity' codeSystem '2.16.840.1.113883.2.4.4.13' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value"
         id="tmp-79aab2c1-f8a2-40dc-a0d5-a3b6f1126f8c">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='INT' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT" bevatten</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="(@nullFlavor or (number($theValue)&gt;=0 and number($theValue)&lt;=75))">acufap: value MOET in bereik [0..75] liggen  </assert>
      <let name="digitok" value="matches($theValue, '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="$digitok">acufap: @value is not a valid INT number <value-of select="$theValue"/>
      </assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufap
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-e96588e5-6f7d-4726-ab07-26215d31fb6a">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@typeCode='PERT' ">acufap: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@contextConductionInd='true' ">acufap: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-c63ea4e6-1448-4f98-bfad-8ed299bb0468">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@typeCode='PERT' ">acufap: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@contextConductionInd='true' ">acufap: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufap
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation"
         id="tmp-f7be3037-5fae-4e66-9611-f9a1ccb2c5b7">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@classCode='OBS' ">acufap: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@moodCode='EVN' ">acufap: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufap: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:code)&lt;=1">acufap: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:effectiveTime)&gt;=1 ">acufap: element hl7:effectiveTime is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:effectiveTime)&lt;=1">acufap: element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">acufap: element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:value)&lt;=1">acufap: element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:inboundRelationship[hl7:observation[hl7:code[@code='EDDBasedOn' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">acufap: element hl7:inboundRelationship[hl7:observation[hl7:code[@code='EDDBasedOn' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:inboundRelationship[hl7:observation[hl7:code[@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&gt;=1 and not(hl7:inboundRelationship[hl7:observation[hl7:code[@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/@nullFlavor)">acufap: element hl7:inboundRelationship[hl7:observation[hl7:code[@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:inboundRelationship[hl7:observation[hl7:code[@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">acufap: element hl7:inboundRelationship[hl7:observation[hl7:code[@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code"
         id="tmp-974cdf4d-d58b-48e9-a8a5-768521e09da6">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or (@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13')">acufap: De waarde van @code/@codeSystem MOET 'EDD' codeSystem '2.16.840.1.113883.2.4.4.13' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:effectiveTime
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:effectiveTime"
         id="tmp-fbe21b35-bf63-4cda-9a8b-2ad44520e0e6">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS.DATE.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value"
         id="tmp-9593e988-20db-475e-b8c9-656884c4d330">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS.DATE.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='EDDBasedOn' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='EDDBasedOn' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-1686b089-1c6f-4066-a56b-d66f03601ebd">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@typeCode='SPRT' ">acufap: De waarde van @typeCode MOET 'SPRT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='EDDBasedOn' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='EDDBasedOn' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-38c6f077-4edf-4e6a-a18a-51ce96d554b7">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@typeCode='SPRT' ">acufap: De waarde van @typeCode MOET 'SPRT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='EDDBasedOn' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufap
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='EDDBasedOn' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='EDDBasedOn' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation"
         id="tmp-30068776-574e-4b4c-8d43-6813203eca2b">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufap: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:code)&lt;=1">acufap: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">acufap: element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:value)&lt;=1">acufap: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='EDDBasedOn' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='EDDBasedOn' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code"
         id="tmp-6e36acd2-a32d-4fc3-9003-55607af48e6e">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or (@code='EDDBasedOn' and @codeSystem='2.16.840.1.113883.2.4.4.13')">acufap: De waarde van @code/@codeSystem MOET 'EDDBasedOn' codeSystem '2.16.840.1.113883.2.4.4.13' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='EDDBasedOn' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='EDDBasedOn' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value"
         id="tmp-239342b8-a2bc-454f-9116-e3c54fd303dd">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-EDDBasis-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-EDDBasis-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">acufap: De waarde van @code MOET worden gekozen uit Value Set EDDBasis DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-f75c69ce-a680-4ca4-9c03-56596c692642">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@typeCode='PERT' ">acufap: De waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-2ef4e664-1f30-4226-ab95-e0a119152079">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@typeCode='PERT' ">acufap: De waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufap
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation"
         id="tmp-c398e394-27f3-456d-bd8d-53520c950af4">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufap: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:code)&lt;=1">acufap: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">acufap: element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:value)&lt;=1">acufap: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code"
         id="tmp-e4434bed-3320-4415-967c-7eb864e53a6d">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or (@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13')">acufap: De waarde van @code/@codeSystem MOET 'ActualEDD' codeSystem '2.16.840.1.113883.2.4.4.13' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value"
         id="tmp-8483a6a4-f9f6-4899-ab2d-322bde0a1468">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='BL' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Parturit' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufap
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Parturit' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-365085f2-0de9-4d6c-b20a-a04ce5f51d20">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@typeCode='PERT' ">acufap: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@contextConductionInd='true' ">acufap: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Parturit' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Parturit' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-a5ef124c-5646-4e67-b062-f8fad380f1d7">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@typeCode='PERT' ">acufap: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@contextConductionInd='true' ">acufap: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Parturit' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: Pariteit
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Parturit' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation
Item: Pariteit
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Parturit' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation"
         id="tmp-be186e56-487c-4021-8354-e3d6a16f753d">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@classCode='OBS' ">Pariteit: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@moodCode='EVN' ">Pariteit: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Pariteit: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:code)&lt;=1">Pariteit: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:value)&gt;=1 ">Pariteit: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:value)&lt;=1">Pariteit: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Parturit' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code
Item: Pariteit
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Parturit' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code"
         id="tmp-2c6ca052-4e5e-42fb-8c3a-f579f9416f65">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">Pariteit: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or (@code='Parturit' and @codeSystem='2.16.840.1.113883.2.4.4.13')">Pariteit: De waarde van @code/@codeSystem MOET 'Parturit' codeSystem '2.16.840.1.113883.2.4.4.13' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Parturit' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value
Item: Pariteit
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Parturit' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value"
         id="tmp-1ef902f0-24e2-4ee6-b73b-2cb5f9110980">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='INT' or not(@xsi:type)">Pariteit: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT" bevatten</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="(@nullFlavor or (number($theValue)&gt;=1 and number($theValue)&lt;=30))">Pariteit: value MOET in bereik [1..30] liggen  </assert>
      <let name="digitok" value="matches($theValue, '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="$digitok">Pariteit: @value is not a valid INT number <value-of select="$theValue"/>
      </assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='224118004' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufap
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='224118004' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-d2637b00-5adf-4de3-8228-f6f1128583cd">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@typeCode='PERT' ">acufap: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@contextConductionInd='true' ">acufap: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='224118004' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='224118004' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-b15dead2-1633-4f7c-8adc-226479ee4592">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@typeCode='PERT' ">acufap: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@contextConductionInd='true' ">acufap: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='224118004' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufap
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='224118004' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='224118004' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation"
         id="tmp-47a4b10f-0a5e-4a6a-a588-255b5104c28f">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@classCode='OBS' ">acufap: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@moodCode='EVN' ">acufap: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufap: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:code)&lt;=1">acufap: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:value)&gt;=1 ">acufap: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="count(hl7:value)&lt;=1">acufap: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='224118004' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='224118004' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code"
         id="tmp-0f079187-7b26-4611-aa57-5eaa1493a6a1">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or (@code='224118004' and @codeSystem='2.16.840.1.113883.6.96')">acufap: De waarde van @code/@codeSystem MOET '224118004' codeSystem '2.16.840.1.113883.6.96' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.60
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='224118004' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value
Item: acufap
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.60']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='224118004' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value"
         id="tmp-f1f536ee-b91d-4948-8b20-ca6e5752884f">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="@nullFlavor or @xsi:type='INT' or not(@xsi:type)">acufap: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT" bevatten</assert>
      <extends rule="INT.NONNEG"/>
      <let name="theValue" value="@value"/>
      <let name="digitok" value="matches($theValue, '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.60.html"
              test="$digitok">acufap: @value is not a valid INT number <value-of select="$theValue"/>
      </assert>
   </rule>
</pattern>