<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.90.62
Description: Template: Overdracht Acute Fase bericht (postpartum)
-->
<pattern xmlns:xs="http://www.w3.org/2001/XMLSchema"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xmlns:hl7="urn:hl7-org:v3"
         xmlns="http://purl.oclc.org/dsdl/schematron"
         xmlns:sch="http://www.ascc.net/xml/schematron"
         xmlns:uuid="java:java.util.UUID"
         id="template-2.16.840.1.113883.2.4.6.10.90.62">
   <title>Overdracht Acute Fase bericht (postpartum)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']
Item: acufpp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']"
         id="tmp-71aa041f-124a-4ec4-b859-fe060cc13d3f">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.62'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.62']/@nullFlavor)">acufpp: element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.62'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.62'])&lt;=1">acufpp: element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.62'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">acufpp: element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:id)&lt;=1">acufpp: element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:statusCode)&lt;=1">acufpp: element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:subject)&gt;=1 ">acufpp: element hl7:subject is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:subject)&lt;=1">acufpp: element hl7:subject komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:performer)&lt;=1">acufpp: element hl7:performer komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:author)&gt;=1 ">acufpp: element hl7:author is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:author)&lt;=1">acufpp: element hl7:author komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:reason[hl7:conditionEvent[hl7:code[(@code='38341003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='45757002' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='44247006' and @codeSystem='2.16.840.1.113883.6.96') or (@code='21522001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='288250001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='289261003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='49333008' and @codeSystem='2.16.840.1.113883.6.96') or (@code='309737007' and @codeSystem='2.16.840.1.113883.6.96') or (@code='87383005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='183695003' and @codeSystem='2.16.840.1.113883.6.96')]]])&gt;=1 and not(hl7:reason[hl7:conditionEvent[hl7:code[(@code='38341003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='45757002' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='44247006' and @codeSystem='2.16.840.1.113883.6.96') or (@code='21522001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='288250001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='289261003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='49333008' and @codeSystem='2.16.840.1.113883.6.96') or (@code='309737007' and @codeSystem='2.16.840.1.113883.6.96') or (@code='87383005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='183695003' and @codeSystem='2.16.840.1.113883.6.96')]]]/@nullFlavor)">acufpp: element hl7:reason[hl7:conditionEvent[hl7:code[(@code='38341003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='45757002' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='44247006' and @codeSystem='2.16.840.1.113883.6.96') or (@code='21522001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='288250001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='289261003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='49333008' and @codeSystem='2.16.840.1.113883.6.96') or (@code='309737007' and @codeSystem='2.16.840.1.113883.6.96') or (@code='87383005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='183695003' and @codeSystem='2.16.840.1.113883.6.96')]]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:reason[hl7:conditionEvent[hl7:code[(@code='38341003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='45757002' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='44247006' and @codeSystem='2.16.840.1.113883.6.96') or (@code='21522001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='288250001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='289261003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='49333008' and @codeSystem='2.16.840.1.113883.6.96') or (@code='309737007' and @codeSystem='2.16.840.1.113883.6.96') or (@code='87383005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='183695003' and @codeSystem='2.16.840.1.113883.6.96')]]])&lt;=1">acufpp: element hl7:reason[hl7:conditionEvent[hl7:code[(@code='38341003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='45757002' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='44247006' and @codeSystem='2.16.840.1.113883.6.96') or (@code='21522001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='288250001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='289261003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='49333008' and @codeSystem='2.16.840.1.113883.6.96') or (@code='309737007' and @codeSystem='2.16.840.1.113883.6.96') or (@code='87383005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='183695003' and @codeSystem='2.16.840.1.113883.6.96')]]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">acufpp: element hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">acufpp: element hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='373663005' and @codeSystem='2.16.840.1.113883.6.96']]])&gt;=1 ">acufpp: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='373663005' and @codeSystem='2.16.840.1.113883.6.96']]] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='373663005' and @codeSystem='2.16.840.1.113883.6.96']]])&lt;=1">acufpp: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='373663005' and @codeSystem='2.16.840.1.113883.6.96']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='106190000' and @codeSystem='2.16.840.1.113883.6.96']]])&gt;=1 ">acufpp: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='106190000' and @codeSystem='2.16.840.1.113883.6.96']]] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='106190000' and @codeSystem='2.16.840.1.113883.6.96']]])&lt;=1">acufpp: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='106190000' and @codeSystem='2.16.840.1.113883.6.96']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]])&gt;=1 ">acufpp: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]])&lt;=1">acufpp: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='NEGSE' and @codeSystem='2.16.840.1.113883.3.799.5.1']]])&lt;=1">acufpp: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='NEGSE' and @codeSystem='2.16.840.1.113883.3.799.5.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='266096002' and @codeSystem='2.16.840.1.113883.6.96']]])&lt;=1">acufpp: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='266096002' and @codeSystem='2.16.840.1.113883.6.96']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='161664006' and @codeSystem='2.16.840.1.113883.6.96']]])&lt;=1">acufpp: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='161664006' and @codeSystem='2.16.840.1.113883.6.96']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='39156-5' and @codeSystem='2.16.840.1.113883.6.1']]])&lt;=1">acufpp: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='39156-5' and @codeSystem='2.16.840.1.113883.6.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]])&lt;=1">acufpp: element hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='883-9' and @codeSystem='2.16.840.1.113883.6.1']]])&lt;=1">acufpp: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='883-9' and @codeSystem='2.16.840.1.113883.6.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]])&lt;=1">acufpp: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='312457003' and @codeSystem='2.16.840.1.113883.6.96']]])&lt;=1">acufpp: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='312457003' and @codeSystem='2.16.840.1.113883.6.96']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='59260-0' and @codeSystem='2.16.840.1.113883.6.1']]])&lt;=1">acufpp: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='59260-0' and @codeSystem='2.16.840.1.113883.6.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]])&lt;=1">acufpp: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='165806002' and @codeSystem='2.16.840.1.113883.6.96']]])&lt;=1">acufpp: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='165806002' and @codeSystem='2.16.840.1.113883.6.96']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]])&lt;=1">acufpp: element hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&gt;=1 ">acufpp: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">acufpp: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">acufpp: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Parturit' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">acufpp: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Parturit' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='224118004' and @codeSystem='2.16.840.1.113883.6.96']]])&lt;=1">acufpp: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='224118004' and @codeSystem='2.16.840.1.113883.6.96']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&gt;=1 and not(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/@nullFlavor)">acufpp: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">acufpp: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN530101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]])&lt;=1">acufpp: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN530101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">acufpp: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='AfterBirthMethod' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">acufpp: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='AfterBirthMethod' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='364343000' and @codeSystem='2.16.840.1.113883.6.96']]])&lt;=1">acufpp: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='364343000' and @codeSystem='2.16.840.1.113883.6.96']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN5703' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]])&lt;=1">acufpp: element hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN5703' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]])&gt;=1 and not(hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/@nullFlavor)">acufpp: element hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]])&lt;=9">acufpp: element hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]] komt te vaak voor [max 9x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.62']
Item: acufpp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.90.62']"
         id="tmp-e59094ba-9fbf-40ba-a6c6-76398f494a8f">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@root='2.16.840.1.113883.2.4.6.10.90.62'">acufpp: @root MOET de waarde '2.16.840.1.113883.2.4.6.10.90.62' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">acufpp: @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']
Item: acufpp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:id
Item: acufpp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:id"
         id="tmp-c82c098e-88a3-4986-8003-82c13009de4b">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:statusCode
Item: acufpp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:statusCode"
         id="tmp-3b79aeae-0e23-40ec-8faf-7ab8fabdd3bd">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or (@code='active')">acufpp: De waarde van @code MOET 'active' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']
Item: acufpp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:subject
Item: acufpp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:subject"
         id="tmp-e7da27c2-c4f0-444e-aa6c-07e934d98a7e">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='SBJ' ">acufpp: De waarde van @typeCode MOET 'SBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:patient)&gt;=1 and not(hl7:patient/@nullFlavor)">acufpp: element hl7:patient is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:patient)&lt;=1">acufpp: element hl7:patient komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:subject/hl7:patient
Item: acufpp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:subject/hl7:patient"
         id="tmp-e925c794-ac2a-4811-899c-8fd1ec15f9c4">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@classCode='PAT' ">acufpp: De waarde van @classCode MOET 'PAT' zijn.</assert>
      <assert role="error" test="count(hl7:id)&gt;0">acufpp: identification mother requires either a BSN or a local id or both</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&gt;=1 ">acufpp: element hl7:id[@root='2.16.840.1.113883.2.4.6.3'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&lt;=1">acufpp: element hl7:id[@root='2.16.840.1.113883.2.4.6.3'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:addr)&gt;=1 and not(hl7:addr/@nullFlavor)">acufpp: element hl7:addr is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)">acufpp: element hl7:statusCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:statusCode)&lt;=1">acufpp: element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:patientPerson)&gt;=1 and not(hl7:patientPerson/@nullFlavor)">acufpp: element hl7:patientPerson is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:patientPerson)&lt;=1">acufpp: element hl7:patientPerson komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:subject/hl7:patient
Item: acufpp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:subject/hl7:patient
Item: acufpp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:subject/hl7:patient/hl7:id[@root='2.16.840.1.113883.2.4.6.3'][@root='2.16.840.1.113883.2.4.6.3']
Item: acufpp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:subject/hl7:patient/hl7:id[@root='2.16.840.1.113883.2.4.6.3'][@root='2.16.840.1.113883.2.4.6.3']"
         id="tmp-a2aa851f-5967-4bce-8fb9-313cdd6f40b7">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II.NL.BSN"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@root='2.16.840.1.113883.2.4.6.3'">acufpp: @root MOET de waarde '2.16.840.1.113883.2.4.6.3' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">acufpp: @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="string-length(@extension)&gt;0">acufpp: attribute @extension MOET aanwezig zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:subject/hl7:patient
Item: acufpp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:subject/hl7:patient/hl7:id
Item: acufpp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:subject/hl7:patient/hl7:id"
         id="tmp-29a884b1-8653-44b5-ae9b-674b1bcde84d">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="string-length(@root)&gt;0">acufpp: attribute @root MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="string-length(@extension)&gt;0">acufpp: attribute @extension MOET aanwezig zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:subject/hl7:patient
Item: acufpp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:subject/hl7:patient/hl7:addr
Item: acufpp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:subject/hl7:patient/hl7:addr"
         id="tmp-bcc02744-f0d4-4f74-ba7f-13b257eff2f8">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @use='HP' or @use='PHYS' or @use='TMP' or @use='HP PHYS' or @use='TMP PHYS' ">acufpp: De waarde van @use MOET één van de volgende codes bevatten: 'HP', 'PHYS', 'TMP', 'HP PHYS', 'TMP PHYS'.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:postalCode)&gt;=1 and not(hl7:postalCode/@nullFlavor)">acufpp: element hl7:postalCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:postalCode)&lt;=1">acufpp: element hl7:postalCode komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:subject/hl7:patient/hl7:addr/hl7:postalCode
Item: acufpp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:subject/hl7:patient/hl7:statusCode
Item: acufpp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:subject/hl7:patient/hl7:statusCode"
         id="tmp-91a27c7c-8462-43f9-b91e-0843c0c086d7">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or (@code='active')">acufpp: De waarde van @code MOET 'active' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:subject/hl7:patient/hl7:patientPerson
Item: acufpp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:subject/hl7:patient/hl7:patientPerson"
         id="tmp-6c322157-3644-4012-94ff-5ccbda2e227a">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@classCode='PSN' ">acufpp: De waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@determinerCode='INSTANCE' ">acufpp: @determinerCode SHALL have value 'INSTANCE' STATIC </assert>
      <assert role="error" test="hl7:deceasedInd/@value='false' or hl7:deceasedTime">acufpp: Datum maternale sterfte: if deceasedInd=true an element deceasedTime shall be present</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:name)&gt;=1 ">acufpp: element hl7:name is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:name)&lt;=2">acufpp: element hl7:name komt te vaak voor [max 2x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:birthTime)&gt;=1 and not(hl7:birthTime/@nullFlavor)">acufpp: element hl7:birthTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:birthTime)&lt;=1">acufpp: element hl7:birthTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:languageCommunication)&lt;=1">acufpp: element hl7:languageCommunication komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:deceasedInd)&gt;=1 and not(hl7:deceasedInd/@nullFlavor)">acufpp: element hl7:deceasedInd is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:deceasedInd)&lt;=1">acufpp: element hl7:deceasedInd komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:deceasedTime)&lt;=1">acufpp: element hl7:deceasedTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:ethnicGroupCode)&gt;=1 ">acufpp: element hl7:ethnicGroupCode is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:ethnicGroupCode)&lt;=1">acufpp: element hl7:ethnicGroupCode komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:subject/hl7:patient/hl7:patientPerson
Item: acufpp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:subject/hl7:patient/hl7:patientPerson/hl7:name
Item: acufpp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:subject/hl7:patient/hl7:patientPerson/hl7:name"
         id="tmp-a67fdf41-e8c9-43f9-9a3a-4a04c241866c">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='PN' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PN" bevatten</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @use='OR' or @use='L' ">acufpp: De waarde van @use MOET één van de volgende codes bevatten: 'OR', 'L'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:subject/hl7:patient/hl7:patientPerson
Item: acufpp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:subject/hl7:patient/hl7:patientPerson/hl7:birthTime
Item: acufpp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:subject/hl7:patient/hl7:patientPerson/hl7:birthTime"
         id="tmp-cfc4443a-272c-438e-b046-2afd5f297ac2">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:subject/hl7:patient/hl7:patientPerson
Item: acufpp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:subject/hl7:patient/hl7:patientPerson
Item: acufpp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:subject/hl7:patient/hl7:patientPerson/hl7:languageCommunication
Item: acufpp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:subject/hl7:patient/hl7:patientPerson/hl7:languageCommunication"
         id="tmp-8f483278-3c8c-4ade-b1ec-11704487a453">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:languageCommunication)&gt;=1 and not(hl7:languageCommunication/@nullFlavor)">acufpp: element hl7:languageCommunication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:languageCommunication)&lt;=1">acufpp: element hl7:languageCommunication komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:proficiencyLevelCode)&gt;=1 and not(hl7:proficiencyLevelCode/@nullFlavor)">acufpp: element hl7:proficiencyLevelCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:proficiencyLevelCode)&lt;=1">acufpp: element hl7:proficiencyLevelCode komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:subject/hl7:patient/hl7:patientPerson/hl7:languageCommunication/hl7:languageCommunication
Item: acufpp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:subject/hl7:patient/hl7:patientPerson/hl7:languageCommunication/hl7:languageCommunication"
         id="tmp-5f039537-6ad6-4ac7-8179-08a6031fd669">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or (@code='nl-NL' and @codeSystem='2.16.840.1.113883.6.121')">acufpp: De waarde van @code/@codeSystem MOET 'nl-NL' codeSystem '2.16.840.1.113883.6.121' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:subject/hl7:patient/hl7:patientPerson/hl7:languageCommunication/hl7:proficiencyLevelCode
Item: acufpp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:subject/hl7:patient/hl7:patientPerson/hl7:languageCommunication/hl7:proficiencyLevelCode"
         id="tmp-b5ba8dec-f0bf-4591-be6f-47a3438b902e">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-LanguageAbilityProficiency-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-LanguageAbilityProficiency-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">acufpp: De waarde van @code MOET worden gekozen uit Value Set LanguageAbilityProficiency Language Ability Proficiency DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:subject/hl7:patient/hl7:patientPerson
Item: acufpp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:subject/hl7:patient/hl7:patientPerson/hl7:deceasedInd
Item: acufpp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:subject/hl7:patient/hl7:patientPerson/hl7:deceasedInd"
         id="tmp-a9a5210d-0a6a-4eda-97c0-c5a8650ff726">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='BL' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:subject/hl7:patient/hl7:patientPerson
Item: acufpp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:subject/hl7:patient/hl7:patientPerson
Item: acufpp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:subject/hl7:patient/hl7:patientPerson/hl7:deceasedTime
Item: acufpp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:subject/hl7:patient/hl7:patientPerson/hl7:deceasedTime"
         id="tmp-4591c233-f469-47a4-aa21-cdac12280f27">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:subject/hl7:patient/hl7:patientPerson
Item: acufpp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:subject/hl7:patient/hl7:patientPerson/hl7:ethnicGroupCode
Item: acufpp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:subject/hl7:patient/hl7:patientPerson/hl7:ethnicGroupCode"
         id="tmp-3f0104f7-a849-4102-859a-d898000959ef">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-EthnicGroup-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-EthnicGroup-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">acufpp: De waarde van @code MOET worden gekozen uit Value Set EthnicGroup DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']
Item: acufpp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:performer
Item: acufpp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:performer"
         id="tmp-b7875858-91b3-4ddb-ae46-5e4a6b882f52">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='PRF' ">acufpp: De waarde van @typeCode MOET 'PRF' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:responsibleParty)&gt;=1 and not(hl7:responsibleParty/@nullFlavor)">acufpp: element hl7:responsibleParty is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:responsibleParty)&lt;=1">acufpp: element hl7:responsibleParty komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:performer/hl7:responsibleParty
Item: acufpp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:performer/hl7:responsibleParty"
         id="tmp-7ea1e089-91dc-4896-b452-e0e3c1b7da78">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@classCode='ASSIGNED' ">acufpp: De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufpp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&lt;=1">acufpp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:agentPerson)&gt;=1 and not(hl7:agentPerson/@nullFlavor)">acufpp: element hl7:agentPerson is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:agentPerson)&lt;=1">acufpp: element hl7:agentPerson komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:performer/hl7:responsibleParty/hl7:code
Item: acufpp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:performer/hl7:responsibleParty/hl7:code"
         id="tmp-87c64501-97cb-4c9c-9e59-6f57a8fbb014">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.13.37')">acufpp: De waarde van @code/@codeSystem MOET '2' codeSystem '2.16.840.1.113883.2.4.4.13.37' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:performer/hl7:responsibleParty/hl7:agentPerson
Item: acufpp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:performer/hl7:responsibleParty/hl7:agentPerson"
         id="tmp-23d562fd-33ff-41ae-9a4a-b238c15d188c">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@classCode='PSN' ">acufpp: De waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@determinerCode='INSTANCE' ">acufpp: @determinerCode SHALL have value 'INSTANCE' STATIC </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">acufpp: element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:name)&lt;=1">acufpp: element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:performer/hl7:responsibleParty/hl7:agentPerson/hl7:name
Item: acufpp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:performer/hl7:responsibleParty/hl7:agentPerson/hl7:name"
         id="tmp-c9a28878-2213-41dd-8886-a822b287fff6">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='PN' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PN" bevatten</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']
Item: acufpp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']
Item: acufpp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:author
Item: acufpp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:author"
         id="tmp-0efe3ae0-ce67-45cf-8b27-f7a69b727fd3">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='AUT' ">acufpp: De waarde van @typeCode MOET 'AUT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:time)&gt;=1 and not(hl7:time/@nullFlavor)">acufpp: element hl7:time is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:time)&lt;=1">acufpp: element hl7:time komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:modeCode)&gt;=1 ">acufpp: element hl7:modeCode is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:modeCode)&lt;=1">acufpp: element hl7:modeCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:signatureCode)&gt;=1 ">acufpp: element hl7:signatureCode is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:signatureCode)&lt;=1">acufpp: element hl7:signatureCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:responsibleParty)&gt;=1 and not(hl7:responsibleParty/@nullFlavor)">acufpp: element hl7:responsibleParty is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:responsibleParty)&lt;=1">acufpp: element hl7:responsibleParty komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:author/hl7:time
Item: acufpp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:author/hl7:time"
         id="tmp-a53cf0df-657c-436e-9929-b3032ab6ddb9">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:author/hl7:modeCode
Item: acufpp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:author/hl7:modeCode"
         id="tmp-a8ddefc4-1d07-4a72-9396-d16c642a5748">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="string-length(@nullFlavor)&gt;0">acufpp: attribute @nullFlavor MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="(@code='NA')">acufpp: De waarde van nullFlavor MOET 'NA' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:author/hl7:signatureCode
Item: acufpp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:author/hl7:signatureCode"
         id="tmp-1a642ca1-4db5-4c81-890d-68c247d2d429">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="string-length(@nullFlavor)&gt;0">acufpp: attribute @nullFlavor MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="(@code='NA')">acufpp: De waarde van nullFlavor MOET 'NA' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:author/hl7:responsibleParty
Item: acufpp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:author/hl7:responsibleParty"
         id="tmp-822fc49e-834d-481e-b34f-0208485ee506">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@classCode='ASSIGNED' ">acufpp: De waarde van @classCode MOET 'ASSIGNED' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">acufpp: element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:id)&lt;=1">acufpp: element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufpp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&lt;=1">acufpp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:telecom)&gt;=1 and not(hl7:telecom/@nullFlavor)">acufpp: element hl7:telecom is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:telecom)&lt;=1">acufpp: element hl7:telecom komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:agentPerson)&gt;=1 and not(hl7:agentPerson/@nullFlavor)">acufpp: element hl7:agentPerson is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:agentPerson)&lt;=1">acufpp: element hl7:agentPerson komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:representedOrganization)&gt;=1 and not(hl7:representedOrganization/@nullFlavor)">acufpp: element hl7:representedOrganization is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:representedOrganization)&lt;=1">acufpp: element hl7:representedOrganization komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:author/hl7:responsibleParty/hl7:id
Item: acufpp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:author/hl7:responsibleParty/hl7:id"
         id="tmp-e579d6e5-3da5-458d-abe3-f61e427bd4e5">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:author/hl7:responsibleParty/hl7:code
Item: acufpp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:author/hl7:responsibleParty/hl7:code"
         id="tmp-00dfbafb-15bb-4225-b43d-e713e4bfd40a">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ZorgverlenerType-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ZorgverlenerType-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">acufpp: De waarde van @code MOET worden gekozen uit Value Set ZorgverlenerType DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:author/hl7:responsibleParty/hl7:telecom
Item: acufpp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:author/hl7:responsibleParty/hl7:telecom"
         id="tmp-4a4e9bf0-6b8d-4877-8822-8c4d7c3acfd1">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TEL" bevatten</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:author/hl7:responsibleParty/hl7:agentPerson
Item: acufpp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:author/hl7:responsibleParty/hl7:agentPerson"
         id="tmp-e061b9d2-c934-45ef-8a74-b89c9e831fbc">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">acufpp: element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:name)&lt;=1">acufpp: element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:author/hl7:responsibleParty/hl7:agentPerson/hl7:name
Item: acufpp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:author/hl7:responsibleParty/hl7:agentPerson/hl7:name"
         id="tmp-5a960dee-4c16-4b45-a60f-686d12e3d5a7">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='PN' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PN" bevatten</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:author/hl7:responsibleParty/hl7:representedOrganization
Item: acufpp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:author/hl7:responsibleParty/hl7:representedOrganization"
         id="tmp-35f2ed30-20d4-4584-ab72-338b4b5f2613">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">acufpp: element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:id)&lt;=1">acufpp: element hl7:id komt te vaak voor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:id[@root='2.16.840.1.113883.2.4.6.1']|hl7:id[@root='2.16.840.1.113883.2.4.3.22.98.1']|hl7:id[@root='2.16.528.1.1007.3.3'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="$elmcount&gt;=1">acufpp: keuze (hl7:id[@root='2.16.840.1.113883.2.4.6.1'] of hl7:id[@root='2.16.840.1.113883.2.4.3.22.98.1'] of hl7:id[@root='2.16.528.1.1007.3.3']) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufpp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&lt;=1">acufpp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">acufpp: element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:name)&lt;=1">acufpp: element hl7:name komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:addr)&gt;=1 and not(hl7:addr/@nullFlavor)">acufpp: element hl7:addr is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:addr)&lt;=1">acufpp: element hl7:addr komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:author/hl7:responsibleParty/hl7:representedOrganization
Item: acufpp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:author/hl7:responsibleParty/hl7:representedOrganization/hl7:id
Item: acufpp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:author/hl7:responsibleParty/hl7:representedOrganization/hl7:id"
         id="tmp-bf0042f5-30b3-4085-959b-3cee3cafd793">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:author/hl7:responsibleParty/hl7:representedOrganization
Item: acufpp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:author/hl7:responsibleParty/hl7:representedOrganization/hl7:id[@root='2.16.840.1.113883.2.4.6.1']
Item: acufpp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:author/hl7:responsibleParty/hl7:representedOrganization/hl7:id[@root='2.16.840.1.113883.2.4.6.1']"
         id="tmp-1a671752-24cf-4cd9-bbb5-f1d3b92aa28b">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II.NL.AGB"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@root='2.16.840.1.113883.2.4.6.1'">acufpp: @root MOET de waarde '2.16.840.1.113883.2.4.6.1' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">acufpp: @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:author/hl7:responsibleParty/hl7:representedOrganization/hl7:id[@root='2.16.840.1.113883.2.4.3.22.98.1']
Item: acufpp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:author/hl7:responsibleParty/hl7:representedOrganization/hl7:id[@root='2.16.840.1.113883.2.4.3.22.98.1']"
         id="tmp-4f49455c-b78c-4381-9b50-a89b90113674">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@root='2.16.840.1.113883.2.4.3.22.98.1'">acufpp: @root MOET de waarde '2.16.840.1.113883.2.4.3.22.98.1' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">acufpp: @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:author/hl7:responsibleParty/hl7:representedOrganization/hl7:id[@root='2.16.528.1.1007.3.3']
Item: acufpp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:author/hl7:responsibleParty/hl7:representedOrganization/hl7:id[@root='2.16.528.1.1007.3.3']"
         id="tmp-63114bab-4242-4321-9eef-d6aa153b0b22">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II.NL.URA"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@root='2.16.528.1.1007.3.3'">acufpp: @root MOET de waarde '2.16.528.1.1007.3.3' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">acufpp: @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:author/hl7:responsibleParty/hl7:representedOrganization
Item: acufpp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:author/hl7:responsibleParty/hl7:representedOrganization/hl7:code
Item: acufpp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:author/hl7:responsibleParty/hl7:representedOrganization/hl7:code"
         id="tmp-9b678a3a-1ce3-4245-96d4-dfc0c3f533d6">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ZorgaanbiederType-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ZorgaanbiederType-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">acufpp: De waarde van @code MOET worden gekozen uit Value Set ZorgaanbiederType DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:author/hl7:responsibleParty/hl7:representedOrganization
Item: acufpp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:author/hl7:responsibleParty/hl7:representedOrganization/hl7:name
Item: acufpp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:author/hl7:responsibleParty/hl7:representedOrganization/hl7:name"
         id="tmp-c1ff6c86-6308-4e55-a6b2-bfa6d08b28fd">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='ON' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ON" bevatten</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:author/hl7:responsibleParty/hl7:representedOrganization
Item: acufpp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:author/hl7:responsibleParty/hl7:representedOrganization/hl7:addr
Item: acufpp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:author/hl7:responsibleParty/hl7:representedOrganization/hl7:addr"
         id="tmp-49854402-1505-4f5e-a509-b5de1f665fe2">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='AD' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "AD" bevatten</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:reason[hl7:conditionEvent[hl7:code[(@code='38341003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='45757002' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='44247006' and @codeSystem='2.16.840.1.113883.6.96') or (@code='21522001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='288250001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='289261003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='49333008' and @codeSystem='2.16.840.1.113883.6.96') or (@code='309737007' and @codeSystem='2.16.840.1.113883.6.96') or (@code='87383005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='183695003' and @codeSystem='2.16.840.1.113883.6.96')]]]
Item: acufpp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:reason[hl7:conditionEvent[hl7:code[(@code='38341003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='45757002' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='44247006' and @codeSystem='2.16.840.1.113883.6.96') or (@code='21522001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='288250001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='289261003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='49333008' and @codeSystem='2.16.840.1.113883.6.96') or (@code='309737007' and @codeSystem='2.16.840.1.113883.6.96') or (@code='87383005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='183695003' and @codeSystem='2.16.840.1.113883.6.96')]]]"
         id="tmp-8b3c0040-3e02-4e15-ac30-f2df551a7361">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='RSON' ">acufpp: De waarde van @typeCode MOET 'RSON' zijn.</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:reason[hl7:conditionEvent[hl7:code[(@code='38341003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='45757002' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='44247006' and @codeSystem='2.16.840.1.113883.6.96') or (@code='21522001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='288250001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='289261003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='49333008' and @codeSystem='2.16.840.1.113883.6.96') or (@code='309737007' and @codeSystem='2.16.840.1.113883.6.96') or (@code='87383005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='183695003' and @codeSystem='2.16.840.1.113883.6.96')]]]
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:reason[hl7:conditionEvent[hl7:code[(@code='38341003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='45757002' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='44247006' and @codeSystem='2.16.840.1.113883.6.96') or (@code='21522001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='288250001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='289261003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='49333008' and @codeSystem='2.16.840.1.113883.6.96') or (@code='309737007' and @codeSystem='2.16.840.1.113883.6.96') or (@code='87383005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='183695003' and @codeSystem='2.16.840.1.113883.6.96')]]]"
         id="tmp-b10ad1f0-04f5-4145-ad11-07917857bf57">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='RSON' ">acufpp: De waarde van @typeCode MOET 'RSON' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:reason[hl7:conditionEvent[hl7:code[(@code='38341003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='45757002' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='44247006' and @codeSystem='2.16.840.1.113883.6.96') or (@code='21522001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='288250001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='289261003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='49333008' and @codeSystem='2.16.840.1.113883.6.96') or (@code='309737007' and @codeSystem='2.16.840.1.113883.6.96') or (@code='87383005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='183695003' and @codeSystem='2.16.840.1.113883.6.96')]]]
Item: acufpp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:reason[hl7:conditionEvent[hl7:code[(@code='38341003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='45757002' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='44247006' and @codeSystem='2.16.840.1.113883.6.96') or (@code='21522001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='288250001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='289261003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='49333008' and @codeSystem='2.16.840.1.113883.6.96') or (@code='309737007' and @codeSystem='2.16.840.1.113883.6.96') or (@code='87383005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='183695003' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:conditionEvent
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:reason[hl7:conditionEvent[hl7:code[(@code='38341003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='45757002' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='44247006' and @codeSystem='2.16.840.1.113883.6.96') or (@code='21522001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='288250001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='289261003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='49333008' and @codeSystem='2.16.840.1.113883.6.96') or (@code='309737007' and @codeSystem='2.16.840.1.113883.6.96') or (@code='87383005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='183695003' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:conditionEvent"
         id="tmp-823b043a-99a5-427d-b7d2-72cfc01fd4fa">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@classCode='COND' ">acufpp: De waarde van @classCode MOET 'COND' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@moodCode='EVN' ">acufpp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:id)&gt;=1 ">acufpp: element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:id)&lt;=1">acufpp: element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufpp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&lt;=1">acufpp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:text)&lt;=1">acufpp: element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:reason[hl7:conditionEvent[hl7:code[(@code='38341003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='45757002' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='44247006' and @codeSystem='2.16.840.1.113883.6.96') or (@code='21522001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='288250001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='289261003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='49333008' and @codeSystem='2.16.840.1.113883.6.96') or (@code='309737007' and @codeSystem='2.16.840.1.113883.6.96') or (@code='87383005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='183695003' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:conditionEvent/hl7:id
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:reason[hl7:conditionEvent[hl7:code[(@code='38341003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='45757002' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='44247006' and @codeSystem='2.16.840.1.113883.6.96') or (@code='21522001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='288250001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='289261003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='49333008' and @codeSystem='2.16.840.1.113883.6.96') or (@code='309737007' and @codeSystem='2.16.840.1.113883.6.96') or (@code='87383005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='183695003' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:conditionEvent/hl7:id"
         id="tmp-aeb2dcf9-dc77-4327-b16a-88974a4e7b06">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:reason[hl7:conditionEvent[hl7:code[(@code='38341003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='45757002' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='44247006' and @codeSystem='2.16.840.1.113883.6.96') or (@code='21522001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='288250001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='289261003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='49333008' and @codeSystem='2.16.840.1.113883.6.96') or (@code='309737007' and @codeSystem='2.16.840.1.113883.6.96') or (@code='87383005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='183695003' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:conditionEvent/hl7:code
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:reason[hl7:conditionEvent[hl7:code[(@code='38341003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='45757002' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='44247006' and @codeSystem='2.16.840.1.113883.6.96') or (@code='21522001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='288250001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='289261003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='49333008' and @codeSystem='2.16.840.1.113883.6.96') or (@code='309737007' and @codeSystem='2.16.840.1.113883.6.96') or (@code='87383005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='183695003' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:conditionEvent/hl7:code"
         id="tmp-cef406d4-a2ca-46d6-9ad1-d13a43e33d22">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-RedenOverdrachtCategorie-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-RedenOverdrachtCategorie-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">acufpp: De waarde van @code MOET worden gekozen uit Value Set RedenOverdrachtCategorie Categorie Reden overdracht DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:reason[hl7:conditionEvent[hl7:code[(@code='38341003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='45757002' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='44247006' and @codeSystem='2.16.840.1.113883.6.96') or (@code='21522001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='288250001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='289261003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='49333008' and @codeSystem='2.16.840.1.113883.6.96') or (@code='309737007' and @codeSystem='2.16.840.1.113883.6.96') or (@code='87383005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='183695003' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:conditionEvent/hl7:text
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:reason[hl7:conditionEvent[hl7:code[(@code='38341003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='45757002' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='44247006' and @codeSystem='2.16.840.1.113883.6.96') or (@code='21522001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='???' and @codeSystem='2.16.840.1.113883.6.96') or (@code='288250001' and @codeSystem='2.16.840.1.113883.6.96') or (@code='106004004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='289261003' and @codeSystem='2.16.840.1.113883.6.96') or (@code='276601004' and @codeSystem='2.16.840.1.113883.6.96') or (@code='49333008' and @codeSystem='2.16.840.1.113883.6.96') or (@code='309737007' and @codeSystem='2.16.840.1.113883.6.96') or (@code='87383005' and @codeSystem='2.16.840.1.113883.6.96') or (@code='183695003' and @codeSystem='2.16.840.1.113883.6.96')]]]/hl7:conditionEvent/hl7:text"
         id="tmp-59f854a1-3a3b-4aec-9b7c-f59f6b9b441e">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufpp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-8f789808-cc46-467b-bedd-9411b37b504b">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='PERT' ">acufpp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@contextConductionInd='true' ">acufpp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-b4dfb86e-abb5-49cb-86f3-19efa7a38c43">
      <extends rule="tmp-d05cb954-8df1-418d-89bf-ead5fedab756"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='PERT' ">acufpp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@contextConductionInd='true' ">acufpp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufpp
-->
<rule id="tmp-d05cb954-8df1-418d-89bf-ead5fedab756" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:act)&lt;=1">acufpp: element hl7:act komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act"
         id="tmp-1152178b-4734-4047-a2fb-078a2a948183">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@classCode='LIST' ">acufpp: De waarde van @classCode MOET 'LIST' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@moodCode='EVN' ">acufpp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufpp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&lt;=1">acufpp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:inboundRelationship)&gt;=1 and not(hl7:inboundRelationship/@nullFlavor)">acufpp: element hl7:inboundRelationship is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:inboundRelationship)&lt;=1">acufpp: element hl7:inboundRelationship komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:code
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:code"
         id="tmp-aee049b3-8d40-44c9-bc53-bc6ef1676cba">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or (@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')">acufpp: De waarde van @code/@codeSystem MOET 'VERLIND' codeSystem '2.16.840.1.113883.2.4.4.13' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship"
         id="tmp-3e978e7e-20c0-48fd-bb8d-472a1595c8d9">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='COMP' ">acufpp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">acufpp: element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:observation)&lt;=1">acufpp: element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation"
         id="tmp-dbf44e90-791b-4077-a495-788e0c0f0055">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@classCode='OBS' ">acufpp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@moodCode='EVN' ">acufpp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufpp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&lt;=1">acufpp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&gt;=1 ">acufpp: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&lt;=1">acufpp: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:code
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:code"
         id="tmp-45bba94a-ade6-40db-8fc9-e3d7d595fe27">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or (@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')">acufpp: De waarde van @code/@codeSystem MOET 'VERLIND' codeSystem '2.16.840.1.113883.2.4.4.13' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:value
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:value"
         id="tmp-a19f4b5b-1173-4339-a959-952e8fbe49bc">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='BL' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              test="@nullFlavor or @value='false' or count(../hl7:inboundRelationship)&gt;0">acufpp:  Als er sprake van ziekten en bijzonderheden is dan moet een lijst soort ziekten
                                als inboundRelationship component worden meegegeven</assert>
      <assert role="error" test="@value='true' or count(../hl7:inboundRelationship)=0">acufpp:  Als er geen sprake van ziekten en bijzonderheden is dan mag er geen lijst soort ziekten als inboundRelationship
                                component worden meegegeven</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship"
         id="tmp-c11843d7-caaf-4fab-9237-6e0bffbacce7">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='COMP' ">acufpp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship
Item: acufpp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship/hl7:observation
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship/hl7:observation"
         id="tmp-e95d2ffb-012f-4394-a6f0-09c24cb9a64b">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@classCode='OBS' ">acufpp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@moodCode='EVN' ">acufpp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:id)&lt;=1">acufpp: element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufpp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&lt;=1">acufpp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:uncertaintyCode)&lt;=1">acufpp: element hl7:uncertaintyCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&gt;=1 ">acufpp: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&lt;=1">acufpp: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship/hl7:observation/hl7:id
Item: acufpp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship/hl7:observation/hl7:code
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship/hl7:observation/hl7:code"
         id="tmp-1868f5a0-1e5b-437c-83ac-26f170cbcf6f">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or (@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')">acufpp: De waarde van @code/@codeSystem MOET 'VERLIND' codeSystem '2.16.840.1.113883.2.4.4.13' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship/hl7:observation/hl7:uncertaintyCode
Item: acufpp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship/hl7:observation/hl7:value
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship/hl7:observation/hl7:value"
         id="tmp-f0afda8c-f5c3-4454-968d-26fdd28f7937">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-VILLijst10002000-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-VILLijst10002000-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">acufpp: De waarde van @code MOET worden gekozen uit Value Set VILLijst10002000 DYNAMIC.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufpp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-b0aac1f3-294c-4f12-8f86-c7b9c09cb7f2">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='PERT' ">acufpp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@contextConductionInd='true' ">acufpp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-a41cb927-7a4f-43c1-9d31-a013c4f283f2">
      <extends rule="tmp-2e21e06f-7fcf-4593-a66f-e0c23cee7ef7"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='PERT' ">acufpp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@contextConductionInd='true' ">acufpp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufpp
-->
<rule id="tmp-2e21e06f-7fcf-4593-a66f-e0c23cee7ef7" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:act)&lt;=1">acufpp: element hl7:act komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act"
         id="tmp-0b668524-377e-4c58-892c-12c8065627d7">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@classCode='LIST' ">acufpp: De waarde van @classCode MOET 'LIST' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@moodCode='EVN' ">acufpp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufpp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&lt;=1">acufpp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:inboundRelationship)&gt;=1 and not(hl7:inboundRelationship/@nullFlavor)">acufpp: element hl7:inboundRelationship is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:inboundRelationship)&lt;=1">acufpp: element hl7:inboundRelationship komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:code
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:code"
         id="tmp-8b49240e-b08b-49d1-a93e-be786ffa946c">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or (@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')">acufpp: De waarde van @code/@codeSystem MOET 'OBSTANAM' codeSystem '2.16.840.1.113883.2.4.4.13' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship"
         id="tmp-1982ecf5-89e1-40d7-86e1-9b68bf0cb5eb">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='COMP' ">acufpp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">acufpp: element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:observation)&lt;=1">acufpp: element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation"
         id="tmp-559748ef-7347-4d27-b226-77a5fac21e38">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@classCode='OBS' ">acufpp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@moodCode='EVN' ">acufpp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufpp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&lt;=1">acufpp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&gt;=1 ">acufpp: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&lt;=1">acufpp: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:code
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:code"
         id="tmp-6b2cf965-1949-458e-a14d-94baf9fd1082">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or (@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')">acufpp: De waarde van @code/@codeSystem MOET 'OBSTANAM' codeSystem '2.16.840.1.113883.2.4.4.13' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:value
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:value"
         id="tmp-31000a68-2501-4c19-8b7b-b5ceebc5c8f5">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='BL' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              test="@nullFlavor or @value='false' or count(../hl7:inboundRelationship)&gt;0">acufpp:  Als er sprake van ziekten en bijzonderheden is dan moet een lijst soort ziekten
                                als inboundRelationship component worden meegegeven</assert>
      <assert role="error" test="@value='true' or count(../hl7:inboundRelationship)=0">acufpp:  Als er geen sprake van ziekten en bijzonderheden is dan mag er geen lijst soort ziekten als inboundRelationship
                                component worden meegegeven</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship"
         id="tmp-a3c22c59-8a3f-4d7a-8ed2-b89064d6dc09">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='COMP' ">acufpp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship
Item: acufpp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship/hl7:observation
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship/hl7:observation"
         id="tmp-469b5b61-07a8-4417-8f5b-cae82625a2da">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@classCode='OBS' ">acufpp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@moodCode='EVN' ">acufpp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:id)&lt;=1">acufpp: element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufpp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&lt;=1">acufpp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:uncertaintyCode)&lt;=1">acufpp: element hl7:uncertaintyCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&gt;=1 ">acufpp: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&lt;=1">acufpp: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship/hl7:observation/hl7:id
Item: acufpp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship/hl7:observation/hl7:code
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship/hl7:observation/hl7:code"
         id="tmp-d4bd6a22-404c-42b5-8d89-d4ea95fff341">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or (@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13')">acufpp: De waarde van @code/@codeSystem MOET 'OBSTANAM' codeSystem '2.16.840.1.113883.2.4.4.13' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship/hl7:observation/hl7:uncertaintyCode
Item: acufpp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship/hl7:observation/hl7:value
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation2[hl7:act[hl7:code[@code='OBSTANAM' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship/hl7:observation/hl7:value"
         id="tmp-8d9dc418-2b26-4ba5-ab87-0ba9a497ebf9">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-VILLijst3000-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-VILLijst3000-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">acufpp: De waarde van @code MOET worden gekozen uit Value Set VILLijst3000 DYNAMIC.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='373663005' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufpp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='373663005' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-7f299f85-4859-4ce9-8b26-e4d1b87ae9b4">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='PERT' ">acufpp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@contextConductionInd='true' ">acufpp: @contextConductionInd SHALL have value 'true' STATIC </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">acufpp: element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:observation)&lt;=1">acufpp: element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='373663005' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation
Item: acufpp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='373663005' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation"
         id="tmp-37eb7cb4-a01c-49b2-941d-f85911229c98">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&gt;=1 ">acufpp: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&lt;=1">acufpp: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='373663005' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value
Item: acufpp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='373663005' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value"
         id="tmp-5bf75a27-e5b7-46ca-8a85-40ce690ab89e">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or (@code='255410009')">acufpp: De waarde van @code MOET '255410009' zijn.</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='373663005' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='373663005' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-79c3433f-50ed-45e8-a1b1-540aec8890d1">
      <extends rule="tmp-6cf4668d-17ad-4bf3-a75e-9d94e0eb145f"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='PERT' ">acufpp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@contextConductionInd='true' ">acufpp: @contextConductionInd SHALL have value 'true' STATIC </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">acufpp: element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:observation)&lt;=1">acufpp: element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='373663005' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='373663005' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation"
         id="tmp-d62f803f-5a1b-4cfb-aea2-9655156a35c6">
      <extends rule="tmp-c3507e65-50a7-4cfb-8040-6797b62cc9f6"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&gt;=1 ">acufpp: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&lt;=1">acufpp: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='373663005' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='373663005' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value"
         id="tmp-a424c879-f331-4d69-8a8d-b5d2ffb51575">
      <extends rule="tmp-b47924eb-17cc-4ef1-9f4f-274289255b75"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or (@code='255410009')">acufpp: De waarde van @code MOET '255410009' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='373663005' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufpp
-->
<rule id="tmp-6cf4668d-17ad-4bf3-a75e-9d94e0eb145f" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">acufpp: element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:observation)&lt;=1">acufpp: element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='373663005' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation
Item: acufpp
-->
<rule id="tmp-c3507e65-50a7-4cfb-8040-6797b62cc9f6" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@classCode='OBS' ">acufpp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@moodCode='EVN' ">acufpp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufpp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&lt;=1">acufpp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&gt;=1 ">acufpp: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&lt;=1">acufpp: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='373663005' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='373663005' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code"
         id="tmp-09bf6886-6bfa-4f2b-8eeb-d841feccd6b7">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or (@code='373663005' and @codeSystem='2.16.840.1.113883.6.96')">acufpp: De waarde van @code/@codeSystem MOET '373663005' codeSystem '2.16.840.1.113883.6.96' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='373663005' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value
Item: acufpp
-->
<rule id="tmp-b47924eb-17cc-4ef1-9f4f-274289255b75" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-PerinatalperiodADP-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-PerinatalperiodADP-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">acufpp: De waarde van @code MOET worden gekozen uit Value Set PerinatalperiodADP DYNAMIC.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='106190000' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufpp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='106190000' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-1f407ac3-bde4-4d32-88ce-92da0dd746bd">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='PERT' ">acufpp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@contextConductionInd='true' ">acufpp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='106190000' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='106190000' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-f0142eda-fc26-4a9d-aa37-08f54fa8182e">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='PERT' ">acufpp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@contextConductionInd='true' ">acufpp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='106190000' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufpp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='106190000' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='106190000' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation"
         id="tmp-0e459411-0a1c-4bc1-80eb-c892d619f5a4">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@classCode='OBS' ">acufpp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@moodCode='EVN' ">acufpp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufpp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&lt;=1">acufpp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&gt;=1 ">acufpp: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&lt;=1">acufpp: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='106190000' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='106190000' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code"
         id="tmp-012d1c87-7e48-4848-be42-2c4cdee7d88f">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or (@code='106190000' and @codeSystem='2.16.840.1.113883.6.96')">acufpp: De waarde van @code/@codeSystem MOET '106190000' codeSystem '2.16.840.1.113883.6.96' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='106190000' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='106190000' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value"
         id="tmp-db2dea65-695f-4f6c-bceb-c1dba2e9b519">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-Allergies-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-Allergies-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">acufpp: De waarde van @code MOET worden gekozen uit Value Set Allergies DYNAMIC.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufpp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-f7e33ac1-f2e8-4321-b78d-a1346a5b3770">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='PERT' ">acufpp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@contextConductionInd='true' ">acufpp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-f55bb543-398a-44d8-89c6-2cba2efa539c">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='PERT' ">acufpp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@contextConductionInd='true' ">acufpp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufpp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation"
         id="tmp-ef18c416-606d-4989-8c27-3d65424c8af7">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@classCode='OBS' ">acufpp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@moodCode='EVN' ">acufpp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufpp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&lt;=1">acufpp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&gt;=1 ">acufpp: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&lt;=1">acufpp: element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:inboundRelationship)&lt;=1">acufpp: element hl7:inboundRelationship komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code"
         id="tmp-7758b771-2a53-4441-8406-c2c4e9978307">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or (@code='129019007' and @codeSystem='2.16.840.1.113883.6.96')">acufpp: De waarde van @code/@codeSystem MOET '129019007' codeSystem '2.16.840.1.113883.6.96' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value"
         id="tmp-437694b3-880b-4235-b4be-9b644eab4f42">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='BL' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:inboundRelationship
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:inboundRelationship"
         id="tmp-f281badf-88b9-432e-8086-7d1c51951bb2">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='COMP' ">acufpp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:inboundRelationship
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:inboundRelationship"
         id="tmp-c5b6f716-378e-48f8-a69f-8b55dace1472">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='COMP' ">acufpp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:inboundRelationship
Item: acufpp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:inboundRelationship/hl7:substanceAdministration
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:inboundRelationship/hl7:substanceAdministration"
         id="tmp-36d3c482-1f9f-45f8-bbb4-bed538c20f57">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@classCode='SBADM' ">acufpp: De waarde van @classCode MOET 'SBADM' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@moodCode='EVN' ">acufpp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:consumable)&gt;=1 and not(hl7:consumable/@nullFlavor)">acufpp: element hl7:consumable is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:consumable)&lt;=1">acufpp: element hl7:consumable komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:inboundRelationship/hl7:substanceAdministration/hl7:consumable
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:inboundRelationship/hl7:substanceAdministration/hl7:consumable"
         id="tmp-6bd3565b-d965-42e3-8271-c4a53fde27f1">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='CSM' ">acufpp: De waarde van @typeCode MOET 'CSM' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:manufacturedProduct)&gt;=1 ">acufpp: element hl7:manufacturedProduct is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:manufacturedProduct)&lt;=1">acufpp: element hl7:manufacturedProduct komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:inboundRelationship/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:inboundRelationship/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct"
         id="tmp-b1d0718b-9aae-4ed6-9552-5a772f308a53">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@classCode='MANU' ">acufpp: De waarde van @classCode MOET 'MANU' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:manufacturedProduct)&gt;=1 ">acufpp: element hl7:manufacturedProduct is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:manufacturedProduct)&lt;=1">acufpp: element hl7:manufacturedProduct komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:inboundRelationship/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedProduct
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:inboundRelationship/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedProduct"
         id="tmp-b7d7034d-63ae-4bd5-86a5-02466d7bd677">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@classCode='MMAT' ">acufpp: De waarde van @classCode MOET 'MMAT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@determinerCode='KIND' ">acufpp: @determinerCode SHALL have value 'KIND' STATIC </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:name)&gt;=1 ">acufpp: element hl7:name is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:name)&lt;=1">acufpp: element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:inboundRelationship/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedProduct/hl7:name
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='129019007' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:inboundRelationship/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedProduct/hl7:name"
         id="tmp-b1438d41-5d37-440d-8e2f-b3bc99d975bd">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='NEGSE' and @codeSystem='2.16.840.1.113883.3.799.5.1']]]
Item: acufpp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='NEGSE' and @codeSystem='2.16.840.1.113883.3.799.5.1']]]"
         id="tmp-55a108d6-8049-49a7-bd09-b88aed6fd1c6">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='PERT' ">acufpp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@contextConductionInd='true' ">acufpp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='NEGSE' and @codeSystem='2.16.840.1.113883.3.799.5.1']]]
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='NEGSE' and @codeSystem='2.16.840.1.113883.3.799.5.1']]]"
         id="tmp-2a571743-7bc1-41c9-a26e-f6318f631a10">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='PERT' ">acufpp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@contextConductionInd='true' ">acufpp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='NEGSE' and @codeSystem='2.16.840.1.113883.3.799.5.1']]]
Item: acufpp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='NEGSE' and @codeSystem='2.16.840.1.113883.3.799.5.1']]]/hl7:observation
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='NEGSE' and @codeSystem='2.16.840.1.113883.3.799.5.1']]]/hl7:observation"
         id="tmp-77e771d8-aee1-411e-9be6-e6013f68911b">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@classCode='OBS' ">acufpp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@moodCode='EVN' ">acufpp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufpp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&lt;=1">acufpp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&gt;=1 ">acufpp: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&lt;=1">acufpp: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='NEGSE' and @codeSystem='2.16.840.1.113883.3.799.5.1']]]/hl7:observation/hl7:code
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='NEGSE' and @codeSystem='2.16.840.1.113883.3.799.5.1']]]/hl7:observation/hl7:code"
         id="tmp-d231a125-b9c4-4f2a-9f9a-5f84869d982f">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or (@code='NEGSE' and @codeSystem='2.16.840.1.113883.3.799.5.1')">acufpp: De waarde van @code/@codeSystem MOET 'NEGSE' codeSystem '2.16.840.1.113883.3.799.5.1' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='NEGSE' and @codeSystem='2.16.840.1.113883.3.799.5.1']]]/hl7:observation/hl7:value
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='NEGSE' and @codeSystem='2.16.840.1.113883.3.799.5.1']]]/hl7:observation/hl7:value"
         id="tmp-0060a8db-f87b-4060-b30b-dc493869c984">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='BL' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='266096002' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufpp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='266096002' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-497a65ec-9b31-47f1-a395-cef84f3774f9">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='PERT' ">acufpp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@contextConductionInd='true' ">acufpp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='266096002' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='266096002' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-87130558-5437-456a-ac03-ed07dd87e72f">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='PERT' ">acufpp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@contextConductionInd='true' ">acufpp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='266096002' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufpp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='266096002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='266096002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation"
         id="tmp-4cb3137a-3eca-462f-9b9b-14909ecd68a7">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@classCode='OBS' ">acufpp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@moodCode='EVN' ">acufpp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufpp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&lt;=1">acufpp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&gt;=1 ">acufpp: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&lt;=1">acufpp: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='266096002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='266096002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code"
         id="tmp-b3964fa3-0bd3-4dbb-a7a3-3fc9e5136a50">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or (@code='266096002' and @codeSystem='2.16.840.1.113883.6.96')">acufpp: De waarde van @code/@codeSystem MOET '266096002' codeSystem '2.16.840.1.113883.6.96' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='266096002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='266096002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value"
         id="tmp-be4d700c-1a3b-4018-82fe-03c3ebf87db0">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='BL' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='161664006' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufpp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='161664006' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-56c2ef3e-e981-4437-895e-d76f3f75c58c">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='PERT' ">acufpp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@contextConductionInd='true' ">acufpp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='161664006' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='161664006' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-b90fd18f-41ee-49d1-837c-ca1e7289c17b">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='PERT' ">acufpp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@contextConductionInd='true' ">acufpp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='161664006' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufpp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='161664006' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='161664006' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation"
         id="tmp-3cae73dc-abd3-410e-966e-b77cb03ccefa">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@classCode='OBS' ">acufpp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@moodCode='EVN' ">acufpp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufpp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&lt;=1">acufpp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&gt;=1 ">acufpp: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&lt;=1">acufpp: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='161664006' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='161664006' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code"
         id="tmp-1af793f0-aa0f-4309-80c9-9b10a53a9334">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or (@code='161664006' and @codeSystem='2.16.840.1.113883.6.96')">acufpp: De waarde van @code/@codeSystem MOET '161664006' codeSystem '2.16.840.1.113883.6.96' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='161664006' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='161664006' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value"
         id="tmp-76ba38ce-03db-41a8-8daa-8a3e6a344cea">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='BL' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='39156-5' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: acufpp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='39156-5' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-5b2ae0e2-9356-460c-be3d-f549e7c58872">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='PERT' ">acufpp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@contextConductionInd='true' ">acufpp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='39156-5' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='39156-5' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-b92c9498-ddb7-4a79-9c97-30543fc4ac2d">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='PERT' ">acufpp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@contextConductionInd='true' ">acufpp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='39156-5' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: acufpp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='39156-5' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='39156-5' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation"
         id="tmp-77750bbd-2896-46d9-af52-f7d3258eb4f0">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@classCode='OBS' ">acufpp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@moodCode='EVN' ">acufpp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufpp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&lt;=1">acufpp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&gt;=1 ">acufpp: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&lt;=1">acufpp: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='39156-5' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='39156-5' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code"
         id="tmp-81277751-3e4b-4bbb-8d28-5ad2f0079c25">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or (@code='39156-5' and @codeSystem='2.16.840.1.113883.6.1')">acufpp: De waarde van @code/@codeSystem MOET '39156-5' codeSystem '2.16.840.1.113883.6.1' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='39156-5' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='39156-5' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value"
         id="tmp-65ee402c-50b7-44b6-84fd-4a61c93400ec">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='PQ' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PQ" bevatten</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="(@nullFlavor or (@unit='kg/m2' and number($theValue)&gt;=0))">acufpp: value MOET eenheid 'kg/m2' gebruiken en in bereik [0..] liggen  </assert>
      <let name="digitok"
           value="matches($theValue, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="$digitok">acufpp: @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-ucum.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">acufpp: value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufpp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-0a3ad97b-8a9f-44a5-9ab2-a18d78eed76a">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='PERT' ">acufpp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@contextConductionInd='true' ">acufpp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-f703c9de-8e2a-4887-9e99-bb42c9a9c613">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='PERT' ">acufpp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@contextConductionInd='true' ">acufpp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufpp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer"
         id="tmp-7a163738-fa8f-44a0-b6c5-b5e70bb1f134">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@classCode='CONTAINER' ">acufpp: De waarde van @classCode MOET 'CONTAINER' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@moodCode='EVN' ">acufpp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufpp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&lt;=1">acufpp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='271649006' and @codeSystem='2.16.840.1.113883.6.96']]])&gt;=1 and not(hl7:component[hl7:observation[hl7:code[@code='271649006' and @codeSystem='2.16.840.1.113883.6.96']]]/@nullFlavor)">acufpp: element hl7:component[hl7:observation[hl7:code[@code='271649006' and @codeSystem='2.16.840.1.113883.6.96']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='271649006' and @codeSystem='2.16.840.1.113883.6.96']]])&lt;=1">acufpp: element hl7:component[hl7:observation[hl7:code[@code='271649006' and @codeSystem='2.16.840.1.113883.6.96']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='271650006' and @codeSystem='2.16.840.1.113883.6.96']]])&gt;=1 and not(hl7:component[hl7:observation[hl7:code[@code='271650006' and @codeSystem='2.16.840.1.113883.6.96']]]/@nullFlavor)">acufpp: element hl7:component[hl7:observation[hl7:code[@code='271650006' and @codeSystem='2.16.840.1.113883.6.96']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='271650006' and @codeSystem='2.16.840.1.113883.6.96']]])&lt;=1">acufpp: element hl7:component[hl7:observation[hl7:code[@code='271650006' and @codeSystem='2.16.840.1.113883.6.96']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:code
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:code"
         id="tmp-06d86d49-7adf-4a83-b254-04c287d02c8e">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or (@code='75367002' and @codeSystem='2.16.840.1.113883.6.96')">acufpp: De waarde van @code/@codeSystem MOET '75367002' codeSystem '2.16.840.1.113883.6.96' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='271649006' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='271649006' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-ac969d2f-a934-46b1-9941-7696cb9b26ce">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='COMP' ">acufpp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='271649006' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='271649006' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-60f02de5-ac40-4131-8c9f-f64f07124629">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='COMP' ">acufpp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='271649006' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufpp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='271649006' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='271649006' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation"
         id="tmp-b3f0309e-5b88-4b67-9fa9-22ef542fd441">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@classCode='OBS' ">acufpp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@moodCode='EVN' ">acufpp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufpp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&lt;=1">acufpp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&gt;=1 ">acufpp: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&lt;=1">acufpp: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='271649006' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='271649006' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code"
         id="tmp-c3e118fb-6e54-43bd-bbda-68b43e0d33b5">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or (@code='271649006' and @codeSystem='2.16.840.1.113883.6.96')">acufpp: De waarde van @code/@codeSystem MOET '271649006' codeSystem '2.16.840.1.113883.6.96' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='271649006' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='271649006' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value"
         id="tmp-60be3f6a-9f54-4d1a-ad52-763cbfac8fdd">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='PQ' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PQ" bevatten</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="(@nullFlavor or (@unit='mm[Hg]' and number($theValue)&gt;=0))">acufpp: value MOET eenheid 'mm[Hg]' gebruiken en in bereik [0..] liggen  </assert>
      <let name="digitok"
           value="matches($theValue, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="$digitok">acufpp: @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-ucum.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">acufpp: value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='271650006' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='271650006' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-3de9adee-8b1a-400c-8123-36f4934254be">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='COMP' ">acufpp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='271650006' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='271650006' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-b7c34842-884a-4d11-bd3d-99101aeba3a6">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='COMP' ">acufpp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='271650006' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufpp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='271650006' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='271650006' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation"
         id="tmp-fe34bb1a-1cc4-49e9-8a64-1d28fe8354d4">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@classCode='OBS' ">acufpp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@moodCode='EVN' ">acufpp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufpp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&lt;=1">acufpp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&gt;=1 ">acufpp: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&lt;=1">acufpp: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='271650006' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='271650006' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code"
         id="tmp-b2649913-3c88-4196-99c6-5547ed0bdf90">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or (@code='271650006' and @codeSystem='2.16.840.1.113883.6.96')">acufpp: De waarde van @code/@codeSystem MOET '271650006' codeSystem '2.16.840.1.113883.6.96' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='271650006' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='75367002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='271650006' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value"
         id="tmp-ba2bedab-d146-47ab-97c7-4454e82c0dca">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='PQ' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PQ" bevatten</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="(@nullFlavor or (@unit='mm[Hg]' and number($theValue)&gt;=0))">acufpp: value MOET eenheid 'mm[Hg]' gebruiken en in bereik [0..] liggen  </assert>
      <let name="digitok"
           value="matches($theValue, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="$digitok">acufpp: @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-ucum.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">acufpp: value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='883-9' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: acufpp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='883-9' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-bc20df77-f6ea-470e-8ae6-e817a3199058">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='PERT' ">acufpp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@contextConductionInd='true' ">acufpp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='883-9' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='883-9' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-4a732190-7bd1-499f-bf0e-2009effbe5a5">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='PERT' ">acufpp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@contextConductionInd='true' ">acufpp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='883-9' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: acufpp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='883-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='883-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation"
         id="tmp-333f3c54-62f4-47c0-82b0-0e4c560d22a0">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@classCode='OBS' ">acufpp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@moodCode='EVN' ">acufpp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufpp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&lt;=1">acufpp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&gt;=1 ">acufpp: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&lt;=1">acufpp: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='883-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='883-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code"
         id="tmp-00cb9f70-2864-4289-950e-1c7e4f4c9103">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or (@code='883-9' and @codeSystem='2.16.840.1.113883.6.1')">acufpp: De waarde van @code/@codeSystem MOET '883-9' codeSystem '2.16.840.1.113883.6.1' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='883-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='883-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value"
         id="tmp-3ead4df4-200b-430f-a3f8-b119dfc87c8c">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-AB0BloodGroup-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-AB0BloodGroup-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">acufpp: De waarde van @code MOET worden gekozen uit Value Set AB0BloodGroup AB0 blood group DYNAMIC.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufpp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-7f466884-463e-4e23-ba95-61900e621e13">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='PERT' ">acufpp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@contextConductionInd='true' ">acufpp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-cb118a58-6d62-45a4-b366-f960b1b4d6f4">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='PERT' ">acufpp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@contextConductionInd='true' ">acufpp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufpp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation"
         id="tmp-061beaf7-6c83-4d12-b2a5-6cebf8f3da22">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@classCode='OBS' ">acufpp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@moodCode='EVN' ">acufpp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufpp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&lt;=1">acufpp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&gt;=1 ">acufpp: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&lt;=1">acufpp: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code"
         id="tmp-ad356b02-9a92-4d5b-9461-1c3b4bc8c693">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or (@code='115758001' and @codeSystem='2.16.840.1.113883.6.96')">acufpp: De waarde van @code/@codeSystem MOET '115758001' codeSystem '2.16.840.1.113883.6.96' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value"
         id="tmp-03d81b5c-2009-4bf5-af13-173b7bb22caf">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-RhesusDBloodGroup-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-RhesusDBloodGroup-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">acufpp: De waarde van @code MOET worden gekozen uit Value Set RhesusDBloodGroup Rhesus D Blood Group DYNAMIC.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='312457003' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufpp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='312457003' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-218aa5c7-fd4d-4e82-91dd-e15648480914">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='PERT' ">acufpp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@contextConductionInd='true' ">acufpp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='312457003' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='312457003' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-b8fd7a9b-ba10-4ea8-890c-827d47acbb2a">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='PERT' ">acufpp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@contextConductionInd='true' ">acufpp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='312457003' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufpp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='312457003' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='312457003' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation"
         id="tmp-06e4588e-cd1f-4ca0-bff4-25bed7c82640">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@classCode='OBS' ">acufpp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@moodCode='EVN' ">acufpp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="string-length(@negationInd)&gt;0">acufpp: attribute @negationInd MOET aanwezig zijn.</assert>
      <assert role="error" test="@negationInd='true' or hl7:value">acufpp: Indien er irregulaire antistoffen aanwezig zijn moet value een waarde bevatten of moet @nullFlavor="NA" bevatten</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufpp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&lt;=1">acufpp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&lt;=1">acufpp: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='312457003' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='312457003' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code"
         id="tmp-32a605b1-9ffe-4119-9d67-e6a089c0838f">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or (@code='312457003' and @codeSystem='2.16.840.1.113883.6.96')">acufpp: De waarde van @code/@codeSystem MOET '312457003' codeSystem '2.16.840.1.113883.6.96' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='312457003' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='312457003' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value"
         id="tmp-4840bc36-fbd1-477e-a9e9-05cee1fcaa2a">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-BloodGroupAntibodies-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-BloodGroupAntibodies-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">acufpp: De waarde van @code MOET worden gekozen uit Value Set BloodGroupAntibodies Blood Group Antibodies DYNAMIC.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='59260-0' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: acufpp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='59260-0' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-74c08118-25ab-4739-b888-ab76cbf9e9c0">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='PERT' ">acufpp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@contextConductionInd='true' ">acufpp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='59260-0' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='59260-0' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-6b0b8154-5eec-4db5-94d7-753acaed7e22">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='PERT' ">acufpp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@contextConductionInd='true' ">acufpp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='59260-0' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: acufpp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='59260-0' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='59260-0' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation"
         id="tmp-c891f543-9d74-49f0-9c1d-414f65a307f7">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@classCode='OBS' ">acufpp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@moodCode='EVN' ">acufpp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufpp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&lt;=1">acufpp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:effectiveTime)&lt;=1">acufpp: element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&gt;=1 ">acufpp: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&lt;=1">acufpp: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='59260-0' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='59260-0' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code"
         id="tmp-04fc1fa8-76fc-49d6-9fea-49e9aeaa8b25">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or (@code='59260-0' and @codeSystem='2.16.840.1.113883.6.1')">acufpp: De waarde van @code/@codeSystem MOET '59260-0' codeSystem '2.16.840.1.113883.6.1' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='59260-0' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:effectiveTime
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='59260-0' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:effectiveTime"
         id="tmp-24bee781-5224-4a1d-9bc8-82dc938bb197">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='59260-0' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='59260-0' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value"
         id="tmp-2e473ea3-32de-49a1-a6ea-8e4676afaefa">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='PQ' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PQ" bevatten</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="(@nullFlavor or (@unit='mmol/L' and (matches($theValue, '^[-+]?[0-9]*\.[0-9]{1,1}$'))))">acufpp: value MOET eenheid 'mmol/L' gebruiken en exact op 1 decimalen nauwkeurig zijn </assert>
      <let name="digitok"
           value="matches($theValue, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="$digitok">acufpp: @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-ucum.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">acufpp: value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufpp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-c220253d-cef8-47a2-86ef-72f482ed9751">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='PERT' ">acufpp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@contextConductionInd='true' ">acufpp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-27ec45af-4dd7-416e-af0c-bdf673caa8f8">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='PERT' ">acufpp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@contextConductionInd='true' ">acufpp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufpp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation"
         id="tmp-8878cb31-2f4b-4040-bef9-abf370df5a64">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@classCode='OBS' ">acufpp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@moodCode='EVN' ">acufpp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufpp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&lt;=1">acufpp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:effectiveTime)&lt;=1">acufpp: element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&gt;=1 ">acufpp: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&lt;=1">acufpp: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code"
         id="tmp-02bb031a-343a-41a1-8e12-56ea4273dfd1">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or (@code='115758001' and @codeSystem='2.16.840.1.113883.6.96')">acufpp: De waarde van @code/@codeSystem MOET '115758001' codeSystem '2.16.840.1.113883.6.96' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:effectiveTime
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:effectiveTime"
         id="tmp-4bd57bce-dbf9-495c-bdae-0d6632da3694">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value"
         id="tmp-b23a5519-5918-4334-8c80-d8a2e93ebf58">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-RhesusCFactor-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-RhesusCFactor-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">acufpp: De waarde van @code MOET worden gekozen uit Value Set RhesusCFactor Rhesus C Factor DYNAMIC.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='165806002' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufpp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='165806002' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-4f90a484-8648-4d8c-aef3-3db0b208d04e">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='PERT' ">acufpp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@contextConductionInd='true' ">acufpp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='165806002' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='165806002' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-92000975-9d75-427a-95e4-382fa2a49f79">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='PERT' ">acufpp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@contextConductionInd='true' ">acufpp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='165806002' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufpp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='165806002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='165806002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation"
         id="tmp-36d433a5-78a9-4f59-acf8-b45b1d4f1218">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@classCode='OBS' ">acufpp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@moodCode='EVN' ">acufpp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufpp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&lt;=1">acufpp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&gt;=1 ">acufpp: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&lt;=1">acufpp: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='165806002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='165806002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code"
         id="tmp-5e78a81d-c9d5-48b9-83af-bb79c15d23e1">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or (@code='165806002' and @codeSystem='2.16.840.1.113883.6.96')">acufpp: De waarde van @code/@codeSystem MOET '165806002' codeSystem '2.16.840.1.113883.6.96' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='165806002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='165806002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value"
         id="tmp-8acf1932-c011-4340-8d6e-be56002a0424">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='BL' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufpp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-e566c949-6455-486b-95d2-eb874f25a67c">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='PERT' ">acufpp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@contextConductionInd='true' ">acufpp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-16b0fd6f-1123-454e-8d0e-869819b9fbd2">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='PERT' ">acufpp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@contextConductionInd='true' ">acufpp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufpp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer"
         id="tmp-85d1ca33-678a-4d67-a0af-935834f15cae">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@classCode='CONTAINER' ">acufpp: De waarde van @classCode MOET 'CONTAINER' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@moodCode='EVN' ">acufpp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufpp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&lt;=1">acufpp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='X_PREGNBR' and @codeSystem='2.16.840.1.113883.6.1']]])&lt;=1">acufpp: element hl7:component[hl7:observation[hl7:code[@code='X_PREGNBR' and @codeSystem='2.16.840.1.113883.6.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">acufpp: element hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">acufpp: element hl7:component[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='366323009' and @codeSystem='2.16.840.1.113883.6.96']]])&lt;=1">acufpp: element hl7:component[hl7:observation[hl7:code[@code='366323009' and @codeSystem='2.16.840.1.113883.6.96']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='PRN520301' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]])&lt;=1">acufpp: element hl7:component[hl7:observation[hl7:code[@code='PRN520301' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:component[hl7:observation[hl7:code[@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]])&lt;=1">acufpp: element hl7:component[hl7:observation[hl7:code[@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:component[hl7:procedure[hl7:code[@code = 'Baring']]])&lt;=1">acufpp: element hl7:component[hl7:procedure[hl7:code[@code = 'Baring']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:code
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:code"
         id="tmp-281d66fb-dabc-44e5-bb5a-ff87997f006f">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or (@code='248983002' and @codeSystem='2.16.840.1.113883.6.96')">acufpp: De waarde van @code/@codeSystem MOET '248983002' codeSystem '2.16.840.1.113883.6.96' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='X_PREGNBR' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='X_PREGNBR' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-00453548-5d00-4cae-98b3-109b9d71010f">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='COMP' ">acufpp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='X_PREGNBR' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='X_PREGNBR' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-87bee83b-c5d1-40e6-baf1-3ecaea834822">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='COMP' ">acufpp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='X_PREGNBR' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: acufpp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='X_PREGNBR' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='X_PREGNBR' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation"
         id="tmp-aad0d87b-3d9a-4133-b8d6-8b9687af8c35">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@classCode='OBS' ">acufpp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@moodCode='EVN' ">acufpp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufpp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&lt;=1">acufpp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&gt;=1 ">acufpp: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&lt;=1">acufpp: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='X_PREGNBR' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='X_PREGNBR' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code"
         id="tmp-4f7b504b-adda-499f-9c7c-56f7cf31ce7f">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or (@code='X_PREGNBR' and @codeSystem='2.16.840.1.113883.6.1')">acufpp: De waarde van @code/@codeSystem MOET 'X_PREGNBR' codeSystem '2.16.840.1.113883.6.1' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='X_PREGNBR' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='X_PREGNBR' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value"
         id="tmp-a1fa8572-9019-40d9-aab4-66fe4abae879">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='INT' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT" bevatten</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <let name="digitok" value="matches($theValue, '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="$digitok">acufpp: @value is not a valid INT number <value-of select="$theValue"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-a191d34a-6c45-458b-8951-7cf242b98628">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='COMP' ">acufpp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-85083f55-26e8-4740-98d0-8c10eb0e696e">
      <extends rule="tmp-f7ed1c5d-f957-4c10-8e89-b8ce8fcc43f4"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='COMP' ">acufpp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufpp
-->
<rule id="tmp-f7ed1c5d-f957-4c10-8e89-b8ce8fcc43f4" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:act)&lt;=1">acufpp: element hl7:act komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act"
         id="tmp-6fbe34cb-875f-45d6-8d7d-e05fe0bf5dc1">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@classCode='LIST' ">acufpp: De waarde van @classCode MOET 'LIST' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@moodCode='EVN' ">acufpp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufpp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&lt;=1">acufpp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:inboundRelationship)&gt;=1 and not(hl7:inboundRelationship/@nullFlavor)">acufpp: element hl7:inboundRelationship is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:inboundRelationship)&lt;=1">acufpp: element hl7:inboundRelationship komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:code
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:code"
         id="tmp-f6254b51-9eb8-4fe4-b4bc-039d06afa4f4">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or (@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')">acufpp: De waarde van @code/@codeSystem MOET 'VERLIND' codeSystem '2.16.840.1.113883.2.4.4.13' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship"
         id="tmp-a1820dbb-7480-4d38-950a-7c1328e7dab1">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='COMP' ">acufpp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">acufpp: element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:observation)&lt;=1">acufpp: element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation"
         id="tmp-264c14ce-4e33-4810-add1-b984bf2a7866">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@classCode='OBS' ">acufpp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@moodCode='EVN' ">acufpp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufpp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&lt;=1">acufpp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&gt;=1 ">acufpp: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&lt;=1">acufpp: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:code
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:code"
         id="tmp-22f8cb4c-813e-41a1-a34c-d141dba81112">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or (@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')">acufpp: De waarde van @code/@codeSystem MOET 'VERLIND' codeSystem '2.16.840.1.113883.2.4.4.13' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:value
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:value"
         id="tmp-7c1672a4-ae7b-479f-9408-3517225d20e6">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='BL' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              test="@nullFlavor or @value='false' or count(../hl7:inboundRelationship)&gt;0">acufpp:  Als er sprake van ziekten en bijzonderheden is dan moet een lijst soort ziekten
                                als inboundRelationship component worden meegegeven</assert>
      <assert role="error" test="@value='true' or count(../hl7:inboundRelationship)=0">acufpp:  Als er geen sprake van ziekten en bijzonderheden is dan mag er geen lijst soort ziekten als inboundRelationship
                                component worden meegegeven</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship"
         id="tmp-54ae3b3e-fe59-415c-be2f-c611022c875e">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='COMP' ">acufpp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship
Item: acufpp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship/hl7:observation
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship/hl7:observation"
         id="tmp-d86e7577-5e28-4ee3-95c1-7e7cfd1a7cac">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@classCode='OBS' ">acufpp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@moodCode='EVN' ">acufpp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:id)&lt;=1">acufpp: element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufpp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&lt;=1">acufpp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:uncertaintyCode)&lt;=1">acufpp: element hl7:uncertaintyCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&gt;=1 ">acufpp: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&lt;=1">acufpp: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship/hl7:observation/hl7:id
Item: acufpp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship/hl7:observation/hl7:code
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship/hl7:observation/hl7:code"
         id="tmp-d6a0c1bd-12c2-4cd6-85ad-74d0cbcccbe4">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or (@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13')">acufpp: De waarde van @code/@codeSystem MOET 'VERLIND' codeSystem '2.16.840.1.113883.2.4.4.13' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship/hl7:observation/hl7:uncertaintyCode
Item: acufpp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship/hl7:observation/hl7:value
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:act[hl7:code[@code='VERLIND' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:act/hl7:inboundRelationship/hl7:observation/hl7:inboundRelationship/hl7:observation/hl7:value"
         id="tmp-79e54814-911b-49c2-a9e7-b0c55e4231c6">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-VILLijst10002000-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-VILLijst10002000-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">acufpp: De waarde van @code MOET worden gekozen uit Value Set VILLijst10002000 DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-25c2e0fa-513d-4f28-8810-a59470200063">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='COMP' ">acufpp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-1cb4dfaa-b5d2-4ff5-9b7d-f0dd404b2ceb">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='COMP' ">acufpp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufpp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation"
         id="tmp-f3f448d4-f599-433a-a126-526140283677">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@classCode='OBS' ">acufpp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@moodCode='EVN' ">acufpp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&gt;=1 ">acufpp: element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&lt;=1">acufpp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:effectiveTime)&lt;=1">acufpp: element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&gt;=1 ">acufpp: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&lt;=1">acufpp: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code"
         id="tmp-c93b3602-9e31-4a1f-8052-43b2c6724b6f">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or (@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13')">acufpp: De waarde van @code/@codeSystem MOET 'TypeDeliv' codeSystem '2.16.840.1.113883.2.4.4.13' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:effectiveTime
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:effectiveTime"
         id="tmp-b04cec9a-ab70-45ed-a492-e139ed40c17b">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value"
         id="tmp-6d15141c-844d-4baa-951d-3094e03dee12">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-TypeBevalling-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-TypeBevalling-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">acufpp: De waarde van @code MOET worden gekozen uit Value Set TypeBevalling DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='366323009' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='366323009' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-07d3624d-e2b9-412f-aad8-78e39c06a081">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='COMP' ">acufpp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='366323009' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='366323009' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-92ed8cf5-a72a-41b4-a066-7b58f3c9ff40">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='COMP' ">acufpp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='366323009' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufpp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='366323009' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='366323009' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation"
         id="tmp-5874029a-48c0-4317-8afd-dadc4a000066">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@classCode='OBS' ">acufpp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@moodCode='EVN' ">acufpp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufpp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&lt;=1">acufpp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&gt;=1 ">acufpp: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&lt;=1">acufpp: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='366323009' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='366323009' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code"
         id="tmp-ca137402-b3ab-40ec-872e-d44b510fb079">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or (@code='366323009' and @codeSystem='2.16.840.1.113883.6.96')">acufpp: De waarde van @code/@codeSystem MOET '366323009' codeSystem '2.16.840.1.113883.6.96' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='366323009' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='366323009' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value"
         id="tmp-11188c4d-8040-4b0b-8da6-836ffade5bdb">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='PQ' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PQ" bevatten</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="(@nullFlavor or (@unit='d' and number($theValue)&gt;=0))">acufpp: value MOET eenheid 'd' gebruiken en in bereik [0..] liggen  </assert>
      <let name="digitok"
           value="matches($theValue, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="$digitok">acufpp: @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-ucum.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">acufpp: value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='PRN520301' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='PRN520301' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]"
         id="tmp-e17fd26d-c867-44de-9043-8c2a2ee824cc">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='COMP' ">acufpp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='PRN520301' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='PRN520301' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]"
         id="tmp-627de61d-b959-45d1-ac23-f24d4f7c446f">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='COMP' ">acufpp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='PRN520301' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]
Item: acufpp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='PRN520301' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='PRN520301' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation"
         id="tmp-48a36390-fa60-4d04-9478-2a3ac7f80f48">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@classCode='OBS' ">acufpp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@moodCode='EVN' ">acufpp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufpp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&lt;=1">acufpp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:effectiveTime)&gt;=1 ">acufpp: element hl7:effectiveTime is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:effectiveTime)&lt;=1">acufpp: element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='PRN520301' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:code
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='PRN520301' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:code"
         id="tmp-b81d23d5-2a5f-4dce-bb92-f41215cc0d63">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or (@code='PRN520301' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')">acufpp: De waarde van @code/@codeSystem MOET 'PRN520301' codeSystem '2.16.840.1.113883.2.4.3.22.1.1' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='PRN520301' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:effectiveTime
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='PRN520301' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:effectiveTime"
         id="tmp-df4c2a04-4a94-48f5-a674-a78b99a938db">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS.DATE.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]"
         id="tmp-507250f2-978a-497b-8267-807e8f156fcc">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='COMP' ">acufpp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]"
         id="tmp-28639043-c065-485d-9fb3-81b49dd0f6c1">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='COMP' ">acufpp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]
Item: acufpp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation"
         id="tmp-68289c90-3dd5-43dd-8b5d-2276c67f6e08">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@classCode='OBS' ">acufpp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@moodCode='EVN' ">acufpp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufpp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&lt;=1">acufpp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&gt;=1 ">acufpp: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&lt;=1">acufpp: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:code
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:code"
         id="tmp-b0c0d397-13ec-42e4-ad0d-7bfb5772e4c5">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or (@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')">acufpp: De waarde van @code/@codeSystem MOET 'PRN530401' codeSystem '2.16.840.1.113883.2.4.3.22.1.1' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:value
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:observation[hl7:code[@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:value"
         id="tmp-d0f07c88-7b17-48da-b383-2ab2d8bfc60c">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS.DATE.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:procedure[hl7:code[@code = 'Baring']]]
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:procedure[hl7:code[@code = 'Baring']]]"
         id="tmp-6f8a8c15-ba43-4498-a9e6-5da6e3925fa8">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='COMP' ">acufpp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:procedure)&lt;=1">acufpp: element hl7:procedure komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:procedure[hl7:code[@code = 'Baring']]]/hl7:procedure
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:procedure[hl7:code[@code = 'Baring']]]/hl7:procedure"
         id="tmp-d70305ff-834b-4810-b091-fb9749bbebef">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@classCode='PROC' ">acufpp: De waarde van @classCode MOET 'PROC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@moodCode='EVN' ">acufpp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:id)&gt;=1 ">acufpp: element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:id)&lt;=1">acufpp: element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufpp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&lt;=1">acufpp: element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:procedure[hl7:code[@code = 'Baring']]]/hl7:procedure/hl7:id
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:procedure[hl7:code[@code = 'Baring']]]/hl7:procedure/hl7:id"
         id="tmp-6abf275c-49cc-4e3b-b961-660f76910eb4">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor='NI'">acufpp: De waarde van @nullFlavor MOET 'NI' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:procedure[hl7:code[@code = 'Baring']]]/hl7:procedure/hl7:code
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:procedure[hl7:code[@code = 'Baring']]]/hl7:procedure/hl7:code"
         id="tmp-2fff98b9-1648-4129-88a2-a954f61380d8">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or (@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')">acufpp: De waarde van @code/@codeSystem MOET 'Baring' codeSystem '2.16.840.1.113883.2.4.3.22.1.3' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:procedure[hl7:code[@code = 'Baring']]]/hl7:procedure/hl7:subject
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:procedure[hl7:code[@code = 'Baring']]]/hl7:procedure/hl7:subject"
         id="tmp-2b5b6648-75d9-471d-bacd-f71328c18d68">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='SBJ' ">acufpp: De waarde van @typeCode MOET 'SBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:personalRelationship)&gt;=1 and not(hl7:personalRelationship/@nullFlavor)">acufpp: element hl7:personalRelationship is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:personalRelationship)&lt;=1">acufpp: element hl7:personalRelationship komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:procedure[hl7:code[@code = 'Baring']]]/hl7:procedure/hl7:subject/hl7:personalRelationship
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:procedure[hl7:code[@code = 'Baring']]]/hl7:procedure/hl7:subject/hl7:personalRelationship"
         id="tmp-50a8b0f9-d271-48ff-8e9e-3bfc07b17d36">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@classCode='PRS' ">acufpp: De waarde van @classCode MOET 'PRS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufpp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&lt;=1">acufpp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:relationshipHolder)&gt;=1 and not(hl7:relationshipHolder/@nullFlavor)">acufpp: element hl7:relationshipHolder is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:relationshipHolder)&lt;=1">acufpp: element hl7:relationshipHolder komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:procedure[hl7:code[@code = 'Baring']]]/hl7:procedure/hl7:subject/hl7:personalRelationship/hl7:code
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:procedure[hl7:code[@code = 'Baring']]]/hl7:procedure/hl7:subject/hl7:personalRelationship/hl7:code"
         id="tmp-69311df0-057e-4fa8-9c5d-ab927a7fc01a">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or (@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111')">acufpp: De waarde van @code/@codeSystem MOET 'CHILD' codeSystem '2.16.840.1.113883.5.111' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:procedure[hl7:code[@code = 'Baring']]]/hl7:procedure/hl7:subject/hl7:personalRelationship/hl7:relationshipHolder
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:procedure[hl7:code[@code = 'Baring']]]/hl7:procedure/hl7:subject/hl7:personalRelationship/hl7:relationshipHolder"
         id="tmp-962a3303-f398-4cb3-ab9b-5a20b45fdd20">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@classCode='PSN' ">acufpp: De waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@determinerCode='INSTANCE' ">acufpp: @determinerCode SHALL have value 'INSTANCE' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:procedure[hl7:code[@code = 'Baring']]]/hl7:procedure/hl7:subject/hl7:personalRelationship/hl7:relationshipHolder
Item: acufpp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:procedure[hl7:code[@code = 'Baring']]]/hl7:procedure/hl7:subject/hl7:personalRelationship/hl7:relationshipHolder
Item: acufpp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:procedure[hl7:code[@code = 'Baring']]]/hl7:procedure/hl7:subject/hl7:personalRelationship/hl7:relationshipHolder/hl7:deceasedInd
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:organizer[hl7:code[@code='248983002' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:organizer/hl7:component[hl7:procedure[hl7:code[@code = 'Baring']]]/hl7:procedure/hl7:subject/hl7:personalRelationship/hl7:relationshipHolder/hl7:deceasedInd"
         id="tmp-36a294d3-7238-44c9-a3a2-03b887050dcd">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='BL' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufpp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-cd60bbac-bf4c-4239-a91f-437e20387858">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='PERT' ">acufpp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@contextConductionInd='true' ">acufpp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-05156d4b-8212-475f-8a9b-a8ec1c6e5657">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='PERT' ">acufpp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@contextConductionInd='true' ">acufpp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufpp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation"
         id="tmp-a972799d-bb56-4c77-b09b-14fc7aebf670">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@classCode='OBS' ">acufpp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@moodCode='EVN' ">acufpp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufpp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&lt;=1">acufpp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&gt;=1 ">acufpp: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&lt;=1">acufpp: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code"
         id="tmp-5ca99365-7c37-430c-bf40-b2bcfa6f6207">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or (@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13')">acufpp: De waarde van @code/@codeSystem MOET 'Gravidity' codeSystem '2.16.840.1.113883.2.4.4.13' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Gravidity' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value"
         id="tmp-87c8a609-ba05-496a-b61f-d06d7604b746">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='INT' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT" bevatten</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="(@nullFlavor or (number($theValue)&gt;=0 and number($theValue)&lt;=75))">acufpp: value MOET in bereik [0..75] liggen  </assert>
      <let name="digitok" value="matches($theValue, '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="$digitok">acufpp: @value is not a valid INT number <value-of select="$theValue"/>
      </assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufpp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-b70717ae-7e63-4407-b603-f0c0576ded0a">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='PERT' ">acufpp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@contextConductionInd='true' ">acufpp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-d1dbdf0f-17be-4486-ba64-f41e05d6e69d">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='PERT' ">acufpp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@contextConductionInd='true' ">acufpp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufpp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation"
         id="tmp-6544d906-53b7-4142-bd94-eede803f4ec8">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@classCode='OBS' ">acufpp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@moodCode='EVN' ">acufpp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufpp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&lt;=1">acufpp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:effectiveTime)&gt;=1 ">acufpp: element hl7:effectiveTime is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:effectiveTime)&lt;=1">acufpp: element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">acufpp: element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&lt;=1">acufpp: element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:inboundRelationship[hl7:observation[hl7:code[@code='EDDBasedOn' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">acufpp: element hl7:inboundRelationship[hl7:observation[hl7:code[@code='EDDBasedOn' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:inboundRelationship[hl7:observation[hl7:code[@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&gt;=1 and not(hl7:inboundRelationship[hl7:observation[hl7:code[@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/@nullFlavor)">acufpp: element hl7:inboundRelationship[hl7:observation[hl7:code[@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:inboundRelationship[hl7:observation[hl7:code[@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">acufpp: element hl7:inboundRelationship[hl7:observation[hl7:code[@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code"
         id="tmp-0cb6c5a3-5fcb-46b5-a43a-346b44917a71">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or (@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13')">acufpp: De waarde van @code/@codeSystem MOET 'EDD' codeSystem '2.16.840.1.113883.2.4.4.13' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:effectiveTime
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:effectiveTime"
         id="tmp-6135765b-7fac-4fb9-8559-304aa62f5351">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS.DATE.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value"
         id="tmp-7baa2282-0979-412e-a4d2-4505f73170d1">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS.DATE.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='EDDBasedOn' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='EDDBasedOn' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-1384bc47-e1b6-429a-811d-ac0cc6064b11">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='SPRT' ">acufpp: De waarde van @typeCode MOET 'SPRT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='EDDBasedOn' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='EDDBasedOn' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-f608d61c-57b4-4b54-b112-174386d4bd93">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='SPRT' ">acufpp: De waarde van @typeCode MOET 'SPRT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='EDDBasedOn' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufpp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='EDDBasedOn' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='EDDBasedOn' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation"
         id="tmp-3ded8297-9785-4f2f-bf04-225483a64cee">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufpp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&lt;=1">acufpp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">acufpp: element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&lt;=1">acufpp: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='EDDBasedOn' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='EDDBasedOn' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code"
         id="tmp-75e4bbff-6ae5-42b9-844f-7a7931c29885">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or (@code='EDDBasedOn' and @codeSystem='2.16.840.1.113883.2.4.4.13')">acufpp: De waarde van @code/@codeSystem MOET 'EDDBasedOn' codeSystem '2.16.840.1.113883.2.4.4.13' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='EDDBasedOn' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='EDDBasedOn' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value"
         id="tmp-567d24e4-a2ca-4a7e-a2ee-df4b0ec26a06">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-EDDBasis-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-EDDBasis-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">acufpp: De waarde van @code MOET worden gekozen uit Value Set EDDBasis DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-b7a87335-1105-4da0-a621-69562d6fe33b">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='PERT' ">acufpp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-90f17c10-daa9-43b2-986e-c2fc9ebfd586">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='PERT' ">acufpp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufpp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation"
         id="tmp-cf84130f-d11e-4b02-afba-399e27300fb2">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufpp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&lt;=1">acufpp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">acufpp: element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&lt;=1">acufpp: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code"
         id="tmp-0d703f74-42df-4939-a9e8-4ddfbe61584d">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or (@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13')">acufpp: De waarde van @code/@codeSystem MOET 'ActualEDD' codeSystem '2.16.840.1.113883.2.4.4.13' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='EDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:observation[hl7:code[@code='ActualEDD' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value"
         id="tmp-68c602ab-d905-4bae-8505-338acc49187c">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='BL' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Parturit' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufpp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Parturit' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-bec06a33-5a94-4bdc-bc2d-47c8f6614e22">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='PERT' ">acufpp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@contextConductionInd='true' ">acufpp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Parturit' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Parturit' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-c8b4d195-af6f-4310-8c3a-2d3ef175841b">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='PERT' ">acufpp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@contextConductionInd='true' ">acufpp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Parturit' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: Pariteit
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Parturit' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation
Item: Pariteit
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Parturit' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation"
         id="tmp-8c4a152b-41f8-4fcf-8286-04db2b760678">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@classCode='OBS' ">Pariteit: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@moodCode='EVN' ">Pariteit: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">Pariteit: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&lt;=1">Pariteit: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&gt;=1 ">Pariteit: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&lt;=1">Pariteit: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Parturit' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code
Item: Pariteit
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Parturit' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code"
         id="tmp-3dedcedd-2c33-47db-a96c-3710f4508479">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">Pariteit: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or (@code='Parturit' and @codeSystem='2.16.840.1.113883.2.4.4.13')">Pariteit: De waarde van @code/@codeSystem MOET 'Parturit' codeSystem '2.16.840.1.113883.2.4.4.13' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Parturit' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value
Item: Pariteit
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Parturit' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value"
         id="tmp-7c8fc11f-f65c-4ba5-8252-fa7549abeec3">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='INT' or not(@xsi:type)">Pariteit: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT" bevatten</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="(@nullFlavor or (number($theValue)&gt;=1 and number($theValue)&lt;=30))">Pariteit: value MOET in bereik [1..30] liggen  </assert>
      <let name="digitok" value="matches($theValue, '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="$digitok">Pariteit: @value is not a valid INT number <value-of select="$theValue"/>
      </assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='224118004' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufpp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='224118004' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-4de064b5-2247-41e2-9696-8e0ac413948b">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='PERT' ">acufpp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@contextConductionInd='true' ">acufpp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='224118004' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='224118004' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-e8fd1a88-960d-476d-8ce2-2464f019f975">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='PERT' ">acufpp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@contextConductionInd='true' ">acufpp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='224118004' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufpp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='224118004' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='224118004' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation"
         id="tmp-8c994847-ae8b-4fb0-bba8-6c23eb60221c">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@classCode='OBS' ">acufpp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@moodCode='EVN' ">acufpp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufpp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&lt;=1">acufpp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&gt;=1 ">acufpp: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&lt;=1">acufpp: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='224118004' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='224118004' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code"
         id="tmp-5d5b4b1a-78cd-44c0-91c0-967392706088">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or (@code='224118004' and @codeSystem='2.16.840.1.113883.6.96')">acufpp: De waarde van @code/@codeSystem MOET '224118004' codeSystem '2.16.840.1.113883.6.96' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='224118004' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='224118004' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value"
         id="tmp-801d8494-9cfa-41aa-ba89-b745eaebb0c6">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='INT' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT" bevatten</assert>
      <extends rule="INT.NONNEG"/>
      <let name="theValue" value="@value"/>
      <let name="digitok" value="matches($theValue, '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="$digitok">acufpp: @value is not a valid INT number <value-of select="$theValue"/>
      </assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufpp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-b856b9be-c7dd-4674-9e8d-ed422ef243b8">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='PERT' ">acufpp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@contextConductionInd='true' ">acufpp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-0f073b04-0901-4eb6-9d42-17f200adef51">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='PERT' ">acufpp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@contextConductionInd='true' ">acufpp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufpp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation"
         id="tmp-09a14d44-a069-4145-9aff-329ceb23d7a8">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@classCode='OBS' ">acufpp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@moodCode='EVN' ">acufpp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&gt;=1 ">acufpp: element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&lt;=1">acufpp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:effectiveTime)&lt;=1">acufpp: element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&gt;=1 ">acufpp: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&lt;=1">acufpp: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code"
         id="tmp-ac6d6f76-2f20-42be-9bd8-73470976f01d">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or (@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13')">acufpp: De waarde van @code/@codeSystem MOET 'TypeDeliv' codeSystem '2.16.840.1.113883.2.4.4.13' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:effectiveTime
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:effectiveTime"
         id="tmp-cf1cf52b-14e3-4e1f-b129-9fe18556c4e9">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='TypeDeliv' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value"
         id="tmp-025e7a17-5d7c-4657-aa3c-efb97ec6ef22">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-TypeBevalling-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-TypeBevalling-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">acufpp: De waarde van @code MOET worden gekozen uit Value Set TypeBevalling DYNAMIC.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN530101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]
Item: acufpp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN530101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]"
         id="tmp-69d3ab35-dbda-4e28-9865-08e241920395">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='PERT' ">acufpp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@contextConductionInd='true' ">acufpp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN530101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN530101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]"
         id="tmp-2b7fea8c-5a7e-49d4-83fc-33645549492c">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='PERT' ">acufpp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@contextConductionInd='true' ">acufpp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN530101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]
Item: acufpp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN530101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN530101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation"
         id="tmp-065951aa-7558-4d13-9091-d613f3d5ea57">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@classCode='OBS' ">acufpp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@moodCode='EVN' ">acufpp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufpp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&lt;=1">acufpp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:effectiveTime)&gt;=1 ">acufpp: element hl7:effectiveTime is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:effectiveTime)&lt;=1">acufpp: element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN530101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:code
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN530101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:code"
         id="tmp-12529894-c122-4ab5-8c4d-4b7520421dc1">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or (@code='PRN530101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')">acufpp: De waarde van @code/@codeSystem MOET 'PRN530101' codeSystem '2.16.840.1.113883.2.4.3.22.1.1' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN530101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:effectiveTime
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN530101' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:effectiveTime"
         id="tmp-e71b7af4-f734-4bb2-a808-598b50fef869">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS.DATE.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: acufpp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-286dc1e5-3aaf-4bb1-a9c8-4e2bcd835763">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='PERT' ">acufpp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@contextConductionInd='true' ">acufpp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-3e950997-3178-4af2-8455-3072e76c2711">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='PERT' ">acufpp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@contextConductionInd='true' ">acufpp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: acufpp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation"
         id="tmp-fd82167c-fe1c-41fb-b968-c042b2555a0b">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@classCode='OBS' ">acufpp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@moodCode='EVN' ">acufpp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufpp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&lt;=1">acufpp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&gt;=1 ">acufpp: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&lt;=1">acufpp: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code"
         id="tmp-ab3597b7-6a58-4e38-bcc8-22c5f5161c46">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or (@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1')">acufpp: De waarde van @code/@codeSystem MOET '38386-9' codeSystem '2.16.840.1.113883.6.1' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='38386-9' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value"
         id="tmp-5302118c-e66c-4e38-b091-d6192f298ebe">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-KleurVruchtwater-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-KleurVruchtwater-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">acufpp: De waarde van @code MOET worden gekozen uit Value Set KleurVruchtwater DYNAMIC.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufpp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-8a9f8b35-a5b4-4607-91b0-a402f97d790d">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='PERT' ">acufpp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@contextConductionInd='true' ">acufpp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-59e5d5a8-7ec4-447f-adaa-3027ac5d5d96">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='PERT' ">acufpp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@contextConductionInd='true' ">acufpp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufpp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation"
         id="tmp-6e92ac02-46e6-4f44-9185-39adc80f3c67">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@classCode='OBS' ">acufpp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@moodCode='EVN' ">acufpp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              test="hl7:value/@value='true' and hl7:inboundRelationship/@typeCode='COMP'">acufpp: If Medicatie nageboortetijdperk = true, a substanceAdministration as a component SHALL
                    be present</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufpp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&lt;=1">acufpp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&gt;=1 ">acufpp: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&lt;=1">acufpp: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code"
         id="tmp-bdd0604b-b4e3-4cb4-b503-74db7d3456ae">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or (@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13')">acufpp: De waarde van @code/@codeSystem MOET 'Medic3stage' codeSystem '2.16.840.1.113883.2.4.4.13' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value"
         id="tmp-5a83bda1-803c-41cc-b224-60dbe8d243d6">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='BL' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:substanceAdministration[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7')]]]
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:substanceAdministration[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7')]]]"
         id="tmp-430cdc75-0554-4681-9a9b-b50991bab365">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='COMP' ">acufpp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:substanceAdministration[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7')]]]
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:substanceAdministration[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7')]]]"
         id="tmp-895ddc55-ec91-4d07-9395-39016cca59a7">
      <extends rule="tmp-6826dedb-3199-40a4-88f4-924a046b85d7"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='COMP' ">acufpp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:substanceAdministration[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7')]]]
Item: acufpp
-->
<rule id="tmp-6826dedb-3199-40a4-88f4-924a046b85d7" abstract="true">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:substanceAdministration)&gt;=1 ">acufpp: element hl7:substanceAdministration is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:substanceAdministration)&lt;=1">acufpp: element hl7:substanceAdministration komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:substanceAdministration[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7')]]]/hl7:substanceAdministration
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:substanceAdministration[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7')]]]/hl7:substanceAdministration"
         id="tmp-f0e1ae00-b41a-46f4-95cb-52c51947cea0">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@classCode='SBADM' ">acufpp: De waarde van @classCode MOET 'SBADM' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@moodCode='EVN' ">acufpp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:consumable)&gt;=1 ">acufpp: element hl7:consumable is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:consumable)&lt;=1">acufpp: element hl7:consumable komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:substanceAdministration[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7')]]]/hl7:substanceAdministration/hl7:consumable
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:substanceAdministration[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7')]]]/hl7:substanceAdministration/hl7:consumable"
         id="tmp-d9d698d1-c579-4c3e-b1e2-cbc1dbbf3cec">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='CSM' ">acufpp: De waarde van @typeCode MOET 'CSM' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:medication)&gt;=1 ">acufpp: element hl7:medication is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:medication)&lt;=1">acufpp: element hl7:medication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:substanceAdministration[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7')]]]/hl7:substanceAdministration/hl7:consumable/hl7:medication
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:substanceAdministration[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7')]]]/hl7:substanceAdministration/hl7:consumable/hl7:medication"
         id="tmp-b251f7a2-4604-4f86-b57a-e07a25559aaa">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@classCode='ADMM' ">acufpp: De waarde van @classCode MOET 'ADMM' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:administerableMedicine)&gt;=1 ">acufpp: element hl7:administerableMedicine is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:administerableMedicine)&lt;=1">acufpp: element hl7:administerableMedicine komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:substanceAdministration[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7')]]]/hl7:substanceAdministration/hl7:consumable/hl7:medication/hl7:administerableMedicine
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:substanceAdministration[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7')]]]/hl7:substanceAdministration/hl7:consumable/hl7:medication/hl7:administerableMedicine"
         id="tmp-3ea61bad-f321-4294-9c49-c10b0e0d3ac4">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@classCode='MMAT' ">acufpp: De waarde van @classCode MOET 'MMAT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@determinerCode='KIND' ">acufpp: @determinerCode SHALL have value 'KIND' STATIC </assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&gt;=1 ">acufpp: element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&lt;=1">acufpp: element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:substanceAdministration[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7')]]]/hl7:substanceAdministration/hl7:consumable/hl7:medication/hl7:administerableMedicine/hl7:code
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='Medic3stage' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:inboundRelationship[hl7:substanceAdministration[hl7:code[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.4.7')]]]/hl7:substanceAdministration/hl7:consumable/hl7:medication/hl7:administerableMedicine/hl7:code"
         id="tmp-ec0dc5b4-2bd4-40a1-b84e-8f8fb00e161c">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-SoortMedNageboorte-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-SoortMedNageboorte-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">acufpp: De waarde van @code MOET worden gekozen uit Value Set SoortMedNageboorte DYNAMIC.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='AfterBirthMethod' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufpp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='AfterBirthMethod' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-97ef500c-f0d2-4812-9daa-0833169c8cb9">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='PERT' ">acufpp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@contextConductionInd='true' ">acufpp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='AfterBirthMethod' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='AfterBirthMethod' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-906dfaa5-10a9-4695-880f-0ea59986820f">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='PERT' ">acufpp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@contextConductionInd='true' ">acufpp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='AfterBirthMethod' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufpp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='AfterBirthMethod' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='AfterBirthMethod' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation"
         id="tmp-43393f5d-b43a-4848-9da6-f9256dbf3c5f">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@classCode='OBS' ">acufpp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@moodCode='EVN' ">acufpp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufpp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&lt;=1">acufpp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&gt;=1 ">acufpp: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&lt;=1">acufpp: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='AfterBirthMethod' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='AfterBirthMethod' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code"
         id="tmp-461f4278-f582-4198-9d7b-c0d43bacdde6">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or (@code='AfterBirthMethod' and @codeSystem='2.16.840.1.113883.2.4.4.13')">acufpp: De waarde van @code/@codeSystem MOET 'AfterBirthMethod' codeSystem '2.16.840.1.113883.2.4.4.13' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='AfterBirthMethod' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='AfterBirthMethod' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value"
         id="tmp-f3788afd-812e-477d-871e-eca4261f7ae6">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-GeboortePlacenta-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-GeboortePlacenta-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">acufpp: De waarde van @code MOET worden gekozen uit Value Set GeboortePlacenta DYNAMIC.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='364343000' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufpp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='364343000' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-8e9a36f6-aa6a-4aff-889a-0efadaae5b8b">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='PERT' ">acufpp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@contextConductionInd='true' ">acufpp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='364343000' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='364343000' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-8eac4361-a85e-47a8-8c70-a3fbcd43cadb">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='PERT' ">acufpp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@contextConductionInd='true' ">acufpp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='364343000' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufpp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='364343000' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='364343000' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation"
         id="tmp-eb30c40c-6f92-4cfc-adf9-589f53a3c049">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@classCode='OBS' ">acufpp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@moodCode='EVN' ">acufpp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufpp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&lt;=1">acufpp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&gt;=1 ">acufpp: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&lt;=1">acufpp: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='364343000' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='364343000' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code"
         id="tmp-9c3862d2-83ed-41d8-b195-9c3719905887">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or (@code='364343000' and @codeSystem='2.16.840.1.113883.6.96')">acufpp: De waarde van @code/@codeSystem MOET '364343000' codeSystem '2.16.840.1.113883.6.96' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='364343000' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='364343000' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value"
         id="tmp-36ca66f9-7df2-4e61-aeef-6dc4429e9631">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-Completenessplacenta-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-Completenessplacenta-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">acufpp: De waarde van @code MOET worden gekozen uit Value Set Completenessplacenta Completeness placenta DYNAMIC.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN5703' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]
Item: acufpp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN5703' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]"
         id="tmp-092b98d6-de31-43ce-a7ff-40f981475953">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='PERT' ">acufpp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@contextConductionInd='true' ">acufpp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN5703' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN5703' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]"
         id="tmp-e8d44706-eba5-4901-9ff9-39e3076dc0f0">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='PERT' ">acufpp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@contextConductionInd='true' ">acufpp: @contextConductionInd SHALL have value 'true' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN5703' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]
Item: acufpp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN5703' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN5703' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation"
         id="tmp-10b55d81-59e5-48bc-bcb7-d35e3b27d4b8">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@classCode='OBS' ">acufpp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@moodCode='EVN' ">acufpp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufpp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&lt;=1">acufpp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&gt;=1 ">acufpp: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&lt;=1">acufpp: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN5703' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:code
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN5703' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:code"
         id="tmp-6b8dacf4-692b-4ae9-b9bf-025a05380da7">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or (@code='PRN5703' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')">acufpp: De waarde van @code/@codeSystem MOET 'PRN5703' codeSystem '2.16.840.1.113883.2.4.3.22.1.1' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN5703' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:value
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:observation[hl7:code[@code='PRN5703' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:value"
         id="tmp-4697574b-915a-419c-91d5-2e3745c71bd3">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='PQ' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PQ" bevatten</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="(@nullFlavor or (@unit='ml'))">acufpp: value MOET eenheid 'ml' gebruiken </assert>
      <let name="digitok"
           value="matches($theValue, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="$digitok">acufpp: @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-ucum.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">acufpp: value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]
Item: acufpp
-->

<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]"
         id="tmp-42637a72-a112-456b-b728-4bcc44f06a83">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='PERT' ">acufpp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@contextConductionInd='false' ">acufpp: @contextConductionInd SHALL have value 'false' STATIC </assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]"
         id="tmp-21702bdf-cfaa-4c96-a60d-7d5987ee16c9">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='PERT' ">acufpp: De waarde van @typeCode MOET 'PERT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@contextConductionInd='false' ">acufpp: @contextConductionInd SHALL have value 'false' STATIC </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]
Item: acufpp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure"
         id="tmp-6e4d4432-bd92-463d-9382-338eae7370cf">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@classCode='PROC' ">acufpp: De waarde van @classCode MOET 'PROC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@moodCode='EVN' ">acufpp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:id)&gt;=1 ">acufpp: element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:id)&lt;=1">acufpp: element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufpp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&lt;=1">acufpp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:inboundRelationship[hl7:observation[hl7:code[@code='46098-0' and @codeSystem='2.16.840.1.113883.6.1']]])&lt;=1">acufpp: element hl7:inboundRelationship[hl7:observation[hl7:code[@code='46098-0' and @codeSystem='2.16.840.1.113883.6.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:inboundRelationship[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]])&lt;=1">acufpp: element hl7:inboundRelationship[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:inboundRelationship[hl7:observation[hl7:code[@code='GUOFind' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">acufpp: element hl7:inboundRelationship[hl7:observation[hl7:code[@code='GUOFind' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]])&lt;=1">acufpp: element hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN5704' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]])&lt;=1">acufpp: element hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN5704' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:inboundRelationship[hl7:observation[hl7:code[@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1']]])&lt;=1">acufpp: element hl7:inboundRelationship[hl7:observation[hl7:code[@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:inboundRelationship[hl7:observation[hl7:code[@code='9274-2' and @codeSystem='2.16.840.1.113883.6.1']]])&lt;=1">acufpp: element hl7:inboundRelationship[hl7:observation[hl7:code[@code='9274-2' and @codeSystem='2.16.840.1.113883.6.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:inboundRelationship[hl7:observation[hl7:code[@code='CongMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13']]])&lt;=1">acufpp: element hl7:inboundRelationship[hl7:observation[hl7:code[@code='CongMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN810201' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]])&lt;=1">acufpp: element hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN810201' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:id
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:id"
         id="tmp-ec288e62-718c-4823-bf0e-72268ff0d807">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:code
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:code"
         id="tmp-e5dc1707-2b05-432c-8b0d-e5ee2fa5f924">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or (@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3')">acufpp: De waarde van @code/@codeSystem MOET 'Baring' codeSystem '2.16.840.1.113883.2.4.3.22.1.3' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:subject
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:subject"
         id="tmp-826a8aa0-275e-41b6-acc0-d53d0db55dde">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='SBJ' ">acufpp: De waarde van @typeCode MOET 'SBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:personalRelationship)&gt;=1 and not(hl7:personalRelationship/@nullFlavor)">acufpp: element hl7:personalRelationship is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:personalRelationship)&lt;=1">acufpp: element hl7:personalRelationship komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:subject/hl7:personalRelationship
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:subject/hl7:personalRelationship"
         id="tmp-4ab573c5-c828-4334-85f1-f09d16aa259d">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@classCode='PRS' ">acufpp: De waarde van @classCode MOET 'PRS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufpp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&lt;=1">acufpp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:relationshipHolder)&gt;=1 and not(hl7:relationshipHolder/@nullFlavor)">acufpp: element hl7:relationshipHolder is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:relationshipHolder)&lt;=1">acufpp: element hl7:relationshipHolder komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:subject/hl7:personalRelationship/hl7:code
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:subject/hl7:personalRelationship/hl7:code"
         id="tmp-935e4225-4a13-4715-867b-89e53f462bdc">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or (@code='CHILD' and @codeSystem='2.16.840.1.113883.5.111')">acufpp: De waarde van @code/@codeSystem MOET 'CHILD' codeSystem '2.16.840.1.113883.5.111' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:subject/hl7:personalRelationship/hl7:relationshipHolder
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:subject/hl7:personalRelationship/hl7:relationshipHolder"
         id="tmp-6e7c5e4b-8ec0-45ef-8d0f-940de12a647a">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@classCode='PSN' ">acufpp: De waarde van @classCode MOET 'PSN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@determinerCode='INSTANCE' ">acufpp: @determinerCode SHALL have value 'INSTANCE' STATIC </assert>
      <assert role="error" test="hl7:deceasedInd/@value='false' or hl7:deceasedTime">acufpp: Datum perinatale sterfte: if deceasedInd=true an element deceasedTime shall be
                                present</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:birthTime)&lt;=1">acufpp: element hl7:birthTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:deceasedInd)&lt;=1">acufpp: element hl7:deceasedInd komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:deceasedTime)&lt;=1">acufpp: element hl7:deceasedTime komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:subject/hl7:personalRelationship/hl7:relationshipHolder
Item: acufpp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:subject/hl7:personalRelationship/hl7:relationshipHolder/hl7:birthTime
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:subject/hl7:personalRelationship/hl7:relationshipHolder/hl7:birthTime"
         id="tmp-848f6707-5d48-4023-b91d-6aef8f626248">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS.DATE.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:subject/hl7:personalRelationship/hl7:relationshipHolder
Item: acufpp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:subject/hl7:personalRelationship/hl7:relationshipHolder
Item: acufpp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:subject/hl7:personalRelationship/hl7:relationshipHolder/hl7:deceasedInd
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:subject/hl7:personalRelationship/hl7:relationshipHolder/hl7:deceasedInd"
         id="tmp-62138df9-a075-4f86-a83e-78c1d17bae03">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='BL' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "BL" bevatten</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:subject/hl7:personalRelationship/hl7:relationshipHolder
Item: acufpp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:subject/hl7:personalRelationship/hl7:relationshipHolder
Item: acufpp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:subject/hl7:personalRelationship/hl7:relationshipHolder/hl7:deceasedTime
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:subject/hl7:personalRelationship/hl7:relationshipHolder/hl7:deceasedTime"
         id="tmp-18ed5dca-3f90-4b5a-9931-0a01a4cb3c53">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS.DATE.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='46098-0' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='46098-0' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-577040ba-8ee5-43bd-947e-9ca7f825829a">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='COMP' ">acufpp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='46098-0' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='46098-0' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-469356fa-bc50-4d6a-a2b2-bb62a34cf1a8">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='COMP' ">acufpp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='46098-0' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: acufpp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='46098-0' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='46098-0' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation"
         id="tmp-7833403b-9a4a-49c1-9449-1bb9075c2c82">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@classCode='OBS' ">acufpp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@moodCode='EVN' ">acufpp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufpp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&lt;=1">acufpp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&gt;=1 ">acufpp: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&lt;=1">acufpp: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='46098-0' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='46098-0' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code"
         id="tmp-e5852f7f-5a57-4046-8b94-b2f2a12006c5">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or (@code='46098-0' and @codeSystem='2.16.840.1.113883.6.1')">acufpp: De waarde van @code/@codeSystem MOET '46098-0' codeSystem '2.16.840.1.113883.6.1' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='46098-0' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='46098-0' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value"
         id="tmp-ae787552-dfd4-42a2-a610-b1596ab3ddc4">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-GenderMedisch-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-GenderMedisch-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">acufpp: De waarde van @code MOET worden gekozen uit Value Set GenderMedisch DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-0851bc36-dcb2-4ef6-8491-f1908335ed41">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='COMP' ">acufpp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]"
         id="tmp-d33cbdf8-3f3d-42bd-8863-f230aa209441">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='COMP' ">acufpp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]
Item: acufpp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation"
         id="tmp-73988eb3-d76d-4a1d-a44b-06ecd3dfc039">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@classCode='OBS' ">acufpp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@moodCode='EVN' ">acufpp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufpp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&lt;=1">acufpp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&gt;=1 ">acufpp: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&lt;=1">acufpp: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:code"
         id="tmp-880eb73c-926a-46f5-898f-e2a25a8b134d">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or (@code='115758001' and @codeSystem='2.16.840.1.113883.6.96')">acufpp: De waarde van @code/@codeSystem MOET '115758001' codeSystem '2.16.840.1.113883.6.96' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='115758001' and @codeSystem='2.16.840.1.113883.6.96']]]/hl7:observation/hl7:value"
         id="tmp-272ae228-80f9-4880-937e-813c7cfa50a0">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-RhesusDBloodGroup-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-RhesusDBloodGroup-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">acufpp: De waarde van @code MOET worden gekozen uit Value Set RhesusDBloodGroup Rhesus D Blood Group DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='GUOFind' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='GUOFind' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-20d1f98c-66e2-49a5-b57d-879dd7b44b7f">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='COMP' ">acufpp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='GUOFind' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='GUOFind' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-96ffce5e-82f8-4721-a845-d581a4730562">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='COMP' ">acufpp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='GUOFind' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufpp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='GUOFind' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='GUOFind' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation"
         id="tmp-a3e0b773-20cc-41ce-bd3d-893fcd7b81aa">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@classCode='OBS' ">acufpp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@moodCode='EVN' ">acufpp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufpp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&lt;=1">acufpp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:text)&gt;=1 ">acufpp: element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:text)&lt;=1">acufpp: element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='GUOFind' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='GUOFind' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code"
         id="tmp-158cdfdb-d474-4346-9cad-e83835e16535">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or (@code='GUOFind' and @codeSystem='2.16.840.1.113883.2.4.4.13')">acufpp: De waarde van @code/@codeSystem MOET 'GUOFind' codeSystem '2.16.840.1.113883.2.4.4.13' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='GUOFind' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:text
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='GUOFind' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:text"
         id="tmp-f0085375-9d7f-427c-8ee5-0f42a19bcfe9">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]"
         id="tmp-802715e8-9c80-4087-a8ed-38b476cb431f">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='COMP' ">acufpp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]"
         id="tmp-3044f13d-a404-4032-8c34-f27fa89f214b">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='COMP' ">acufpp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]
Item: acufpp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation"
         id="tmp-e5fdefaf-5907-4441-af82-4dee86bd317e">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@classCode='OBS' ">acufpp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@moodCode='EVN' ">acufpp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufpp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&lt;=1">acufpp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&gt;=1 ">acufpp: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&lt;=1">acufpp: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:code
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:code"
         id="tmp-92a606a1-6c10-479e-9b4b-5218cee89e78">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or (@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')">acufpp: De waarde van @code/@codeSystem MOET 'PRN530401' codeSystem '2.16.840.1.113883.2.4.3.22.1.1' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:value
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN530401' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:value"
         id="tmp-d38cd47d-3045-4e9d-a313-612630e9f321">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS.DATE.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN5704' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN5704' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]"
         id="tmp-0d1a398c-3fe0-4aa1-ac6f-eda729116172">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='COMP' ">acufpp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN5704' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN5704' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]"
         id="tmp-81a731b5-feb9-41fd-95d6-f9dfa24582f3">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='COMP' ">acufpp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN5704' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]
Item: acufpp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN5704' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN5704' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation"
         id="tmp-89dd8473-9d3a-483e-b479-5c4c63432ecb">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@classCode='OBS' ">acufpp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@moodCode='EVN' ">acufpp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufpp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&lt;=1">acufpp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&gt;=1 ">acufpp: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&lt;=1">acufpp: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN5704' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:code
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN5704' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:code"
         id="tmp-99fcca0b-7840-4b08-9077-7504e2982734">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or (@code='PRN5704' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')">acufpp: De waarde van @code/@codeSystem MOET 'PRN5704' codeSystem '2.16.840.1.113883.2.4.3.22.1.1' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN5704' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:value
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN5704' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:value"
         id="tmp-86dd5636-233f-4b1c-9e09-58321ea558ba">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-ConditiePerineum-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-ConditiePerineum-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">acufpp: De waarde van @code MOET worden gekozen uit Value Set ConditiePerineum DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-5b402a0f-7af4-47be-a7b1-7bf713d4822d">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='COMP' ">acufpp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-1f419001-3249-4acb-afde-bdedee8c2fe0">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='COMP' ">acufpp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: acufpp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation"
         id="tmp-4186fa55-bd2b-4e38-b47f-00fef080aaab">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@classCode='OBS' ">acufpp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@moodCode='EVN' ">acufpp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufpp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&lt;=1">acufpp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&gt;=1 ">acufpp: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&lt;=1">acufpp: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code"
         id="tmp-f1c9eabe-b88d-4e86-afdc-3c3398d9a44c">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or (@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1')">acufpp: De waarde van @code/@codeSystem MOET '8339-4' codeSystem '2.16.840.1.113883.6.1' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='8339-4' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value"
         id="tmp-7ad54257-8b39-4d06-ae33-e8d776af3082">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='PQ' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PQ" bevatten</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="(@nullFlavor or (@unit='g' and number($theValue)&gt;=0 and (matches($theValue, '^[-+]?[0-9]*$'))))">acufpp: value MOET eenheid 'g' gebruiken en in bereik [0..] liggen  en tot op minst 0 decimalen nauwkeurig zijn </assert>
      <let name="digitok"
           value="matches($theValue, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="$digitok">acufpp: @value is not a valid PQ number <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-ucum.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">acufpp: value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='9274-2' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='9274-2' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-d9beb2a0-3d58-4486-89ba-f44e47275143">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='COMP' ">acufpp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='9274-2' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='9274-2' and @codeSystem='2.16.840.1.113883.6.1']]]"
         id="tmp-11da840a-08fa-41ac-84be-4707b244d7b1">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='COMP' ">acufpp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='9274-2' and @codeSystem='2.16.840.1.113883.6.1']]]
Item: acufpp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='9274-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='9274-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation"
         id="tmp-18c30a3d-3d46-42f5-90d7-70144ffe89ae">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@classCode='OBS' ">acufpp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@moodCode='EVN' ">acufpp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufpp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&lt;=1">acufpp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&gt;=1 ">acufpp: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&lt;=1">acufpp: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='9274-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='9274-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:code"
         id="tmp-45f5c640-caae-4aef-81ff-02844128e521">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or (@code='9274-2' and @codeSystem='2.16.840.1.113883.6.1')">acufpp: De waarde van @code/@codeSystem MOET '9274-2' codeSystem '2.16.840.1.113883.6.1' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='9274-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='9274-2' and @codeSystem='2.16.840.1.113883.6.1']]]/hl7:observation/hl7:value"
         id="tmp-3855a237-a35c-477c-ac2a-165dff8d06f0">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='INT' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "INT" bevatten</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="(@nullFlavor or (number($theValue)&gt;=0 and number($theValue)&lt;=10))">acufpp: value MOET in bereik [0..10] liggen  </assert>
      <let name="digitok" value="matches($theValue, '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="$digitok">acufpp: @value is not a valid INT number <value-of select="$theValue"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='CongMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='CongMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-88c513e7-9871-4746-bb3a-2b603edffbc3">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='COMP' ">acufpp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='CongMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='CongMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]"
         id="tmp-47b047f7-0567-4a25-969b-bfa67a8faa71">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='COMP' ">acufpp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='CongMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]
Item: acufpp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='CongMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='CongMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation"
         id="tmp-7dd53a74-47f5-40fe-ad12-5479391c477a">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@classCode='OBS' ">acufpp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@moodCode='EVN' ">acufpp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufpp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&lt;=1">acufpp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:uncertaintyCode)&lt;=1">acufpp: element hl7:uncertaintyCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&gt;=1 ">acufpp: element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&lt;=1">acufpp: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='CongMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='CongMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:code"
         id="tmp-af479504-a5b5-4857-a2a0-6e2738901500">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or (@code='CongMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13')">acufpp: De waarde van @code/@codeSystem MOET 'CongMalf' codeSystem '2.16.840.1.113883.2.4.4.13' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='CongMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:uncertaintyCode
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='CongMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:uncertaintyCode"
         id="tmp-9256d52a-cfea-4935-b835-78de96849b10">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-UncertaintyCode-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-UncertaintyCode-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">acufpp: De waarde van @code MOET worden gekozen uit Value Set UncertaintyCode DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='CongMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='CongMalf' and @codeSystem='2.16.840.1.113883.2.4.4.13']]]/hl7:observation/hl7:value"
         id="tmp-acfd45cd-b352-4f88-9175-4aa18bf7666d">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-CongenitaleAfwijkingen-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-CongenitaleAfwijkingen-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">acufpp: De waarde van @code MOET worden gekozen uit Value Set CongenitaleAfwijkingen DYNAMIC.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN810201' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN810201' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]"
         id="tmp-4d7ab26c-8c9b-4e1e-8da2-47b0074df024">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='COMP' ">acufpp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN810201' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN810201' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]"
         id="tmp-a9f8f286-6b31-43af-8636-a0ece52912b9">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@typeCode='COMP' ">acufpp: De waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN810201' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]
Item: acufpp
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN810201' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN810201' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation"
         id="tmp-5a5e74ab-2360-4439-8932-6e93eee97e00">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@classCode='OBS' ">acufpp: De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@moodCode='EVN' ">acufpp: De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">acufpp: element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:code)&lt;=1">acufpp: element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">acufpp: element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="count(hl7:value)&lt;=1">acufpp: element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN810201' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:code
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN810201' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:code"
         id="tmp-b29b55fe-6485-425b-83a1-a62bf50b2d6d">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or (@code='PRN810201' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1')">acufpp: De waarde van @code/@codeSystem MOET 'PRN810201' codeSystem '2.16.840.1.113883.2.4.3.22.1.1' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.90.62
Context: *[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN810201' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:value
Item: acufpp
-->
<rule context="*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.90.62']/hl7:pertinentInformation3[hl7:procedure[hl7:code[@code='Baring' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.3']]]/hl7:procedure/hl7:inboundRelationship[hl7:observation[hl7:code[@code='PRN810201' and @codeSystem='2.16.840.1.113883.2.4.3.22.1.1']]]/hl7:observation/hl7:value"
         id="tmp-7cebfa9e-49a9-435f-8a3e-a2079baee26f">
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">acufpp: Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-FasePerinatSterfte-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-FasePerinatSterfte-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/perinatologie/peri20-html-20120504T222222/tmp-2.16.840.1.113883.2.4.6.10.90.62.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">acufpp: De waarde van @code MOET worden gekozen uit Value Set FasePerinatSterfte DYNAMIC.</assert>
   </rule>
</pattern>